-------------------------------------------------------------------------------------------------------------------------------------------------------------
-- DCS World units database
-- By zip (2018)
--
-- Load the script:
-- ----------------
-- 1.) Download the script and save it anywhere on your hard drive.
-- 2.) Open your mission in the mission editor.
-- 3.) Add a new trigger:
--     * TYPE   "4 MISSION START"
--     * ACTION "DO SCRIPT FILE"
--     * OPEN --> Browse to the location where you saved the script and click OK.
--
-------------------------------------------------------------------------------------------------------------------------------------------------------------

dcsUnits = {}

-------------------------------------------------------------------------------------------------------------------------------------------------------------
-- Global settings. Stores the root VEAF constants
-------------------------------------------------------------------------------------------------------------------------------------------------------------

--- Identifier. All output in DCS.log will start with this.
dcsUnits.Id = "DCSUNITS - "

--- Version.
dcsUnits.Version = "2018.09.28.01.03"

-------------------------------------------------------------------------------------------------------------------------------------------------------------
-- Do not change anything below unless you know what you are doing!
-------------------------------------------------------------------------------------------------------------------------------------------------------------

-------------------------------------------------------------------------------------------------------------------------------------------------------------
-- Utility methods
-------------------------------------------------------------------------------------------------------------------------------------------------------------

function dcsUnits.logInfo(message)
    if message then
        veaf.logInfo(dcsUnits.Id .. message)
    end
end

function dcsUnits.logDebug(message)
    if message then
        veaf.logDebug(dcsUnits.Id .. message)
    end
end

function dcsUnits.logTrace(message)
    if message then
        veaf.logTrace(dcsUnits.Id .. message)
    end
end

-------------------------------------------------------------------------------------------------------------------------------------------------------------
-- Raw DCS units database
-------------------------------------------------------------------------------------------------------------------------------------------------------------

dcsUnits.DcsUnitsDatabase =
{
    ["1L13 EWR"] = 
    {
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 80248.84375,
                            ["headOn"] = 80248.84375,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 80248.84375,
                            ["headOn"] = 80248.84375,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["typeName"] = "1L13 EWR",
                }, -- end of [1]
            }, -- end of [1]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 5000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.029892683029175,
                    ["x"] = -9.4630393981934,
                    ["z"] = -2.7193303108215,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 7.7682657241821,
                    ["x"] = 9.3716640472412,
                    ["z"] = 2.3569283485413,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 0,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Vehicles"] = true,
                ["NonArmoredUnits"] = true,
                ["CustomAimPoint"] = true,
                ["Air Defence"] = true,
                ["AWACS"] = true,
                ["Planes"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["EWR"] = true,
                ["Air Defence vehicles"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Ground vehicles"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 0,
            ["_origin"] = "",
            ["typeName"] = "1L13 EWR",
            ["displayName"] = "EWR 1L13",
        }, -- end of ["desc"]
    } -- end of 1L13 EWR
    ,["2S6 Tunguska"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 388,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 30,
                        ["mass"] = 0.39,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "30mm AP",
                    ["typeName"] = "weapons.shells.2A38_30_AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 1549,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.39,
                        ["type"] = 1,
                        ["caliber"] = 30,
                        ["mass"] = 0.39,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "30mm HE",
                    ["typeName"] = "weapons.shells.2A38_30_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
            [3] = 
            {
                ["count"] = 8,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.17448772490025,
                            ["x"] = -1.6664316654205,
                            ["z"] = -0.17395660281181,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.17448772490025,
                            ["x"] = 0.97372031211853,
                            ["z"] = 0.17395660281181,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 8000,
                    ["fuseDist"] = 5,
                    ["category"] = 1,
                    ["guidance"] = 8,
                    ["Nmax"] = 18,
                    ["rangeMin"] = 2000,
                    ["altMax"] = 3500,
                    ["RCS"] = 0.010200000368059,
                    ["displayName"] = "9M311",
                    ["altMin"] = 14.5,
                    ["life"] = 2,
                    ["missileCategory"] = 6,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 9,
                        ["type"] = 1,
                        ["caliber"] = 100,
                        ["mass"] = 9,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 8000,
                    ["typeName"] = "9M311",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [3]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 15136.135742188,
                            ["headOn"] = 15136.135742188,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 15136.135742188,
                            ["headOn"] = 15136.135742188,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["typeName"] = "2S6 Tunguska",
                }, -- end of [1]
            }, -- end of [1]
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TKN-3B day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TKN-3B night",
                    ["opticType"] = 2,
                }, -- end of [2]
                [3] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "Tunguska optic sight",
                    ["opticType"] = 0,
                }, -- end of [3]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 34000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.27000001072884,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.0043649594299495,
                    ["x"] = -3.970654964447,
                    ["z"] = -1.6094979047775,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.0770468711853,
                    ["x"] = 4.1176915168762,
                    ["z"] = 1.6094980239868,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 18.055599212646,
            ["life"] = 3,
            ["attributes"] = 
            {
                ["SAM TR"] = true,
                ["Rocket Attack Valid AirDefence"] = true,
                ["SAM elements"] = true,
                ["AA_flak"] = true,
                ["SAM SR"] = true,
                ["AAA"] = true,
                ["RADAR_BAND1_FOR_ARM"] = true,
                ["AA_missile"] = true,
                ["Mobile AAA"] = true,
                ["NonArmoredUnits"] = true,
                ["Air Defence"] = true,
                ["SAM related"] = true,
                ["SR SAM"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Ground vehicles"] = true,
                ["Vehicles"] = true,
                ["Armed Air Defence"] = true,
                ["Ground Units"] = true,
                ["All"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 18.055599212646,
            ["_origin"] = "",
            ["typeName"] = "2S6 Tunguska",
            ["displayName"] = "SAM SA-19 Tunguska 2S6",
        }, -- end of ["desc"]
    } -- end of 2S6 Tunguska
    ,["55G6 EWR"] = 
    {
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 80248.84375,
                            ["headOn"] = 80248.84375,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 80248.84375,
                            ["headOn"] = 80248.84375,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["typeName"] = "55G6 EWR",
                }, -- end of [1]
            }, -- end of [1]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 5000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.049630999565125,
                    ["x"] = -15.086099624634,
                    ["z"] = -21.225099563599,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 30.09289932251,
                    ["x"] = 3.3640999794006,
                    ["z"] = 21.225099563599,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 0,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Vehicles"] = true,
                ["NonArmoredUnits"] = true,
                ["CustomAimPoint"] = true,
                ["Air Defence"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["EWR"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Air Defence vehicles"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 0,
            ["_origin"] = "",
            ["typeName"] = "55G6 EWR",
            ["displayName"] = "EWR 55G6",
        }, -- end of ["desc"]
    } -- end of 55G6 EWR
    ,["5p73 s-125 ln"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 4,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.62369358539581,
                            ["x"] = -2.4002585411072,
                            ["z"] = -0.62915688753128,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.62369358539581,
                            ["x"] = 3.5628294944763,
                            ["z"] = 0.62915688753128,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 11000,
                    ["fuseDist"] = 14,
                    ["category"] = 1,
                    ["guidance"] = 4,
                    ["Nmax"] = 16,
                    ["rangeMin"] = 3500,
                    ["altMax"] = 18000,
                    ["RCS"] = 0.1676000058651,
                    ["displayName"] = "5V27",
                    ["altMin"] = 20,
                    ["life"] = 2,
                    ["missileCategory"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 60,
                        ["type"] = 1,
                        ["caliber"] = 400,
                        ["mass"] = 60,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 25000,
                    ["typeName"] = "5V27",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 5000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.1433914899826,
                    ["x"] = -3.5037760734558,
                    ["z"] = -3.634535074234,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.5476195812225,
                    ["x"] = 5.0296669006348,
                    ["z"] = 3.6345353126526,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 0,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Vehicles"] = true,
                ["MR SAM"] = true,
                ["NonArmoredUnits"] = true,
                ["Armed Air Defence"] = true,
                ["Air Defence"] = true,
                ["Ground vehicles"] = true,
                ["SAM elements"] = true,
                ["SAM LL"] = true,
                ["SAM related"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["AA_missile"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 0,
            ["_origin"] = "",
            ["typeName"] = "5p73 s-125 ln",
            ["displayName"] = "SAM SA-3 S-125 LN 5P73",
        }, -- end of ["desc"]
    } -- end of 5p73 s-125 ln
    ,["Dog Ear radar"] = 
    {
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 23405.912109375,
                            ["headOn"] = 23405.912109375,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 23405.912109375,
                            ["headOn"] = 23405.912109375,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["typeName"] = "Dog Ear radar",
                }, -- end of [1]
            }, -- end of [1]
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "generic tank daysight",
                    ["opticType"] = 0,
                }, -- end of [1]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 12300,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.43999999761581,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.019191045314074,
                    ["x"] = -3.5603575706482,
                    ["z"] = -1.506253361702,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.0519435405731,
                    ["x"] = 3.1526401042938,
                    ["z"] = 1.5062534809113,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 16.666700363159,
            ["life"] = 2,
            ["attributes"] = 
            {
                ["Vehicles"] = true,
                ["SAM elements"] = true,
                ["NonArmoredUnits"] = true,
                ["SAM SR"] = true,
                ["Air Defence"] = true,
                ["Ground vehicles"] = true,
                ["RADAR_BAND1_FOR_ARM"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["RADAR_BAND2_FOR_ARM"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["SAM related"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 16.666700363159,
            ["_origin"] = "",
            ["typeName"] = "Dog Ear radar",
            ["displayName"] = "CP 9S80M1 Sborka",
        }, -- end of ["desc"]
    } -- end of Dog Ear radar
    ,["Gepard"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 660,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.54,
                        ["type"] = 1,
                        ["caliber"] = 35,
                        ["mass"] = 0.54,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "35mm HE",
                    ["typeName"] = "weapons.shells.KDA_35_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 10031.10546875,
                            ["headOn"] = 10031.10546875,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 10031.10546875,
                            ["headOn"] = 10031.10546875,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["typeName"] = "Gepard",
                }, -- end of [1]
            }, -- end of [1]
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "Karat visir",
                    ["opticType"] = 0,
                }, -- end of [1]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 47300,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.27000001072884,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.0043649594299495,
                    ["x"] = -3.7731957435608,
                    ["z"] = -1.6094979047775,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.0770468711853,
                    ["x"] = 3.2696261405945,
                    ["z"] = 1.6094980239868,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 18.055599212646,
            ["life"] = 20,
            ["attributes"] = 
            {
                ["SAM TR"] = true,
                ["Vehicles"] = true,
                ["SAM elements"] = true,
                ["AA_flak"] = true,
                ["SAM SR"] = true,
                ["AAA"] = true,
                ["RADAR_BAND1_FOR_ARM"] = true,
                ["Mobile AAA"] = true,
                ["NonArmoredUnits"] = true,
                ["Air Defence"] = true,
                ["SAM related"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Rocket Attack Valid AirDefence"] = true,
                ["Ground vehicles"] = true,
                ["Armed Air Defence"] = true,
                ["Ground Units"] = true,
                ["All"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 18.055599212646,
            ["_origin"] = "",
            ["typeName"] = "Gepard",
            ["displayName"] = "SPAAA Gepard",
        }, -- end of ["desc"]
    } -- end of Gepard
    ,["Hawk cwar"] = 
    {
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 60186.62890625,
                            ["headOn"] = 60186.62890625,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 60186.62890625,
                            ["headOn"] = 60186.62890625,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["typeName"] = "Hawk sr",
                }, -- end of [1]
            }, -- end of [1]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 5000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0,
                    ["x"] = -1.4297173023224,
                    ["z"] = -1.0923467874527,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.0422394275665,
                    ["x"] = 2.6352164745331,
                    ["z"] = 1.092346906662,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 0,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Vehicles"] = true,
                ["MR SAM"] = true,
                ["NonArmoredUnits"] = true,
                ["SAM elements"] = true,
                ["SAM SR"] = true,
                ["Air Defence"] = true,
                ["Ground vehicles"] = true,
                ["RADAR_BAND1_FOR_ARM"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["SAM related"] = true,
                ["RADAR_BAND2_FOR_ARM"] = true,
                ["All"] = true,
                ["Datalink"] = true,
                ["Ground Units"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 0,
            ["_origin"] = "",
            ["typeName"] = "Hawk cwar",
            ["displayName"] = "SAM Hawk CWAR AN/MPQ-55",
        }, -- end of ["desc"]
    } -- end of Hawk cwar
    ,["Hawk ln"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 3,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.43280005455017,
                            ["x"] = -2.5100002288818,
                            ["z"] = -0.43280005455017,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.43280005455017,
                            ["x"] = 2.5093998908997,
                            ["z"] = 0.43280005455017,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 22000,
                    ["fuseDist"] = 12,
                    ["category"] = 1,
                    ["guidance"] = 4,
                    ["Nmax"] = 15,
                    ["rangeMin"] = 1500,
                    ["altMax"] = 18000,
                    ["RCS"] = 0.1676000058651,
                    ["displayName"] = "MIM-23B",
                    ["altMin"] = 60,
                    ["life"] = 2,
                    ["missileCategory"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 70,
                        ["type"] = 1,
                        ["caliber"] = 370,
                        ["mass"] = 70,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 45000,
                    ["typeName"] = "MIM-23B",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 5000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.0031175264157355,
                    ["x"] = -2.3642840385437,
                    ["z"] = -2.3465309143066,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.2687876224518,
                    ["x"] = 1.6356745958328,
                    ["z"] = 2.3465304374695,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 0,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Vehicles"] = true,
                ["SAM elements"] = true,
                ["NonArmoredUnits"] = true,
                ["Armed Air Defence"] = true,
                ["Air Defence"] = true,
                ["Ground vehicles"] = true,
                ["SAM related"] = true,
                ["SAM LL"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["AA_missile"] = true,
                ["All"] = true,
                ["Datalink"] = true,
                ["Ground Units"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 0,
            ["_origin"] = "",
            ["typeName"] = "Hawk ln",
            ["displayName"] = "SAM Hawk LN M192",
        }, -- end of ["desc"]
    } -- end of Hawk ln
    ,["Hawk pcp"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 5000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.00044552874169312,
                    ["x"] = -3.2223539352417,
                    ["z"] = -1.2835963964462,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 4.3771271705627,
                    ["x"] = 2.4132654666901,
                    ["z"] = 1.2835966348648,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 0,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Vehicles"] = true,
                ["SAM elements"] = true,
                ["NonArmoredUnits"] = true,
                ["Air Defence"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["SAM related"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["SAM CC"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 0,
            ["_origin"] = "",
            ["typeName"] = "Hawk pcp",
            ["displayName"] = "SAM Hawk PCP",
        }, -- end of ["desc"]
    } -- end of Hawk pcp
    ,["Hawk sr"] = 
    {
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 60186.62890625,
                            ["headOn"] = 60186.62890625,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 60186.62890625,
                            ["headOn"] = 60186.62890625,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["typeName"] = "Hawk sr",
                }, -- end of [1]
            }, -- end of [1]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 5000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -4.5141007376515e-08,
                    ["x"] = -3.5152494907379,
                    ["z"] = -3.5131890773773,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 5.3495984077454,
                    ["x"] = 3.5152523517609,
                    ["z"] = 3.5173115730286,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 0,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Vehicles"] = true,
                ["MR SAM"] = true,
                ["NonArmoredUnits"] = true,
                ["SAM elements"] = true,
                ["SAM SR"] = true,
                ["Air Defence"] = true,
                ["Ground vehicles"] = true,
                ["RADAR_BAND1_FOR_ARM"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["SAM related"] = true,
                ["RADAR_BAND2_FOR_ARM"] = true,
                ["All"] = true,
                ["Datalink"] = true,
                ["Ground Units"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 0,
            ["_origin"] = "",
            ["typeName"] = "Hawk sr",
            ["displayName"] = "SAM Hawk SR AN/MPQ-50",
        }, -- end of ["desc"]
    } -- end of Hawk sr
    ,["Hawk tr"] = 
    {
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 60186.62890625,
                            ["headOn"] = 60186.62890625,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 60186.62890625,
                            ["headOn"] = 60186.62890625,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["typeName"] = "Hawk tr",
                }, -- end of [1]
            }, -- end of [1]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 5000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -2.2652012887647e-07,
                    ["x"] = -2.4937398433685,
                    ["z"] = -1.3424528837204,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.6909744739532,
                    ["x"] = 3.3191246986389,
                    ["z"] = 1.438288807869,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 0,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["SAM TR"] = true,
                ["Vehicles"] = true,
                ["MR SAM"] = true,
                ["NonArmoredUnits"] = true,
                ["Air Defence"] = true,
                ["Ground vehicles"] = true,
                ["RADAR_BAND1_FOR_ARM"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["SAM elements"] = true,
                ["RADAR_BAND2_FOR_ARM"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["SAM related"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 0,
            ["_origin"] = "",
            ["typeName"] = "Hawk tr",
            ["displayName"] = "SAM Hawk TR AN/MPQ-46",
        }, -- end of ["desc"]
    } -- end of Hawk tr
    ,["Kub 1S91 str"] = 
    {
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 46811.82421875,
                            ["headOn"] = 46811.82421875,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 46811.82421875,
                            ["headOn"] = 46811.82421875,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["typeName"] = "Kub 1S91 str",
                }, -- end of [1]
            }, -- end of [1]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 19500,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.27000001072884,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.20294064283371,
                    ["x"] = -3.7594470977783,
                    ["z"] = -1.9250726699829,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 5.6362724304199,
                    ["x"] = 3.3623473644257,
                    ["z"] = 1.8815828561783,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 12.222200393677,
            ["life"] = 3,
            ["attributes"] = 
            {
                ["SAM TR"] = true,
                ["Vehicles"] = true,
                ["MR SAM"] = true,
                ["NonArmoredUnits"] = true,
                ["SAM SR"] = true,
                ["Air Defence"] = true,
                ["Ground vehicles"] = true,
                ["RADAR_BAND1_FOR_ARM"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["SAM elements"] = true,
                ["RADAR_BAND2_FOR_ARM"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["SAM related"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 12.222200393677,
            ["_origin"] = "",
            ["typeName"] = "Kub 1S91 str",
            ["displayName"] = "SAM SA-6 Kub STR 9S91",
        }, -- end of ["desc"]
    } -- end of Kub 1S91 str
    ,["Kub 2P25 ln"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 3,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.43574807047844,
                            ["x"] = -2.9048342704773,
                            ["z"] = -0.4395649433136,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.43574807047844,
                            ["x"] = 2.9061908721924,
                            ["z"] = 0.4395649433136,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 25000,
                    ["fuseDist"] = 12,
                    ["category"] = 1,
                    ["guidance"] = 4,
                    ["Nmax"] = 16,
                    ["rangeMin"] = 4000,
                    ["altMax"] = 8000,
                    ["RCS"] = 0.1059999987483,
                    ["displayName"] = "3M9M",
                    ["altMin"] = 30,
                    ["life"] = 2,
                    ["missileCategory"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 59,
                        ["type"] = 1,
                        ["caliber"] = 330,
                        ["mass"] = 59,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 25000,
                    ["typeName"] = "3M9M",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 19500,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.27000001072884,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.20294055342674,
                    ["x"] = -3.5685367584229,
                    ["z"] = -1.7071387767792,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.0846042633057,
                    ["x"] = 3.4115700721741,
                    ["z"] = 1.6678881645203,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 12.222200393677,
            ["life"] = 3,
            ["attributes"] = 
            {
                ["Vehicles"] = true,
                ["SAM elements"] = true,
                ["NonArmoredUnits"] = true,
                ["Air Defence"] = true,
                ["Ground vehicles"] = true,
                ["Armed Air Defence"] = true,
                ["SAM LL"] = true,
                ["SAM related"] = true,
                ["AA_missile"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["NonAndLightArmoredUnits"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 12.222200393677,
            ["_origin"] = "",
            ["typeName"] = "Kub 2P25 ln",
            ["displayName"] = "SAM SA-6 Kub LN 2P25",
        }, -- end of ["desc"]
    } -- end of Kub 2P25 ln
    ,["M1097 Avenger"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 16,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.08772849291563,
                            ["x"] = -0.76689594984055,
                            ["z"] = -0.088496953248978,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.087728500366211,
                            ["x"] = 0.76825255155563,
                            ["z"] = 0.088496953248978,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 5000,
                    ["fuseDist"] = 0,
                    ["category"] = 1,
                    ["guidance"] = 2,
                    ["Nmax"] = 18,
                    ["rangeMin"] = 200,
                    ["altMax"] = 3500,
                    ["RCS"] = 0.0043999999761581,
                    ["displayName"] = "FIM-92C",
                    ["altMin"] = 1,
                    ["life"] = 2,
                    ["missileCategory"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 3,
                        ["type"] = 1,
                        ["caliber"] = 70,
                        ["mass"] = 3,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 6000,
                    ["typeName"] = "FIM-92C",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 200,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 12.7,
                        ["mass"] = 0.046,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "12.7mm",
                    ["typeName"] = "weapons.shells.M2_12_7_T",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "generic SAM search visir",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "generic SAM IR search visir",
                    ["opticType"] = 2,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 3990,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.27000001072884,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.020479697734118,
                    ["x"] = -2.234489440918,
                    ["z"] = -1.0786579847336,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.0532321929932,
                    ["x"] = 2.5674731731415,
                    ["z"] = 1.1502959728241,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 31.388900756836,
            ["life"] = 1.5,
            ["attributes"] = 
            {
                ["SAM"] = true,
                ["Vehicles"] = true,
                ["Ground vehicles"] = true,
                ["AA_flak"] = true,
                ["Ground Units"] = true,
                ["All"] = true,
                ["Air Defence"] = true,
                ["SAM related"] = true,
                ["SR SAM"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["NonArmoredUnits"] = true,
                ["AA_missile"] = true,
                ["Armed Air Defence"] = true,
                ["Datalink"] = true,
                ["IR Guided SAM"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 31.388900756836,
            ["_origin"] = "",
            ["typeName"] = "M1097 Avenger",
            ["displayName"] = "SAM Avenger M1097",
        }, -- end of ["desc"]
    } -- end of M1097 Avenger
    ,["M48 Chaparral"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 8,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.2276888936758,
                            ["x"] = -1.5326951742172,
                            ["z"] = -0.22192834317684,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.22780798375607,
                            ["x"] = 1.5267107486725,
                            ["z"] = 0.22345870733261,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 8500,
                    ["fuseDist"] = 5,
                    ["category"] = 1,
                    ["guidance"] = 2,
                    ["Nmax"] = 30,
                    ["rangeMin"] = 300,
                    ["altMax"] = 3000,
                    ["RCS"] = 0.018200000748038,
                    ["displayName"] = "MIM-72G",
                    ["altMin"] = -1,
                    ["life"] = 2,
                    ["missileCategory"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 10,
                        ["type"] = 1,
                        ["caliber"] = 127,
                        ["mass"] = 10,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 8500,
                    ["typeName"] = "MIM-72G",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 11253,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.61000001430511,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.024093169718981,
                    ["x"] = -3.5077097415924,
                    ["z"] = -1.3644953966141,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.0690410137177,
                    ["x"] = 2.7656373977661,
                    ["z"] = 1.3785880804062,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 16.666700363159,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["SAM"] = true,
                ["Vehicles"] = true,
                ["NonArmoredUnits"] = true,
                ["Ground vehicles"] = true,
                ["Ground Units"] = true,
                ["Air Defence"] = true,
                ["SAM related"] = true,
                ["SR SAM"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["All"] = true,
                ["AA_missile"] = true,
                ["Armed Air Defence"] = true,
                ["Datalink"] = true,
                ["IR Guided SAM"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 16.666700363159,
            ["_origin"] = "",
            ["typeName"] = "M48 Chaparral",
            ["displayName"] = "SAM Chaparral M48",
        }, -- end of ["desc"]
    } -- end of M48 Chaparral
    ,["M6 Linebacker"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 10,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.08772849291563,
                            ["x"] = -0.76689594984055,
                            ["z"] = -0.088496953248978,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.087728500366211,
                            ["x"] = 0.76825255155563,
                            ["z"] = 0.088496953248978,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 5000,
                    ["fuseDist"] = 0,
                    ["category"] = 1,
                    ["guidance"] = 2,
                    ["Nmax"] = 18,
                    ["rangeMin"] = 200,
                    ["altMax"] = 3500,
                    ["RCS"] = 0.0043999999761581,
                    ["displayName"] = "FIM-92C",
                    ["altMin"] = 1,
                    ["life"] = 2,
                    ["missileCategory"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 3,
                        ["type"] = 1,
                        ["caliber"] = 70,
                        ["mass"] = 3,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 6000,
                    ["typeName"] = "FIM-92C",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 230,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.185,
                        ["type"] = 1,
                        ["caliber"] = 25,
                        ["mass"] = 0.185,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "25mm HE",
                    ["typeName"] = "weapons.shells.M242_25_HE_M792",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
            [3] = 
            {
                ["count"] = 71,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 25,
                        ["mass"] = 0.155,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "25mm AP",
                    ["typeName"] = "weapons.shells.M242_25_AP_M791",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [3]
            [4] = 
            {
                ["count"] = 800,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.62,
                        ["mass"] = 0.00933,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "7.62mm",
                    ["typeName"] = "weapons.shells.7_62x51",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [4]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "Linebacker day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "Linebacker IR",
                    ["opticType"] = 2,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 21300,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.27000001072884,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.0018829447217286,
                    ["x"] = -3.1391665935516,
                    ["z"] = -1.6454068422318,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.5171959400177,
                    ["x"] = 3.1341803073883,
                    ["z"] = 1.6594995260239,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 18.333299636841,
            ["life"] = 5,
            ["attributes"] = 
            {
                ["SAM"] = true,
                ["Vehicles"] = true,
                ["Ground vehicles"] = true,
                ["AA_flak"] = true,
                ["Ground Units"] = true,
                ["All"] = true,
                ["Air Defence"] = true,
                ["SAM related"] = true,
                ["SR SAM"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["NonArmoredUnits"] = true,
                ["AA_missile"] = true,
                ["Armed Air Defence"] = true,
                ["Datalink"] = true,
                ["IR Guided SAM"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 18.333299636841,
            ["_origin"] = "",
            ["typeName"] = "M6 Linebacker",
            ["displayName"] = "SAM Linebacker M6",
        }, -- end of ["desc"]
    } -- end of M6 Linebacker
    ,["Osa 9A33 ln"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 6,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.23437385261059,
                            ["x"] = -1.5615640878677,
                            ["z"] = -0.23642687499523,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.23437386751175,
                            ["x"] = 1.5629206895828,
                            ["z"] = 0.23642687499523,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 8500,
                    ["fuseDist"] = 5,
                    ["category"] = 1,
                    ["guidance"] = 4,
                    ["Nmax"] = 14,
                    ["rangeMin"] = 1500,
                    ["altMax"] = 5000,
                    ["RCS"] = 0.040399998426437,
                    ["displayName"] = "9M33",
                    ["altMin"] = 25,
                    ["life"] = 2,
                    ["missileCategory"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 15,
                        ["type"] = 1,
                        ["caliber"] = 206,
                        ["mass"] = 15,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 10300,
                    ["typeName"] = "9M33",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 20062.2109375,
                            ["headOn"] = 20062.2109375,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 20062.2109375,
                            ["headOn"] = 20062.2109375,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["typeName"] = "Osa 9A33 ln",
                }, -- end of [1]
            }, -- end of [1]
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TKN-3B day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TKN-3B night",
                    ["opticType"] = 2,
                }, -- end of [2]
                [3] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "Karat visir",
                    ["opticType"] = 0,
                }, -- end of [3]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 17500,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.27000001072884,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.0024123918265104,
                    ["x"] = -4.5392761230469,
                    ["z"] = -1.4934242963791,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 4.190502166748,
                    ["x"] = 5.0406589508057,
                    ["z"] = 1.514413356781,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 22.222200393677,
            ["life"] = 3,
            ["attributes"] = 
            {
                ["SAM TR"] = true,
                ["Vehicles"] = true,
                ["SAM elements"] = true,
                ["NonArmoredUnits"] = true,
                ["SAM SR"] = true,
                ["Air Defence"] = true,
                ["Ground vehicles"] = true,
                ["SR SAM"] = true,
                ["AA_missile"] = true,
                ["SAM related"] = true,
                ["RADAR_BAND2_FOR_ARM"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["NonAndLightArmoredUnits"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 22.222200393677,
            ["_origin"] = "",
            ["typeName"] = "Osa 9A33 ln",
            ["displayName"] = "SAM SA-8 Osa 9A33",
        }, -- end of ["desc"]
    } -- end of Osa 9A33 ln
    ,["p-19 s-125 sr"] = 
    {
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 106998.453125,
                            ["headOn"] = 106998.453125,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 106998.453125,
                            ["headOn"] = 106998.453125,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["typeName"] = "p-19 s-125 sr",
                }, -- end of [1]
            }, -- end of [1]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 5000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.0096019264310598,
                    ["x"] = -3.4814398288727,
                    ["z"] = -3.2487313747406,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 7.5877599716187,
                    ["x"] = 3.7557229995728,
                    ["z"] = 3.2181887626648,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 0,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Vehicles"] = true,
                ["MR SAM"] = true,
                ["NonArmoredUnits"] = true,
                ["SAM SR"] = true,
                ["Air Defence"] = true,
                ["Ground vehicles"] = true,
                ["RADAR_BAND1_FOR_ARM"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["SAM elements"] = true,
                ["RADAR_BAND2_FOR_ARM"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["SAM related"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 0,
            ["_origin"] = "",
            ["typeName"] = "p-19 s-125 sr",
            ["displayName"] = "SAM SA-3 S-125 SR P-19",
        }, -- end of ["desc"]
    } -- end of p-19 s-125 sr
    ,["Patriot AMG"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 8000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.46999999880791,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.0059492150321603,
                    ["x"] = -5.1501350402832,
                    ["z"] = -1.9837207794189,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 12.45033454895,
                    ["x"] = 6.1136155128479,
                    ["z"] = 1.9854580163956,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 20.833299636841,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["SAM elements"] = true,
                ["NonArmoredUnits"] = true,
                ["Trucks"] = true,
                ["Ground vehicles"] = true,
                ["SAM related"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Air Defence"] = true,
                ["Unarmed vehicles"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["SAM CC"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 20.833299636841,
            ["_origin"] = "",
            ["typeName"] = "Patriot AMG",
            ["displayName"] = "SAM Patriot AMG AN/MRC-137",
        }, -- end of ["desc"]
    } -- end of Patriot AMG
    ,["Patriot cp"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 8000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.46999999880791,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.001975387101993,
                    ["x"] = -6.4235348701477,
                    ["z"] = -1.7751739025116,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 8.0492429733276,
                    ["x"] = 6.1144685745239,
                    ["z"] = 1.4669208526611,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 20.833299636841,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["SAM elements"] = true,
                ["NonArmoredUnits"] = true,
                ["Trucks"] = true,
                ["Ground vehicles"] = true,
                ["SAM related"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Air Defence"] = true,
                ["Unarmed vehicles"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["SAM CC"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 20.833299636841,
            ["_origin"] = "",
            ["typeName"] = "Patriot cp",
            ["displayName"] = "SAM Patriot ICC",
        }, -- end of ["desc"]
    } -- end of Patriot cp
    ,["Patriot ECS"] = 
    {
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 173872.484375,
                            ["headOn"] = 173872.484375,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 173872.484375,
                            ["headOn"] = 173872.484375,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["typeName"] = "Patriot str",
                }, -- end of [1]
            }, -- end of [1]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 8000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.46999999880791,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.004102177452296,
                    ["x"] = -6.394223690033,
                    ["z"] = -1.8842309713364,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 7.8501229286194,
                    ["x"] = 6.1144690513611,
                    ["z"] = 1.4669210910797,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 20.833299636841,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["SAM elements"] = true,
                ["NonArmoredUnits"] = true,
                ["Trucks"] = true,
                ["Ground vehicles"] = true,
                ["SAM related"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Air Defence"] = true,
                ["Unarmed vehicles"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["SAM CC"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 20.833299636841,
            ["_origin"] = "",
            ["typeName"] = "Patriot ECS",
            ["displayName"] = "SAM Patriot ECS AN/MSQ-104",
        }, -- end of ["desc"]
    } -- end of Patriot ECS
    ,["Patriot EPP"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 8000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.46999999880791,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.010191957466304,
                    ["x"] = -5.0332179069519,
                    ["z"] = -1.704439997673,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.1948812007904,
                    ["x"] = 6.1144690513611,
                    ["z"] = 1.4669210910797,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 20.833299636841,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["SAM elements"] = true,
                ["NonArmoredUnits"] = true,
                ["Trucks"] = true,
                ["Ground vehicles"] = true,
                ["SAM related"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Air Defence"] = true,
                ["Unarmed vehicles"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["SAM CC"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 20.833299636841,
            ["_origin"] = "",
            ["typeName"] = "Patriot EPP",
            ["displayName"] = "SAM Patriot EPP-III",
        }, -- end of ["desc"]
    } -- end of Patriot EPP
    ,["Patriot ln"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 4,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.33423712849617,
                            ["x"] = -2.5578553676605,
                            ["z"] = -0.32681867480278,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.33423712849617,
                            ["x"] = 2.5578553676605,
                            ["z"] = 0.32681864500046,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 30000,
                    ["fuseDist"] = 13,
                    ["category"] = 1,
                    ["guidance"] = 4,
                    ["Nmax"] = 25,
                    ["rangeMin"] = 3000,
                    ["altMax"] = 24240,
                    ["RCS"] = 0.10660000145435,
                    ["displayName"] = "MIM-104",
                    ["altMin"] = 45,
                    ["life"] = 2,
                    ["missileCategory"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 73,
                        ["type"] = 1,
                        ["caliber"] = 410,
                        ["mass"] = 73,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 120000,
                    ["typeName"] = "MIM-104",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 5000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.016804369166493,
                    ["x"] = -4.1240663528442,
                    ["z"] = -3.0423564910889,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 10.708591461182,
                    ["x"] = 7.587890625,
                    ["z"] = 3.1466505527496,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 0,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Vehicles"] = true,
                ["SAM elements"] = true,
                ["NonArmoredUnits"] = true,
                ["Armed Air Defence"] = true,
                ["Air Defence"] = true,
                ["Ground vehicles"] = true,
                ["SAM related"] = true,
                ["SAM LL"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["AA_missile"] = true,
                ["All"] = true,
                ["Datalink"] = true,
                ["Ground Units"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 0,
            ["_origin"] = "",
            ["typeName"] = "Patriot ln",
            ["displayName"] = "SAM Patriot LN M901",
        }, -- end of ["desc"]
    } -- end of Patriot ln
    ,["Patriot str"] = 
    {
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 173872.484375,
                            ["headOn"] = 173872.484375,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 173872.484375,
                            ["headOn"] = 173872.484375,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["typeName"] = "Patriot str",
                }, -- end of [1]
            }, -- end of [1]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 5000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.013648309744895,
                    ["x"] = -4.2885165214539,
                    ["z"] = -2.9239406585693,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 6.4203276634216,
                    ["x"] = 6.7104315757751,
                    ["z"] = 2.9353201389313,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 0,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["LR SAM"] = true,
                ["SAM TR"] = true,
                ["Vehicles"] = true,
                ["SAM elements"] = true,
                ["NonArmoredUnits"] = true,
                ["SAM SR"] = true,
                ["Air Defence"] = true,
                ["Ground vehicles"] = true,
                ["RADAR_BAND1_FOR_ARM"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["SAM related"] = true,
                ["All"] = true,
                ["Datalink"] = true,
                ["Ground Units"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 0,
            ["_origin"] = "",
            ["typeName"] = "Patriot str",
            ["displayName"] = "SAM Patriot STR AN/MPQ-53",
        }, -- end of ["desc"]
    } -- end of Patriot str
    ,["Roland ADS"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 10,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.1738600730896,
                            ["x"] = -1.212909579277,
                            ["z"] = -0.1697566062212,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.17386008799076,
                            ["x"] = 1.2142661809921,
                            ["z"] = 0.1697566062212,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 8000,
                    ["fuseDist"] = 5,
                    ["category"] = 1,
                    ["guidance"] = 4,
                    ["Nmax"] = 14,
                    ["rangeMin"] = 500,
                    ["altMax"] = 6000,
                    ["RCS"] = 0.019600000232458,
                    ["displayName"] = "MIM-115",
                    ["altMin"] = 10,
                    ["life"] = 2,
                    ["missileCategory"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 6.5,
                        ["type"] = 1,
                        ["caliber"] = 150,
                        ["mass"] = 6.5,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 8000,
                    ["typeName"] = "MIM-115",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 8024.8837890625,
                            ["headOn"] = 8024.8837890625,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 8024.8837890625,
                            ["headOn"] = 8024.8837890625,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["typeName"] = "Roland ADS",
                }, -- end of [1]
            }, -- end of [1]
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "generic SAM search visir",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "generic SAM IR search visir",
                    ["opticType"] = 2,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 29207,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.61000001430511,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.027620090171695,
                    ["x"] = -3.526496887207,
                    ["z"] = -2.2188658714294,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 5.0624117851257,
                    ["x"] = 3.4729685783386,
                    ["z"] = 2.2188658714294,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 20.833299636841,
            ["life"] = 4,
            ["attributes"] = 
            {
                ["SAM TR"] = true,
                ["Vehicles"] = true,
                ["SAM elements"] = true,
                ["SAM SR"] = true,
                ["Ground vehicles"] = true,
                ["RADAR_BAND1_FOR_ARM"] = true,
                ["AA_missile"] = true,
                ["RADAR_BAND2_FOR_ARM"] = true,
                ["NonArmoredUnits"] = true,
                ["Air Defence"] = true,
                ["SR SAM"] = true,
                ["SAM LL"] = true,
                ["Armed Air Defence"] = true,
                ["SAM related"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["NonAndLightArmoredUnits"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 20.833299636841,
            ["_origin"] = "",
            ["typeName"] = "Roland ADS",
            ["displayName"] = "SAM Roland ADS",
        }, -- end of ["desc"]
    } -- end of Roland ADS
    ,["Roland Radar"] = 
    {
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 23405.912109375,
                            ["headOn"] = 23405.912109375,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 23405.912109375,
                            ["headOn"] = 23405.912109375,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["typeName"] = "Roland Radar",
                }, -- end of [1]
            }, -- end of [1]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 29207,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.61000001430511,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.01611896418035,
                    ["x"] = -3.3798274993896,
                    ["z"] = -1.5889626741409,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 6.8232507705688,
                    ["x"] = 3.4877336025238,
                    ["z"] = 1.5889630317688,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 20.833299636841,
            ["life"] = 4,
            ["attributes"] = 
            {
                ["Vehicles"] = true,
                ["SAM elements"] = true,
                ["NonArmoredUnits"] = true,
                ["SAM SR"] = true,
                ["Air Defence"] = true,
                ["Ground vehicles"] = true,
                ["RADAR_BAND1_FOR_ARM"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["RADAR_BAND2_FOR_ARM"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["SAM related"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 20.833299636841,
            ["_origin"] = "",
            ["typeName"] = "Roland Radar",
            ["displayName"] = "SAM Roland EWR",
        }, -- end of ["desc"]
    } -- end of Roland Radar
    ,["S-300PS 40B6M tr"] = 
    {
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 106998.453125,
                            ["headOn"] = 106998.453125,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 106998.453125,
                            ["headOn"] = 106998.453125,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["typeName"] = "S-300PS 40B6M tr",
                }, -- end of [1]
            }, -- end of [1]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 5000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.027472998946905,
                    ["x"] = -5.5045394897461,
                    ["z"] = -9.1425142288208,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 27.884525299072,
                    ["x"] = 15.098142623901,
                    ["z"] = 9.1425170898438,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 0,
            ["life"] = 4,
            ["attributes"] = 
            {
                ["LR SAM"] = true,
                ["SAM TR"] = true,
                ["Vehicles"] = true,
                ["SAM elements"] = true,
                ["NonArmoredUnits"] = true,
                ["CustomAimPoint"] = true,
                ["Air Defence"] = true,
                ["Ground vehicles"] = true,
                ["RADAR_BAND1_FOR_ARM"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["SAM related"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 0,
            ["_origin"] = "",
            ["typeName"] = "S-300PS 40B6M tr",
            ["displayName"] = "SAM SA-10 S-300PS TR 30N6",
        }, -- end of ["desc"]
    } -- end of S-300PS 40B6M tr
    ,["S-300PS 40B6MD sr"] = 
    {
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 80248.84375,
                            ["headOn"] = 80248.84375,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 80248.84375,
                            ["headOn"] = 80248.84375,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["typeName"] = "S-300PS 40B6MD sr",
                }, -- end of [1]
            }, -- end of [1]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 42150,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.27000001072884,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.37381836771965,
                    ["x"] = -5.5045394897461,
                    ["z"] = -9.1425132751465,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 42.504936218262,
                    ["x"] = 15.098142623901,
                    ["z"] = 9.1425170898438,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 16.666700363159,
            ["life"] = 4,
            ["attributes"] = 
            {
                ["LR SAM"] = true,
                ["Vehicles"] = true,
                ["SAM elements"] = true,
                ["NonArmoredUnits"] = true,
                ["SAM SR"] = true,
                ["Air Defence"] = true,
                ["Ground vehicles"] = true,
                ["RADAR_BAND1_FOR_ARM"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["SAM related"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["CustomAimPoint"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 16.666700363159,
            ["_origin"] = "",
            ["typeName"] = "S-300PS 40B6MD sr",
            ["displayName"] = "SAM SA-10 S-300PS SR 5N66M",
        }, -- end of ["desc"]
    } -- end of S-300PS 40B6MD sr
    ,["S-300PS 54K6 cp"] = 
    {
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 106998.453125,
                            ["headOn"] = 106998.453125,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 106998.453125,
                            ["headOn"] = 106998.453125,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["typeName"] = "S-300PS 40B6M tr",
                }, -- end of [1]
            }, -- end of [1]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 42150,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.27000001072884,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.00075839832425117,
                    ["x"] = -6.9090003967285,
                    ["z"] = -1.6193325519562,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 10.15506362915,
                    ["x"] = 6.9515609741211,
                    ["z"] = 1.6195338964462,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 16.666700363159,
            ["life"] = 3,
            ["attributes"] = 
            {
                ["Vehicles"] = true,
                ["SAM elements"] = true,
                ["NonArmoredUnits"] = true,
                ["CustomAimPoint"] = true,
                ["Air Defence"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["SAM related"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["SAM CC"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 16.666700363159,
            ["_origin"] = "",
            ["typeName"] = "S-300PS 54K6 cp",
            ["displayName"] = "SAM SA-10 S-300PS CP 54K6",
        }, -- end of ["desc"]
    } -- end of S-300PS 54K6 cp
    ,["S-300PS 5P85C ln"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 4,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.80982387065887,
                            ["x"] = -3.6131811141968,
                            ["z"] = -0.81062549352646,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.81190091371536,
                            ["x"] = 3.6516976356506,
                            ["z"] = 0.81109911203384,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 40000,
                    ["fuseDist"] = 20,
                    ["category"] = 1,
                    ["guidance"] = 4,
                    ["Nmax"] = 25,
                    ["rangeMin"] = 5000,
                    ["altMax"] = 30000,
                    ["RCS"] = 0.17800000309944,
                    ["displayName"] = "5V55R",
                    ["altMin"] = 25,
                    ["life"] = 2,
                    ["missileCategory"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 133,
                        ["type"] = 1,
                        ["caliber"] = 508,
                        ["mass"] = 133,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 75000,
                    ["typeName"] = "5V55R",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 42150,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.27000001072884,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.02414389885962,
                    ["x"] = -6.5828132629395,
                    ["z"] = -1.6197108030319,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 8.281476020813,
                    ["x"] = 6.9515609741211,
                    ["z"] = 1.6199152469635,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 16.666700363159,
            ["life"] = 2,
            ["attributes"] = 
            {
                ["Vehicles"] = true,
                ["SAM elements"] = true,
                ["NonArmoredUnits"] = true,
                ["Air Defence"] = true,
                ["Ground vehicles"] = true,
                ["Armed Air Defence"] = true,
                ["SAM LL"] = true,
                ["SAM related"] = true,
                ["AA_missile"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["NonAndLightArmoredUnits"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 16.666700363159,
            ["_origin"] = "",
            ["typeName"] = "S-300PS 5P85C ln",
            ["displayName"] = "SAM SA-10 S-300PS LN 5P85C",
        }, -- end of ["desc"]
    } -- end of S-300PS 5P85C ln
    ,["S-300PS 5P85D ln"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 4,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.80982387065887,
                            ["x"] = -3.6131811141968,
                            ["z"] = -0.81062549352646,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.81190091371536,
                            ["x"] = 3.6516976356506,
                            ["z"] = 0.81109911203384,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 40000,
                    ["fuseDist"] = 20,
                    ["category"] = 1,
                    ["guidance"] = 4,
                    ["Nmax"] = 25,
                    ["rangeMin"] = 5000,
                    ["altMax"] = 30000,
                    ["RCS"] = 0.17800000309944,
                    ["displayName"] = "5V55R",
                    ["altMin"] = 25,
                    ["life"] = 2,
                    ["missileCategory"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 133,
                        ["type"] = 1,
                        ["caliber"] = 508,
                        ["mass"] = 133,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 75000,
                    ["typeName"] = "5V55R",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 42150,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.27000001072884,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.02414389885962,
                    ["x"] = -6.5828132629395,
                    ["z"] = -1.6197105646133,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 8.281476020813,
                    ["x"] = 6.9515609741211,
                    ["z"] = 1.6199151277542,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 16.666700363159,
            ["life"] = 2,
            ["attributes"] = 
            {
                ["Vehicles"] = true,
                ["SAM elements"] = true,
                ["NonArmoredUnits"] = true,
                ["Air Defence"] = true,
                ["Ground vehicles"] = true,
                ["Armed Air Defence"] = true,
                ["SAM LL"] = true,
                ["SAM related"] = true,
                ["AA_missile"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["NonAndLightArmoredUnits"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 16.666700363159,
            ["_origin"] = "",
            ["typeName"] = "S-300PS 5P85D ln",
            ["displayName"] = "SAM SA-10 S-300PS LN 5P85D",
        }, -- end of ["desc"]
    } -- end of S-300PS 5P85D ln
    ,["S-300PS 64H6E sr"] = 
    {
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 133748.0625,
                            ["headOn"] = 133748.0625,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 133748.0625,
                            ["headOn"] = 133748.0625,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["typeName"] = "S-300PS 64H6E sr",
                }, -- end of [1]
            }, -- end of [1]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 42150,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.27000001072884,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -1.3736806181441e-07,
                    ["x"] = -10.106389045715,
                    ["z"] = -2.8535988330841,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 8.4673957824707,
                    ["x"] = 10.114303588867,
                    ["z"] = 2.8535964488983,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 16.666700363159,
            ["life"] = 4,
            ["attributes"] = 
            {
                ["LR SAM"] = true,
                ["Vehicles"] = true,
                ["SAM elements"] = true,
                ["NonArmoredUnits"] = true,
                ["SAM SR"] = true,
                ["Air Defence"] = true,
                ["Ground vehicles"] = true,
                ["RADAR_BAND1_FOR_ARM"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["SAM related"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["CustomAimPoint"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 16.666700363159,
            ["_origin"] = "",
            ["typeName"] = "S-300PS 64H6E sr",
            ["displayName"] = "SAM SA-10 S-300PS SR 64H6E",
        }, -- end of ["desc"]
    } -- end of S-300PS 64H6E sr
    ,["SA-11 Buk CC 9S470M1"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 34000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.27000001072884,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.0038843720685691,
                    ["x"] = -4.5535345077515,
                    ["z"] = -1.7947425842285,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.3080778121948,
                    ["x"] = 4.2679233551025,
                    ["z"] = 1.7947428226471,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 18.055599212646,
            ["life"] = 3,
            ["attributes"] = 
            {
                ["Vehicles"] = true,
                ["SAM elements"] = true,
                ["NonArmoredUnits"] = true,
                ["Air Defence"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["SAM related"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["SAM CC"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 18.055599212646,
            ["_origin"] = "",
            ["typeName"] = "SA-11 Buk CC 9S470M1",
            ["displayName"] = "SAM SA-11 Buk CC 9S470M1",
        }, -- end of ["desc"]
    } -- end of SA-11 Buk CC 9S470M1
    ,["SA-11 Buk LN 9A310M1"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 4,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.31386062502861,
                            ["x"] = -2.745423078537,
                            ["z"] = -0.31660988926888,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.31386065483093,
                            ["x"] = 2.7467796802521,
                            ["z"] = 0.31660988926888,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 25500,
                    ["fuseDist"] = 13,
                    ["category"] = 1,
                    ["guidance"] = 4,
                    ["Nmax"] = 19,
                    ["rangeMin"] = 3320,
                    ["altMax"] = 22000,
                    ["RCS"] = 0.09179999679327,
                    ["displayName"] = "9M38M1",
                    ["altMin"] = 22,
                    ["life"] = 2,
                    ["missileCategory"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 70,
                        ["type"] = 1,
                        ["caliber"] = 400,
                        ["mass"] = 70,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 35000,
                    ["typeName"] = "9M38M1",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 40124.421875,
                            ["headOn"] = 40124.421875,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 40124.421875,
                            ["headOn"] = 40124.421875,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["typeName"] = "SA-11 Buk TR",
                }, -- end of [1]
            }, -- end of [1]
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "Karat visir",
                    ["opticType"] = 0,
                }, -- end of [1]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 34000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.27000001072884,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.00029538746457547,
                    ["x"] = -4.5281434059143,
                    ["z"] = -1.7947425842285,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.9360136985779,
                    ["x"] = 4.5281434059143,
                    ["z"] = 1.7947428226471,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 18.055599212646,
            ["life"] = 3,
            ["attributes"] = 
            {
                ["Armed Air Defence"] = true,
                ["SAM TR"] = true,
                ["Vehicles"] = true,
                ["MR SAM"] = true,
                ["NonArmoredUnits"] = true,
                ["SAM elements"] = true,
                ["SAM related"] = true,
                ["Air Defence"] = true,
                ["Ground vehicles"] = true,
                ["RADAR_BAND1_FOR_ARM"] = true,
                ["SAM LL"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["RADAR_BAND2_FOR_ARM"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["AA_missile"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 18.055599212646,
            ["_origin"] = "",
            ["typeName"] = "SA-11 Buk LN 9A310M1",
            ["displayName"] = "SAM SA-11 Buk LN 9A310M1",
        }, -- end of ["desc"]
    } -- end of SA-11 Buk LN 9A310M1
    ,["SA-11 Buk SR 9S18M1"] = 
    {
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 66874.03125,
                            ["headOn"] = 66874.03125,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 66874.03125,
                            ["headOn"] = 66874.03125,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["typeName"] = "SA-11 Buk SR 9S18M1",
                }, -- end of [1]
            }, -- end of [1]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 34000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.27000001072884,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.0038843720685691,
                    ["x"] = -5.3829417228699,
                    ["z"] = -1.7947425842285,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.3080778121948,
                    ["x"] = 4.3539600372314,
                    ["z"] = 1.7947428226471,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 18.055599212646,
            ["life"] = 3,
            ["attributes"] = 
            {
                ["Vehicles"] = true,
                ["MR SAM"] = true,
                ["NonArmoredUnits"] = true,
                ["SAM SR"] = true,
                ["Air Defence"] = true,
                ["Ground vehicles"] = true,
                ["RADAR_BAND1_FOR_ARM"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["SAM elements"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["SAM related"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 18.055599212646,
            ["_origin"] = "",
            ["typeName"] = "SA-11 Buk SR 9S18M1",
            ["displayName"] = "SAM SA-11 Buk SR 9S18M1",
        }, -- end of ["desc"]
    } -- end of SA-11 Buk SR 9S18M1
    ,["SA-18 Igla comm"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 90,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.87000000476837,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.35149890184402,
                    ["x"] = -0.913718521595,
                    ["z"] = -0.30565470457077,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.0662068128586,
                    ["x"] = 0.96247643232346,
                    ["z"] = 1.150284409523,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 4,
            ["life"] = 0.079999998211861,
            ["attributes"] = 
            {
                ["MANPADS AUX"] = true,
                ["Ground Units Non Airdefence"] = true,
                ["Rocket Attack Valid AirDefence"] = true,
                ["SAM elements"] = true,
                ["NonArmoredUnits"] = true,
                ["SAM AUX"] = true,
                ["CustomAimPoint"] = true,
                ["Air Defence"] = true,
                ["Ground vehicles"] = true,
                ["SAM related"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Vehicles"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Infantry"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 4,
            ["_origin"] = "",
            ["typeName"] = "SA-18 Igla comm",
            ["displayName"] = "SAM SA-18 Igla comm",
        }, -- end of ["desc"]
    } -- end of SA-18 Igla comm
    ,["SA-18 Igla manpad"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 3,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.08246985822916,
                            ["x"] = -0.83429676294327,
                            ["z"] = -0.085273645818233,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.082469865679741,
                            ["x"] = 0.82831227779388,
                            ["z"] = 0.085273645818233,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 4500,
                    ["fuseDist"] = 1,
                    ["category"] = 1,
                    ["guidance"] = 2,
                    ["Nmax"] = 16,
                    ["rangeMin"] = 500,
                    ["altMax"] = 3500,
                    ["RCS"] = 0.0043999999761581,
                    ["displayName"] = "9M39",
                    ["altMin"] = 1,
                    ["life"] = 2,
                    ["missileCategory"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 1.25,
                        ["type"] = 1,
                        ["caliber"] = 72,
                        ["mass"] = 1.25,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 4500,
                    ["typeName"] = "9M39",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 90,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.87000000476837,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0,
                    ["x"] = -0.5,
                    ["z"] = -0.39999994635582,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.7999999523163,
                    ["x"] = 0.5,
                    ["z"] = 0.39999994635582,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 4,
            ["life"] = 0.079999998211861,
            ["attributes"] = 
            {
                ["Vehicles"] = true,
                ["SAM related"] = true,
                ["New infantry"] = true,
                ["Armed ground units"] = true,
                ["MANPADS"] = true,
                ["IR Guided SAM"] = true,
                ["Ground Units Non Airdefence"] = true,
                ["NonArmoredUnits"] = true,
                ["Air Defence"] = true,
                ["Rocket Attack Valid AirDefence"] = true,
                ["Infantry"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["SAM"] = true,
                ["All"] = true,
                ["Armed Air Defence"] = true,
                ["Ground Units"] = true,
                ["Ground vehicles"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 4,
            ["_origin"] = "",
            ["typeName"] = "SA-18 Igla manpad",
            ["displayName"] = "SAM SA-18 Igla MANPADS",
        }, -- end of ["desc"]
    } -- end of SA-18 Igla manpad
    ,["SA-18 Igla-S comm"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 90,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.87000000476837,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.35149890184402,
                    ["x"] = -0.91371858119965,
                    ["z"] = -0.30123072862625,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.0651606321335,
                    ["x"] = 0.96247637271881,
                    ["z"] = 1.1502845287323,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 4,
            ["life"] = 0.079999998211861,
            ["attributes"] = 
            {
                ["MANPADS AUX"] = true,
                ["Ground Units Non Airdefence"] = true,
                ["Rocket Attack Valid AirDefence"] = true,
                ["SAM elements"] = true,
                ["NonArmoredUnits"] = true,
                ["SAM AUX"] = true,
                ["CustomAimPoint"] = true,
                ["Air Defence"] = true,
                ["Ground vehicles"] = true,
                ["SAM related"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Vehicles"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Infantry"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 4,
            ["_origin"] = "",
            ["typeName"] = "SA-18 Igla-S comm",
            ["displayName"] = "SAM SA-18 Igla-S comm",
        }, -- end of ["desc"]
    } -- end of SA-18 Igla-S comm
    ,["SA-18 Igla-S manpad"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 3,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.08246985822916,
                            ["x"] = -0.83429676294327,
                            ["z"] = -0.085273645818233,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.082469865679741,
                            ["x"] = 0.82831227779388,
                            ["z"] = 0.085273645818233,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 4500,
                    ["fuseDist"] = 1,
                    ["category"] = 1,
                    ["guidance"] = 2,
                    ["Nmax"] = 16,
                    ["rangeMin"] = 500,
                    ["altMax"] = 3500,
                    ["RCS"] = 0.0043999999761581,
                    ["displayName"] = "9M39",
                    ["altMin"] = 1,
                    ["life"] = 2,
                    ["missileCategory"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 1.25,
                        ["type"] = 1,
                        ["caliber"] = 72,
                        ["mass"] = 1.25,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 4500,
                    ["typeName"] = "9M39",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 90,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.87000000476837,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0,
                    ["x"] = -0.5,
                    ["z"] = -0.39999994635582,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.7999999523163,
                    ["x"] = 0.5,
                    ["z"] = 0.39999994635582,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 4,
            ["life"] = 0.079999998211861,
            ["attributes"] = 
            {
                ["Vehicles"] = true,
                ["SAM related"] = true,
                ["New infantry"] = true,
                ["Armed ground units"] = true,
                ["MANPADS"] = true,
                ["IR Guided SAM"] = true,
                ["Ground Units Non Airdefence"] = true,
                ["NonArmoredUnits"] = true,
                ["Air Defence"] = true,
                ["Rocket Attack Valid AirDefence"] = true,
                ["Infantry"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["SAM"] = true,
                ["All"] = true,
                ["Armed Air Defence"] = true,
                ["Ground Units"] = true,
                ["Ground vehicles"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 4,
            ["_origin"] = "",
            ["typeName"] = "SA-18 Igla-S manpad",
            ["displayName"] = "SAM SA-18 Igla-S MANPADS",
        }, -- end of ["desc"]
    } -- end of SA-18 Igla-S manpad
    ,["snr s-125 tr"] = 
    {
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 60186.62890625,
                            ["headOn"] = 60186.62890625,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 60186.62890625,
                            ["headOn"] = 60186.62890625,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["typeName"] = "snr s-125 tr",
                }, -- end of [1]
            }, -- end of [1]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 5000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.012271197512746,
                    ["x"] = -2.5844531059265,
                    ["z"] = -3.0216362476349,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 8.5552082061768,
                    ["x"] = 2.6534945964813,
                    ["z"] = 3.0216364860535,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 0,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["SAM TR"] = true,
                ["Vehicles"] = true,
                ["MR SAM"] = true,
                ["NonArmoredUnits"] = true,
                ["Air Defence"] = true,
                ["Ground vehicles"] = true,
                ["RADAR_BAND1_FOR_ARM"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["SAM elements"] = true,
                ["RADAR_BAND2_FOR_ARM"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["SAM related"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 0,
            ["_origin"] = "",
            ["typeName"] = "snr s-125 tr",
            ["displayName"] = "SAM SA-3 S-125 TR SNR",
        }, -- end of ["desc"]
    } -- end of snr s-125 tr
	,["SNR_75V"] = 
	{
		["sensors"] = 
		{
			[1] = 
			{
				[1] = 
				{
					["detectionDistanceAir"] = 
					{
						["upperHemisphere"] = 
						{
							["tailOn"] = 60186.62890625,
							["headOn"] = 60186.62890625,
						}, -- end of ["upperHemisphere"]
						["lowerHemisphere"] = 
						{
							["tailOn"] = 60186.62890625,
							["headOn"] = 60186.62890625,
						}, -- end of ["lowerHemisphere"]
					}, -- end of ["detectionDistanceAir"]
					["type"] = 1,
					["typeName"] = "snr s-125 tr",
				}, -- end of [1]
			}, -- end of [1]
		}, -- end of ["sensors"]
		["desc"] = 
		{
			["massEmpty"] = 5000,
			["riverCrossing"] = false,
			["maxSlopeAngle"] = 0,
			["Kmax"] = 0.050000000745058,
			["RCS"] = 5,
			["box"] = 
			{
				["min"] = 
				{
					["y"] = 0.042742252349854,
					["x"] = -3.4693048000336,
					["z"] = -3.4693048000336,
				}, -- end of ["min"]
				["max"] = 
				{
					["y"] = 6.981351852417,
					["x"] = 3.4693048000336,
					["z"] = 3.4693048000336,
				}, -- end of ["max"]
			}, -- end of ["box"]
			["speedMax"] = 0,
			["life"] = 1,
			["attributes"] = 
			{
				["SAM TR"] = true,
				["Vehicles"] = true,
				["MR SAM"] = true,
				["NonArmoredUnits"] = true,
				["SAM elements"] = true,
				["Air Defence"] = true,
				["Ground vehicles"] = true,
				["RADAR_BAND1_FOR_ARM"] = true,
				["NonAndLightArmoredUnits"] = true,
				["SAM related"] = true,
				["RADAR_BAND2_FOR_ARM"] = true,
				["All"] = true,
				["Ground Units"] = true,
				["</WSTYPE>"] = true,
			}, -- end of ["attributes"]
			["category"] = 2,
			["speedMaxOffRoad"] = 0,
			["_origin"] = "TechWeaponPack",
			["typeName"] = "SNR_75V",
			["displayName"] = "SAM SA-2 TR SNR-75 Fan Song",
		}, -- end of ["desc"]
	} -- end of SNR_75V
	,["S_75M_Volhov"] = 
	{
		["weapons"] = 
		{
			[1] = 
			{
				["count"] = 1,
				["desc"] = 
				{
					["box"] = 
					{
						["min"] = 
						{
							["y"] = -0.84564626216888,
							["x"] = -5.8387970924377,
							["z"] = -0.84564626216888,
						}, -- end of ["min"]
						["max"] = 
						{
							["y"] = 0.84564626216888,
							["x"] = 4.7303376197815,
							["z"] = 0.84564626216888,
						}, -- end of ["max"]
					}, -- end of ["box"]
					["rangeMaxAltMin"] = 40000,
					["fuseDist"] = 20,
					["category"] = 1,
					["guidance"] = 4,
					["Nmax"] = 17,
					["rangeMin"] = 7000,
					["altMax"] = 25000,
					["RCS"] = 0.39669999480247,
					["displayName"] = "SA2V755",
					["altMin"] = 100,
					["life"] = 2,
					["missileCategory"] = 2,
					["warhead"] = 
					{
						["explosiveMass"] = 196,
						["type"] = 1,
						["caliber"] = 500,
						["mass"] = 196,
					}, -- end of ["warhead"]
					["rangeMaxAltMax"] = 30000,
					["typeName"] = "SA2V755",
					["_origin"] = "",
				}, -- end of ["desc"]
			}, -- end of [1]
		}, -- end of ["weapons"]
		["desc"] = 
		{
			["massEmpty"] = 5000,
			["riverCrossing"] = false,
			["maxSlopeAngle"] = 0,
			["Kmax"] = 0.050000000745058,
			["RCS"] = 5,
			["box"] = 
			{
				["min"] = 
				{
					["y"] = -0.159339427948,
					["x"] = -4.1898202896118,
					["z"] = -1.4948447942734,
				}, -- end of ["min"]
				["max"] = 
				{
					["y"] = 2.4417996406555,
					["x"] = 4.1898202896118,
					["z"] = 1.4948447942734,
				}, -- end of ["max"]
			}, -- end of ["box"]
			["speedMax"] = 0,
			["life"] = 1,
			["attributes"] = 
			{
				["LR SAM"] = true,
				["Vehicles"] = true,
				["SAM elements"] = true,
				["NonArmoredUnits"] = true,
				["Air Defence"] = true,
				["Ground vehicles"] = true,
				["Armed Air Defence"] = true,
				["AA_missile"] = true,
				["SAM related"] = true,
				["NonAndLightArmoredUnits"] = true,
				["All"] = true,
				["Ground Units"] = true,
				["SAM LL"] = true,
			}, -- end of ["attributes"]
			["category"] = 2,
			["speedMaxOffRoad"] = 0,
			["_origin"] = "TechWeaponPack",
			["typeName"] = "S_75M_Volhov",
			["displayName"] = "SAM SA-2 LN SM-90",
		}, -- end of ["desc"]
	} -- end of S_75M_Volhov
	,["rapier_fsa_blindfire_radar"] = 
	{
		["sensors"] = 
		{
			[1] = 
			{
				[1] = 
				{
					["detectionDistanceAir"] = 
					{
						["upperHemisphere"] = 
						{
							["tailOn"] = 16718.5078125,
							["headOn"] = 16718.5078125,
						}, -- end of ["upperHemisphere"]
						["lowerHemisphere"] = 
						{
							["tailOn"] = 16718.5078125,
							["headOn"] = 16718.5078125,
						}, -- end of ["lowerHemisphere"]
					}, -- end of ["detectionDistanceAir"]
					["type"] = 1,
					["typeName"] = "Tor 9A331",
				}, -- end of [1]
			}, -- end of [1]
		}, -- end of ["sensors"]
		["desc"] = 
		{
			["massEmpty"] = 5000,
			["riverCrossing"] = false,
			["maxSlopeAngle"] = 0,
			["Kmax"] = 0.050000000745058,
			["RCS"] = 5,
			["box"] = 
			{
				["min"] = 
				{
					["y"] = -0.06157448887825,
					["x"] = -1.4341485500336,
					["z"] = -1.1278841495514,
				}, -- end of ["min"]
				["max"] = 
				{
					["y"] = 2.834972858429,
					["x"] = 2.4003527164459,
					["z"] = 1.1278842687607,
				}, -- end of ["max"]
			}, -- end of ["box"]
			["speedMax"] = 0,
			["life"] = 2,
			["attributes"] = 
			{
				["SAM TR"] = true,
				["Vehicles"] = true,
				["SAM elements"] = true,
				["NonArmoredUnits"] = true,
				["Air Defence"] = true,
				["Ground vehicles"] = true,
				["RADAR_BAND1_FOR_ARM"] = true,
				["NonAndLightArmoredUnits"] = true,
				["SAM related"] = true,
				["RADAR_BAND2_FOR_ARM"] = true,
				["All"] = true,
				["Ground Units"] = true,
				["SR SAM"] = true,
			}, -- end of ["attributes"]
			["category"] = 2,
			["speedMaxOffRoad"] = 0,
			["_origin"] = "TechWeaponPack",
			["typeName"] = "rapier_fsa_blindfire_radar",
			["displayName"] = "Rapier FSA Blindfire Tracker",
		}, -- end of ["desc"]
	} -- end of rapier_fsa_blindfire_radar
	,["rapier_fsa_launcher"] = 
	{
		["weapons"] = 
		{
			[1] = 
			{
				["count"] = 4,
				["desc"] = 
				{
					["box"] = 
					{
						["min"] = 
						{
							["y"] = -0.13611836731434,
							["x"] = -0.84999942779541,
							["z"] = -0.1361181885004,
						}, -- end of ["min"]
						["max"] = 
						{
							["y"] = 0.13611803948879,
							["x"] = 1.4030002355576,
							["z"] = 0.13611821830273,
						}, -- end of ["max"]
					}, -- end of ["box"]
					["rangeMaxAltMin"] = 6800,
					["fuseDist"] = 0,
					["category"] = 1,
					["guidance"] = 8,
					["Nmax"] = 14,
					["rangeMin"] = 400,
					["altMax"] = 3000,
					["RCS"] = 0.079999998211861,
					["displayName"] = "RAPIER",
					["altMin"] = 50,
					["life"] = 2,
					["missileCategory"] = 2,
					["warhead"] = 
					{
						["explosiveMass"] = 1.3999999761581,
						["type"] = 1,
						["caliber"] = 113,
						["mass"] = 5,
					}, -- end of ["warhead"]
					["rangeMaxAltMax"] = 6800,
					["typeName"] = "RAPIER",
					["_origin"] = "",
				}, -- end of ["desc"]
			}, -- end of [1]
		}, -- end of ["weapons"]
		["sensors"] = 
		{
			[1] = 
			{
				[1] = 
				{
					["detectionDistanceAir"] = 
					{
						["upperHemisphere"] = 
						{
							["tailOn"] = 23405.912109375,
							["headOn"] = 23405.912109375,
						}, -- end of ["upperHemisphere"]
						["lowerHemisphere"] = 
						{
							["tailOn"] = 23405.912109375,
							["headOn"] = 23405.912109375,
						}, -- end of ["lowerHemisphere"]
					}, -- end of ["detectionDistanceAir"]
					["type"] = 1,
					["typeName"] = "Roland Radar",
				}, -- end of [1]
			}, -- end of [1]
		}, -- end of ["sensors"]
		["desc"] = 
		{
			["massEmpty"] = 5000,
			["riverCrossing"] = false,
			["maxSlopeAngle"] = 0,
			["Kmax"] = 0.050000000745058,
			["RCS"] = 5,
			["box"] = 
			{
				["min"] = 
				{
					["y"] = -0.064320459961891,
					["x"] = -1.2882169485092,
					["z"] = -1.3424152135849,
				}, -- end of ["min"]
				["max"] = 
				{
					["y"] = 2.1704893112183,
					["x"] = 2.4133129119873,
					["z"] = 1.3424153327942,
				}, -- end of ["max"]
			}, -- end of ["box"]
			["speedMax"] = 0,
			["life"] = 2,
			["attributes"] = 
			{
				["SAM TR"] = true,
				["Vehicles"] = true,
				["SAM elements"] = true,
				["SAM SR"] = true,
				["Ground vehicles"] = true,
				["RADAR_BAND1_FOR_ARM"] = true,
				["AA_missile"] = true,
				["RADAR_BAND2_FOR_ARM"] = true,
				["NonArmoredUnits"] = true,
				["Air Defence"] = true,
				["SR SAM"] = true,
				["SAM LL"] = true,
				["Armed Air Defence"] = true,
				["SAM related"] = true,
				["All"] = true,
				["Ground Units"] = true,
				["NonAndLightArmoredUnits"] = true,
			}, -- end of ["attributes"]
			["category"] = 2,
			["speedMaxOffRoad"] = 0,
			["_origin"] = "TechWeaponPack",
			["typeName"] = "rapier_fsa_launcher",
			["displayName"] = "Rapier FSA Launcher",
		}, -- end of ["desc"]
	} -- end of rapier_fsa_launcher
	,["rapier_fsa_optical_tracker_unit"] = 
	{
		["sensors"] = 
		{
			[0] = 
			{
				[1] = 
				{
					["type"] = 0,
					["typeName"] = "generic SAM search visir",
					["opticType"] = 0,
				}, -- end of [1]
				[2] = 
				{
					["type"] = 0,
					["typeName"] = "generic SAM IR search visir",
					["opticType"] = 2,
				}, -- end of [2]
			}, -- end of [0]
		}, -- end of ["sensors"]
		["desc"] = 
		{
			["massEmpty"] = 5000,
			["riverCrossing"] = false,
			["maxSlopeAngle"] = 0,
			["Kmax"] = 0.050000000745058,
			["RCS"] = 5,
			["box"] = 
			{
				["min"] = 
				{
					["y"] = -0.0093219615519047,
					["x"] = -0.71828979253769,
					["z"] = -0.94367444515228,
				}, -- end of ["min"]
				["max"] = 
				{
					["y"] = 1.6035619974136,
					["x"] = 0.98661839962006,
					["z"] = 0.94367450475693,
				}, -- end of ["max"]
			}, -- end of ["box"]
			["speedMax"] = 0,
			["life"] = 2,
			["attributes"] = 
			{
				["SAM TR"] = true,
				["Vehicles"] = true,
				["SAM elements"] = true,
				["NonArmoredUnits"] = true,
				["Air Defence"] = true,
				["Ground vehicles"] = true,
				["SR SAM"] = true,
				["NonAndLightArmoredUnits"] = true,
				["All"] = true,
				["Ground Units"] = true,
				["SAM related"] = true,
			}, -- end of ["attributes"]
			["category"] = 2,
			["speedMaxOffRoad"] = 0,
			["_origin"] = "TechWeaponPack",
			["typeName"] = "rapier_fsa_optical_tracker_unit",
			["displayName"] = "Rapier FSA Optical Tracker",
		}, -- end of ["desc"]
	} -- end of rapier_fsa_optical_tracker_unit
	,["SS Missile hy_launcher"] = 
	{
		["weapons"] = 
		{
			[1] = 
			{
				["count"] = 1,
				["desc"] = 
				{
					["box"] = 
					{
						["min"] = 
						{
							["y"] = -0.86724120378494,
							["x"] = -3.8283560276031,
							["z"] = -1.1988116502762,
						}, -- end of ["min"]
						["max"] = 
						{
							["y"] = 0.8064940571785,
							["x"] = 3.6800005435944,
							["z"] = 1.1988116502762,
						}, -- end of ["max"]
					}, -- end of ["box"]
					["rangeMaxAltMin"] = 40000,
					["fuseDist"] = 0,
					["category"] = 1,
					["guidance"] = 1,
					["Nmax"] = 12,
					["rangeMin"] = 3000,
					["altMax"] = 12000,
					["RCS"] = 0.39669999480247,
					["displayName"] = "HY_2",
					["altMin"] = -1,
					["life"] = 2,
					["missileCategory"] = 5,
					["warhead"] = 
					{
						["explosiveMass"] = 196,
						["type"] = 1,
						["caliber"] = 470,
						["mass"] = 196,
					}, -- end of ["warhead"]
					["rangeMaxAltMax"] = 40000,
					["typeName"] = "HY_2",
					["_origin"] = "",
				}, -- end of ["desc"]
			}, -- end of [1]
		}, -- end of ["weapons"]
		["sensors"] = 
		{
			[1] = 
			{
				[1] = 
				{
					["detectionDistanceAir"] = 
					{
						["upperHemisphere"] = 
						{
							["tailOn"] = 12037.326171875,
							["headOn"] = 19012.287109375,
						}, -- end of ["upperHemisphere"]
						["lowerHemisphere"] = 
						{
							["tailOn"] = 12037.326171875,
							["headOn"] = 19012.287109375,
						}, -- end of ["lowerHemisphere"]
					}, -- end of ["detectionDistanceAir"]
					["type"] = 1,
					["typeName"] = "molniya search radar",
					["detectionDistanceRBM"] = 284.29998779297,
				}, -- end of [1]
			}, -- end of [1]
		}, -- end of ["sensors"]
		["desc"] = 
		{
			["massEmpty"] = 5000,
			["riverCrossing"] = false,
			["maxSlopeAngle"] = 0,
			["Kmax"] = 0.050000000745058,
			["RCS"] = 5,
			["box"] = 
			{
				["min"] = 
				{
					["y"] = -0.025083288550377,
					["x"] = -4.1893291473389,
					["z"] = -2.8703889846802,
				}, -- end of ["min"]
				["max"] = 
				{
					["y"] = 3.8452813625336,
					["x"] = 5.3264803886414,
					["z"] = 2.8703892230988,
				}, -- end of ["max"]
			}, -- end of ["box"]
			["speedMax"] = 0,
			["life"] = 1,
			["attributes"] = 
			{
				["SS_missile"] = true,
				["DetectionByAWACS"] = true,
			}, -- end of ["attributes"]
			["category"] = 2,
			["speedMaxOffRoad"] = 0,
			["_origin"] = "TechWeaponPack",
			["typeName"] = "hy_launcher",
			["displayName"] = "SS-N-2 Silkworm",
		}, -- end of ["desc"]
	} -- end of SS Missile hy_launcher
	,["Truck Land_Rover_109_S3"] = 
	{
		["desc"] = 
		{
			["massEmpty"] = 1500,
			["riverCrossing"] = false,
			["maxSlopeAngle"] = 0.46999999880791,
			["Kmax"] = 0.050000000745058,
			["RCS"] = 5,
			["box"] = 
			{
				["min"] = 
				{
					["y"] = -0.041022188961506,
					["x"] = -2.6554338932037,
					["z"] = -1.0484528541565,
				}, -- end of ["min"]
				["max"] = 
				{
					["y"] = 2.0193212032318,
					["x"] = 1.9941304922104,
					["z"] = 1.0484528541565,
				}, -- end of ["max"]
			}, -- end of ["box"]
			["speedMax"] = 34.700000762939,
			["life"] = 2,
			["attributes"] = 
			{
				["Ground Units Non Airdefence"] = true,
				["Vehicles"] = true,
				["NonArmoredUnits"] = true,
				["Trucks"] = true,
				["Ground vehicles"] = true,
				["NonAndLightArmoredUnits"] = true,
				["All"] = true,
				["Ground Units"] = true,
				["Unarmed vehicles"] = true,
			}, -- end of ["attributes"]
			["category"] = 2,
			["speedMaxOffRoad"] = 34.700000762939,
			["_origin"] = "TechWeaponPack",
			["typeName"] = "Land_Rover_109_S3",
			["displayName"] = "Land Rover 109 S3",
		}, -- end of ["desc"]
	} -- end of Truck Land_Rover_109_S3
	,["Truck Land_Rover_101_FC"] = 
	{
		["desc"] = 
		{
			["massEmpty"] = 1500,
			["riverCrossing"] = false,
			["maxSlopeAngle"] = 0.46999999880791,
			["Kmax"] = 0.050000000745058,
			["RCS"] = 5,
			["box"] = 
			{
				["min"] = 
				{
					["y"] = -0.053687579929829,
					["x"] = -2.3147339820862,
					["z"] = -1.2697758674622,
				}, -- end of ["min"]
				["max"] = 
				{
					["y"] = 2.3226103782654,
					["x"] = 2.3147339820862,
					["z"] = 1.2697759866714,
				}, -- end of ["max"]
			}, -- end of ["box"]
			["speedMax"] = 34.700000762939,
			["life"] = 2,
			["attributes"] = 
			{
				["Ground Units Non Airdefence"] = true,
				["Vehicles"] = true,
				["NonArmoredUnits"] = true,
				["Trucks"] = true,
				["Ground vehicles"] = true,
				["NonAndLightArmoredUnits"] = true,
				["All"] = true,
				["Ground Units"] = true,
				["Unarmed vehicles"] = true,
			}, -- end of ["attributes"]
			["category"] = 2,
			["speedMaxOffRoad"] = 34.700000762939,
			["_origin"] = "TechWeaponPack",
			["typeName"] = "Land_Rover_101_FC",
			["displayName"] = "Land Rover 101 FC",
		}, -- end of ["desc"]
	} -- end of Truck Land_Rover_101_FC
	,["SS Missile TomahawkLauncher"] = 
	{
		["weapons"] = 
		{
			[1] = 
			{
				["count"] = 12,
				["desc"] = 
				{
					["box"] = 
					{
						["min"] = 
						{
							["y"] = -0.42347154021263,
							["x"] = -3.547247171402,
							["z"] = -1.3377370834351,
						}, -- end of ["min"]
						["max"] = 
						{
							["y"] = 0.51750361919403,
							["x"] = 2.8631827831268,
							["z"] = 1.3377370834351,
						}, -- end of ["max"]
					}, -- end of ["box"]
					["rangeMaxAltMin"] = 460000,
					["fuseDist"] = 0,
					["category"] = 1,
					["guidance"] = 1,
					["Nmax"] = 17,
					["rangeMin"] = 3000,
					["altMax"] = 12000,
					["RCS"] = 0.39669999480247,
					["displayName"] = "BGM-109B",
					["altMin"] = -1,
					["life"] = 2,
					["missileCategory"] = 5,
					["warhead"] = 
					{
						["explosiveMass"] = 181.60000610352,
						["type"] = 1,
						["caliber"] = 520,
						["mass"] = 181.60000610352,
					}, -- end of ["warhead"]
					["rangeMaxAltMax"] = 460000,
					["typeName"] = "BGM-109B",
					["_origin"] = "",
				}, -- end of ["desc"]
			}, -- end of [1]
		}, -- end of ["weapons"]
		["desc"] = 
		{
			["massEmpty"] = 25191,
			["riverCrossing"] = false,
			["maxSlopeAngle"] = 0.27000001072884,
			["Kmax"] = 0.050000000745058,
			["RCS"] = 5,
			["box"] = 
			{
				["min"] = 
				{
					["y"] = -0.024093169718981,
					["x"] = -3.4885001182556,
					["z"] = -1.3715417385101,
				}, -- end of ["min"]
				["max"] = 
				{
					["y"] = 3.0690410137177,
					["x"] = 3.4885001182556,
					["z"] = 1.3715417385101,
				}, -- end of ["max"]
			}, -- end of ["box"]
			["speedMax"] = 17.777799606323,
			["life"] = 2,
			["attributes"] = 
			{
				["Datalink"] = true,
				["MissilesSS"] = true,
			}, -- end of ["attributes"]
			["category"] = 2,
			["speedMaxOffRoad"] = 17.777799606323,
			["_origin"] = "TechWeaponPack",
			["typeName"] = "TomahawkLauncher",
			["displayName"] = "Tomahawk Launcher",
		}, -- end of ["desc"]
	} -- end of SS Missile TomahawkLauncher
    ,["Soldier stinger"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 3,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.08772849291563,
                            ["x"] = -0.76689594984055,
                            ["z"] = -0.088496953248978,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.087728500366211,
                            ["x"] = 0.76825255155563,
                            ["z"] = 0.088496953248978,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 5000,
                    ["fuseDist"] = 0,
                    ["category"] = 1,
                    ["guidance"] = 2,
                    ["Nmax"] = 18,
                    ["rangeMin"] = 200,
                    ["altMax"] = 3500,
                    ["RCS"] = 0.0043999999761581,
                    ["displayName"] = "FIM-92C",
                    ["altMin"] = 1,
                    ["life"] = 2,
                    ["missileCategory"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 3,
                        ["type"] = 1,
                        ["caliber"] = 70,
                        ["mass"] = 3,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 6000,
                    ["typeName"] = "FIM-92C",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 90,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.87000000476837,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0,
                    ["x"] = -0.5,
                    ["z"] = -0.39999994635582,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.7999999523163,
                    ["x"] = 0.5,
                    ["z"] = 0.39999994635582,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 4,
            ["life"] = 0.079999998211861,
            ["attributes"] = 
            {
                ["Vehicles"] = true,
                ["SAM related"] = true,
                ["New infantry"] = true,
                ["Armed ground units"] = true,
                ["MANPADS"] = true,
                ["IR Guided SAM"] = true,
                ["Ground Units Non Airdefence"] = true,
                ["NonArmoredUnits"] = true,
                ["Air Defence"] = true,
                ["Rocket Attack Valid AirDefence"] = true,
                ["Infantry"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["SAM"] = true,
                ["All"] = true,
                ["Armed Air Defence"] = true,
                ["Ground Units"] = true,
                ["Ground vehicles"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 4,
            ["_origin"] = "",
            ["typeName"] = "Soldier stinger",
            ["displayName"] = "Stinger MANPADS",
        }, -- end of ["desc"]
    } -- end of Soldier stinger
    ,["Stinger comm"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 90,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.87000000476837,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.44592845439911,
                    ["x"] = -1.3637089729309,
                    ["z"] = -1.0563538074493,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.0450000762939,
                    ["x"] = 1.3533844947815,
                    ["z"] = 1.2836854457855,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 4,
            ["life"] = 0.079999998211861,
            ["attributes"] = 
            {
                ["MANPADS AUX"] = true,
                ["Ground Units Non Airdefence"] = true,
                ["Rocket Attack Valid AirDefence"] = true,
                ["SAM elements"] = true,
                ["NonArmoredUnits"] = true,
                ["SAM AUX"] = true,
                ["CustomAimPoint"] = true,
                ["Air Defence"] = true,
                ["Ground vehicles"] = true,
                ["SAM related"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Vehicles"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Infantry"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 4,
            ["_origin"] = "",
            ["typeName"] = "Stinger comm",
            ["displayName"] = "SAM Stinger comm",
        }, -- end of ["desc"]
    } -- end of Stinger comm
    ,["Stinger manpad dsr"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 3,
                ["desc"] = 
                {
                    ["missileCategory"] = 2,
                    ["rangeMaxAltMax"] = 5200,
                    ["rangeMin"] = 200,
                    ["displayName"] = "FIM-92C",
                    ["rangeMaxAltMin"] = 4500,
                    ["altMax"] = 3500,
                    ["RCS"] = 0.0043999999761581,
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.08772849291563,
                            ["x"] = -0.76689594984055,
                            ["z"] = -0.088496953248978,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.087728500366211,
                            ["x"] = 0.76825255155563,
                            ["z"] = 0.088496953248978,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["altMin"] = 1,
                    ["life"] = 2,
                    ["fuseDist"] = 0,
                    ["category"] = 1,
                    ["guidance"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 1.75,
                        ["type"] = 1,
                        ["caliber"] = 70,
                        ["mass"] = 1.75,
                    }, -- end of ["warhead"]
                    ["typeName"] = "FIM-92C",
                    ["Nmax"] = 18,
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "human daysight",
                    ["opticType"] = 0,
                }, -- end of [1]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 90,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.87000000476837,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.42785686254501,
                    ["x"] = -1.085144162178,
                    ["z"] = -0.97101402282715,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.8362134695053,
                    ["x"] = 0.96845602989197,
                    ["z"] = 0.85180181264877,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 4,
            ["life"] = 0.079999998211861,
            ["attributes"] = 
            {
                ["Rocket Attack Valid AirDefence"] = true,
                ["SAM"] = true,
                ["Vehicles"] = true,
                ["Infantry"] = true,
                ["NonArmoredUnits"] = true,
                ["Ground Units"] = true,
                ["Ground Units Non Airdefence"] = true,
                ["Air Defence"] = true,
                ["SAM related"] = true,
                ["All"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Ground vehicles"] = true,
                ["Armed ground units"] = true,
                ["Armed Air Defence"] = true,
                ["MANPADS"] = true,
                ["IR Guided SAM"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 4,
            ["Kmax"] = 0.050000000745058,
            ["typeName"] = "Stinger manpad dsr",
            ["displayName"] = "SAM Stinger MANPADS dsr",
        }, -- end of ["desc"]
    } -- end of Stinger manpad dsr
    ,["Stinger manpad GRG"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 3,
                ["desc"] = 
                {
                    ["missileCategory"] = 2,
                    ["rangeMaxAltMax"] = 5200,
                    ["rangeMin"] = 200,
                    ["displayName"] = "FIM-92C",
                    ["rangeMaxAltMin"] = 4500,
                    ["altMax"] = 3500,
                    ["RCS"] = 0.0043999999761581,
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.08772849291563,
                            ["x"] = -0.76689594984055,
                            ["z"] = -0.088496953248978,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.087728500366211,
                            ["x"] = 0.76825255155563,
                            ["z"] = 0.088496953248978,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["altMin"] = 1,
                    ["life"] = 2,
                    ["fuseDist"] = 0,
                    ["category"] = 1,
                    ["guidance"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 1.75,
                        ["type"] = 1,
                        ["caliber"] = 70,
                        ["mass"] = 1.75,
                    }, -- end of ["warhead"]
                    ["typeName"] = "FIM-92C",
                    ["Nmax"] = 18,
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "human daysight",
                    ["opticType"] = 0,
                }, -- end of [1]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 90,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.87000000476837,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0,
                    ["x"] = -0.5,
                    ["z"] = -0.39999994635582,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.7999999523163,
                    ["x"] = 0.5,
                    ["z"] = 0.39999994635582,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 4,
            ["life"] = 0.079999998211861,
            ["attributes"] = 
            {
                ["Vehicles"] = true,
                ["SAM related"] = true,
                ["New infantry"] = true,
                ["Armed ground units"] = true,
                ["MANPADS"] = true,
                ["IR Guided SAM"] = true,
                ["Ground Units Non Airdefence"] = true,
                ["NonArmoredUnits"] = true,
                ["Air Defence"] = true,
                ["Rocket Attack Valid AirDefence"] = true,
                ["Infantry"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["SAM"] = true,
                ["All"] = true,
                ["Armed Air Defence"] = true,
                ["Ground Units"] = true,
                ["Ground vehicles"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 4,
            ["Kmax"] = 0.050000000745058,
            ["typeName"] = "Stinger manpad GRG",
            ["displayName"] = "SAM Stinger MANPADS",
        }, -- end of ["desc"]
    } -- end of Stinger manpad GRG
    ,["Strela-1 9P31"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 4,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.13098473846912,
                            ["x"] = -0.90165680646896,
                            ["z"] = -0.13213211297989,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.13098473846912,
                            ["x"] = 0.90301340818405,
                            ["z"] = 0.13213211297989,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 4200,
                    ["fuseDist"] = 2.5,
                    ["category"] = 1,
                    ["guidance"] = 2,
                    ["Nmax"] = 16,
                    ["rangeMin"] = 800,
                    ["altMax"] = 3500,
                    ["RCS"] = 0.03999999910593,
                    ["displayName"] = "9M31",
                    ["altMin"] = 30,
                    ["life"] = 2,
                    ["missileCategory"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 2.5999999046326,
                        ["type"] = 1,
                        ["caliber"] = 120,
                        ["mass"] = 2.5999999046326,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 4200,
                    ["typeName"] = "9M31",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 7000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.46999999880791,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.00064983149059117,
                    ["x"] = -2.9560101032257,
                    ["z"] = -1.1353378295898,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.3131737709045,
                    ["x"] = 2.759286403656,
                    ["z"] = 1.1563268899918,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 27.777799606323,
            ["life"] = 2,
            ["attributes"] = 
            {
                ["SAM"] = true,
                ["Vehicles"] = true,
                ["NonArmoredUnits"] = true,
                ["Ground vehicles"] = true,
                ["Air Defence"] = true,
                ["SAM related"] = true,
                ["SR SAM"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["AA_missile"] = true,
                ["All"] = true,
                ["Armed Air Defence"] = true,
                ["Ground Units"] = true,
                ["IR Guided SAM"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 27.777799606323,
            ["_origin"] = "",
            ["typeName"] = "Strela-1 9P31",
            ["displayName"] = "SAM SA-9 Strela-1 9P31",
        }, -- end of ["desc"]
    } -- end of Strela-1 9P31
    ,["Strela-10M3"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 8,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.13098473846912,
                            ["x"] = -1.1213990449905,
                            ["z"] = -0.13213211297989,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.13098473846912,
                            ["x"] = 1.1227556467056,
                            ["z"] = 0.13213211297989,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 5000,
                    ["fuseDist"] = 3,
                    ["category"] = 1,
                    ["guidance"] = 2,
                    ["Nmax"] = 16,
                    ["rangeMin"] = 800,
                    ["altMax"] = 3500,
                    ["RCS"] = 0.050000000745058,
                    ["displayName"] = "9M333",
                    ["altMin"] = 25,
                    ["life"] = 2,
                    ["missileCategory"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 3.5,
                        ["type"] = 1,
                        ["caliber"] = 120,
                        ["mass"] = 3.5,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 5000,
                    ["typeName"] = "9M333",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 1009,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.62,
                        ["mass"] = 0.0119,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "7.62mm",
                    ["typeName"] = "weapons.shells.7_62x54",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 12300,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.43999999761581,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.024093169718981,
                    ["x"] = -3.3456399440765,
                    ["z"] = -1.3644953966141,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.0690410137177,
                    ["x"] = 3.3568015098572,
                    ["z"] = 1.3785880804062,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 16.666700363159,
            ["life"] = 2,
            ["attributes"] = 
            {
                ["SAM TR"] = true,
                ["Vehicles"] = true,
                ["SAM elements"] = true,
                ["NonArmoredUnits"] = true,
                ["SAM"] = true,
                ["Ground vehicles"] = true,
                ["Air Defence"] = true,
                ["SAM related"] = true,
                ["SR SAM"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["AA_missile"] = true,
                ["All"] = true,
                ["Armed Air Defence"] = true,
                ["Ground Units"] = true,
                ["IR Guided SAM"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 16.666700363159,
            ["_origin"] = "",
            ["typeName"] = "Strela-10M3",
            ["displayName"] = "SAM SA-13 Strela-10M3 9A35M3",
        }, -- end of ["desc"]
    } -- end of Strela-10M3
    ,["Tor 9A331"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 8,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.26701140403748,
                            ["x"] = -1.678077340126,
                            ["z"] = -0.26600670814514,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.26701140403748,
                            ["x"] = 1.8263295888901,
                            ["z"] = 0.26600670814514,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 12000,
                    ["fuseDist"] = 7,
                    ["category"] = 1,
                    ["guidance"] = 4,
                    ["Nmax"] = 30,
                    ["rangeMin"] = 1500,
                    ["altMax"] = 6000,
                    ["RCS"] = 0.03070000000298,
                    ["displayName"] = "9M330",
                    ["altMin"] = 10,
                    ["life"] = 2,
                    ["missileCategory"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 14.5,
                        ["type"] = 1,
                        ["caliber"] = 220,
                        ["mass"] = 14.5,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 12000,
                    ["typeName"] = "9M330",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 16718.5078125,
                            ["headOn"] = 16718.5078125,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 16718.5078125,
                            ["headOn"] = 16718.5078125,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["typeName"] = "Tor 9A331",
                }, -- end of [1]
            }, -- end of [1]
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "generic SAM search visir",
                    ["opticType"] = 0,
                }, -- end of [1]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 34000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.27000001072884,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.039917565882206,
                    ["x"] = -4.5607042312622,
                    ["z"] = -1.7571629285812,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.610570192337,
                    ["x"] = 4.5179929733276,
                    ["z"] = 1.7558742761612,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 18.055599212646,
            ["life"] = 3,
            ["attributes"] = 
            {
                ["SAM TR"] = true,
                ["Vehicles"] = true,
                ["SAM elements"] = true,
                ["NonArmoredUnits"] = true,
                ["SAM SR"] = true,
                ["Air Defence"] = true,
                ["Ground vehicles"] = true,
                ["RADAR_BAND1_FOR_ARM"] = true,
                ["AA_missile"] = true,
                ["SAM related"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["SR SAM"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 18.055599212646,
            ["_origin"] = "",
            ["typeName"] = "Tor 9A331",
            ["displayName"] = "SAM SA-15 Tor 9A331",
        }, -- end of ["desc"]
    } -- end of Tor 9A331
    ,["Ural-375 ZU-23 Insurgent"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 134,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 23,
                        ["mass"] = 0.189,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "23mm AP",
                    ["typeName"] = "weapons.shells.2A7_23_AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 383,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.189,
                        ["type"] = 1,
                        ["caliber"] = 23,
                        ["mass"] = 0.189,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "23mm HE",
                    ["typeName"] = "weapons.shells.2A7_23_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 6000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.46999999880791,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -7.6826043368783e-05,
                    ["x"] = -3.0357229709625,
                    ["z"] = -1.258252620697,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.8902733325958,
                    ["x"] = 4.4804229736328,
                    ["z"] = 1.2277096509933,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 20.833299636841,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Rocket Attack Valid AirDefence"] = true,
                ["NonArmoredUnits"] = true,
                ["Ground vehicles"] = true,
                ["Air Defence"] = true,
                ["AAA"] = true,
                ["Vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Ground Units"] = true,
                ["All"] = true,
                ["Armed Air Defence"] = true,
                ["Mobile AAA"] = true,
                ["AA_flak"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 20.833299636841,
            ["_origin"] = "",
            ["typeName"] = "Ural-375 ZU-23 Insurgent",
            ["displayName"] = "AAA ZU-23 Insurgent on Ural-375",
        }, -- end of ["desc"]
    } -- end of Ural-375 ZU-23 Insurgent
    ,["Ural-375 ZU-23"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 134,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 23,
                        ["mass"] = 0.189,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "23mm AP",
                    ["typeName"] = "weapons.shells.2A7_23_AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 383,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.189,
                        ["type"] = 1,
                        ["caliber"] = 23,
                        ["mass"] = 0.189,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "23mm HE",
                    ["typeName"] = "weapons.shells.2A7_23_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 6000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.46999999880791,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -7.6826043368783e-05,
                    ["x"] = -3.0357229709625,
                    ["z"] = -1.258252620697,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.8902733325958,
                    ["x"] = 4.4804229736328,
                    ["z"] = 1.2277096509933,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 20.833299636841,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Rocket Attack Valid AirDefence"] = true,
                ["NonArmoredUnits"] = true,
                ["Ground vehicles"] = true,
                ["Air Defence"] = true,
                ["AAA"] = true,
                ["Vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Ground Units"] = true,
                ["All"] = true,
                ["Armed Air Defence"] = true,
                ["Mobile AAA"] = true,
                ["AA_flak"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 20.833299636841,
            ["_origin"] = "",
            ["typeName"] = "Ural-375 ZU-23",
            ["displayName"] = "AAA ZU-23 on Ural-375",
        }, -- end of ["desc"]
    } -- end of Ural-375 ZU-23
    ,["Vulcan"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 590,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 20,
                        ["mass"] = 0.11,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "20mm AP",
                    ["typeName"] = "weapons.shells.M61_20_AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 590,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.11,
                        ["type"] = 1,
                        ["caliber"] = 20,
                        ["mass"] = 0.11,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "20mm HE",
                    ["typeName"] = "weapons.shells.M61_20_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 11253,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.61000001430511,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.0005190420197323,
                    ["x"] = -2.5482997894287,
                    ["z"] = -1.3644953966141,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.7865834236145,
                    ["x"] = 2.5594613552094,
                    ["z"] = 1.3785880804062,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 16.666700363159,
            ["life"] = 2,
            ["attributes"] = 
            {
                ["AAA"] = true,
                ["SAM TR"] = true,
                ["Vehicles"] = true,
                ["SAM elements"] = true,
                ["AA_flak"] = true,
                ["Rocket Attack Valid AirDefence"] = true,
                ["Armed Air Defence"] = true,
                ["Air Defence"] = true,
                ["Ground vehicles"] = true,
                ["SAM related"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["NonArmoredUnits"] = true,
                ["Ground Units"] = true,
                ["All"] = true,
                ["Mobile AAA"] = true,
                ["Datalink"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 16.666700363159,
            ["_origin"] = "",
            ["typeName"] = "Vulcan",
            ["displayName"] = "AAA Vulcan M163",
        }, -- end of ["desc"]
    } -- end of Vulcan
    ,["ZSU-23-4 Shilka"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 503,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 23,
                        ["mass"] = 0.189,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "23mm AP",
                    ["typeName"] = "weapons.shells.2A7_23_AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 1501,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.189,
                        ["type"] = 1,
                        ["caliber"] = 23,
                        ["mass"] = 0.189,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "23mm HE",
                    ["typeName"] = "weapons.shells.2A7_23_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 3343.7016601563,
                            ["headOn"] = 3343.7016601563,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 3343.7016601563,
                            ["headOn"] = 3343.7016601563,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["typeName"] = "ZSU-23-4 Shilka",
                }, -- end of [1]
            }, -- end of [1]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 20500,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.27000001072884,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.036689419299364,
                    ["x"] = -3.5603575706482,
                    ["z"] = -1.506253361702,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.0694417953491,
                    ["x"] = 3.1526401042938,
                    ["z"] = 1.5062534809113,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 12.222200393677,
            ["life"] = 3,
            ["attributes"] = 
            {
                ["SAM related"] = true,
                ["SAM TR"] = true,
                ["Rocket Attack Valid AirDefence"] = true,
                ["SAM elements"] = true,
                ["AA_flak"] = true,
                ["Ground vehicles"] = true,
                ["Vehicles"] = true,
                ["Air Defence"] = true,
                ["AAA"] = true,
                ["RADAR_BAND1_FOR_ARM"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Ground Units"] = true,
                ["All"] = true,
                ["Armed Air Defence"] = true,
                ["Mobile AAA"] = true,
                ["NonArmoredUnits"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 12.222200393677,
            ["_origin"] = "",
            ["typeName"] = "ZSU-23-4 Shilka",
            ["displayName"] = "SPAAA ZSU-23-4 Shilka",
        }, -- end of ["desc"]
    } -- end of ZSU-23-4 Shilka
    ,["ZU-23 Closed Insurgent"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 134,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 23,
                        ["mass"] = 0.189,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "23mm AP",
                    ["typeName"] = "weapons.shells.2A7_23_AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 383,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.189,
                        ["type"] = 1,
                        ["caliber"] = 23,
                        ["mass"] = 0.189,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "23mm HE",
                    ["typeName"] = "weapons.shells.2A7_23_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 5000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.38371247053146,
                    ["x"] = -3.7878906726837,
                    ["z"] = -3.5970816612244,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.3880898952484,
                    ["x"] = 3.16322016716,
                    ["z"] = 3.56653881073,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 0,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Rocket Attack Valid AirDefence"] = true,
                ["AA_flak"] = true,
                ["Ground vehicles"] = true,
                ["Air Defence"] = true,
                ["AAA"] = true,
                ["Vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Armed Air Defence"] = true,
                ["All"] = true,
                ["Static AAA"] = true,
                ["Ground Units"] = true,
                ["NonArmoredUnits"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 0,
            ["_origin"] = "",
            ["typeName"] = "ZU-23 Closed Insurgent",
            ["displayName"] = "AAA ZU-23 Insurgent Closed",
        }, -- end of ["desc"]
    } -- end of ZU-23 Closed Insurgent
    ,["ZU-23 Emplacement Closed"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 134,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 23,
                        ["mass"] = 0.189,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "23mm AP",
                    ["typeName"] = "weapons.shells.2A7_23_AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 383,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.189,
                        ["type"] = 1,
                        ["caliber"] = 23,
                        ["mass"] = 0.189,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "23mm HE",
                    ["typeName"] = "weapons.shells.2A7_23_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 5000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.38371247053146,
                    ["x"] = -3.7878906726837,
                    ["z"] = -3.5970816612244,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.3880898952484,
                    ["x"] = 3.16322016716,
                    ["z"] = 3.56653881073,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 0,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Rocket Attack Valid AirDefence"] = true,
                ["AA_flak"] = true,
                ["Ground vehicles"] = true,
                ["Air Defence"] = true,
                ["AAA"] = true,
                ["Vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Armed Air Defence"] = true,
                ["All"] = true,
                ["Static AAA"] = true,
                ["Ground Units"] = true,
                ["NonArmoredUnits"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 0,
            ["_origin"] = "",
            ["typeName"] = "ZU-23 Emplacement Closed",
            ["displayName"] = "AAA ZU-23 Closed",
        }, -- end of ["desc"]
    } -- end of ZU-23 Emplacement Closed
    ,["ZU-23 Emplacement"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 134,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 23,
                        ["mass"] = 0.189,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "23mm AP",
                    ["typeName"] = "weapons.shells.2A7_23_AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 383,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.189,
                        ["type"] = 1,
                        ["caliber"] = 23,
                        ["mass"] = 0.189,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "23mm HE",
                    ["typeName"] = "weapons.shells.2A7_23_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 5000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.010786020196974,
                    ["x"] = -2.4222345352173,
                    ["z"] = -1.8541684150696,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.3669797182083,
                    ["x"] = 2.430433511734,
                    ["z"] = 1.8236254453659,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 0,
            ["life"] = 0.10000000149012,
            ["attributes"] = 
            {
                ["Rocket Attack Valid AirDefence"] = true,
                ["AA_flak"] = true,
                ["Ground vehicles"] = true,
                ["Air Defence"] = true,
                ["AAA"] = true,
                ["Vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Armed Air Defence"] = true,
                ["All"] = true,
                ["Static AAA"] = true,
                ["Ground Units"] = true,
                ["NonArmoredUnits"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 0,
            ["_origin"] = "",
            ["typeName"] = "ZU-23 Emplacement",
            ["displayName"] = "AAA ZU-23 Emplacement",
        }, -- end of ["desc"]
    } -- end of ZU-23 Emplacement
    ,["ZU-23 Insurgent"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 134,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 23,
                        ["mass"] = 0.189,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "23mm AP",
                    ["typeName"] = "weapons.shells.2A7_23_AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 383,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.189,
                        ["type"] = 1,
                        ["caliber"] = 23,
                        ["mass"] = 0.189,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "23mm HE",
                    ["typeName"] = "weapons.shells.2A7_23_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 5000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.010786020196974,
                    ["x"] = -2.4222345352173,
                    ["z"] = -1.8541684150696,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.3669797182083,
                    ["x"] = 2.430433511734,
                    ["z"] = 1.8236254453659,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 0,
            ["life"] = 0.10000000149012,
            ["attributes"] = 
            {
                ["Rocket Attack Valid AirDefence"] = true,
                ["AA_flak"] = true,
                ["Ground vehicles"] = true,
                ["Air Defence"] = true,
                ["AAA"] = true,
                ["Vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Armed Air Defence"] = true,
                ["All"] = true,
                ["Static AAA"] = true,
                ["Ground Units"] = true,
                ["NonArmoredUnits"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 0,
            ["_origin"] = "",
            ["typeName"] = "ZU-23 Insurgent",
            ["displayName"] = "AAA ZU-23 Insurgent",
        }, -- end of ["desc"]
    } -- end of ZU-23 Insurgent
    ,["A-10A"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 1150,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 30,
                        ["mass"] = 0.36,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "30mm AP",
                    ["typeName"] = "weapons.shells.GAU8_30_AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.16146284341812,
                            ["x"] = -44.163108825684,
                            ["z"] = -0.64507895708084,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.15063416957855,
                            ["x"] = 0.025108814239502,
                            ["z"] = 0.64480221271515,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 236,
            ["massEmpty"] = 11739,
            ["tankerType"] = 0,
            ["range"] = 1500,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -1.2815840244293,
                    ["x"] = -9.1228017807007,
                    ["z"] = -9.4672021865845,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.3696703910828,
                    ["x"] = 7.6860585212708,
                    ["z"] = 9.4679193496704,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 10000,
            ["Kmax"] = 0.52999997138977,
            ["_origin"] = "",
            ["speedMax10K"] = 134,
            ["NyMin"] = -2,
            ["fuelMassMax"] = 5029,
            ["speedMax"] = 236,
            ["NyMax"] = 5.9000000953674,
            ["massMax"] = 21081,
            ["RCS"] = 10,
            ["displayName"] = "a-10a",
            ["life"] = 32,
            ["VyMax"] = 30,
            ["Kab"] = 0,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Battle airplanes"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Battleplanes"] = true,
                ["Refuelable"] = true,
                ["All"] = true,
                ["Planes"] = true,
                ["NonArmoredUnits"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "A-10A",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of A-10A
    ,["A-10C"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 1150,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 30,
                        ["mass"] = 0.36,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "30mm AP",
                    ["typeName"] = "weapons.shells.GAU8_30_AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.16146284341812,
                            ["x"] = -44.163108825684,
                            ["z"] = -0.64507895708084,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.15063416957855,
                            ["x"] = 0.025108814239502,
                            ["z"] = 0.64480221271515,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 236,
            ["massEmpty"] = 11739,
            ["tankerType"] = 0,
            ["range"] = 1500,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -1.2815840244293,
                    ["x"] = -9.1228017807007,
                    ["z"] = -9.4672021865845,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.3696703910828,
                    ["x"] = 7.6860585212708,
                    ["z"] = 9.4541301727295,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 10000,
            ["Kmax"] = 0.52999997138977,
            ["_origin"] = "",
            ["speedMax10K"] = 134,
            ["NyMin"] = -2,
            ["fuelMassMax"] = 5029,
            ["speedMax"] = 236,
            ["NyMax"] = 5.9000000953674,
            ["massMax"] = 21081,
            ["RCS"] = 10,
            ["displayName"] = "A-10C",
            ["life"] = 32,
            ["VyMax"] = 30,
            ["Kab"] = 0,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Battle airplanes"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Battleplanes"] = true,
                ["Refuelable"] = true,
                ["All"] = true,
                ["Planes"] = true,
                ["NonArmoredUnits"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "A-10C",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of A-10C
    ,["A-50"] = 
    {
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 204461.796875,
                            ["headOn"] = 204461.796875,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 204461.796875,
                            ["headOn"] = 204461.796875,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["typeName"] = "Shmel",
                    ["detectionDistanceRBM"] = 2500,
                }, -- end of [1]
            }, -- end of [1]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 167.11000061035,
            ["massEmpty"] = 90000,
            ["tankerType"] = 1,
            ["range"] = 7300,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -3.3296194076538,
                    ["x"] = -27.208490371704,
                    ["z"] = -25.958759307861,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 11.463214874268,
                    ["x"] = 21.821313858032,
                    ["z"] = 26.033617019653,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 12247,
            ["Kmax"] = 4,
            ["_origin"] = "",
            ["speedMax10K"] = 236.11000061035,
            ["NyMin"] = 0.5,
            ["fuelMassMax"] = 70000,
            ["speedMax"] = 236.11000061035,
            ["NyMax"] = 2.5,
            ["massMax"] = 190000,
            ["RCS"] = 80,
            ["displayName"] = "a-50",
            ["life"] = 60,
            ["VyMax"] = 10,
            ["Kab"] = 0,
            ["attributes"] = 
            {
                ["AWACS"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Planes"] = true,
                ["Refuelable"] = true,
                ["All"] = true,
                ["Air"] = true,
                ["NonArmoredUnits"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "A-50",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of A-50
    ,["AJS37"] = 
    {
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 30762.0546875,
                            ["headOn"] = 50824.265625,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 23405.912109375,
                            ["headOn"] = 50824.265625,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["detectionDistanceRBM"] = 1800,
                    ["typeName"] = "AN/APG-73",
                    ["detectionDistanceHRM"] = 200,
                }, -- end of [1]
            }, -- end of [1]
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "Shkval",
                    ["opticType"] = 0,
                }, -- end of [1]
            }, -- end of [0]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 1200,
            ["massEmpty"] = 10749,
            ["range"] = 2000,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -1.2390263080597,
                    ["x"] = -14.131653785706,
                    ["z"] = -5.2076072692871,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.5302677154541,
                    ["x"] = 9.458854675293,
                    ["z"] = 5.2099537849426,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 21000,
            ["Kmax"] = 0.62000000476837,
            ["_origin"] = "AJS37 AI by Heatblur Simulations",
            ["speedMax10K"] = 550,
            ["NyMin"] = -2,
            ["fuelMassMax"] = 4476,
            ["speedMax"] = 1200,
            ["NyMax"] = 8,
            ["massMax"] = 20000,
            ["RCS"] = 3,
            ["displayName"] = "AJS37",
            ["life"] = 18,
            ["VyMax"] = 200,
            ["Kab"] = 2,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Battle airplanes"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Battleplanes"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Planes"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "AJS37",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of AJS37
    ,["An-26B"] = 
    {
        ["desc"] = 
        {
            ["speedMax0"] = 178,
            ["massEmpty"] = 15850,
            ["range"] = 2660,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -2.7045464515686,
                    ["x"] = -14.972332954407,
                    ["z"] = -15.538203239441,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 5.7194294929504,
                    ["x"] = 9.8501539230347,
                    ["z"] = 15.533967971802,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 7500,
            ["Kmax"] = 0.5,
            ["_origin"] = "",
            ["speedMax10K"] = 140,
            ["NyMin"] = 0.5,
            ["fuelMassMax"] = 5500,
            ["speedMax"] = 178,
            ["NyMax"] = 2.5,
            ["massMax"] = 24000,
            ["RCS"] = 50,
            ["displayName"] = "an-26b",
            ["life"] = 45,
            ["VyMax"] = 8,
            ["Kab"] = 0,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Planes"] = true,
                ["Transports"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "An-26B",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of An-26B
    ,["An-30M"] = 
    {
        ["desc"] = 
        {
            ["speedMax0"] = 178,
            ["massEmpty"] = 15850,
            ["range"] = 2660,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -2.7045464515686,
                    ["x"] = -14.691146850586,
                    ["z"] = -15.538203239441,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 5.7194299697876,
                    ["x"] = 10.527980804443,
                    ["z"] = 15.533967971802,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 7500,
            ["Kmax"] = 0.5,
            ["_origin"] = "",
            ["speedMax10K"] = 140,
            ["NyMin"] = 0.5,
            ["fuelMassMax"] = 5500,
            ["speedMax"] = 178,
            ["NyMax"] = 2.5,
            ["massMax"] = 24000,
            ["RCS"] = 50,
            ["displayName"] = "an-30m",
            ["life"] = 45,
            ["VyMax"] = 8,
            ["Kab"] = 0,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Planes"] = true,
                ["Transports"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "An-30M",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of An-30M
    ,["AV8BNA"] = 
    {
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "Harrier GR_5 FLIR",
                    ["opticType"] = 2,
                }, -- end of [1]
            }, -- end of [0]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 300,
            ["massEmpty"] = 6715,
            ["tankerType"] = 1,
            ["range"] = 2200,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -2.0454246997833,
                    ["x"] = -7.5782270431519,
                    ["z"] = -4.5954065322876,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.4198503494263,
                    ["x"] = 6.7410807609558,
                    ["z"] = 4.5801057815552,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 16764,
            ["Kmax"] = 0.69999998807907,
            ["_origin"] = "AV-8B N/A AI by RAZBAM Sims",
            ["speedMax10K"] = 275,
            ["NyMin"] = -2,
            ["fuelMassMax"] = 3519.4230957031,
            ["speedMax"] = 300,
            ["NyMax"] = 7,
            ["massMax"] = 14100,
            ["RCS"] = 5,
            ["displayName"] = "AV8BNA",
            ["life"] = 18,
            ["VyMax"] = 150,
            ["Kab"] = 0,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Refuelable"] = true,
                ["Battle airplanes"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Planes"] = true,
                ["Bombers"] = true,
                ["All"] = true,
                ["Datalink"] = true,
                ["NonArmoredUnits"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "AV8BNA",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of AV8BNA
    ,["B-1B"] = 
    {
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["type"] = 1,
                    ["typeName"] = "B-1B SS radar",
                    ["detectionDistanceRBM"] = 3000,
                }, -- end of [1]
            }, -- end of [1]
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "Sniper XR FLIR",
                    ["opticType"] = 2,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "Sniper XR CCD TV",
                    ["opticType"] = 0,
                }, -- end of [2]
            }, -- end of [0]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 333,
            ["massEmpty"] = 82840,
            ["tankerType"] = 0,
            ["range"] = 12000,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -3.6591799259186,
                    ["x"] = -20.883499145508,
                    ["z"] = -20.834999084473,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 6.5891399383545,
                    ["x"] = 24.008100509644,
                    ["z"] = 20.834999084473,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 15240,
            ["Kmax"] = 3,
            ["_origin"] = "",
            ["speedMax10K"] = 369.39999389648,
            ["NyMin"] = -2,
            ["fuelMassMax"] = 88450,
            ["speedMax"] = 369.39999389648,
            ["NyMax"] = 3.5,
            ["massMax"] = 213192,
            ["RCS"] = 5,
            ["displayName"] = "b-1b",
            ["life"] = 60,
            ["VyMax"] = 70,
            ["Kab"] = 8,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["NonArmoredUnits"] = true,
                ["Strategic bombers"] = true,
                ["Battle airplanes"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Bombers"] = true,
                ["All"] = true,
                ["Planes"] = true,
                ["Refuelable"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "B-1B",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of B-1B
    ,["B-52H"] = 
    {
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["type"] = 1,
                    ["typeName"] = "B-52H SS radar",
                    ["detectionDistanceRBM"] = 3000,
                }, -- end of [1]
            }, -- end of [1]
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "Litening AN/AAQ-28 FLIR",
                    ["opticType"] = 2,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "Litening AN/AAQ-28 CCD TV",
                    ["opticType"] = 0,
                }, -- end of [2]
            }, -- end of [0]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 178,
            ["massEmpty"] = 83460,
            ["tankerType"] = 0,
            ["range"] = 16700,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -3.6730699539185,
                    ["x"] = -28,
                    ["z"] = -28.978399276733,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 9.0839395523071,
                    ["x"] = 22.195899963379,
                    ["z"] = 28.948600769043,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 16764,
            ["Kmax"] = 4,
            ["_origin"] = "",
            ["speedMax10K"] = 266,
            ["NyMin"] = 0,
            ["fuelMassMax"] = 141135,
            ["speedMax"] = 266,
            ["NyMax"] = 2.5,
            ["massMax"] = 256735,
            ["RCS"] = 100,
            ["displayName"] = "b-52h",
            ["life"] = 60,
            ["VyMax"] = 10.199999809265,
            ["Kab"] = 0,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["NonArmoredUnits"] = true,
                ["Strategic bombers"] = true,
                ["Battle airplanes"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Bombers"] = true,
                ["All"] = true,
                ["Planes"] = true,
                ["Refuelable"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "B-52H",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of B-52H
    ,["Bf-109K-4"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 300,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.007,
                        ["type"] = 1,
                        ["caliber"] = 13,
                        ["mass"] = 0.034,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "13mm HEI",
                    ["typeName"] = "weapons.shells.MG_13x64_HEI",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 300,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 13,
                        ["mass"] = 0.038,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "13mm APT",
                    ["typeName"] = "weapons.shells.MG_13x64_APT",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
            [3] = 
            {
                ["count"] = 60,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.1275,
                        ["type"] = 1,
                        ["caliber"] = 30,
                        ["mass"] = 0.33,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "30mm MGsch",
                    ["typeName"] = "weapons.shells.MK_108_MGsch",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [3]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "Merkury LLTV",
                    ["opticType"] = 1,
                }, -- end of [1]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 208,
            ["massEmpty"] = 2900.6499023438,
            ["range"] = 1015,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -1.2021408081055,
                    ["x"] = -6.4931898117065,
                    ["z"] = -5.5569376945496,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.7982459068298,
                    ["x"] = 5.134485244751,
                    ["z"] = 5.5569376945496,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 13000,
            ["Kmax"] = 0.10000000149012,
            ["_origin"] = "World War II AI Units by Eagle Dynamics",
            ["speedMax10K"] = 230,
            ["NyMin"] = -4,
            ["fuelMassMax"] = 296,
            ["speedMax"] = 230,
            ["NyMax"] = 8,
            ["massMax"] = 3400,
            ["RCS"] = 2.5,
            ["displayName"] = "Bf-109K-4",
            ["life"] = 18,
            ["VyMax"] = 22,
            ["Kab"] = 0,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Battle airplanes"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Battleplanes"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Planes"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "Bf-109K-4",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of Bf-109K-4
    ,["C-101CC"] = 
    {
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceHRM"] = 180,
                    ["type"] = 1,
                    ["typeName"] = "Tornado SS radar",
                    ["detectionDistanceRBM"] = 1600,
                }, -- end of [1]
            }, -- end of [1]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 205,
            ["massEmpty"] = 3560,
            ["range"] = 1015,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -2.0559206008911,
                    ["x"] = -6.0715231895447,
                    ["z"] = -5.3563561439514,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.0657634735107,
                    ["x"] = 6.7703795433044,
                    ["z"] = 5.4268088340759,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 11000,
            ["Kmax"] = 0.20000000298023,
            ["_origin"] = "C-101 Aviojet by AvioDev",
            ["speedMax10K"] = 257,
            ["NyMin"] = -3.9000000953674,
            ["fuelMassMax"] = 2337,
            ["speedMax"] = 257,
            ["NyMax"] = 6,
            ["massMax"] = 6300,
            ["RCS"] = 2.5,
            ["displayName"] = "C-101CC",
            ["life"] = 18,
            ["VyMax"] = 10,
            ["Kab"] = 0,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Battle airplanes"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Battleplanes"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Planes"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "C-101CC",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of C-101CC
    ,["C-101EB"] = 
    {
        ["desc"] = 
        {
            ["speedMax0"] = 205,
            ["massEmpty"] = 3380,
            ["range"] = 1015,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -2.0559206008911,
                    ["x"] = -6.0715231895447,
                    ["z"] = -5.3563561439514,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.0657634735107,
                    ["x"] = 6.7703795433044,
                    ["z"] = 5.4268088340759,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 12500,
            ["Kmax"] = 0.20000000298023,
            ["_origin"] = "C-101 Aviojet by AvioDev",
            ["speedMax10K"] = 257,
            ["NyMin"] = -3.9000000953674,
            ["fuelMassMax"] = 1885,
            ["speedMax"] = 257,
            ["NyMax"] = 6,
            ["massMax"] = 5600,
            ["RCS"] = 2.5,
            ["displayName"] = "C-101EB",
            ["life"] = 18,
            ["VyMax"] = 10,
            ["Kab"] = 0,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Battle airplanes"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Battleplanes"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Planes"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "C-101EB",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of C-101EB
    ,["C-130"] = 
    {
        ["sensors"] = 
        {
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 167.5,
            ["massEmpty"] = 36400,
            ["range"] = 8260,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -3.5288083553314,
                    ["x"] = -17.691875457764,
                    ["z"] = -20.662307739258,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 10.014180183411,
                    ["x"] = 12.015881538391,
                    ["z"] = 20.674282073975,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 9315,
            ["Kmax"] = 1,
            ["_origin"] = "",
            ["speedMax10K"] = 172.5,
            ["NyMin"] = 0.5,
            ["fuelMassMax"] = 20830,
            ["speedMax"] = 172.5,
            ["NyMax"] = 2.5,
            ["massMax"] = 79380,
            ["RCS"] = 80,
            ["displayName"] = "c-130j",
            ["life"] = 45,
            ["VyMax"] = 9.1000003814697,
            ["Kab"] = 0,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Planes"] = true,
                ["Transports"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "C-130",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of C-130
    ,["C-17A"] = 
    {
        ["desc"] = 
        {
            ["speedMax0"] = 194,
            ["massEmpty"] = 125645,
            ["tankerType"] = 0,
            ["range"] = 12993,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.011026999913156,
                    ["x"] = -34.474201202393,
                    ["z"] = -26.259799957275,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 17.325099945068,
                    ["x"] = 19.090700149536,
                    ["z"] = 26.259799957275,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 13715,
            ["Kmax"] = 3,
            ["_origin"] = "",
            ["speedMax10K"] = 180,
            ["NyMin"] = -1,
            ["fuelMassMax"] = 132405,
            ["speedMax"] = 194,
            ["NyMax"] = 2.5,
            ["massMax"] = 265350,
            ["RCS"] = 80,
            ["displayName"] = "c-17",
            ["life"] = 45,
            ["VyMax"] = 8,
            ["Kab"] = 0,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Planes"] = true,
                ["Transports"] = true,
                ["All"] = true,
                ["NonArmoredUnits"] = true,
                ["Refuelable"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "C-17A",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of C-17A
    ,["E-2C"] = 
    {
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 210851.234375,
                            ["headOn"] = 210851.234375,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 210851.234375,
                            ["headOn"] = 210851.234375,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["typeName"] = "AN/APS-138",
                    ["detectionDistanceRBM"] = 2800,
                }, -- end of [1]
            }, -- end of [1]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 178.19999694824,
            ["massEmpty"] = 17090,
            ["range"] = 2854,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -12.530688285828,
                    ["x"] = -9.7857666015625,
                    ["z"] = -13.204429626465,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 7.5383763313293,
                    ["x"] = 13.643142700195,
                    ["z"] = 13.016887664795,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 11275,
            ["Kmax"] = 0.5,
            ["_origin"] = "",
            ["speedMax10K"] = 173.80000305176,
            ["NyMin"] = 0,
            ["fuelMassMax"] = 5624,
            ["speedMax"] = 178.19999694824,
            ["NyMax"] = 2.5,
            ["massMax"] = 24687,
            ["RCS"] = 50,
            ["displayName"] = "e-2c hawkeye",
            ["life"] = 25,
            ["VyMax"] = 12,
            ["Kab"] = 0,
            ["attributes"] = 
            {
                ["AWACS"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Planes"] = true,
                ["Air"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "E-2C",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of E-2C
    ,["E-3A"] = 
    {
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 255577.25,
                            ["headOn"] = 255577.25,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 255577.25,
                            ["headOn"] = 255577.25,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["typeName"] = "AN/APY-1",
                    ["detectionDistanceRBM"] = 3000,
                }, -- end of [1]
            }, -- end of [1]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 280.2799987793,
            ["massEmpty"] = 60000,
            ["tankerType"] = 0,
            ["range"] = 12247,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -3.1141595840454,
                    ["x"] = -26.12522315979,
                    ["z"] = -22.957130432129,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 9.3631839752197,
                    ["x"] = 21.747020721436,
                    ["z"] = 22.924991607666,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 12000,
            ["Kmax"] = 4,
            ["_origin"] = "",
            ["speedMax10K"] = 280.2799987793,
            ["NyMin"] = 0.5,
            ["fuelMassMax"] = 65000,
            ["speedMax"] = 280.2799987793,
            ["NyMax"] = 2.5,
            ["massMax"] = 148000,
            ["RCS"] = 80,
            ["displayName"] = "e-3a",
            ["life"] = 60,
            ["VyMax"] = 10,
            ["Kab"] = 0,
            ["attributes"] = 
            {
                ["AWACS"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Planes"] = true,
                ["Refuelable"] = true,
                ["All"] = true,
                ["Air"] = true,
                ["NonArmoredUnits"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "E-3A",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of E-3A
    ,["F-14A"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 675,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.11,
                        ["type"] = 1,
                        ["caliber"] = 20,
                        ["mass"] = 0.11,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "20mm HE",
                    ["typeName"] = "weapons.shells.M61_20_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 111679.6328125,
                            ["headOn"] = 111679.6328125,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 0,
                            ["headOn"] = 111679.6328125,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["typeName"] = "AN/APG-71",
                }, -- end of [1]
            }, -- end of [1]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 400,
            ["massEmpty"] = 18951,
            ["tankerType"] = 1,
            ["range"] = 3200,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -1.8259099721909,
                    ["x"] = -7.6087098121643,
                    ["z"] = -9.4370698928833,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.0196900367737,
                    ["x"] = 11.655099868774,
                    ["z"] = 9.4227800369263,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 16150,
            ["Kmax"] = 0.97000002861023,
            ["_origin"] = "",
            ["speedMax10K"] = 699.16998291016,
            ["NyMin"] = -3,
            ["fuelMassMax"] = 7348,
            ["speedMax"] = 699.16998291016,
            ["NyMax"] = 6.5,
            ["massMax"] = 33724,
            ["RCS"] = 6,
            ["displayName"] = "f-14a",
            ["life"] = 20,
            ["VyMax"] = 152,
            ["Kab"] = 5,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Fighters"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Battle airplanes"] = true,
                ["Refuelable"] = true,
                ["All"] = true,
                ["Planes"] = true,
                ["NonArmoredUnits"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "F-14A",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of F-14A
    ,["F-15C"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 940,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.11,
                        ["type"] = 1,
                        ["caliber"] = 20,
                        ["mass"] = 0.11,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "20mm HE",
                    ["typeName"] = "weapons.shells.M61_20_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 29424.57421875,
                            ["headOn"] = 59116.64453125,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 29558.322265625,
                            ["headOn"] = 59116.64453125,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["typeName"] = "AN/APG-63",
                }, -- end of [1]
            }, -- end of [1]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 403,
            ["massEmpty"] = 13380,
            ["tankerType"] = 0,
            ["range"] = 2540,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -1.0274813175201,
                    ["x"] = -8.578462600708,
                    ["z"] = -6.7097973823547,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.5019924640656,
                    ["x"] = 11.160133361816,
                    ["z"] = 6.6517648696899,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 18300,
            ["Kmax"] = 0.91000002622604,
            ["_origin"] = "",
            ["speedMax10K"] = 736.10998535156,
            ["NyMin"] = -3,
            ["fuelMassMax"] = 6103,
            ["speedMax"] = 736.10998535156,
            ["NyMax"] = 8,
            ["massMax"] = 30845,
            ["RCS"] = 5,
            ["displayName"] = "F-15C",
            ["life"] = 20,
            ["VyMax"] = 275,
            ["Kab"] = 4,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Fighters"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Battle airplanes"] = true,
                ["Refuelable"] = true,
                ["All"] = true,
                ["Planes"] = true,
                ["NonArmoredUnits"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "F-15C",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of F-15C
    ,["F-15E"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 940,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.11,
                        ["type"] = 1,
                        ["caliber"] = 20,
                        ["mass"] = 0.11,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "20mm HE",
                    ["typeName"] = "weapons.shells.M61_20_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 29424.57421875,
                            ["headOn"] = 59116.64453125,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 29558.322265625,
                            ["headOn"] = 59116.64453125,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["typeName"] = "AN/APG-63",
                }, -- end of [1]
            }, -- end of [1]
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "Sniper XR FLIR",
                    ["opticType"] = 2,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "Sniper XR CCD TV",
                    ["opticType"] = 0,
                }, -- end of [2]
            }, -- end of [0]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 403,
            ["massEmpty"] = 17072,
            ["tankerType"] = 0,
            ["range"] = 2540,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -1.2511969804764,
                    ["x"] = -7.735445022583,
                    ["z"] = -6.467574596405,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.8684618473053,
                    ["x"] = 10.728005409241,
                    ["z"] = 6.4399728775024,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 18300,
            ["Kmax"] = 0.91000002622604,
            ["_origin"] = "",
            ["speedMax10K"] = 736.10998535156,
            ["NyMin"] = -3,
            ["fuelMassMax"] = 10246,
            ["speedMax"] = 736.10998535156,
            ["NyMax"] = 8,
            ["massMax"] = 36741,
            ["RCS"] = 5,
            ["displayName"] = "F-15E",
            ["life"] = 20,
            ["VyMax"] = 275,
            ["Kab"] = 4,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Fighters"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Battle airplanes"] = true,
                ["Refuelable"] = true,
                ["All"] = true,
                ["Planes"] = true,
                ["NonArmoredUnits"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "F-15E",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of F-15E
    ,["F-16A MLU"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 511,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.11,
                        ["type"] = 1,
                        ["caliber"] = 20,
                        ["mass"] = 0.11,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "20mm HE",
                    ["typeName"] = "weapons.shells.M61_20_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 36111.9765625,
                            ["headOn"] = 45741.83984375,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 21399.69140625,
                            ["headOn"] = 45741.83984375,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["detectionDistanceRBM"] = 1500,
                    ["typeName"] = "AN/APG-68",
                    ["detectionDistanceHRM"] = 200,
                }, -- end of [1]
            }, -- end of [1]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 408,
            ["massEmpty"] = 8853,
            ["tankerType"] = 0,
            ["range"] = 1500,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -1.5789999961853,
                    ["x"] = -6.7028789520264,
                    ["z"] = -5.0960011482239,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.5311539173126,
                    ["x"] = 8.4635944366455,
                    ["z"] = 5.0960021018982,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 15240,
            ["Kmax"] = 0.60000002384186,
            ["_origin"] = "",
            ["speedMax10K"] = 588.90002441406,
            ["NyMin"] = -3,
            ["fuelMassMax"] = 3104,
            ["speedMax"] = 588.90002441406,
            ["NyMax"] = 8,
            ["massMax"] = 19187,
            ["RCS"] = 4,
            ["displayName"] = "F-16A",
            ["life"] = 14,
            ["VyMax"] = 250,
            ["Kab"] = 3,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Battle airplanes"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Planes"] = true,
                ["Refuelable"] = true,
                ["All"] = true,
                ["NonArmoredUnits"] = true,
                ["Multirole fighters"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "F-16A MLU",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of F-16A MLU
    ,["F-16A"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 511,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.11,
                        ["type"] = 1,
                        ["caliber"] = 20,
                        ["mass"] = 0.11,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "20mm HE",
                    ["typeName"] = "weapons.shells.M61_20_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 36111.9765625,
                            ["headOn"] = 45741.83984375,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 21399.69140625,
                            ["headOn"] = 45741.83984375,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["detectionDistanceRBM"] = 1500,
                    ["typeName"] = "AN/APG-68",
                    ["detectionDistanceHRM"] = 200,
                }, -- end of [1]
            }, -- end of [1]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 408,
            ["massEmpty"] = 8853,
            ["tankerType"] = 0,
            ["range"] = 1500,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -1.5789999961853,
                    ["x"] = -6.7028789520264,
                    ["z"] = -5.0960011482239,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.5311539173126,
                    ["x"] = 8.4635944366455,
                    ["z"] = 5.0960021018982,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 15240,
            ["Kmax"] = 0.60000002384186,
            ["_origin"] = "",
            ["speedMax10K"] = 588.90002441406,
            ["NyMin"] = -3,
            ["fuelMassMax"] = 3104,
            ["speedMax"] = 588.90002441406,
            ["NyMax"] = 8,
            ["massMax"] = 19187,
            ["RCS"] = 4,
            ["displayName"] = "F-16A",
            ["life"] = 14,
            ["VyMax"] = 250,
            ["Kab"] = 3,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Battle airplanes"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Planes"] = true,
                ["Refuelable"] = true,
                ["All"] = true,
                ["NonArmoredUnits"] = true,
                ["Multirole fighters"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "F-16A",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of F-16A
    ,["F-16C bl.50"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 511,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.11,
                        ["type"] = 1,
                        ["caliber"] = 20,
                        ["mass"] = 0.11,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "20mm HE",
                    ["typeName"] = "weapons.shells.M61_20_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 36111.9765625,
                            ["headOn"] = 45741.83984375,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 21399.69140625,
                            ["headOn"] = 45741.83984375,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["detectionDistanceRBM"] = 1500,
                    ["typeName"] = "AN/APG-68",
                    ["detectionDistanceHRM"] = 200,
                }, -- end of [1]
            }, -- end of [1]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 408,
            ["massEmpty"] = 8853,
            ["tankerType"] = 0,
            ["range"] = 1500,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -1.5789999961853,
                    ["x"] = -6.7028789520264,
                    ["z"] = -5.0960011482239,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.5311539173126,
                    ["x"] = 8.4635944366455,
                    ["z"] = 5.0960021018982,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 15240,
            ["Kmax"] = 0.60000002384186,
            ["_origin"] = "",
            ["speedMax10K"] = 588.90002441406,
            ["NyMin"] = -3,
            ["fuelMassMax"] = 3104,
            ["speedMax"] = 588.90002441406,
            ["NyMax"] = 8,
            ["massMax"] = 19187,
            ["RCS"] = 4,
            ["displayName"] = "F-16c",
            ["life"] = 14,
            ["VyMax"] = 250,
            ["Kab"] = 3,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Battle airplanes"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Planes"] = true,
                ["Refuelable"] = true,
                ["All"] = true,
                ["NonArmoredUnits"] = true,
                ["Multirole fighters"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "F-16C bl.50",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of F-16C bl.50
    ,["F-16C bl.52d"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 511,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.11,
                        ["type"] = 1,
                        ["caliber"] = 20,
                        ["mass"] = 0.11,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "20mm HE",
                    ["typeName"] = "weapons.shells.M61_20_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 36111.9765625,
                            ["headOn"] = 45741.83984375,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 21399.69140625,
                            ["headOn"] = 45741.83984375,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["detectionDistanceRBM"] = 1500,
                    ["typeName"] = "AN/APG-68",
                    ["detectionDistanceHRM"] = 200,
                }, -- end of [1]
            }, -- end of [1]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 408,
            ["massEmpty"] = 8853,
            ["tankerType"] = 0,
            ["range"] = 1500,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -1.5789999961853,
                    ["x"] = -6.7028789520264,
                    ["z"] = -5.0960011482239,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.5311539173126,
                    ["x"] = 8.4635944366455,
                    ["z"] = 5.0960021018982,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 15240,
            ["Kmax"] = 0.60000002384186,
            ["_origin"] = "",
            ["speedMax10K"] = 588.90002441406,
            ["NyMin"] = -3,
            ["fuelMassMax"] = 3104,
            ["speedMax"] = 588.90002441406,
            ["NyMax"] = 8,
            ["massMax"] = 19187,
            ["RCS"] = 4,
            ["displayName"] = "F-16c",
            ["life"] = 14,
            ["VyMax"] = 250,
            ["Kab"] = 3,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Battle airplanes"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Planes"] = true,
                ["Refuelable"] = true,
                ["All"] = true,
                ["NonArmoredUnits"] = true,
                ["Multirole fighters"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "F-16C bl.52d",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of F-16C bl.52d
    ,["F-5E-3"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 560,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.102,
                        ["type"] = 1,
                        ["caliber"] = 20,
                        ["mass"] = 0.102,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "20mm HEI",
                    ["typeName"] = "weapons.shells.M39_20_HEI",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 49486.78515625,
                            ["headOn"] = 49486.78515625,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 49486.78515625,
                            ["headOn"] = 49486.78515625,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["typeName"] = "AN/APQ-159",
                }, -- end of [1]
            }, -- end of [1]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 374,
            ["massEmpty"] = 4835,
            ["range"] = 2112,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.56786811351776,
                    ["x"] = -6.0541820526123,
                    ["z"] = -3.9669985771179,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.6401739120483,
                    ["x"] = 8.0660238265991,
                    ["z"] = 3.9669985771179,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 16154,
            ["Kmax"] = 0.40000000596046,
            ["_origin"] = "F-5E/E-3 by Belsimtek",
            ["speedMax10K"] = 484,
            ["NyMin"] = -2,
            ["fuelMassMax"] = 2046,
            ["speedMax"] = 484,
            ["NyMax"] = 7.5,
            ["massMax"] = 11187,
            ["RCS"] = 5,
            ["displayName"] = "F-5E-3",
            ["life"] = 16,
            ["VyMax"] = 200,
            ["Kab"] = 2,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Fighters"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Battle airplanes"] = true,
                ["Planes"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "F-5E-3",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of F-5E-3
    ,["F-5E"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 560,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.102,
                        ["type"] = 1,
                        ["caliber"] = 20,
                        ["mass"] = 0.102,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "20mm HEI",
                    ["typeName"] = "weapons.shells.M39_20_HEI",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 24743.392578125,
                            ["headOn"] = 24743.392578125,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 24743.392578125,
                            ["headOn"] = 24743.392578125,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["typeName"] = "AN/APQ-153",
                }, -- end of [1]
            }, -- end of [1]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 374,
            ["massEmpty"] = 4831,
            ["range"] = 2112,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -1.9137616157532,
                    ["x"] = -6.0795874595642,
                    ["z"] = -4.2353773117065,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.6928195953369,
                    ["x"] = 8.4259452819824,
                    ["z"] = 4.2353773117065,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 16154,
            ["Kmax"] = 0.40000000596046,
            ["_origin"] = "F-5E/E-3 by Belsimtek",
            ["speedMax10K"] = 484,
            ["NyMin"] = -2,
            ["fuelMassMax"] = 1996,
            ["speedMax"] = 484,
            ["NyMax"] = 7.5,
            ["massMax"] = 11187,
            ["RCS"] = 5,
            ["displayName"] = "F-5E",
            ["life"] = 16,
            ["VyMax"] = 200,
            ["Kab"] = 2,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Fighters"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Battle airplanes"] = true,
                ["Planes"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "F-5E",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of F-5E
    ,["F-86F Sabre"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 267,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 12.7,
                        ["mass"] = 0.041,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "12.7mm",
                    ["typeName"] = "weapons.shells.M20_50_aero_APIT",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 1335,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 12.7,
                        ["mass"] = 0.046,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "12.7mm",
                    ["typeName"] = "weapons.shells.M2_50_aero_AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.16146284341812,
                            ["x"] = -44.163108825684,
                            ["z"] = -0.64507895708084,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.15063416957855,
                            ["x"] = 0.025108814239502,
                            ["z"] = 0.64480221271515,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 22737.171875,
                            ["headOn"] = 33437.015625,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 12037.326171875,
                            ["headOn"] = 33437.015625,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["typeName"] = "N-008",
                }, -- end of [1]
            }, -- end of [1]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 303,
            ["massEmpty"] = 5046,
            ["range"] = 1210,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -2.3137104511261,
                    ["x"] = -7.7134027481079,
                    ["z"] = -6.5388278961182,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.2064628601074,
                    ["x"] = 5.3642530441284,
                    ["z"] = 6.5388278961182,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 15100,
            ["Kmax"] = 0.75999999046326,
            ["_origin"] = "F-86F Sabre AI by Eagle Dynamics",
            ["speedMax10K"] = 268,
            ["NyMin"] = -3,
            ["fuelMassMax"] = 1282,
            ["speedMax"] = 303,
            ["NyMax"] = 8,
            ["massMax"] = 9349,
            ["RCS"] = 2,
            ["displayName"] = "F-86F",
            ["life"] = 15,
            ["VyMax"] = 45.720001220703,
            ["Kab"] = 0.75999999046326,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Battle airplanes"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Battleplanes"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Planes"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "F-86F Sabre",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of F-86F Sabre
    ,["FA-18C"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 578,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.11,
                        ["type"] = 1,
                        ["caliber"] = 20,
                        ["mass"] = 0.11,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "20mm HE",
                    ["typeName"] = "weapons.shells.M61_20_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 30762.0546875,
                            ["headOn"] = 50824.265625,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 23405.912109375,
                            ["headOn"] = 50824.265625,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["detectionDistanceRBM"] = 1800,
                    ["typeName"] = "AN/APG-73",
                    ["detectionDistanceHRM"] = 200,
                }, -- end of [1]
            }, -- end of [1]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 361.10000610352,
            ["massEmpty"] = 11631,
            ["tankerType"] = 1,
            ["range"] = 1520,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.85226941108704,
                    ["x"] = -8.5673599243164,
                    ["z"] = -5.9140915870667,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.8210723400116,
                    ["x"] = 8.5673599243164,
                    ["z"] = 5.9140915870667,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 15240,
            ["Kmax"] = 0.5799999833107,
            ["_origin"] = "",
            ["speedMax10K"] = 541.70001220703,
            ["NyMin"] = -3,
            ["fuelMassMax"] = 4900,
            ["speedMax"] = 541.70001220703,
            ["NyMax"] = 7,
            ["massMax"] = 23541,
            ["RCS"] = 5,
            ["displayName"] = "f-18c",
            ["life"] = 20,
            ["VyMax"] = 254,
            ["Kab"] = 2.5,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Battle airplanes"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Planes"] = true,
                ["Refuelable"] = true,
                ["All"] = true,
                ["NonArmoredUnits"] = true,
                ["Multirole fighters"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "F/A-18C",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of FA-18C
    ,["FW-190D9"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 250,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.009,
                        ["type"] = 1,
                        ["caliber"] = 20,
                        ["mass"] = 0.117,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "20mm HEI T",
                    ["typeName"] = "weapons.shells.MG_20x82_HEI_T",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.26943919062614,
                            ["x"] = -12.239092826843,
                            ["z"] = -0.26788592338562,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.26584181189537,
                            ["x"] = 0.0041091442108154,
                            ["z"] = 0.26739686727524,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 450,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 13,
                        ["mass"] = 0.038,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "13mm APT",
                    ["typeName"] = "weapons.shells.MG_13x64_APT",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
            [3] = 
            {
                ["count"] = 450,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.007,
                        ["type"] = 1,
                        ["caliber"] = 13,
                        ["mass"] = 0.034,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "13mm HEI",
                    ["typeName"] = "weapons.shells.MG_13x64_HEI",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [3]
            [4] = 
            {
                ["count"] = 250,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.035,
                        ["type"] = 1,
                        ["caliber"] = 20,
                        ["mass"] = 0.092,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "20mm MGsch",
                    ["typeName"] = "weapons.shells.MG_20x82_MGsch",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [4]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["speedMax0"] = 208,
            ["massEmpty"] = 3600,
            ["range"] = 1015,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -1.2021408081055,
                    ["x"] = -6.7918720245361,
                    ["z"] = -5.5569376945496,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.7982459068298,
                    ["x"] = 3.4555344581604,
                    ["z"] = 5.5569376945496,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 13000,
            ["Kmax"] = 0.10000000149012,
            ["_origin"] = "World War II AI Units by Eagle Dynamics",
            ["speedMax10K"] = 230,
            ["NyMin"] = -4,
            ["fuelMassMax"] = 388,
            ["speedMax"] = 230,
            ["NyMax"] = 8,
            ["massMax"] = 4840,
            ["RCS"] = 2.5,
            ["displayName"] = "FW-190D9",
            ["life"] = 18,
            ["VyMax"] = 22,
            ["Kab"] = 0,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Battle airplanes"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Battleplanes"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Planes"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "FW-190D9",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of FW-190D9
    ,["Hawk"] = 
    {
        ["desc"] = 
        {
            ["speedMax0"] = 400,
            ["massEmpty"] = 3127,
            ["range"] = 2000,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -1.5891780853271,
                    ["x"] = -5.2720613479614,
                    ["z"] = -4.6839623451233,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.8591494560242,
                    ["x"] = 6.3372693061829,
                    ["z"] = 4.6839623451233,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 14630,
            ["Kmax"] = 0.62000000476837,
            ["_origin"] = "Hawk T.1A AI by VEAO Simulations",
            ["speedMax10K"] = 800,
            ["NyMin"] = -4,
            ["fuelMassMax"] = 1272,
            ["speedMax"] = 800,
            ["NyMax"] = 7,
            ["massMax"] = 5700,
            ["RCS"] = 5,
            ["displayName"] = "Hawk",
            ["life"] = 18,
            ["VyMax"] = 200,
            ["Kab"] = 1.0199999809265,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Battle airplanes"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Battleplanes"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Planes"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "Hawk",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of Hawk
    ,["IL-76MD"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 1200,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.175,
                        ["type"] = 1,
                        ["caliber"] = 23,
                        ["mass"] = 0.175,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "23mm HE",
                    ["typeName"] = "weapons.shells.GSH23_23_HE_T",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["speedMax0"] = 167,
            ["massEmpty"] = 100000,
            ["range"] = 7300,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -3.3296194076538,
                    ["x"] = -27.208490371704,
                    ["z"] = -25.958759307861,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 11.463214874268,
                    ["x"] = 19.822910308838,
                    ["z"] = 26.033617019653,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 12000,
            ["Kmax"] = 4,
            ["_origin"] = "",
            ["speedMax10K"] = 236.11000061035,
            ["NyMin"] = 0.5,
            ["fuelMassMax"] = 70000,
            ["speedMax"] = 236.11000061035,
            ["NyMax"] = 2.5,
            ["massMax"] = 170000,
            ["RCS"] = 80,
            ["displayName"] = "il-76md",
            ["life"] = 60,
            ["VyMax"] = 10,
            ["Kab"] = 0,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Planes"] = true,
                ["Transports"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "IL-76MD",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of IL-76MD
    ,["IL-78M"] = 
    {
        ["desc"] = 
        {
            ["speedMax0"] = 167,
            ["massEmpty"] = 98000,
            ["range"] = 7300,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -3.0389807224274,
                    ["x"] = -26.622760772705,
                    ["z"] = -25.068075180054,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 11.336657524109,
                    ["x"] = 19.876901626587,
                    ["z"] = 25.311769485474,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 12000,
            ["Kmax"] = 4,
            ["_origin"] = "",
            ["speedMax10K"] = 236.11000061035,
            ["NyMin"] = 0.5,
            ["fuelMassMax"] = 70000,
            ["speedMax"] = 236.11000061035,
            ["NyMax"] = 2.5,
            ["massMax"] = 170000,
            ["RCS"] = 80,
            ["displayName"] = "il-78m",
            ["life"] = 60,
            ["VyMax"] = 10,
            ["Kab"] = 0,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Tankers"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Planes"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "IL-78M",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of IL-78M
    ,["J-11A"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 150,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.39,
                        ["type"] = 1,
                        ["caliber"] = 30,
                        ["mass"] = 0.39,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "30mm HE",
                    ["typeName"] = "weapons.shells.GSH301_30_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 25412.1328125,
                            ["headOn"] = 45741.83984375,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 17788.4921875,
                            ["headOn"] = 45741.83984375,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["typeName"] = "N-001",
                }, -- end of [1]
            }, -- end of [1]
            [2] = 
            {
                [1] = 
                {
                    ["type"] = 2,
                    ["detectionDistanceMaximal"] = 40000,
                    ["detectionDistanceIdle"] = 25000,
                    ["typeName"] = "OLS-27",
                    ["detectionDistanceAfterburner"] = 80000,
                }, -- end of [1]
            }, -- end of [2]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 403,
            ["massEmpty"] = 17500,
            ["range"] = 3740,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -1.2178184986115,
                    ["x"] = -8.3700714111328,
                    ["z"] = -7.3762202262878,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.5680229663849,
                    ["x"] = 12.915989875793,
                    ["z"] = 7.3927502632141,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 18500,
            ["Kmax"] = 1,
            ["_origin"] = "China Asset Pack by Deka Ironwork Simulations and Eagle Dynamics",
            ["speedMax10K"] = 694.44000244141,
            ["NyMin"] = -3,
            ["fuelMassMax"] = 9400,
            ["speedMax"] = 694.44000244141,
            ["NyMax"] = 8,
            ["massMax"] = 33000,
            ["RCS"] = 5.5,
            ["displayName"] = "J-11A",
            ["life"] = 18,
            ["VyMax"] = 325,
            ["Kab"] = 5,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Fighters"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Battle airplanes"] = true,
                ["Planes"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "J-11A",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of J-11A
    ,["KC-135"] = 
    {
        ["desc"] = 
        {
            ["speedMax0"] = 280.2799987793,
            ["massEmpty"] = 44663,
            ["tankerType"] = 0,
            ["range"] = 12247,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -2.6567454338074,
                    ["x"] = -22.388399124146,
                    ["z"] = -20.475023269653,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 7.6392087936401,
                    ["x"] = 17.567359924316,
                    ["z"] = 20.59654045105,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 12000,
            ["Kmax"] = 4,
            ["_origin"] = "",
            ["speedMax10K"] = 280.2799987793,
            ["NyMin"] = 0.5,
            ["fuelMassMax"] = 90700,
            ["speedMax"] = 280.2799987793,
            ["NyMax"] = 2.5,
            ["massMax"] = 146000,
            ["RCS"] = 80,
            ["displayName"] = "kc-135",
            ["life"] = 60,
            ["VyMax"] = 10,
            ["Kab"] = 0,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Tankers"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Refuelable"] = true,
                ["All"] = true,
                ["Planes"] = true,
                ["NonArmoredUnits"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "KC-135",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of KC-135
    ,["KC130"] = 
    {
        ["sensors"] = 
        {
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 167.5,
            ["massEmpty"] = 36400,
            ["range"] = 8260,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -7.8711171150208,
                    ["x"] = -28.867399215698,
                    ["z"] = -20.102737426758,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 9.5867471694946,
                    ["x"] = 12.089661598206,
                    ["z"] = 20.144927978516,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 9315,
            ["Kmax"] = 1,
            ["_origin"] = "AV-8B N/A AI by RAZBAM Sims",
            ["speedMax10K"] = 172.5,
            ["NyMin"] = 0.5,
            ["fuelMassMax"] = 20830,
            ["speedMax"] = 172.5,
            ["NyMax"] = 2.5,
            ["massMax"] = 79380,
            ["RCS"] = 80,
            ["displayName"] = "KC130",
            ["life"] = 18,
            ["VyMax"] = 9.1000003814697,
            ["Kab"] = 0,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Tankers"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Refuelable"] = true,
                ["All"] = true,
                ["Planes"] = true,
                ["NonArmoredUnits"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "KC130",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of KC130
    ,["KJ-2000"] = 
    {
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 204461.796875,
                            ["headOn"] = 204461.796875,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 204461.796875,
                            ["headOn"] = 204461.796875,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["typeName"] = "Shmel",
                    ["detectionDistanceRBM"] = 2500,
                }, -- end of [1]
            }, -- end of [1]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 167.11000061035,
            ["massEmpty"] = 90000,
            ["tankerType"] = 1,
            ["range"] = 7300,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -3.3296191692352,
                    ["x"] = -27.208490371704,
                    ["z"] = -25.9856300354,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 11.86176776886,
                    ["x"] = 19.822910308838,
                    ["z"] = 26.033613204956,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 12247,
            ["Kmax"] = 4,
            ["_origin"] = "China Asset Pack by Deka Ironwork Simulations and Eagle Dynamics",
            ["speedMax10K"] = 236.11000061035,
            ["NyMin"] = 0.5,
            ["fuelMassMax"] = 70000,
            ["speedMax"] = 236.11000061035,
            ["NyMax"] = 2.5,
            ["massMax"] = 190000,
            ["RCS"] = 80,
            ["displayName"] = "KJ-2000",
            ["life"] = 18,
            ["VyMax"] = 10,
            ["Kab"] = 0,
            ["attributes"] = 
            {
                ["AWACS"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Planes"] = true,
                ["Air"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "KJ-2000",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of KJ-2000
    ,["L-39C"] = 
    {
        ["desc"] = 
        {
            ["speedMax0"] = 250,
            ["massEmpty"] = 3478,
            ["range"] = 1015,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -1.6131724119186,
                    ["x"] = -5.5768280029297,
                    ["z"] = -4.7772116661072,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.2814328670502,
                    ["x"] = 6.6099066734314,
                    ["z"] = 4.825014591217,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 11000,
            ["Kmax"] = 0.20000000298023,
            ["_origin"] = "L-39C/ZA by Eagle Dynamics",
            ["speedMax10K"] = 212,
            ["NyMin"] = -3,
            ["fuelMassMax"] = 980,
            ["speedMax"] = 250,
            ["NyMax"] = 8,
            ["massMax"] = 4700,
            ["RCS"] = 2.5,
            ["displayName"] = "L-39C",
            ["life"] = 15,
            ["VyMax"] = 22,
            ["Kab"] = 0,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Battle airplanes"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Battleplanes"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Planes"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "L-39C",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of L-39C
    ,["L-39ZA"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 150,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.175,
                        ["type"] = 1,
                        ["caliber"] = 23,
                        ["mass"] = 0.175,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "23mm HE",
                    ["typeName"] = "weapons.shells.GSH23_23_HE_T",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["speedMax0"] = 250,
            ["massEmpty"] = 3614,
            ["range"] = 1015,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -1.9021961688995,
                    ["x"] = -6.2712144851685,
                    ["z"] = -6.5388278961182,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.617977142334,
                    ["x"] = 6.8064413070679,
                    ["z"] = 6.5388278961182,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 11000,
            ["Kmax"] = 0.20000000298023,
            ["_origin"] = "L-39C/ZA by Eagle Dynamics",
            ["speedMax10K"] = 212,
            ["NyMin"] = -3,
            ["fuelMassMax"] = 980,
            ["speedMax"] = 250,
            ["NyMax"] = 8,
            ["massMax"] = 5600,
            ["RCS"] = 2.5,
            ["displayName"] = "L-39ZA",
            ["life"] = 15,
            ["VyMax"] = 22,
            ["Kab"] = 0,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Battle airplanes"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Battleplanes"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Planes"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "L-39ZA",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of L-39ZA
    ,["M-2000C"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 250,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["mass"] = 0.242,
                        ["explosiveMass"] = 0.12,
                        ["shapedExplosiveArmorThickness"] = 0.05,
                        ["shapedExplosiveMass"] = 0.28,
                        ["caliber"] = 30,
                        ["type"] = 2,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "DEFA554_30_HE",
                    ["typeName"] = "weapons.shells.DEFA554_30_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 53499.2265625,
                            ["headOn"] = 53499.2265625,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 35443.23828125,
                            ["headOn"] = 53499.2265625,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["detectionDistanceRBM"] = 150,
                    ["typeName"] = "RDY",
                    ["detectionDistanceHRM"] = 220,
                }, -- end of [1]
            }, -- end of [1]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 400,
            ["massEmpty"] = 7600,
            ["tankerType"] = 1,
            ["range"] = 1550,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.35303148627281,
                    ["x"] = -7.1574578285217,
                    ["z"] = -4.6433191299438,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.5040702819824,
                    ["x"] = 7.1574578285217,
                    ["z"] = 4.6433191299438,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 17526,
            ["Kmax"] = 0.80000001192093,
            ["_origin"] = "M-2000C AI by RAZBAM Sims",
            ["speedMax10K"] = 660,
            ["NyMin"] = -3,
            ["fuelMassMax"] = 3165,
            ["speedMax"] = 660,
            ["NyMax"] = 8,
            ["massMax"] = 16500,
            ["RCS"] = 2.5,
            ["displayName"] = "M-2000C",
            ["life"] = 18,
            ["VyMax"] = 304,
            ["Kab"] = 1.6200000047684,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Battle airplanes"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Planes"] = true,
                ["Refuelable"] = true,
                ["All"] = true,
                ["NonArmoredUnits"] = true,
                ["Multirole fighters"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "M-2000C",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of M-2000C
    ,["MiG-15bis"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 40,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.41,
                        ["type"] = 1,
                        ["caliber"] = 37,
                        ["mass"] = 0.722,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "37mm HEI T",
                    ["typeName"] = "weapons.shells.N37_37x155_HEI_T",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.26943919062614,
                            ["x"] = -12.239092826843,
                            ["z"] = -0.26788592338562,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.26584181189537,
                            ["x"] = 0.0041091442108154,
                            ["z"] = 0.26739686727524,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 80,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 37,
                        ["mass"] = 0.199,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "23mm API",
                    ["typeName"] = "weapons.shells.NR23_23x115_API",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.26943919062614,
                            ["x"] = -12.239092826843,
                            ["z"] = -0.26788592338562,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.26584181189537,
                            ["x"] = 0.0041091442108154,
                            ["z"] = 0.26739686727524,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
            [3] = 
            {
                ["count"] = 80,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.011,
                        ["type"] = 1,
                        ["caliber"] = 23,
                        ["mass"] = 0.196,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "23mm HEI T",
                    ["typeName"] = "weapons.shells.NR23_23x115_HEI_T",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.26943919062614,
                            ["x"] = -12.239092826843,
                            ["z"] = -0.26788592338562,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.26584181189537,
                            ["x"] = 0.0041091442108154,
                            ["z"] = 0.26739686727524,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [3]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["speedMax0"] = 294.16665649414,
            ["massEmpty"] = 3753,
            ["range"] = 1240,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -2.2972550392151,
                    ["x"] = -6.3388638496399,
                    ["z"] = -5.3158693313599,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.5270416736603,
                    ["x"] = 4.2165126800537,
                    ["z"] = 5.315869808197,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 15100,
            ["Kmax"] = 0.75999999046326,
            ["_origin"] = "MiG-15bis AI by Eagle Dynamics",
            ["speedMax10K"] = 275.55554199219,
            ["NyMin"] = -3,
            ["fuelMassMax"] = 1172,
            ["speedMax"] = 294.16665649414,
            ["NyMax"] = 8,
            ["massMax"] = 6106,
            ["RCS"] = 2,
            ["displayName"] = "MiG-15bis",
            ["life"] = 15,
            ["VyMax"] = 51,
            ["Kab"] = 0.75999999046326,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Battle airplanes"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Battleplanes"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Planes"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "MiG-15bis",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of MiG-15bis
    ,["MiG-21Bis"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 260,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.18,
                        ["type"] = 1,
                        ["caliber"] = 23,
                        ["mass"] = 0.18,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "GSH 23 HE",
                    ["typeName"] = "weapons.shells.GSH_23_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.24863448739052,
                            ["x"] = -12.059624671936,
                            ["z"] = -0.24868926405907,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.24863448739052,
                            ["x"] = 0.054827813059092,
                            ["z"] = 0.24857969582081,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 22737.171875,
                            ["headOn"] = 33437.015625,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 12037.326171875,
                            ["headOn"] = 33437.015625,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["typeName"] = "N-008",
                }, -- end of [1]
            }, -- end of [1]
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "Shkval",
                    ["opticType"] = 0,
                }, -- end of [1]
            }, -- end of [0]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 362,
            ["massEmpty"] = 6255,
            ["range"] = 1210,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -1.8505619764328,
                    ["x"] = -7.5638704299927,
                    ["z"] = -4.3086938858032,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.6323990821838,
                    ["x"] = 8.5842876434326,
                    ["z"] = 4.3136186599731,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 20000,
            ["Kmax"] = 0.60000002384186,
            ["_origin"] = "MiG-21Bis AI by Magnitude 3 LLC",
            ["speedMax10K"] = 697,
            ["NyMin"] = -4,
            ["fuelMassMax"] = 2280,
            ["speedMax"] = 697,
            ["NyMax"] = 7.5,
            ["massMax"] = 10400,
            ["RCS"] = 3,
            ["displayName"] = "MiG-21Bis",
            ["life"] = 20,
            ["VyMax"] = 200,
            ["Kab"] = 2,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Fighters"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Battle airplanes"] = true,
                ["Planes"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "MiG-21Bis",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of MiG-21Bis
    ,["MiG-23MLD"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 260,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.175,
                        ["type"] = 1,
                        ["caliber"] = 23,
                        ["mass"] = 0.175,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "23mm HE",
                    ["typeName"] = "weapons.shells.GSH23_23_HE_T",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 22737.171875,
                            ["headOn"] = 33437.015625,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 12037.326171875,
                            ["headOn"] = 33437.015625,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["typeName"] = "N-008",
                }, -- end of [1]
            }, -- end of [1]
            [2] = 
            {
                [1] = 
                {
                    ["type"] = 2,
                    ["detectionDistanceMaximal"] = 15000,
                    ["detectionDistanceIdle"] = 8000,
                    ["typeName"] = "TP-23M",
                    ["detectionDistanceAfterburner"] = 35000,
                }, -- end of [1]
            }, -- end of [2]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 388.10000610352,
            ["massEmpty"] = 10550,
            ["range"] = 1950,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -2.3299200534821,
                    ["x"] = -10,
                    ["z"] = -9,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.7555100917816,
                    ["x"] = 11,
                    ["z"] = 9,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 18500,
            ["Kmax"] = 0.68999999761581,
            ["_origin"] = "",
            ["speedMax10K"] = 693.25,
            ["NyMin"] = -3,
            ["fuelMassMax"] = 3800,
            ["speedMax"] = 693.25,
            ["NyMax"] = 6.5,
            ["massMax"] = 17800,
            ["RCS"] = 4,
            ["displayName"] = "mig-23ml",
            ["life"] = 16,
            ["VyMax"] = 240,
            ["Kab"] = 3,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Fighters"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Battle airplanes"] = true,
                ["Planes"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "MiG-23MLD",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of MiG-23MLD
    ,["MiG-25PD"] = 
    {
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 24074.65234375,
                            ["headOn"] = 37449.45703125,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 14712.287109375,
                            ["headOn"] = 37449.45703125,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["typeName"] = "N-005",
                }, -- end of [1]
            }, -- end of [1]
            [2] = 
            {
                [1] = 
                {
                    ["type"] = 2,
                    ["detectionDistanceMaximal"] = 15000,
                    ["detectionDistanceIdle"] = 8000,
                    ["typeName"] = "26Sh-1",
                    ["detectionDistanceAfterburner"] = 35000,
                }, -- end of [1]
            }, -- end of [2]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 310,
            ["massEmpty"] = 20000,
            ["range"] = 1920,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -2.2521600723267,
                    ["x"] = -13,
                    ["z"] = -7.5253000259399,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 4.0269899368286,
                    ["x"] = 13.859499931335,
                    ["z"] = 7.5200300216675,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 24200,
            ["Kmax"] = 4,
            ["_origin"] = "",
            ["speedMax10K"] = 833.33001708984,
            ["NyMin"] = -2,
            ["fuelMassMax"] = 15245,
            ["speedMax"] = 833.33001708984,
            ["NyMax"] = 3.7999999523163,
            ["massMax"] = 41200,
            ["RCS"] = 10,
            ["displayName"] = "mig-25p",
            ["life"] = 24,
            ["VyMax"] = 250,
            ["Kab"] = 8,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Battle airplanes"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Planes"] = true,
                ["Interceptors"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "MiG-25PD",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of MiG-25PD
    ,["MiG-25RBT"] = 
    {
        ["sensors"] = 
        {
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 310,
            ["massEmpty"] = 20000,
            ["range"] = 1920,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -2.2521600723267,
                    ["x"] = -13,
                    ["z"] = -7.5253000259399,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 4.0269899368286,
                    ["x"] = 13.859499931335,
                    ["z"] = 7.5200300216675,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 24200,
            ["Kmax"] = 4,
            ["_origin"] = "",
            ["speedMax10K"] = 833.33001708984,
            ["NyMin"] = -2,
            ["fuelMassMax"] = 15245,
            ["speedMax"] = 833.33001708984,
            ["NyMax"] = 3.7999999523163,
            ["massMax"] = 41200,
            ["RCS"] = 10,
            ["displayName"] = "mig-25rbv",
            ["life"] = 24,
            ["VyMax"] = 250,
            ["Kab"] = 8,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Planes"] = true,
                ["Aux"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "MiG-25RBT",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of MiG-25RBT
    ,["MiG-27K"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 320,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 30,
                        ["mass"] = 0.39,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "30mm AP",
                    ["typeName"] = "weapons.shells.GSH301_30_AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "Kaira-1",
                    ["opticType"] = 0,
                }, -- end of [1]
            }, -- end of [0]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 375,
            ["massEmpty"] = 11000,
            ["range"] = 1950,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -2.3299200534821,
                    ["x"] = -9,
                    ["z"] = -8,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.7555100917816,
                    ["x"] = 9,
                    ["z"] = 8,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 17000,
            ["Kmax"] = 0.68999999761581,
            ["_origin"] = "",
            ["speedMax10K"] = 523.60998535156,
            ["NyMin"] = -2,
            ["fuelMassMax"] = 4500,
            ["speedMax"] = 523.60998535156,
            ["NyMax"] = 5.9000000953674,
            ["massMax"] = 18900,
            ["RCS"] = 5,
            ["displayName"] = "mig-27",
            ["life"] = 18,
            ["VyMax"] = 200,
            ["Kab"] = 3,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Battle airplanes"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Planes"] = true,
                ["Bombers"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "MiG-27K",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of MiG-27K
    ,["MiG-29A"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 150,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.39,
                        ["type"] = 1,
                        ["caliber"] = 30,
                        ["mass"] = 0.39,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "30mm HE",
                    ["typeName"] = "weapons.shells.GSH301_30_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 22795.072265625,
                            ["headOn"] = 45590.14453125,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 22795.072265625,
                            ["headOn"] = 45590.14453125,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["typeName"] = "N-019",
                }, -- end of [1]
            }, -- end of [1]
            [2] = 
            {
                [1] = 
                {
                    ["type"] = 2,
                    ["detectionDistanceMaximal"] = 12000,
                    ["detectionDistanceIdle"] = 6000,
                    ["typeName"] = "KOLS",
                    ["detectionDistanceAfterburner"] = 20000,
                }, -- end of [1]
            }, -- end of [2]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 416.70001220703,
            ["massEmpty"] = 11200,
            ["range"] = 1500,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -1.7533042430878,
                    ["x"] = -7.2414231300354,
                    ["z"] = -5.7602467536926,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.0893540382385,
                    ["x"] = 9.624683380127,
                    ["z"] = 5.7602467536926,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 18000,
            ["Kmax"] = 0.76999998092651,
            ["_origin"] = "",
            ["speedMax10K"] = 680.59997558594,
            ["NyMin"] = -3,
            ["fuelMassMax"] = 3380,
            ["speedMax"] = 680.59997558594,
            ["NyMax"] = 8,
            ["massMax"] = 19700,
            ["RCS"] = 5,
            ["displayName"] = "mig-29",
            ["life"] = 16,
            ["VyMax"] = 330,
            ["Kab"] = 4,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Fighters"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Battle airplanes"] = true,
                ["Planes"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "MiG-29A",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of MiG-29A
    ,["MiG-29G"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 150,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.39,
                        ["type"] = 1,
                        ["caliber"] = 30,
                        ["mass"] = 0.39,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "30mm HE",
                    ["typeName"] = "weapons.shells.GSH301_30_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 22795.072265625,
                            ["headOn"] = 45590.14453125,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 22795.072265625,
                            ["headOn"] = 45590.14453125,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["typeName"] = "N-019",
                }, -- end of [1]
            }, -- end of [1]
            [2] = 
            {
                [1] = 
                {
                    ["type"] = 2,
                    ["detectionDistanceMaximal"] = 12000,
                    ["detectionDistanceIdle"] = 6000,
                    ["typeName"] = "KOLS",
                    ["detectionDistanceAfterburner"] = 20000,
                }, -- end of [1]
            }, -- end of [2]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 416.70001220703,
            ["massEmpty"] = 11200,
            ["range"] = 1500,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -1.7533042430878,
                    ["x"] = -7.2414231300354,
                    ["z"] = -5.7602467536926,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.0893540382385,
                    ["x"] = 9.624683380127,
                    ["z"] = 5.7602467536926,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 18000,
            ["Kmax"] = 0.76999998092651,
            ["_origin"] = "",
            ["speedMax10K"] = 680.59997558594,
            ["NyMin"] = -3,
            ["fuelMassMax"] = 3380,
            ["speedMax"] = 680.59997558594,
            ["NyMax"] = 8,
            ["massMax"] = 19700,
            ["RCS"] = 5,
            ["displayName"] = "mig-29g",
            ["life"] = 16,
            ["VyMax"] = 330,
            ["Kab"] = 4,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Fighters"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Battle airplanes"] = true,
                ["Planes"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "MiG-29G",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of MiG-29G
    ,["MiG-29S"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 150,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.39,
                        ["type"] = 1,
                        ["caliber"] = 30,
                        ["mass"] = 0.39,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "30mm HE",
                    ["typeName"] = "weapons.shells.GSH301_30_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 22795.072265625,
                            ["headOn"] = 45590.14453125,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 22795.072265625,
                            ["headOn"] = 45590.14453125,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["typeName"] = "N-019M",
                }, -- end of [1]
            }, -- end of [1]
            [2] = 
            {
                [1] = 
                {
                    ["type"] = 2,
                    ["detectionDistanceMaximal"] = 12000,
                    ["detectionDistanceIdle"] = 6000,
                    ["typeName"] = "KOLS",
                    ["detectionDistanceAfterburner"] = 20000,
                }, -- end of [1]
            }, -- end of [2]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 416.70001220703,
            ["massEmpty"] = 11200,
            ["range"] = 1500,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -1.7533042430878,
                    ["x"] = -7.2414231300354,
                    ["z"] = -5.7602467536926,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.0893540382385,
                    ["x"] = 9.624683380127,
                    ["z"] = 5.7602467536926,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 18000,
            ["Kmax"] = 0.76999998092651,
            ["_origin"] = "",
            ["speedMax10K"] = 680.59997558594,
            ["NyMin"] = -3,
            ["fuelMassMax"] = 3500,
            ["speedMax"] = 680.59997558594,
            ["NyMax"] = 8,
            ["massMax"] = 19700,
            ["RCS"] = 5,
            ["displayName"] = "mig-29c",
            ["life"] = 16,
            ["VyMax"] = 330,
            ["Kab"] = 4,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Fighters"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Battle airplanes"] = true,
                ["Planes"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "MiG-29S",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of MiG-29S
    ,["MiG-31"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 260,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 23,
                        ["mass"] = 0.175,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "23mm AP",
                    ["typeName"] = "weapons.shells.GSH23_23_AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 38317.890625,
                            ["headOn"] = 95794.7265625,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 38317.890625,
                            ["headOn"] = 95794.7265625,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["typeName"] = "BRLS-8B",
                }, -- end of [1]
            }, -- end of [1]
            [2] = 
            {
                [1] = 
                {
                    ["type"] = 2,
                    ["detectionDistanceMaximal"] = 25000,
                    ["detectionDistanceIdle"] = 15000,
                    ["typeName"] = "8TP",
                    ["detectionDistanceAfterburner"] = 50000,
                }, -- end of [1]
            }, -- end of [2]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 300,
            ["massEmpty"] = 21820,
            ["tankerType"] = 1,
            ["range"] = 2400,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -1.5176374912262,
                    ["x"] = -20.288284301758,
                    ["z"] = -7.1969165802002,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.6425745487213,
                    ["x"] = 12.556150436401,
                    ["z"] = 7.218122959137,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 21000,
            ["Kmax"] = 3,
            ["_origin"] = "",
            ["speedMax10K"] = 833.33001708984,
            ["NyMin"] = -2,
            ["fuelMassMax"] = 15500,
            ["speedMax"] = 833.33001708984,
            ["NyMax"] = 5,
            ["massMax"] = 46200,
            ["RCS"] = 10,
            ["displayName"] = "mig-31",
            ["life"] = 24,
            ["VyMax"] = 250,
            ["Kab"] = 6,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Battle airplanes"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Planes"] = true,
                ["Refuelable"] = true,
                ["All"] = true,
                ["NonArmoredUnits"] = true,
                ["Interceptors"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "MiG-31",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of MiG-31
    ,["Mirage 2000-5"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 250,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 30,
                        ["mass"] = 0.242,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "30mm HE",
                    ["typeName"] = "weapons.shells.DEFA552_30",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 53499.2265625,
                            ["headOn"] = 53499.2265625,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 35443.23828125,
                            ["headOn"] = 53499.2265625,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["detectionDistanceRBM"] = 150,
                    ["typeName"] = "RDY",
                    ["detectionDistanceHRM"] = 220,
                }, -- end of [1]
            }, -- end of [1]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 403,
            ["massEmpty"] = 7500,
            ["tankerType"] = 1,
            ["range"] = 1852,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -1.747789978981,
                    ["x"] = -6.8034100532532,
                    ["z"] = -4.968279838562,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.3454999923706,
                    ["x"] = 8.0306701660156,
                    ["z"] = 4.9535298347473,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 16460,
            ["Kmax"] = 0.80000001192093,
            ["_origin"] = "",
            ["speedMax10K"] = 660,
            ["NyMin"] = -2,
            ["fuelMassMax"] = 3160,
            ["speedMax"] = 660,
            ["NyMax"] = 8,
            ["massMax"] = 17000,
            ["RCS"] = 5,
            ["displayName"] = "mirage 2000c",
            ["life"] = 16,
            ["VyMax"] = 315.29998779297,
            ["Kab"] = 3,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Battle airplanes"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Planes"] = true,
                ["Refuelable"] = true,
                ["All"] = true,
                ["NonArmoredUnits"] = true,
                ["Multirole fighters"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "Mirage 2000-5",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of Mirage 2000-5
    ,["P-51D"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 2080,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 12.7,
                        ["mass"] = 0.046,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "12.7mm",
                    ["typeName"] = "weapons.shells.M2_50_aero_AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.16146284341812,
                            ["x"] = -44.163108825684,
                            ["z"] = -0.64507895708084,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.15063416957855,
                            ["x"] = 0.025108814239502,
                            ["z"] = 0.64480221271515,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "Merkury LLTV",
                    ["opticType"] = 1,
                }, -- end of [1]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 250,
            ["massEmpty"] = 3549,
            ["range"] = 1015,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -1.2021408081055,
                    ["x"] = -7.0865588188171,
                    ["z"] = -5.5569376945496,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.7982459068298,
                    ["x"] = 2.7609069347382,
                    ["z"] = 5.5569376945496,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 13000,
            ["Kmax"] = 0.10000000149012,
            ["_origin"] = "",
            ["speedMax10K"] = 212,
            ["NyMin"] = -4,
            ["fuelMassMax"] = 732,
            ["speedMax"] = 250,
            ["NyMax"] = 8,
            ["massMax"] = 4800,
            ["RCS"] = 2.5,
            ["displayName"] = "P-51D",
            ["life"] = 20,
            ["VyMax"] = 22,
            ["Kab"] = 0,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Battle airplanes"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Battleplanes"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Planes"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "P-51D",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of P-51D
    ,["RQ-1A Predator"] = 
    {
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "RQ-1 Predator CAM",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "RQ-1 Predator FLIR",
                    ["opticType"] = 2,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 72.222221374512,
            ["massEmpty"] = 430,
            ["range"] = 1111.1999511719,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -1.7054378986359,
                    ["x"] = -4.6453676223755,
                    ["z"] = -7.4647059440613,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.170923948288,
                    ["x"] = 4.6453671455383,
                    ["z"] = 7.4647059440613,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 7620,
            ["Kmax"] = 0.0099999997764826,
            ["_origin"] = "",
            ["speedMax10K"] = 138.88888549805,
            ["NyMin"] = -1,
            ["fuelMassMax"] = 490,
            ["speedMax"] = 138.88888549805,
            ["NyMax"] = 2,
            ["massMax"] = 1020,
            ["RCS"] = 0.64999997615814,
            ["displayName"] = "RQ-1A Predator",
            ["life"] = 5,
            ["VyMax"] = 2,
            ["Kab"] = 0,
            ["attributes"] = 
            {
                ["UAVs"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Planes"] = true,
                ["Air"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "RQ-1A Predator",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of RQ-1A Predator
    ,["S-3B Tanker"] = 
    {
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["type"] = 1,
                    ["typeName"] = "AN/APS-137",
                    ["detectionDistanceRBM"] = 2800,
                }, -- end of [1]
            }, -- end of [1]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 222.69999694824,
            ["massEmpty"] = 12088,
            ["range"] = 3701,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -1.4795199632645,
                    ["x"] = -9.9239196777344,
                    ["z"] = -10.920999526978,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 5.9472398757935,
                    ["x"] = 6.0797801017761,
                    ["z"] = 10.922499656677,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 7500,
            ["Kmax"] = 0.52999997138977,
            ["_origin"] = "",
            ["speedMax10K"] = 231.69999694824,
            ["NyMin"] = -1,
            ["fuelMassMax"] = 8000,
            ["speedMax"] = 231.69999694824,
            ["NyMax"] = 2.5,
            ["massMax"] = 23831,
            ["RCS"] = 30,
            ["displayName"] = "s-3a viking",
            ["life"] = 25,
            ["VyMax"] = 8,
            ["Kab"] = 0,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Tankers"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Planes"] = true,
                ["Refuelable"] = true,
                ["All"] = true,
                ["NonArmoredUnits"] = true,
                ["Aux"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "S-3B Tanker",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of S-3B Tanker
    ,["S-3B"] = 
    {
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["type"] = 1,
                    ["typeName"] = "AN/APS-137",
                    ["detectionDistanceRBM"] = 2800,
                }, -- end of [1]
            }, -- end of [1]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 222.69999694824,
            ["massEmpty"] = 12088,
            ["tankerType"] = 1,
            ["range"] = 3701,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -1.4795199632645,
                    ["x"] = -9.9239196777344,
                    ["z"] = -10.920999526978,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 5.9472398757935,
                    ["x"] = 6.0797801017761,
                    ["z"] = 10.922499656677,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 7500,
            ["Kmax"] = 0.52999997138977,
            ["_origin"] = "",
            ["speedMax10K"] = 231.69999694824,
            ["NyMin"] = -1,
            ["fuelMassMax"] = 5500,
            ["speedMax"] = 231.69999694824,
            ["NyMax"] = 2.5,
            ["massMax"] = 23831,
            ["RCS"] = 30,
            ["displayName"] = "s-3a viking",
            ["life"] = 25,
            ["VyMax"] = 8,
            ["Kab"] = 0,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Planes"] = true,
                ["Aux"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "S-3B",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of S-3B
    ,["SpitfireLFMkIX"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 240,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 20,
                        ["mass"] = 0.115,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "20mm AP",
                    ["typeName"] = "weapons.shells.Hispano_Mk_II_20x80AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 350,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.62,
                        ["mass"] = 0.0112750103,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "7.7mm T",
                    ["typeName"] = "weapons.shells.British303_G_Mk4",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
            [3] = 
            {
                ["count"] = 700,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.62,
                        ["mass"] = 0.0112750103,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "7.7mm",
                    ["typeName"] = "weapons.shells.British303_Ball_Mk7",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [3]
            [4] = 
            {
                ["count"] = 350,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.62,
                        ["mass"] = 0.0112750103,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "7.7mm AP",
                    ["typeName"] = "weapons.shells.British303_W_Mk1z",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [4]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "Merkury LLTV",
                    ["opticType"] = 1,
                }, -- end of [1]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 208,
            ["massEmpty"] = 2914,
            ["range"] = 1015,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -1.8611645698547,
                    ["x"] = -7.0343046188354,
                    ["z"] = -5.5880193710327,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.7320981025696,
                    ["x"] = 2.8557164669037,
                    ["z"] = 5.5880193710327,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 13000,
            ["Kmax"] = 0.10000000149012,
            ["_origin"] = "World War II AI Units by Eagle Dynamics",
            ["speedMax10K"] = 230,
            ["NyMin"] = -4,
            ["fuelMassMax"] = 247,
            ["speedMax"] = 230,
            ["NyMax"] = 8,
            ["massMax"] = 3400,
            ["RCS"] = 2.5,
            ["displayName"] = "SpitfireLFMkIX",
            ["life"] = 18,
            ["VyMax"] = 22,
            ["Kab"] = 0,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Battle airplanes"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Battleplanes"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Planes"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "SpitfireLFMkIX",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of SpitfireLFMkIX
    ,["Su-17M4"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 160,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 30,
                        ["mass"] = 0.41,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "30mm AP",
                    ["typeName"] = "weapons.shells.HP30_30_AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 375,
            ["massEmpty"] = 10670,
            ["range"] = 1760,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -1.8347400426865,
                    ["x"] = -10,
                    ["z"] = -7,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.5664699077606,
                    ["x"] = 10.073100090027,
                    ["z"] = 7,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 15200,
            ["Kmax"] = 0.68999999761581,
            ["_origin"] = "",
            ["speedMax10K"] = 510,
            ["NyMin"] = -2,
            ["fuelMassMax"] = 3770,
            ["speedMax"] = 510,
            ["NyMax"] = 5.9000000953674,
            ["massMax"] = 19430,
            ["RCS"] = 7,
            ["displayName"] = "su-17m4",
            ["life"] = 20,
            ["VyMax"] = 200,
            ["Kab"] = 3,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Battle airplanes"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Planes"] = true,
                ["Bombers"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "Su-17M4",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of Su-17M4
    ,["Su-24M"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 500,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 23,
                        ["mass"] = 0.175,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "23mm AP",
                    ["typeName"] = "weapons.shells.GSH23_23_AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["type"] = 1,
                    ["typeName"] = "Orion-A",
                    ["detectionDistanceRBM"] = 1800,
                }, -- end of [1]
            }, -- end of [1]
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "Kaira-1",
                    ["opticType"] = 0,
                }, -- end of [1]
            }, -- end of [0]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 388.89999389648,
            ["massEmpty"] = 22300,
            ["tankerType"] = 1,
            ["range"] = 1200,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -3.7094521522522,
                    ["x"] = -23.462182998657,
                    ["z"] = -12.80853843689,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 6.5944375991821,
                    ["x"] = 13.314436912537,
                    ["z"] = 12.808539390564,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 17500,
            ["Kmax"] = 1.5,
            ["_origin"] = "",
            ["speedMax10K"] = 472,
            ["NyMin"] = -2,
            ["fuelMassMax"] = 11700,
            ["speedMax"] = 472,
            ["NyMax"] = 5.9000000953674,
            ["massMax"] = 39700,
            ["RCS"] = 7.5,
            ["displayName"] = "su-24m",
            ["life"] = 20,
            ["VyMax"] = 200,
            ["Kab"] = 5,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Battle airplanes"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Planes"] = true,
                ["Refuelable"] = true,
                ["All"] = true,
                ["NonArmoredUnits"] = true,
                ["Bombers"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "Su-24M",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of Su-24M
    ,["Su-24MR"] = 
    {
        ["sensors"] = 
        {
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 388.89999389648,
            ["massEmpty"] = 22300,
            ["tankerType"] = 1,
            ["range"] = 1200,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -3.7094521522522,
                    ["x"] = -23.462182998657,
                    ["z"] = -12.80853843689,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 6.5944375991821,
                    ["x"] = 13.314436912537,
                    ["z"] = 12.808539390564,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 17500,
            ["Kmax"] = 1.5,
            ["_origin"] = "",
            ["speedMax10K"] = 472,
            ["NyMin"] = -2,
            ["fuelMassMax"] = 11700,
            ["speedMax"] = 472,
            ["NyMax"] = 5.9000000953674,
            ["massMax"] = 39700,
            ["RCS"] = 7.5,
            ["displayName"] = "su-24mr",
            ["life"] = 20,
            ["VyMax"] = 200,
            ["Kab"] = 5,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Planes"] = true,
                ["Refuelable"] = true,
                ["All"] = true,
                ["NonArmoredUnits"] = true,
                ["Aux"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "Su-24MR",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of Su-24MR
    ,["Su-25"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 250,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 30,
                        ["mass"] = 0.39,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "30mm AP",
                    ["typeName"] = "weapons.shells.GSH301_30_AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 292,
            ["massEmpty"] = 10099,
            ["range"] = 1250,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -2.3040714263916,
                    ["x"] = -7.2611885070801,
                    ["z"] = -7.2232179641724,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.7840714454651,
                    ["x"] = 7.7011885643005,
                    ["z"] = 7.2232179641724,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 10000,
            ["Kmax"] = 0.69999998807907,
            ["_origin"] = "",
            ["speedMax10K"] = 271,
            ["NyMin"] = -3,
            ["fuelMassMax"] = 2835,
            ["speedMax"] = 292,
            ["NyMax"] = 5.9000000953674,
            ["massMax"] = 17350,
            ["RCS"] = 7,
            ["displayName"] = "su-25",
            ["life"] = 32,
            ["VyMax"] = 60,
            ["Kab"] = 0,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Battle airplanes"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Battleplanes"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Planes"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "Su-25",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of Su-25
    ,["Su-25T"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 250,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 30,
                        ["mass"] = 0.39,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "30mm AP",
                    ["typeName"] = "weapons.shells.GSH301_30_AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "Shkval",
                    ["opticType"] = 0,
                }, -- end of [1]
            }, -- end of [0]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 292,
            ["massEmpty"] = 11496.400390625,
            ["range"] = 2250,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -2.304071187973,
                    ["x"] = -7.2611885070801,
                    ["z"] = -7.223217010498,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.7840712070465,
                    ["x"] = 7.7011885643005,
                    ["z"] = 7.223217010498,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 10000,
            ["Kmax"] = 0.69999998807907,
            ["_origin"] = "",
            ["speedMax10K"] = 271,
            ["NyMin"] = -3,
            ["fuelMassMax"] = 3790,
            ["speedMax"] = 292,
            ["NyMax"] = 5.9000000953674,
            ["massMax"] = 19500,
            ["RCS"] = 7,
            ["displayName"] = "su-25T",
            ["life"] = 32,
            ["VyMax"] = 60,
            ["Kab"] = 0,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Battle airplanes"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Battleplanes"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Planes"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "Su-25T",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of Su-25T
    ,["Su-25TM"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 250,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 30,
                        ["mass"] = 0.39,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "30mm AP",
                    ["typeName"] = "weapons.shells.GSH301_30_AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "Shkval",
                    ["opticType"] = 0,
                }, -- end of [1]
            }, -- end of [0]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 292,
            ["massEmpty"] = 11496.400390625,
            ["range"] = 2250,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -2.304071187973,
                    ["x"] = -7.2611885070801,
                    ["z"] = -7.223217010498,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.7840712070465,
                    ["x"] = 7.7011885643005,
                    ["z"] = 7.223217010498,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 10000,
            ["Kmax"] = 0.69999998807907,
            ["_origin"] = "",
            ["speedMax10K"] = 271,
            ["NyMin"] = -3,
            ["fuelMassMax"] = 3790,
            ["speedMax"] = 292,
            ["NyMax"] = 5.9000000953674,
            ["massMax"] = 19500,
            ["RCS"] = 7,
            ["displayName"] = "su-39",
            ["life"] = 32,
            ["VyMax"] = 60,
            ["Kab"] = 0,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Battle airplanes"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Battleplanes"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Planes"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "Su-25TM",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of Su-25TM
    ,["Su-27"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 150,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.39,
                        ["type"] = 1,
                        ["caliber"] = 30,
                        ["mass"] = 0.39,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "30mm HE",
                    ["typeName"] = "weapons.shells.GSH301_30_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 25412.1328125,
                            ["headOn"] = 45741.83984375,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 17788.4921875,
                            ["headOn"] = 45741.83984375,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["typeName"] = "N-001",
                }, -- end of [1]
            }, -- end of [1]
            [2] = 
            {
                [1] = 
                {
                    ["type"] = 2,
                    ["detectionDistanceMaximal"] = 40000,
                    ["detectionDistanceIdle"] = 25000,
                    ["typeName"] = "OLS-27",
                    ["detectionDistanceAfterburner"] = 80000,
                }, -- end of [1]
            }, -- end of [2]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 403,
            ["massEmpty"] = 17500,
            ["range"] = 3740,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -1.2178184986115,
                    ["x"] = -8.3700714111328,
                    ["z"] = -7.3756742477417,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.5680229663849,
                    ["x"] = 12.915989875793,
                    ["z"] = 7.3932962417603,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 18500,
            ["Kmax"] = 1,
            ["_origin"] = "",
            ["speedMax10K"] = 694.44000244141,
            ["NyMin"] = -3,
            ["fuelMassMax"] = 9400,
            ["speedMax"] = 694.44000244141,
            ["NyMax"] = 8,
            ["massMax"] = 28000,
            ["RCS"] = 5.5,
            ["displayName"] = "su-27",
            ["life"] = 20,
            ["VyMax"] = 325,
            ["Kab"] = 5,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Fighters"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Battle airplanes"] = true,
                ["Planes"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "Su-27",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of Su-27
    ,["Su-30"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 150,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.39,
                        ["type"] = 1,
                        ["caliber"] = 30,
                        ["mass"] = 0.39,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "30mm HE",
                    ["typeName"] = "weapons.shells.GSH301_30_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 35443.23828125,
                            ["headOn"] = 80248.84375,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 26749.61328125,
                            ["headOn"] = 80248.84375,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["detectionDistanceRBM"] = 2000,
                    ["typeName"] = "N-011M",
                    ["detectionDistanceHRM"] = 500,
                }, -- end of [1]
            }, -- end of [1]
            [2] = 
            {
                [1] = 
                {
                    ["type"] = 2,
                    ["detectionDistanceMaximal"] = 40000,
                    ["detectionDistanceIdle"] = 25000,
                    ["typeName"] = "OLS-27",
                    ["detectionDistanceAfterburner"] = 80000,
                }, -- end of [1]
            }, -- end of [2]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 403,
            ["massEmpty"] = 17700,
            ["range"] = 3000,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -2.2409698963165,
                    ["x"] = -9,
                    ["z"] = -7.3482398986816,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.7001099586487,
                    ["x"] = 13.92679977417,
                    ["z"] = 7.3482398986816,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 17250,
            ["Kmax"] = 1,
            ["_origin"] = "",
            ["speedMax10K"] = 590.29998779297,
            ["NyMin"] = -3,
            ["fuelMassMax"] = 9400,
            ["speedMax"] = 590.29998779297,
            ["NyMax"] = 8,
            ["massMax"] = 33000,
            ["RCS"] = 6,
            ["displayName"] = "su-30",
            ["life"] = 20,
            ["VyMax"] = 325,
            ["Kab"] = 5,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Battle airplanes"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Planes"] = true,
                ["Multirole fighters"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "Su-30",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of Su-30
    ,["Su-33"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 150,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.39,
                        ["type"] = 1,
                        ["caliber"] = 30,
                        ["mass"] = 0.39,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "30mm HE",
                    ["typeName"] = "weapons.shells.GSH301_30_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 25412.1328125,
                            ["headOn"] = 45741.83984375,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 17788.4921875,
                            ["headOn"] = 45741.83984375,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["typeName"] = "N-001",
                }, -- end of [1]
            }, -- end of [1]
            [2] = 
            {
                [1] = 
                {
                    ["type"] = 2,
                    ["detectionDistanceMaximal"] = 40000,
                    ["detectionDistanceIdle"] = 25000,
                    ["typeName"] = "OLS-27",
                    ["detectionDistanceAfterburner"] = 80000,
                }, -- end of [1]
            }, -- end of [2]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 403,
            ["massEmpty"] = 19680,
            ["tankerType"] = 1,
            ["range"] = 3000,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -1.811084985733,
                    ["x"] = -7.0053868293762,
                    ["z"] = -7.4099044799805,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.6561763286591,
                    ["x"] = 13.082051277161,
                    ["z"] = 7.4223022460938,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 18500,
            ["Kmax"] = 1,
            ["_origin"] = "",
            ["speedMax10K"] = 694.44000244141,
            ["NyMin"] = -3,
            ["fuelMassMax"] = 9500,
            ["speedMax"] = 694.44000244141,
            ["NyMax"] = 8,
            ["massMax"] = 33000,
            ["RCS"] = 5.5,
            ["displayName"] = "su-33",
            ["life"] = 20,
            ["VyMax"] = 325,
            ["Kab"] = 5,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Fighters"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Battle airplanes"] = true,
                ["Refuelable"] = true,
                ["All"] = true,
                ["Planes"] = true,
                ["NonArmoredUnits"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "Su-33",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of Su-33
    ,["Su-34"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 150,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.39,
                        ["type"] = 1,
                        ["caliber"] = 30,
                        ["mass"] = 0.39,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "30mm HE",
                    ["typeName"] = "weapons.shells.GSH301_30_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceAir"] = 
                    {
                        ["upperHemisphere"] = 
                        {
                            ["tailOn"] = 35443.23828125,
                            ["headOn"] = 80248.84375,
                        }, -- end of ["upperHemisphere"]
                        ["lowerHemisphere"] = 
                        {
                            ["tailOn"] = 26749.61328125,
                            ["headOn"] = 80248.84375,
                        }, -- end of ["lowerHemisphere"]
                    }, -- end of ["detectionDistanceAir"]
                    ["type"] = 1,
                    ["detectionDistanceRBM"] = 2000,
                    ["typeName"] = "N-011M",
                    ["detectionDistanceHRM"] = 500,
                }, -- end of [1]
            }, -- end of [1]
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "Su-34 FLIR",
                    ["opticType"] = 2,
                }, -- end of [1]
            }, -- end of [0]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 403,
            ["massEmpty"] = 22300,
            ["tankerType"] = 1,
            ["range"] = 4000,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -2.7238700389862,
                    ["x"] = -10,
                    ["z"] = -7.9170498847961,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.700119972229,
                    ["x"] = 13.92679977417,
                    ["z"] = 7.9220499992371,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 15000,
            ["Kmax"] = 1,
            ["_origin"] = "",
            ["speedMax10K"] = 527.78002929688,
            ["NyMin"] = -3,
            ["fuelMassMax"] = 9800,
            ["speedMax"] = 527.78002929688,
            ["NyMax"] = 7,
            ["massMax"] = 45000,
            ["RCS"] = 6,
            ["displayName"] = "su-34",
            ["life"] = 24,
            ["VyMax"] = 300,
            ["Kab"] = 5,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Battle airplanes"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Planes"] = true,
                ["Refuelable"] = true,
                ["All"] = true,
                ["NonArmoredUnits"] = true,
                ["Bombers"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "Su-34",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of Su-34
    ,["TF-51D"] = 
    {
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "Merkury LLTV",
                    ["opticType"] = 1,
                }, -- end of [1]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 250,
            ["massEmpty"] = 3289,
            ["range"] = 1015,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -1.2021408081055,
                    ["x"] = -7.0865588188171,
                    ["z"] = -5.5569376945496,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.7982459068298,
                    ["x"] = 2.7609069347382,
                    ["z"] = 5.5569376945496,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 13000,
            ["Kmax"] = 0.10000000149012,
            ["_origin"] = "TF-51D Mustang by Eagle Dynamics",
            ["speedMax10K"] = 212,
            ["NyMin"] = -4,
            ["fuelMassMax"] = 501,
            ["speedMax"] = 250,
            ["NyMax"] = 8,
            ["massMax"] = 4800,
            ["RCS"] = 2.5,
            ["displayName"] = "TF-51D",
            ["life"] = 18,
            ["VyMax"] = 22,
            ["Kab"] = 0,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Battle airplanes"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Battleplanes"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Planes"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "TF-51D",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of TF-51D
    ,["Tornado GR4"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 180,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.24,
                        ["type"] = 1,
                        ["caliber"] = 27,
                        ["mass"] = 0.24,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "27mm HE",
                    ["typeName"] = "weapons.shells.BK_27",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceHRM"] = 180,
                    ["type"] = 1,
                    ["typeName"] = "Tornado SS radar",
                    ["detectionDistanceRBM"] = 1600,
                }, -- end of [1]
            }, -- end of [1]
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "Tornado GR_4 FLIR",
                    ["opticType"] = 2,
                }, -- end of [1]
            }, -- end of [0]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 306,
            ["massEmpty"] = 14090,
            ["range"] = 2780,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -2.0742630958557,
                    ["x"] = -8.6592636108398,
                    ["z"] = -6.9909424781799,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 4.0108585357666,
                    ["x"] = 8.7294769287109,
                    ["z"] = 6.9964928627014,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 15200,
            ["Kmax"] = 0.60000002384186,
            ["_origin"] = "",
            ["speedMax10K"] = 650,
            ["NyMin"] = -2,
            ["fuelMassMax"] = 4663,
            ["speedMax"] = 650,
            ["NyMax"] = 7.5,
            ["massMax"] = 26490,
            ["RCS"] = 4,
            ["displayName"] = "Tornado GR4",
            ["life"] = 20,
            ["VyMax"] = 250,
            ["Kab"] = 2.2000000476837,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Battle airplanes"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Planes"] = true,
                ["Bombers"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "Tornado GR4",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of Tornado GR4
    ,["Tornado IDS"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 360,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.24,
                        ["type"] = 1,
                        ["caliber"] = 27,
                        ["mass"] = 0.24,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "27mm HE",
                    ["typeName"] = "weapons.shells.BK_27",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceHRM"] = 180,
                    ["type"] = 1,
                    ["typeName"] = "Tornado SS radar",
                    ["detectionDistanceRBM"] = 1600,
                }, -- end of [1]
            }, -- end of [1]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 306,
            ["massEmpty"] = 14090,
            ["range"] = 2780,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -2.0742630958557,
                    ["x"] = -8.6592636108398,
                    ["z"] = -6.9909424781799,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 4.0108585357666,
                    ["x"] = 8.7294769287109,
                    ["z"] = 6.9964928627014,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 15200,
            ["Kmax"] = 0.60000002384186,
            ["_origin"] = "",
            ["speedMax10K"] = 650,
            ["NyMin"] = -2,
            ["fuelMassMax"] = 4663,
            ["speedMax"] = 650,
            ["NyMax"] = 7.5,
            ["massMax"] = 26490,
            ["RCS"] = 4,
            ["displayName"] = "Tornado IDS",
            ["life"] = 20,
            ["VyMax"] = 250,
            ["Kab"] = 2.2000000476837,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Battle airplanes"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Planes"] = true,
                ["Bombers"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "Tornado IDS",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of Tornado IDS
    ,["Tu-142"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 1200,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.175,
                        ["type"] = 1,
                        ["caliber"] = 23,
                        ["mass"] = 0.175,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "23mm HE",
                    ["typeName"] = "weapons.shells.GSH23_23_HE_T",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["type"] = 1,
                    ["typeName"] = "Berkut-95",
                    ["detectionDistanceRBM"] = 3000,
                }, -- end of [1]
            }, -- end of [1]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 175.60000610352,
            ["massEmpty"] = 96000,
            ["tankerType"] = 1,
            ["range"] = 6400,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -4.7048201560974,
                    ["x"] = -32.238399505615,
                    ["z"] = -24.990400314331,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 9.5633001327515,
                    ["x"] = 24.21310043335,
                    ["z"] = 24.982599258423,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 12000,
            ["Kmax"] = 1.1000000238419,
            ["_origin"] = "",
            ["speedMax10K"] = 230.60000610352,
            ["NyMin"] = 0,
            ["fuelMassMax"] = 87000,
            ["speedMax"] = 230.60000610352,
            ["NyMax"] = 2.5,
            ["massMax"] = 185000,
            ["RCS"] = 100,
            ["displayName"] = "tu-142",
            ["life"] = 60,
            ["VyMax"] = 10.199999809265,
            ["Kab"] = 0,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["NonArmoredUnits"] = true,
                ["Strategic bombers"] = true,
                ["Battle airplanes"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Bombers"] = true,
                ["All"] = true,
                ["Planes"] = true,
                ["Refuelable"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "Tu-142",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of Tu-142
    ,["Tu-160"] = 
    {
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["type"] = 1,
                    ["typeName"] = "Poisk",
                    ["detectionDistanceRBM"] = 3000,
                }, -- end of [1]
            }, -- end of [1]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 286,
            ["massEmpty"] = 117000,
            ["tankerType"] = 1,
            ["range"] = 12300,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -3.6915400028229,
                    ["x"] = -26,
                    ["z"] = -27.796699523926,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 8.9065198898315,
                    ["x"] = 27.937999725342,
                    ["z"] = 27.669599533081,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 15000,
            ["Kmax"] = 4,
            ["_origin"] = "",
            ["speedMax10K"] = 611.10998535156,
            ["NyMin"] = 0,
            ["fuelMassMax"] = 171000,
            ["speedMax"] = 611.10998535156,
            ["NyMax"] = 3.5,
            ["massMax"] = 275000,
            ["RCS"] = 15,
            ["displayName"] = "tu-160",
            ["life"] = 60,
            ["VyMax"] = 70,
            ["Kab"] = 10,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["NonArmoredUnits"] = true,
                ["Strategic bombers"] = true,
                ["Battle airplanes"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Bombers"] = true,
                ["All"] = true,
                ["Planes"] = true,
                ["Refuelable"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "Tu-160",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of Tu-160
    ,["Tu-22M3"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 1200,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.175,
                        ["type"] = 1,
                        ["caliber"] = 23,
                        ["mass"] = 0.175,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "23mm HE",
                    ["typeName"] = "weapons.shells.GSH23_23_HE_T",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["type"] = 1,
                    ["typeName"] = "PNA-D Leninets",
                    ["detectionDistanceRBM"] = 2100,
                }, -- end of [1]
            }, -- end of [1]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 292.60000610352,
            ["massEmpty"] = 50000,
            ["range"] = 2410,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -6.650981426239,
                    ["x"] = -32.001712799072,
                    ["z"] = -18.756826400757,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 8.4380359649658,
                    ["x"] = 21.853969573975,
                    ["z"] = 18.756826400757,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 13500,
            ["Kmax"] = 4,
            ["_origin"] = "",
            ["speedMax10K"] = 639,
            ["NyMin"] = -1,
            ["fuelMassMax"] = 50000,
            ["speedMax"] = 639,
            ["NyMax"] = 3.5,
            ["massMax"] = 124000,
            ["RCS"] = 60,
            ["displayName"] = "tu-22m3",
            ["life"] = 45,
            ["VyMax"] = 70,
            ["Kab"] = 8,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Battle airplanes"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Planes"] = true,
                ["Bombers"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "Tu-22M3",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of Tu-22M3
    ,["Tu-95MS"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 1200,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.175,
                        ["type"] = 1,
                        ["caliber"] = 23,
                        ["mass"] = 0.175,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "23mm HE",
                    ["typeName"] = "weapons.shells.GSH23_23_HE_T",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["type"] = 1,
                    ["typeName"] = "Rubidy MM",
                    ["detectionDistanceRBM"] = 2500,
                }, -- end of [1]
            }, -- end of [1]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["speedMax0"] = 175.60000610352,
            ["massEmpty"] = 96000,
            ["tankerType"] = 1,
            ["range"] = 6400,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -4.7048201560974,
                    ["x"] = -29.107099533081,
                    ["z"] = -24.990400314331,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 9.1882295608521,
                    ["x"] = 20.290899276733,
                    ["z"] = 24.982599258423,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 12000,
            ["Kmax"] = 1.1000000238419,
            ["_origin"] = "",
            ["speedMax10K"] = 230.60000610352,
            ["NyMin"] = 0,
            ["fuelMassMax"] = 87000,
            ["speedMax"] = 230.60000610352,
            ["NyMax"] = 2.5,
            ["massMax"] = 185000,
            ["RCS"] = 100,
            ["displayName"] = "tu-95mc",
            ["life"] = 60,
            ["VyMax"] = 10.199999809265,
            ["Kab"] = 0,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["NonArmoredUnits"] = true,
                ["Strategic bombers"] = true,
                ["Battle airplanes"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Bombers"] = true,
                ["All"] = true,
                ["Planes"] = true,
                ["Refuelable"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "Tu-95MS",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of Tu-95MS
    ,["Yak-40"] = 
    {
        ["desc"] = 
        {
            ["speedMax0"] = 140,
            ["massEmpty"] = 9030,
            ["range"] = 900,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -1.6913286447525,
                    ["x"] = -10.967844963074,
                    ["z"] = -12.984441757202,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 5.6715331077576,
                    ["x"] = 9.8730278015137,
                    ["z"] = 12.960119247437,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 11000,
            ["Kmax"] = 0.5,
            ["_origin"] = "",
            ["speedMax10K"] = 167,
            ["NyMin"] = 0.5,
            ["fuelMassMax"] = 3080,
            ["speedMax"] = 167,
            ["NyMax"] = 2.5,
            ["massMax"] = 14850,
            ["RCS"] = 50,
            ["displayName"] = "yak-40",
            ["life"] = 45,
            ["VyMax"] = 9,
            ["Kab"] = 0,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Planes"] = true,
                ["Transports"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "Yak-40",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of Yak-40
    ,["ammo_cargo"] = 
    {
        ["shapeName"] = "ammo_box_cargo",
        ["defaultMass"] = 1500,
        ["desc"] = 
        {
            ["life"] = 0,
            ["attributes"] = 
            {
                ["Cargos"] = true,
            }, -- end of ["attributes"]
            ["category"] = 4,
            ["displayName"] = "Ammo",
            ["typeName"] = "ammo_cargo",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.0673937946558,
                    ["x"] = -0.65713477134705,
                    ["z"] = -0.58641439676285,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.0960557460785,
                    ["x"] = 0.65079057216644,
                    ["z"] = 0.57894480228424,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of ammo_cargo
    ,["barrels_cargo"] = 
    {
        ["shapeName"] = "barrels_cargo",
        ["defaultMass"] = 480,
        ["desc"] = 
        {
            ["life"] = 0,
            ["attributes"] = 
            {
                ["Cargos"] = true,
            }, -- end of ["attributes"]
            ["category"] = 4,
            ["displayName"] = "Barrels",
            ["typeName"] = "barrels_cargo",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.20615586638451,
                    ["x"] = -0.71106952428818,
                    ["z"] = -0.74902099370956,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 0.9045478105545,
                    ["x"] = 0.70472526550293,
                    ["z"] = 0.74155223369598,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of barrels_cargo
    ,["container_cargo"] = 
    {
        ["shapeName"] = "bw_container_cargo",
        ["defaultMass"] = 1200,
        ["desc"] = 
        {
            ["life"] = 0,
            ["attributes"] = 
            {
                ["Cargos"] = true,
            }, -- end of ["attributes"]
            ["category"] = 4,
            ["displayName"] = "Container",
            ["typeName"] = "container_cargo",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.22555217146873,
                    ["x"] = -1.6251794099808,
                    ["z"] = -1.4489405155182,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.6601228713989,
                    ["x"] = 1.6188353300095,
                    ["z"] = 1.4414708614349,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of container_cargo
    ,["fueltank_cargo"] = 
    {
        ["shapeName"] = "fueltank_cargo",
        ["defaultMass"] = 2400,
        ["desc"] = 
        {
            ["life"] = 0,
            ["attributes"] = 
            {
                ["Cargos"] = true,
            }, -- end of ["attributes"]
            ["category"] = 4,
            ["displayName"] = "Fueltank",
            ["typeName"] = "fueltank_cargo",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.041047804057598,
                    ["x"] = -1.6513068675995,
                    ["z"] = -1.3768196105957,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.2522203922272,
                    ["x"] = 1.764998793602,
                    ["z"] = 1.3693499565125,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of fueltank_cargo
    ,["f_bar_cargo"] = 
    {
        ["shapeName"] = "f_bar_cargo",
        ["defaultMass"] = 823,
        ["desc"] = 
        {
            ["life"] = 0,
            ["attributes"] = 
            {
                ["Cargos"] = true,
            }, -- end of ["attributes"]
            ["category"] = 4,
            ["displayName"] = "F-shape barrier",
            ["typeName"] = "f_bar_cargo",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.22790983319283,
                    ["x"] = -1.6418808698654,
                    ["z"] = -0.58641439676285,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.2972056865692,
                    ["x"] = 1.6355367898941,
                    ["z"] = 0.57894480228424,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of f_bar_cargo
    ,["iso_container"] = 
    {
        ["shapeName"] = "iso_container_cargo",
        ["defaultMass"] = 4500,
        ["desc"] = 
        {
            ["life"] = 0,
            ["attributes"] = 
            {
                ["Cargos"] = true,
            }, -- end of ["attributes"]
            ["category"] = 4,
            ["displayName"] = "ISO container",
            ["typeName"] = "iso_container",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.077513538300991,
                    ["x"] = -3.2006773948669,
                    ["z"] = -1.3768196105957,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.7410213947296,
                    ["x"] = 3.3143694400787,
                    ["z"] = 1.3693499565125,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of iso_container
    ,["iso_container_small"] = 
    {
        ["shapeName"] = "iso_container_small_cargo",
        ["defaultMass"] = 3200,
        ["desc"] = 
        {
            ["life"] = 0,
            ["attributes"] = 
            {
                ["Cargos"] = true,
            }, -- end of ["attributes"]
            ["category"] = 4,
            ["displayName"] = "ISO container small",
            ["typeName"] = "iso_container_small",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.077513538300991,
                    ["x"] = -1.7254439592361,
                    ["z"] = -1.3768196105957,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.7410213947296,
                    ["x"] = 1.8391360044479,
                    ["z"] = 1.3693499565125,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of iso_container_small
    ,["m117_cargo"] = 
    {
        ["shapeName"] = "m117_cargo",
        ["defaultMass"] = 840,
        ["desc"] = 
        {
            ["life"] = 0,
            ["attributes"] = 
            {
                ["Cargos"] = true,
            }, -- end of ["attributes"]
            ["category"] = 4,
            ["displayName"] = "M117 bombs",
            ["typeName"] = "m117_cargo",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.0026968717575073,
                    ["x"] = -1.1215981245041,
                    ["z"] = -0.53822082281113,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.0737447738647,
                    ["x"] = 1.1215981245041,
                    ["z"] = 0.53822082281113,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of m117_cargo
    ,["oiltank_cargo"] = 
    {
        ["shapeName"] = "oiltank_cargo",
        ["defaultMass"] = 2300,
        ["desc"] = 
        {
            ["life"] = 0,
            ["attributes"] = 
            {
                ["Cargos"] = true,
            }, -- end of ["attributes"]
            ["category"] = 4,
            ["displayName"] = "Oiltank",
            ["typeName"] = "oiltank_cargo",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.084414914250374,
                    ["x"] = -1.4870768785477,
                    ["z"] = -0.72889226675034,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.8830789327621,
                    ["x"] = 1.6007688045502,
                    ["z"] = 0.72142267227173,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of oiltank_cargo
    ,["pipes_big_cargo"] = 
    {
        ["shapeName"] = "pipes_big_cargo",
        ["defaultMass"] = 4815,
        ["desc"] = 
        {
            ["life"] = 0,
            ["attributes"] = 
            {
                ["Cargos"] = true,
            }, -- end of ["attributes"]
            ["category"] = 4,
            ["displayName"] = "Pipes big",
            ["typeName"] = "pipes_big_cargo",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.22435320913792,
                    ["x"] = -5.236243724823,
                    ["z"] = -0.98158693313599,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.5482434034348,
                    ["x"] = 5.2298994064331,
                    ["z"] = 0.97411733865738,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of pipes_big_cargo
    ,["pipes_small_cargo"] = 
    {
        ["shapeName"] = "pipes_small_cargo",
        ["defaultMass"] = 4350,
        ["desc"] = 
        {
            ["life"] = 0,
            ["attributes"] = 
            {
                ["Cargos"] = true,
            }, -- end of ["attributes"]
            ["category"] = 4,
            ["displayName"] = "Pipes small",
            ["typeName"] = "pipes_small_cargo",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.22435320913792,
                    ["x"] = -5.236243724823,
                    ["z"] = -0.98158693313599,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.5482434034348,
                    ["x"] = 5.2298994064331,
                    ["z"] = 0.97411733865738,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of pipes_small_cargo
    ,["tetrapod_cargo"] = 
    {
        ["shapeName"] = "tetrapod_cargo",
        ["defaultMass"] = 5000,
        ["desc"] = 
        {
            ["life"] = 0,
            ["attributes"] = 
            {
                ["Cargos"] = true,
            }, -- end of ["attributes"]
            ["category"] = 4,
            ["displayName"] = "Tetrapod",
            ["typeName"] = "tetrapod_cargo",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.11533924937248,
                    ["x"] = -1.2412413358688,
                    ["z"] = -1.1614562273026,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.9748455286026,
                    ["x"] = 1.2348972558975,
                    ["z"] = 1.1539866924286,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of tetrapod_cargo
    ,["trunks_long_cargo"] = 
    {
        ["shapeName"] = "trunks_long_cargo",
        ["defaultMass"] = 4747,
        ["desc"] = 
        {
            ["life"] = 0,
            ["attributes"] = 
            {
                ["Cargos"] = true,
            }, -- end of ["attributes"]
            ["category"] = 4,
            ["displayName"] = "Trunks long",
            ["typeName"] = "trunks_long_cargo",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.22435277700424,
                    ["x"] = -4.0400185585022,
                    ["z"] = -0.98158711194992,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.5482429265976,
                    ["x"] = 4.0336747169495,
                    ["z"] = 0.97411757707596,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of trunks_long_cargo
    ,["trunks_small_cargo"] = 
    {
        ["shapeName"] = "trunks_small_cargo",
        ["defaultMass"] = 5000,
        ["desc"] = 
        {
            ["life"] = 0,
            ["attributes"] = 
            {
                ["Cargos"] = true,
            }, -- end of ["attributes"]
            ["category"] = 4,
            ["displayName"] = "Trunks short",
            ["typeName"] = "trunks_small_cargo",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.028232594951987,
                    ["x"] = -1.8231284618378,
                    ["z"] = -0.98158586025238,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.7443628311157,
                    ["x"] = 1.8167841434479,
                    ["z"] = 0.9741171002388,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of trunks_small_cargo
    ,["uh1h_cargo"] = 
    {
        ["shapeName"] = "ab-212_cargo",
        ["defaultMass"] = 1000,
        ["desc"] = 
        {
            ["life"] = 0,
            ["attributes"] = 
            {
                ["Cargos"] = true,
            }, -- end of ["attributes"]
            ["category"] = 4,
            ["displayName"] = "UH-1H cargo",
            ["typeName"] = "uh1h_cargo",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.014771288260818,
                    ["x"] = -0.55385035276413,
                    ["z"] = -0.50411450862885,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.0138906240463,
                    ["x"] = 0.56933850049973,
                    ["z"] = 0.49664485454559,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of uh1h_cargo
    ,["Bunker"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 5000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -4.6613750457764,
                    ["x"] = -3.630256652832,
                    ["z"] = -4.2338495254517,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 4.1995277404785,
                    ["x"] = 5.9872198104858,
                    ["z"] = 4.3903803825378,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 0,
            ["life"] = 50,
            ["attributes"] = 
            {
                ["Fortifications"] = true,
                ["Ground Units Non Airdefence"] = true,
                ["HeavyArmoredUnits"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["CustomAimPoint"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 0,
            ["Kmax"] = 0.050000000745058,
            ["typeName"] = "Bunker",
            ["displayName"] = "Bunker 2",
        }, -- end of ["desc"]
    } -- end of Bunker
    ,["house2arm"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 5000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -2.2855200767517,
                    ["x"] = -1.4750000238419,
                    ["z"] = -1.3756407499313,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 8.0502195358276,
                    ["x"] = 1.3750004768372,
                    ["z"] = 1.3750021457672,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 0,
            ["life"] = 10,
            ["attributes"] = 
            {
                ["Fortifications"] = true,
                ["Ground Units Non Airdefence"] = true,
                ["HeavyArmoredUnits"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["CustomAimPoint"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 0,
            ["Kmax"] = 0.050000000745058,
            ["typeName"] = "house2arm",
            ["displayName"] = "Watch tower armed",
        }, -- end of ["desc"]
    } -- end of house2arm
    ,["houseA_arm"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 5000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -10,
                    ["x"] = -3.7452828884125,
                    ["z"] = -7.3363757133484,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 5.5,
                    ["x"] = 3.8547194004059,
                    ["z"] = 8.3706321716309,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 0,
            ["life"] = 50,
            ["attributes"] = 
            {
                ["Fortifications"] = true,
                ["Ground Units Non Airdefence"] = true,
                ["HeavyArmoredUnits"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["AntiAir Armed Vehicles"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 0,
            ["Kmax"] = 0.050000000745058,
            ["typeName"] = "houseA_arm",
            ["displayName"] = "Armed house",
        }, -- end of ["desc"]
    } -- end of houseA_arm
    ,["outpost"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 5000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.010119000449777,
                    ["x"] = -16.712648391724,
                    ["z"] = -10.042944908142,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 4.2052888870239,
                    ["x"] = 21.569673538208,
                    ["z"] = 28.246959686279,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 0,
            ["life"] = 50,
            ["attributes"] = 
            {
                ["Fortifications"] = true,
                ["Ground Units Non Airdefence"] = true,
                ["HeavyArmoredUnits"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["CustomAimPoint"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 0,
            ["Kmax"] = 0.050000000745058,
            ["typeName"] = "outpost",
            ["displayName"] = "Outpost",
        }, -- end of ["desc"]
    } -- end of outpost
    ,["outpost_road"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 5000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.010119000449777,
                    ["x"] = -16.712648391724,
                    ["z"] = -10.042944908142,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 4.2052888870239,
                    ["x"] = 21.569673538208,
                    ["z"] = 28.246959686279,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 0,
            ["life"] = 50,
            ["attributes"] = 
            {
                ["Fortifications"] = true,
                ["Ground Units Non Airdefence"] = true,
                ["HeavyArmoredUnits"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["CustomAimPoint"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 0,
            ["Kmax"] = 0.050000000745058,
            ["typeName"] = "outpost_road",
            ["displayName"] = "Road outpost",
        }, -- end of ["desc"]
    } -- end of outpost_road
    ,["Sandbox"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 5000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -1.0252089500427,
                    ["x"] = -12.696611404419,
                    ["z"] = -14.149108886719,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 5.0143957138062,
                    ["x"] = 11.670043945313,
                    ["z"] = 14.472208023071,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 0,
            ["life"] = 40,
            ["attributes"] = 
            {
                ["Fortifications"] = true,
                ["Ground Units Non Airdefence"] = true,
                ["HeavyArmoredUnits"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["CustomAimPoint"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 0,
            ["Kmax"] = 0.050000000745058,
            ["typeName"] = "Sandbox",
            ["displayName"] = "Bunker 1",
        }, -- end of ["desc"]
    } -- end of Sandbox
    ,["ARTY 2B11 mortar"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 20,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 15.9,
                        ["type"] = 1,
                        ["caliber"] = 120,
                        ["mass"] = 15.9,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "120mm HE",
                    ["typeName"] = "weapons.shells.2A60_120",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 5000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.02623519860208,
                    ["x"] = -0.81200265884399,
                    ["z"] = -0.81200271844864,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.5977702140808,
                    ["x"] = 0.81200265884399,
                    ["z"] = 0.81200265884399,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 0,
            ["life"] = 0.10000000149012,
            ["attributes"] = 
            {
                ["Artillery"] = true,
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armed vehicles"] = true,
                ["LightArmoredUnits"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Indirect fire"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 0,
            ["_origin"] = "",
            ["typeName"] = "2B11 mortar",
            ["displayName"] = "2B11 mortar",
        }, -- end of ["desc"]
    } -- end of ARTY 2B11 mortar
    ,["ARTY M-109"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 39,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 42.9,
                        ["type"] = 1,
                        ["caliber"] = 155,
                        ["mass"] = 42.9,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "155mm HE",
                    ["typeName"] = "weapons.shells.M185_155",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "MP7",
                    ["opticType"] = 0,
                }, -- end of [1]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 24948,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.27000001072884,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -6.6423919633962e-05,
                    ["x"] = -3.6328065395355,
                    ["z"] = -1.4730145931244,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.2649030685425,
                    ["x"] = 3.4442372322083,
                    ["z"] = 1.4730144739151,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 15.638899803162,
            ["life"] = 3,
            ["attributes"] = 
            {
                ["Artillery"] = true,
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armed vehicles"] = true,
                ["LightArmoredUnits"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Indirect fire"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Datalink"] = true,
                ["Ground Units"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 15.638899803162,
            ["_origin"] = "",
            ["typeName"] = "M-109",
            ["displayName"] = "SPH M109 Paladin",
        }, -- end of ["desc"]
    } -- end of ARTY M-109
    ,["ARTY SAU 2-C9"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 25,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 15.9,
                        ["type"] = 1,
                        ["caliber"] = 120,
                        ["mass"] = 15.9,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "120mm HE",
                    ["typeName"] = "weapons.shells.2A60_120",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TKN-3B day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TKN-3B night",
                    ["opticType"] = 2,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 8700,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.61000001430511,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.019678683951497,
                    ["x"] = -3.0614745616913,
                    ["z"] = -1.2795909643173,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.5306193828583,
                    ["x"] = 3.0818545818329,
                    ["z"] = 1.2795910835266,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 16.666700363159,
            ["life"] = 3,
            ["attributes"] = 
            {
                ["Artillery"] = true,
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armed vehicles"] = true,
                ["LightArmoredUnits"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Indirect fire"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 16.666700363159,
            ["_origin"] = "",
            ["typeName"] = "SAU 2-C9",
            ["displayName"] = "SPH 2S9 Nona",
        }, -- end of ["desc"]
    } -- end of ARTY SAU 2-C9
    ,["ARTY SAU Akatsia"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 47,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 7.65,
                        ["type"] = 1,
                        ["caliber"] = 152,
                        ["mass"] = 43.56,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "152mm HE",
                    ["typeName"] = "weapons.shells.2A33_152",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TKN-3B day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TKN-3B night",
                    ["opticType"] = 2,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 27500,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.27000001072884,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.0024733247701079,
                    ["x"] = -3.8031659126282,
                    ["z"] = -1.8511189222336,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.7471783161163,
                    ["x"] = 3.8235459327698,
                    ["z"] = 1.8511190414429,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 16.666700363159,
            ["life"] = 3,
            ["attributes"] = 
            {
                ["Artillery"] = true,
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armed vehicles"] = true,
                ["LightArmoredUnits"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Indirect fire"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 16.666700363159,
            ["_origin"] = "",
            ["typeName"] = "SAU Akatsia",
            ["displayName"] = "SPH 2S3 Akatsia",
        }, -- end of ["desc"]
    } -- end of ARTY SAU Akatsia
    ,["ARTY SAU Gvozdika"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 41,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 21.76,
                        ["type"] = 1,
                        ["caliber"] = 122,
                        ["mass"] = 21.76,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "122mm HE",
                    ["typeName"] = "weapons.shells.2A18_122",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TKN-3B day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TKN-3B night",
                    ["opticType"] = 2,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 12300,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.43999999761581,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.018428016453981,
                    ["x"] = -3.4640600681305,
                    ["z"] = -1.6298308372498,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.2465558052063,
                    ["x"] = 3.3319275379181,
                    ["z"] = 1.6298308372498,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 16.666700363159,
            ["life"] = 3,
            ["attributes"] = 
            {
                ["Artillery"] = true,
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armed vehicles"] = true,
                ["LightArmoredUnits"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Indirect fire"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 16.666700363159,
            ["_origin"] = "",
            ["typeName"] = "SAU Gvozdika",
            ["displayName"] = "SPH 2S1 Gvozdika",
        }, -- end of ["desc"]
    } -- end of ARTY SAU Gvozdika
    ,["ARTY SAU Msta"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 51,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 7.65,
                        ["type"] = 1,
                        ["caliber"] = 152,
                        ["mass"] = 43.56,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "152mm HE",
                    ["typeName"] = "weapons.shells.2A64_152",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 305,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 12.7,
                        ["mass"] = 0.044,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "12.7mm",
                    ["typeName"] = "weapons.shells.Utes_12_7x108_T",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TKN-3B day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TKN-3B night",
                    ["opticType"] = 2,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 40000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.61000001430511,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.0024733247701079,
                    ["x"] = -3.8031659126282,
                    ["z"] = -1.8511189222336,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.7471783161163,
                    ["x"] = 3.8235459327698,
                    ["z"] = 1.8511190414429,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 16.666700363159,
            ["life"] = 3,
            ["attributes"] = 
            {
                ["Artillery"] = true,
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armed vehicles"] = true,
                ["LightArmoredUnits"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Indirect fire"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 16.666700363159,
            ["_origin"] = "",
            ["typeName"] = "SAU Msta",
            ["displayName"] = "SPH 2S19 Msta",
        }, -- end of ["desc"]
    } -- end of ARTY SAU Msta
    ,["ARTY SpGH_Dana"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 61,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 7.65,
                        ["type"] = 1,
                        ["caliber"] = 152,
                        ["mass"] = 43.56,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "DANA_152",
                    ["typeName"] = "weapons.shells.DANA_152",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TKN-3B day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TKN-3B night",
                    ["opticType"] = 2,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 29250,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.20000000298023,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.0088401213288307,
                    ["x"] = -5.0892353057861,
                    ["z"] = -1.9081492424011,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.4518361091614,
                    ["x"] = 6.4789271354675,
                    ["z"] = 1.9081493616104,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 22.219999313354,
            ["life"] = 2,
            ["attributes"] = 
            {
                ["Artillery"] = true,
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armed vehicles"] = true,
                ["LightArmoredUnits"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Indirect fire"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 22.219999313354,
            ["_origin"] = "",
            ["typeName"] = "SpGH_Dana",
            ["displayName"] = "SpGH Dana",
        }, -- end of ["desc"]
    } -- end of ARTY SpGH_Dana
    ,["Bunker"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 5000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -4.6613750457764,
                    ["x"] = -3.630256652832,
                    ["z"] = -4.2338495254517,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 4.1995277404785,
                    ["x"] = 5.9872198104858,
                    ["z"] = 4.3903803825378,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 0,
            ["life"] = 50,
            ["attributes"] = 
            {
                ["Fortifications"] = true,
                ["Ground Units Non Airdefence"] = true,
                ["HeavyArmoredUnits"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["CustomAimPoint"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 0,
            ["Kmax"] = 0.050000000745058,
            ["typeName"] = "Bunker",
            ["displayName"] = "Bunker 2",
        }, -- end of ["desc"]
    } -- end of Bunker
    ,["house2arm"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 5000,
            ["riverCrossing"] = false,
            ["RCS"] = 5,
            ["displayName"] = "Watch tower armed",
            ["maxSlopeAngle"] = 0,
            ["life"] = 10,
            ["Kmax"] = 0.050000000745058,
            ["category"] = 2,
            ["speedMaxOffRoad"] = 0,
            ["speedMax"] = 0,
            ["typeName"] = "house2arm",
            ["attributes"] = 
            {
                ["Fortifications"] = true,
                ["Ground Units Non Airdefence"] = true,
                ["HeavyArmoredUnits"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["CustomAimPoint"] = true,
            }, -- end of ["attributes"]
        }, -- end of ["desc"]
    } -- end of house2arm
    ,["houseA_arm"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 5000,
            ["riverCrossing"] = false,
            ["RCS"] = 5,
            ["displayName"] = "Armed house",
            ["maxSlopeAngle"] = 0,
            ["life"] = 50,
            ["Kmax"] = 0.050000000745058,
            ["category"] = 2,
            ["speedMaxOffRoad"] = 0,
            ["speedMax"] = 0,
            ["typeName"] = "houseA_arm",
            ["attributes"] = 
            {
                ["Fortifications"] = true,
                ["Ground Units Non Airdefence"] = true,
                ["HeavyArmoredUnits"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["AntiAir Armed Vehicles"] = true,
            }, -- end of ["attributes"]
        }, -- end of ["desc"]
    } -- end of houseA_arm
    ,["IFV AAV7"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 872,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["mass"] = 0.248,
                        ["explosiveMass"] = 0.1,
                        ["shapedExplosiveArmorThickness"] = 0.05,
                        ["shapedExplosiveMass"] = 0.1,
                        ["caliber"] = 40,
                        ["type"] = 2,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "HEDP M430",
                    ["typeName"] = "weapons.shells.HEDPM430",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 504,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 12.7,
                        ["mass"] = 0.046,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "12.7mm",
                    ["typeName"] = "weapons.shells.M2_12_7_T",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "AAV day",
                    ["opticType"] = 0,
                }, -- end of [1]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 22838,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.61000001430511,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -6.6480184614193e-05,
                    ["x"] = -4.1306757926941,
                    ["z"] = -1.7921028137207,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.267730474472,
                    ["x"] = 4.0044527053833,
                    ["z"] = 1.7921028137207,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 20,
            ["life"] = 3,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armored vehicles"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["LightArmoredUnits"] = true,
                ["Ground vehicles"] = true,
                ["Armed vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Infantry carriers"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["APC"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 20,
            ["_origin"] = "",
            ["typeName"] = "AAV7",
            ["displayName"] = "APC AAV-7",
        }, -- end of ["desc"]
    } -- end of IFV AAV7
    ,["IFV BMD-1"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 40,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["mass"] = 6,
                        ["explosiveMass"] = 0.45,
                        ["shapedExplosiveArmorThickness"] = 0.25,
                        ["shapedExplosiveMass"] = 2.8,
                        ["caliber"] = 73,
                        ["type"] = 2,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "73mm RPG",
                    ["typeName"] = "weapons.shells.2A28_73",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 4,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.7027959227562,
                            ["x"] = -0.86071503162384,
                            ["z"] = -0.70802044868469,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.71324497461319,
                            ["x"] = 0.55532562732697,
                            ["z"] = 0.70802044868469,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 3000,
                    ["fuseDist"] = 0,
                    ["category"] = 1,
                    ["guidance"] = 8,
                    ["Nmax"] = 1.1,
                    ["rangeMin"] = 100,
                    ["altMax"] = 2000,
                    ["RCS"] = 0.019999999552965,
                    ["displayName"] = "9K14",
                    ["altMin"] = -1,
                    ["life"] = 2,
                    ["missileCategory"] = 6,
                    ["warhead"] = 
                    {
                        ["mass"] = 3.5,
                        ["explosiveMass"] = 2.2000000476837,
                        ["shapedExplosiveArmorThickness"] = 0.60000002384186,
                        ["shapedExplosiveMass"] = 6.6000003814697,
                        ["caliber"] = 0,
                        ["type"] = 2,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 3000,
                    ["typeName"] = "9K14",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [2]
            [3] = 
            {
                ["count"] = 2106,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.62,
                        ["mass"] = 0.0119,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "7.62mm",
                    ["typeName"] = "weapons.shells.7_62x54",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [3]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TKN-3B day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TKN-3B night",
                    ["opticType"] = 2,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 7200,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.61000001430511,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.0047516031190753,
                    ["x"] = -2.6333365440369,
                    ["z"] = -1.3094218969345,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.7728828191757,
                    ["x"] = 2.7266647815704,
                    ["z"] = 1.3131949901581,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 16.950000762939,
            ["life"] = 2,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armored vehicles"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["LightArmoredUnits"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Ground vehicles"] = true,
                ["Armed vehicles"] = true,
                ["ATGM"] = true,
                ["IFV"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Infantry carriers"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 16.950000762939,
            ["_origin"] = "",
            ["typeName"] = "BMD-1",
            ["displayName"] = "IFV BMD-1",
        }, -- end of ["desc"]
    } -- end of IFV BMD-1
    ,["IFV BMP-1"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 40,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["mass"] = 6,
                        ["explosiveMass"] = 0.45,
                        ["shapedExplosiveArmorThickness"] = 0.25,
                        ["shapedExplosiveMass"] = 2.8,
                        ["caliber"] = 73,
                        ["type"] = 2,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "73mm RPG",
                    ["typeName"] = "weapons.shells.2A28_73",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 4,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.7027959227562,
                            ["x"] = -0.86071503162384,
                            ["z"] = -0.70802044868469,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.71324497461319,
                            ["x"] = 0.55532562732697,
                            ["z"] = 0.70802044868469,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 3000,
                    ["fuseDist"] = 0,
                    ["category"] = 1,
                    ["guidance"] = 8,
                    ["Nmax"] = 1.1,
                    ["rangeMin"] = 100,
                    ["altMax"] = 2000,
                    ["RCS"] = 0.019999999552965,
                    ["displayName"] = "9K14",
                    ["altMin"] = -1,
                    ["life"] = 2,
                    ["missileCategory"] = 6,
                    ["warhead"] = 
                    {
                        ["mass"] = 3.5,
                        ["explosiveMass"] = 2.2000000476837,
                        ["shapedExplosiveArmorThickness"] = 0.60000002384186,
                        ["shapedExplosiveMass"] = 6.6000003814697,
                        ["caliber"] = 0,
                        ["type"] = 2,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 3000,
                    ["typeName"] = "9K14",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [2]
            [3] = 
            {
                ["count"] = 100,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.62,
                        ["mass"] = 0.0119,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "7.62mm",
                    ["typeName"] = "weapons.shells.7_62x54",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [3]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TKN-3B day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TKN-3B night",
                    ["opticType"] = 2,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 13500,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.46999999880791,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.00027610731194727,
                    ["x"] = -3.5603575706482,
                    ["z"] = -1.506253361702,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.0330286026001,
                    ["x"] = 3.1526401042938,
                    ["z"] = 1.5062534809113,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 18.055599212646,
            ["life"] = 4,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armored vehicles"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["LightArmoredUnits"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Ground vehicles"] = true,
                ["Armed vehicles"] = true,
                ["ATGM"] = true,
                ["IFV"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Infantry carriers"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 18.055599212646,
            ["_origin"] = "",
            ["typeName"] = "BMP-1",
            ["displayName"] = "IFV BMP-1",
        }, -- end of ["desc"]
    } -- end of IFV BMP-1
    ,["IFV BMP-2"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 340,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.39,
                        ["type"] = 1,
                        ["caliber"] = 30,
                        ["mass"] = 0.39,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "30mm HE",
                    ["typeName"] = "weapons.shells.2A42_30_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 161,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 30,
                        ["mass"] = 0.39,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "30mm AP",
                    ["typeName"] = "weapons.shells.2A42_30_AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
            [3] = 
            {
                ["count"] = 2000,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.62,
                        ["mass"] = 0.0119,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "7.62mm",
                    ["typeName"] = "weapons.shells.7_62x54",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [3]
            [4] = 
            {
                ["count"] = 4,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.30754190683365,
                            ["x"] = -0.67470324039459,
                            ["z"] = -0.30754190683365,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.30754190683365,
                            ["x"] = 0.67470324039459,
                            ["z"] = 0.30754190683365,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 4000,
                    ["fuseDist"] = 0,
                    ["category"] = 1,
                    ["guidance"] = 8,
                    ["Nmax"] = 1.2,
                    ["rangeMin"] = 75,
                    ["altMax"] = 2000,
                    ["RCS"] = 0.035000000149012,
                    ["displayName"] = "9M113",
                    ["altMin"] = -1,
                    ["life"] = 2,
                    ["missileCategory"] = 6,
                    ["warhead"] = 
                    {
                        ["mass"] = 2.7000000476837,
                        ["explosiveMass"] = 1.5,
                        ["shapedExplosiveArmorThickness"] = 0.40000000596046,
                        ["shapedExplosiveMass"] = 4.5,
                        ["caliber"] = 0,
                        ["type"] = 2,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 4000,
                    ["typeName"] = "9M113",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [4]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TKN-3B day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TKN-3B night",
                    ["opticType"] = 2,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 14300,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.46999999880791,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.00027610731194727,
                    ["x"] = -3.5603575706482,
                    ["z"] = -1.506253361702,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.0330286026001,
                    ["x"] = 3.1526401042938,
                    ["z"] = 1.5062534809113,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 18.333299636841,
            ["life"] = 4,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armored vehicles"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["LightArmoredUnits"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Ground vehicles"] = true,
                ["Armed vehicles"] = true,
                ["ATGM"] = true,
                ["IFV"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Infantry carriers"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 18.333299636841,
            ["_origin"] = "",
            ["typeName"] = "BMP-2",
            ["displayName"] = "IFV BMP-2",
        }, -- end of ["desc"]
    } -- end of IFV BMP-2
    ,["IFV BMP-3"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 4006,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.62,
                        ["mass"] = 0.0119,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "7.62mm",
                    ["typeName"] = "weapons.shells.7_62x54",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 340,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.39,
                        ["type"] = 1,
                        ["caliber"] = 30,
                        ["mass"] = 0.39,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "30mm HE",
                    ["typeName"] = "weapons.shells.2A42_30_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
            [3] = 
            {
                ["count"] = 161,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 30,
                        ["mass"] = 0.39,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "30mm AP",
                    ["typeName"] = "weapons.shells.2A42_30_AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [3]
            [4] = 
            {
                ["count"] = 41,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 3.69,
                        ["type"] = 1,
                        ["caliber"] = 100,
                        ["mass"] = 15.6,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "100mm HE",
                    ["typeName"] = "weapons.shells.UOF_17_100HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [4]
            [5] = 
            {
                ["count"] = 8,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12060818821192,
                            ["x"] = -0.52968698740005,
                            ["z"] = -0.12166464328766,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.1206081956625,
                            ["x"] = 0.53104364871979,
                            ["z"] = 0.12166464328766,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 4000,
                    ["fuseDist"] = 0,
                    ["category"] = 1,
                    ["guidance"] = 7,
                    ["Nmax"] = 1.1,
                    ["rangeMin"] = 100,
                    ["altMax"] = 2000,
                    ["RCS"] = 0.032000001519918,
                    ["displayName"] = "9M117",
                    ["altMin"] = -1,
                    ["life"] = 2,
                    ["missileCategory"] = 6,
                    ["warhead"] = 
                    {
                        ["mass"] = 4.5,
                        ["explosiveMass"] = 2.7000000476837,
                        ["shapedExplosiveArmorThickness"] = 0.55000001192093,
                        ["shapedExplosiveMass"] = 8.1000003814697,
                        ["caliber"] = 0,
                        ["type"] = 2,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 4000,
                    ["typeName"] = "9M117",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [5]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TKN-3B day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TKN-3B night",
                    ["opticType"] = 2,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 18700,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.46999999880791,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.00027610731194727,
                    ["x"] = -3.5603575706482,
                    ["z"] = -1.506253361702,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.0330286026001,
                    ["x"] = 3.1526401042938,
                    ["z"] = 1.5062534809113,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 19.444400787354,
            ["life"] = 4,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armored vehicles"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["LightArmoredUnits"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Ground vehicles"] = true,
                ["Armed vehicles"] = true,
                ["ATGM"] = true,
                ["IFV"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Infantry carriers"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 19.444400787354,
            ["_origin"] = "",
            ["typeName"] = "BMP-3",
            ["displayName"] = "IFV BMP-3",
        }, -- end of ["desc"]
    } -- end of IFV BMP-3
    ,["IFV Boman"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 1,
                ["desc"] = 
                {
                    ["distMax"] = 0,
                    ["RCS"] = 0,
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.21512581408024,
                            ["x"] = -1.4337531328201,
                            ["z"] = -0.21701017022133,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.21512581408024,
                            ["x"] = 1.4351097345352,
                            ["z"] = 0.21701017022133,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["life"] = 2,
                    ["category"] = 2,
                    ["displayName"] = "GRAD",
                    ["_origin"] = "",
                    ["typeName"] = "weapons.nurs.GRAD_9M22U",
                    ["distMin"] = 0,
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 1009,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.62,
                        ["mass"] = 0.0119,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "7.62mm",
                    ["typeName"] = "weapons.shells.7_62x54",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "NNDV day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "NNDV night",
                    ["opticType"] = 2,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 12300,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.43999999761581,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.0070002265274525,
                    ["x"] = -3.5603575706482,
                    ["z"] = -1.506253361702,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.0397527217865,
                    ["x"] = 3.1526401042938,
                    ["z"] = 1.5062534809113,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 16.666700363159,
            ["life"] = 2,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armored vehicles"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["LightArmoredUnits"] = true,
                ["Ground vehicles"] = true,
                ["Armed vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Infantry carriers"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["APC"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 16.666700363159,
            ["_origin"] = "",
            ["typeName"] = "Boman",
            ["displayName"] = "ARV MTLB-U BOMAN",
        }, -- end of ["desc"]
    } -- end of IFV Boman
    ,["IFV BRDM-2"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 509,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 14.5,
                        ["mass"] = 0.064,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "14.5mm AP",
                    ["typeName"] = "weapons.shells.KPVT_14_5_T",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 2007,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.62,
                        ["mass"] = 0.0119,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "7.62mm",
                    ["typeName"] = "weapons.shells.7_62x54",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TPKU-2B",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TKN-1S",
                    ["opticType"] = 2,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 7000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.46999999880791,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.00064983149059117,
                    ["x"] = -2.9988944530487,
                    ["z"] = -1.1353378295898,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.3131737709045,
                    ["x"] = 2.802170753479,
                    ["z"] = 1.1563268899918,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 27.777799606323,
            ["life"] = 2,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armored vehicles"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["LightArmoredUnits"] = true,
                ["Ground vehicles"] = true,
                ["Armed vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Infantry carriers"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["APC"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 27.777799606323,
            ["_origin"] = "",
            ["typeName"] = "BRDM-2",
            ["displayName"] = "ARV BRDM-2",
        }, -- end of ["desc"]
    } -- end of IFV BRDM-2
    ,["IFV BTR-80"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 509,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 14.5,
                        ["mass"] = 0.064,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "14.5mm AP",
                    ["typeName"] = "weapons.shells.KPVT_14_5_T",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 2007,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.62,
                        ["mass"] = 0.0119,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "7.62mm",
                    ["typeName"] = "weapons.shells.7_62x54",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TKN-3B day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TKN-3B night",
                    ["opticType"] = 2,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 13600,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.46999999880791,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.00064971228130162,
                    ["x"] = -3.9536471366882,
                    ["z"] = -1.4298247098923,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.3131737709045,
                    ["x"] = 3.7569234371185,
                    ["z"] = 1.4508136510849,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 25,
            ["life"] = 2,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armored vehicles"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["LightArmoredUnits"] = true,
                ["Ground vehicles"] = true,
                ["Armed vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Infantry carriers"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["APC"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 25,
            ["_origin"] = "",
            ["typeName"] = "BTR-80",
            ["displayName"] = "APC BTR-80",
        }, -- end of ["desc"]
    } -- end of IFV BTR-80
    ,["IFV BTR_D"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 4,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.30754190683365,
                            ["x"] = -0.67470324039459,
                            ["z"] = -0.30754190683365,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.30754190683365,
                            ["x"] = 0.67470324039459,
                            ["z"] = 0.30754190683365,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 4000,
                    ["fuseDist"] = 0,
                    ["category"] = 1,
                    ["guidance"] = 8,
                    ["Nmax"] = 1.2,
                    ["rangeMin"] = 75,
                    ["altMax"] = 2000,
                    ["RCS"] = 0.035000000149012,
                    ["displayName"] = "9M113",
                    ["altMin"] = -1,
                    ["life"] = 2,
                    ["missileCategory"] = 6,
                    ["warhead"] = 
                    {
                        ["mass"] = 2.7000000476837,
                        ["explosiveMass"] = 1.5,
                        ["shapedExplosiveArmorThickness"] = 0.40000000596046,
                        ["shapedExplosiveMass"] = 4.5,
                        ["caliber"] = 0,
                        ["type"] = 2,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 4000,
                    ["typeName"] = "9M113",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 806,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.62,
                        ["mass"] = 0.0119,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "7.62mm",
                    ["typeName"] = "weapons.shells.7_62x54",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TKN-3B day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TKN-3B night",
                    ["opticType"] = 2,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 8700,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.61000001430511,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.0047516031190753,
                    ["x"] = -2.9863131046295,
                    ["z"] = -1.3823875188828,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.7728828191757,
                    ["x"] = 2.957328081131,
                    ["z"] = 1.3121749162674,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 16.666700363159,
            ["life"] = 3,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["LightArmoredUnits"] = true,
                ["Infantry carriers"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["CustomAimPoint"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Ground vehicles"] = true,
                ["Armed vehicles"] = true,
                ["ATGM"] = true,
                ["Armored vehicles"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["APC"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 16.666700363159,
            ["_origin"] = "",
            ["typeName"] = "BTR_D",
            ["displayName"] = "ARV BTR-RD",
        }, -- end of ["desc"]
    } -- end of IFV BTR_D
    ,["IFV Cobra"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 555,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 12.7,
                        ["mass"] = 0.044,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "12.7mm",
                    ["typeName"] = "weapons.shells.Utes_12_7x108_T",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 6200,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.46999999880791,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.00017223764734808,
                    ["x"] = -2.7330939769745,
                    ["z"] = -1.3357709646225,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.1128633022308,
                    ["x"] = 2.9002566337585,
                    ["z"] = 1.4554532766342,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 32,
            ["life"] = 1.7999999523163,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armored vehicles"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["LightArmoredUnits"] = true,
                ["Ground vehicles"] = true,
                ["Armed vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Infantry carriers"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["APC"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 32,
            ["_origin"] = "",
            ["typeName"] = "Cobra",
            ["displayName"] = "APC Cobra",
        }, -- end of ["desc"]
    } -- end of IFV Cobra
    ,["IFV Hummer"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 3990,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.27000001072884,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.00027610731194727,
                    ["x"] = -2.3133673667908,
                    ["z"] = -1.1398746967316,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.0330286026001,
                    ["x"] = 2.3412635326385,
                    ["z"] = 1.1398746967316,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 31.388900756836,
            ["life"] = 1.5,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["human_vehicle"] = true,
                ["LightArmoredUnits"] = true,
                ["Infantry carriers"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["Armored vehicles"] = true,
                ["Armed vehicles"] = true,
                ["Ground vehicles"] = true,
                ["Vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Ground Units"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Datalink"] = true,
                ["APC"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 31.388900756836,
            ["_origin"] = "",
            ["typeName"] = "Hummer",
            ["displayName"] = "APC M1025 HMMWV",
        }, -- end of ["desc"]
    } -- end of IFV Hummer
    ,["IFV LAV-25"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 150,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.185,
                        ["type"] = 1,
                        ["caliber"] = 25,
                        ["mass"] = 0.185,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "25mm HE",
                    ["typeName"] = "weapons.shells.M242_25_HE_M792",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 61,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 25,
                        ["mass"] = 0.155,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "25mm AP",
                    ["typeName"] = "weapons.shells.M242_25_AP_M791",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
            [3] = 
            {
                ["count"] = 1544,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.62,
                        ["mass"] = 0.00933,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "7.62mm",
                    ["typeName"] = "weapons.shells.7_62x51",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [3]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "ITSS_HIRE_III day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "ITSS_HIRE_III night",
                    ["opticType"] = 1,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 12792,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.27000001072884,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.0029191551730037,
                    ["x"] = -3.3140563964844,
                    ["z"] = -1.3011748790741,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.9834561347961,
                    ["x"] = 3.365909576416,
                    ["z"] = 1.2706320285797,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 27.777799606323,
            ["life"] = 3,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armored vehicles"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["LightArmoredUnits"] = true,
                ["Ground vehicles"] = true,
                ["Armed vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Infantry carriers"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["APC"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 27.777799606323,
            ["_origin"] = "",
            ["typeName"] = "LAV-25",
            ["displayName"] = "IFV LAV-25",
        }, -- end of ["desc"]
    } -- end of IFV LAV-25
    ,["IFV M-113"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 504,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 12.7,
                        ["mass"] = 0.046,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "12.7mm",
                    ["typeName"] = "weapons.shells.M2_12_7_T",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 11253,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.61000001430511,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.0022796429693699,
                    ["x"] = -2.5167143344879,
                    ["z"] = -1.3715417385101,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.5134007930756,
                    ["x"] = 2.4444811344147,
                    ["z"] = 1.3715417385101,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 16.666700363159,
            ["life"] = 2,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armored vehicles"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["LightArmoredUnits"] = true,
                ["Infantry carriers"] = true,
                ["Ground vehicles"] = true,
                ["Armed vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Ground Units"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Datalink"] = true,
                ["APC"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 16.666700363159,
            ["_origin"] = "",
            ["typeName"] = "M-113",
            ["displayName"] = "APC M113",
        }, -- end of ["desc"]
    } -- end of IFV M-113
    ,["IFV M-2 Bradley"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 452,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.185,
                        ["type"] = 1,
                        ["caliber"] = 25,
                        ["mass"] = 0.185,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "25mm HE",
                    ["typeName"] = "weapons.shells.M242_25_HE_M792",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 453,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 25,
                        ["mass"] = 0.155,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "25mm AP",
                    ["typeName"] = "weapons.shells.M242_25_AP_M791",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
            [3] = 
            {
                ["count"] = 800,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.62,
                        ["mass"] = 0.00933,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "7.62mm",
                    ["typeName"] = "weapons.shells.7_62x51",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [3]
            [4] = 
            {
                ["count"] = 7,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.2273330539465,
                            ["x"] = -0.77596908807755,
                            ["z"] = -0.22932435572147,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.22733306884766,
                            ["x"] = 0.77732574939728,
                            ["z"] = 0.22932435572147,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 3800,
                    ["fuseDist"] = 0,
                    ["category"] = 1,
                    ["guidance"] = 8,
                    ["Nmax"] = 3,
                    ["rangeMin"] = 65,
                    ["altMax"] = 2000,
                    ["RCS"] = 0.065800003707409,
                    ["displayName"] = "BGM-71E",
                    ["altMin"] = -1,
                    ["life"] = 2,
                    ["missileCategory"] = 6,
                    ["warhead"] = 
                    {
                        ["mass"] = 5.9000000953674,
                        ["explosiveMass"] = 3.5999999046326,
                        ["shapedExplosiveArmorThickness"] = 0.89999997615814,
                        ["shapedExplosiveMass"] = 10.799999237061,
                        ["caliber"] = 0,
                        ["type"] = 2,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 3800,
                    ["typeName"] = "BGM-71E",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [4]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "M2 sight day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "M2 sight night",
                    ["opticType"] = 2,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 21300,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.27000001072884,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.024092998355627,
                    ["x"] = -3.261745929718,
                    ["z"] = -1.3644953966141,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.4075245857239,
                    ["x"] = 3.2729074954987,
                    ["z"] = 1.3785880804062,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 18.333299636841,
            ["life"] = 5,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["LightArmoredUnits"] = true,
                ["IFV"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Armed vehicles"] = true,
                ["Ground vehicles"] = true,
                ["Armored vehicles"] = true,
                ["ATGM"] = true,
                ["Ground Units"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Datalink"] = true,
                ["Infantry carriers"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 18.333299636841,
            ["_origin"] = "",
            ["typeName"] = "M-2 Bradley",
            ["displayName"] = "IFV M2A2 Bradley",
        }, -- end of ["desc"]
    } -- end of IFV M-2 Bradley
    ,["IFV M1043 HMMWV Armament"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 504,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 12.7,
                        ["mass"] = 0.046,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "12.7mm",
                    ["typeName"] = "weapons.shells.M2_12_7_T",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 3990,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.27000001072884,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.0044604353606701,
                    ["x"] = -2.3118028640747,
                    ["z"] = -1.0749744176865,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.0282919406891,
                    ["x"] = 2.3396990299225,
                    ["z"] = 1.1289831399918,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 31.388900756836,
            ["life"] = 1.5,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armored vehicles"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["LightArmoredUnits"] = true,
                ["Infantry carriers"] = true,
                ["Ground vehicles"] = true,
                ["Armed vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Ground Units"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Datalink"] = true,
                ["APC"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 31.388900756836,
            ["_origin"] = "",
            ["typeName"] = "M1043 HMMWV Armament",
            ["displayName"] = "APC M1043 HMMWV Armament",
        }, -- end of ["desc"]
    } -- end of IFV M1043 HMMWV Armament
    ,["IFV M1045 HMMWV TOW"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 6,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.2273330539465,
                            ["x"] = -0.77596908807755,
                            ["z"] = -0.22932435572147,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.22733306884766,
                            ["x"] = 0.77732574939728,
                            ["z"] = 0.22932435572147,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 3800,
                    ["fuseDist"] = 0,
                    ["category"] = 1,
                    ["guidance"] = 8,
                    ["Nmax"] = 3,
                    ["rangeMin"] = 65,
                    ["altMax"] = 2000,
                    ["RCS"] = 0.065800003707409,
                    ["displayName"] = "BGM-71E",
                    ["altMin"] = -1,
                    ["life"] = 2,
                    ["missileCategory"] = 6,
                    ["warhead"] = 
                    {
                        ["mass"] = 5.9000000953674,
                        ["explosiveMass"] = 3.5999999046326,
                        ["shapedExplosiveArmorThickness"] = 0.89999997615814,
                        ["shapedExplosiveMass"] = 10.799999237061,
                        ["caliber"] = 0,
                        ["type"] = 2,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 3800,
                    ["typeName"] = "BGM-71E",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TAS4 TOW day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TAS4 TOW night",
                    ["opticType"] = 2,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 3990,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.27000001072884,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.00027610731194727,
                    ["x"] = -2.3389766216278,
                    ["z"] = -1.0664151906967,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.0330286026001,
                    ["x"] = 2.3668727874756,
                    ["z"] = 1.1380531787872,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 31.388900756836,
            ["life"] = 1.5,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["LightArmoredUnits"] = true,
                ["Infantry carriers"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Armed vehicles"] = true,
                ["Ground vehicles"] = true,
                ["Armored vehicles"] = true,
                ["ATGM"] = true,
                ["Ground Units"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Datalink"] = true,
                ["APC"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 31.388900756836,
            ["_origin"] = "",
            ["typeName"] = "M1045 HMMWV TOW",
            ["displayName"] = "ATGM M1045 HMMWV TOW",
        }, -- end of ["desc"]
    } -- end of IFV M1045 HMMWV TOW
    ,["IFV M1126 Stryker ICV"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 1004,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 12.7,
                        ["mass"] = 0.046,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "12.7mm",
                    ["typeName"] = "weapons.shells.M2_12_7_T",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "M151 Protector RWS day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "M151 Protector RWS IR",
                    ["opticType"] = 2,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 17237,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.46999999880791,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -7.6937605626881e-05,
                    ["x"] = -2.752231836319,
                    ["z"] = -1.5992095470428,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.4886846542358,
                    ["x"] = 4.1969313621521,
                    ["z"] = 1.5686666965485,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 20,
            ["life"] = 3,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armored vehicles"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["LightArmoredUnits"] = true,
                ["Infantry carriers"] = true,
                ["Ground vehicles"] = true,
                ["Armed vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Ground Units"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Datalink"] = true,
                ["APC"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 20,
            ["_origin"] = "",
            ["typeName"] = "M1126 Stryker ICV",
            ["displayName"] = "APC M1126 Stryker ICV",
        }, -- end of ["desc"]
    } -- end of IFV M1126 Stryker ICV
    ,["IFV M1134 Stryker ATGM"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 14,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.2273330539465,
                            ["x"] = -0.77596908807755,
                            ["z"] = -0.22932435572147,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.22733306884766,
                            ["x"] = 0.77732574939728,
                            ["z"] = 0.22932435572147,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 3800,
                    ["fuseDist"] = 0,
                    ["category"] = 1,
                    ["guidance"] = 8,
                    ["Nmax"] = 3,
                    ["rangeMin"] = 65,
                    ["altMax"] = 2000,
                    ["RCS"] = 0.065800003707409,
                    ["displayName"] = "BGM-71E",
                    ["altMin"] = -1,
                    ["life"] = 2,
                    ["missileCategory"] = 6,
                    ["warhead"] = 
                    {
                        ["mass"] = 5.9000000953674,
                        ["explosiveMass"] = 3.5999999046326,
                        ["shapedExplosiveArmorThickness"] = 0.89999997615814,
                        ["shapedExplosiveMass"] = 10.799999237061,
                        ["caliber"] = 0,
                        ["type"] = 2,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 3800,
                    ["typeName"] = "BGM-71E",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 1104,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.62,
                        ["mass"] = 0.00933,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "7.62mm",
                    ["typeName"] = "weapons.shells.7_62x51",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TAS4 TOW day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TAS4 TOW night",
                    ["opticType"] = 2,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 17237,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.46999999880791,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -7.6937605626881e-05,
                    ["x"] = -2.752231836319,
                    ["z"] = -1.5992095470428,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.4886846542358,
                    ["x"] = 4.1969313621521,
                    ["z"] = 1.5686666965485,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 20,
            ["life"] = 3,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["LightArmoredUnits"] = true,
                ["IFV"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Armed vehicles"] = true,
                ["Ground vehicles"] = true,
                ["Armored vehicles"] = true,
                ["ATGM"] = true,
                ["Ground Units"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Datalink"] = true,
                ["Infantry carriers"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 20,
            ["_origin"] = "",
            ["typeName"] = "M1134 Stryker ATGM",
            ["displayName"] = "ATGM M1134 Stryker",
        }, -- end of ["desc"]
    } -- end of IFV M1134 Stryker ATGM
    ,["IFV Marder"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 417,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.12,
                        ["type"] = 1,
                        ["caliber"] = 20,
                        ["mass"] = 0.12,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "20mm HE",
                    ["typeName"] = "weapons.shells.Rh202_20_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 118,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 20,
                        ["mass"] = 0.12,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "20mm AP",
                    ["typeName"] = "weapons.shells.Rh202_20_AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
            [3] = 
            {
                ["count"] = 4019,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.62,
                        ["mass"] = 0.00933,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "7.62mm",
                    ["typeName"] = "weapons.shells.7_62x51",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [3]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "PERI-Z11 day",
                    ["opticType"] = 0,
                }, -- end of [1]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 29207,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.61000001430511,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.0085257468745112,
                    ["x"] = -3.5624866485596,
                    ["z"] = -1.3644953966141,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.0846085548401,
                    ["x"] = 3.5736482143402,
                    ["z"] = 1.3785880804062,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 20.833299636841,
            ["life"] = 4,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armored vehicles"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["LightArmoredUnits"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Ground vehicles"] = true,
                ["Armed vehicles"] = true,
                ["ATGM"] = true,
                ["IFV"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Infantry carriers"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 20.833299636841,
            ["_origin"] = "",
            ["typeName"] = "Marder",
            ["displayName"] = "IFV Marder",
        }, -- end of ["desc"]
    } -- end of IFV Marder
    ,["IFV MCV-80"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 87,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.357,
                        ["type"] = 1,
                        ["caliber"] = 30,
                        ["mass"] = 0.357,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "30mm HE",
                    ["typeName"] = "weapons.shells.L21A1_30_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 216,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 30,
                        ["mass"] = 0.3,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "30mm APDS",
                    ["typeName"] = "weapons.shells.L14A2_30_APDS",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
            [3] = 
            {
                ["count"] = 2210,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.62,
                        ["mass"] = 0.00933,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "7.62mm",
                    ["typeName"] = "weapons.shells.7_62x51",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [3]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "Raven day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "Raven night",
                    ["opticType"] = 2,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 23500,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.61000001430511,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.00080186419654638,
                    ["x"] = -3.3349845409393,
                    ["z"] = -1.569064617157,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.604597568512,
                    ["x"] = 3.2145817279816,
                    ["z"] = 1.5690647363663,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 20.833299636841,
            ["life"] = 4,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armored vehicles"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["LightArmoredUnits"] = true,
                ["Ground vehicles"] = true,
                ["Armed vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Infantry carriers"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["APC"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 20.833299636841,
            ["_origin"] = "",
            ["typeName"] = "MCV-80",
            ["displayName"] = "IFV MCV-80",
        }, -- end of ["desc"]
    } -- end of IFV MCV-80
    ,["IFV MLRS FDDM"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 1,
                ["desc"] = 
                {
                    ["distMax"] = 0,
                    ["RCS"] = 0,
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.15170109272003,
                            ["x"] = -1.8722184896469,
                            ["z"] = -0.15113028883934,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.15170110762119,
                            ["x"] = 1.8722184896469,
                            ["z"] = 0.15113028883934,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["life"] = 2,
                    ["category"] = 2,
                    ["displayName"] = "M26",
                    ["_origin"] = "",
                    ["typeName"] = "weapons.nurs.M26",
                    ["distMin"] = 0,
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 504,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 12.7,
                        ["mass"] = 0.046,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "12.7mm",
                    ["typeName"] = "weapons.shells.M2_12_7_T",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 3990,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.27000001072884,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.0044604353606701,
                    ["x"] = -2.3118028640747,
                    ["z"] = -1.0749744176865,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.0282919406891,
                    ["x"] = 2.3396990299225,
                    ["z"] = 1.1289831399918,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 31.388900756836,
            ["life"] = 1.5,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armored vehicles"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["LightArmoredUnits"] = true,
                ["Infantry carriers"] = true,
                ["Ground vehicles"] = true,
                ["Armed vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Ground Units"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Datalink"] = true,
                ["APC"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 31.388900756836,
            ["_origin"] = "",
            ["typeName"] = "MLRS FDDM",
            ["displayName"] = "MLRS FDDM",
        }, -- end of ["desc"]
    } -- end of IFV MLRS FDDM
    ,["IFV MTLB"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 1009,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.62,
                        ["mass"] = 0.0119,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "7.62mm",
                    ["typeName"] = "weapons.shells.7_62x54",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 12300,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.43999999761581,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.00012729760783259,
                    ["x"] = -3.6670970916748,
                    ["z"] = -1.6320921182632,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.0932614803314,
                    ["x"] = 3.3099031448364,
                    ["z"] = 1.6320921182632,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 16.666700363159,
            ["life"] = 2,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armored vehicles"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["CustomAimPoint"] = true,
                ["LightArmoredUnits"] = true,
                ["Ground vehicles"] = true,
                ["Armed vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Infantry carriers"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["APC"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 16.666700363159,
            ["_origin"] = "",
            ["typeName"] = "MTLB",
            ["displayName"] = "APC MTLB",
        }, -- end of ["desc"]
    } -- end of IFV MTLB
    ,["IFV Tigr_233036"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 6400,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.40000000596046,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.015026027336717,
                    ["x"] = -2.8946268558502,
                    ["z"] = -1.5251200199127,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.4772720336914,
                    ["x"] = 2.8923156261444,
                    ["z"] = 1.5251200199127,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 40,
            ["life"] = 1.5,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["human_vehicle"] = true,
                ["Armored vehicles"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["LightArmoredUnits"] = true,
                ["Vehicles"] = true,
                ["Ground vehicles"] = true,
                ["Armed vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Infantry carriers"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["APC"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 40,
            ["_origin"] = "",
            ["typeName"] = "Tigr_233036",
            ["displayName"] = "APC Tigr 233036",
        }, -- end of ["desc"]
    } -- end of IFV Tigr_233036
    ,["IFV TPZ"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 605,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.62,
                        ["mass"] = 0.00933,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "7.62mm",
                    ["typeName"] = "weapons.shells.7_62x51",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 19000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.46999999880791,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.0014146078610793,
                    ["x"] = -3.4455103874207,
                    ["z"] = -1.5916821956635,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 4.337203502655,
                    ["x"] = 3.3916733264923,
                    ["z"] = 1.5916821956635,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 29.166700363159,
            ["life"] = 2,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armored vehicles"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["LightArmoredUnits"] = true,
                ["Ground vehicles"] = true,
                ["Armed vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Infantry carriers"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["APC"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 29.166700363159,
            ["_origin"] = "",
            ["typeName"] = "TPZ",
            ["displayName"] = "TPz Fuchs",
        }, -- end of ["desc"]
    } -- end of IFV TPZ
    ,["INF Infantry AK"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 247,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 5.45,
                        ["mass"] = 0.00343,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "5.45mm",
                    ["typeName"] = "weapons.shells.5_45x39",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 90,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.87000000476837,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0,
                    ["x"] = -0.40000000596046,
                    ["z"] = -0.39999994635582,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.7999999523163,
                    ["x"] = 0.60000002384186,
                    ["z"] = 0.39999994635582,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 4,
            ["life"] = 0.079999998211861,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["NonArmoredUnits"] = true,
                ["CustomAimPoint"] = true,
                ["Skeleton_type_A"] = true,
                ["New infantry"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Infantry"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 4,
            ["_origin"] = "",
            ["typeName"] = "Infantry AK",
            ["displayName"] = "Infantry Soldier Rus",
        }, -- end of ["desc"]
    } -- end of INF Infantry AK
    ,["INF Paratrooper AKS-74"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 247,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 5.45,
                        ["mass"] = 0.00343,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "5.45mm",
                    ["typeName"] = "weapons.shells.5_45x39",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 90,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.87000000476837,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.018257780000567,
                    ["x"] = -0.9879207611084,
                    ["z"] = -0.98225402832031,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.9462503194809,
                    ["x"] = 0.97658729553223,
                    ["z"] = 0.98225408792496,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 4,
            ["life"] = 0.079999998211861,
            ["attributes"] = 
            {
                ["NonArmoredUnits"] = true,
                ["Infantry"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Ground Units Non Airdefence"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["CustomAimPoint"] = true,
                ["Ground Units"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 4,
            ["_origin"] = "",
            ["typeName"] = "Paratrooper AKS-74",
            ["displayName"] = "Paratrooper AKS",
        }, -- end of ["desc"]
    } -- end of INF Paratrooper AKS-74
    ,["INF Paratrooper RPG-16"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 3,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["mass"] = 6,
                        ["explosiveMass"] = 0.45,
                        ["shapedExplosiveArmorThickness"] = 0.25,
                        ["shapedExplosiveMass"] = 2.8,
                        ["caliber"] = 73,
                        ["type"] = 2,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "73mm RPG",
                    ["typeName"] = "weapons.shells.2A28_73",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 90,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.87000000476837,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.0055273994803429,
                    ["x"] = -0.85314875841141,
                    ["z"] = -0.85314875841141,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.7118248939514,
                    ["x"] = 0.85314875841141,
                    ["z"] = 0.85314881801605,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 4,
            ["life"] = 0.079999998211861,
            ["attributes"] = 
            {
                ["NonArmoredUnits"] = true,
                ["Infantry"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Ground Units Non Airdefence"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["CustomAimPoint"] = true,
                ["Ground Units"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 4,
            ["_origin"] = "",
            ["typeName"] = "Paratrooper RPG-16",
            ["displayName"] = "Paratrooper RPG-16",
        }, -- end of ["desc"]
    } -- end of INF Paratrooper RPG-16
    ,["INF Soldier AK"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 247,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 5.45,
                        ["mass"] = 0.00343,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "5.45mm",
                    ["typeName"] = "weapons.shells.5_45x39",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 90,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.87000000476837,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.16908523440361,
                    ["x"] = -0.77912974357605,
                    ["z"] = -0.77912980318069,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.3891742229462,
                    ["x"] = 0.77912974357605,
                    ["z"] = 0.77912974357605,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 4,
            ["life"] = 0.079999998211861,
            ["attributes"] = 
            {
                ["NonArmoredUnits"] = true,
                ["Infantry"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Ground Units Non Airdefence"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["CustomAimPoint"] = true,
                ["Ground Units"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 4,
            ["_origin"] = "",
            ["typeName"] = "Soldier AK",
            ["displayName"] = "Soldier AK",
        }, -- end of ["desc"]
    } -- end of INF Soldier AK
    ,["INF Soldier M249"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 401,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 5.56,
                        ["mass"] = 0.00356,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "5.56mm",
                    ["typeName"] = "weapons.shells.5_56x45",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 90,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.87000000476837,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.0008683783817105,
                    ["x"] = -0.23973210155964,
                    ["z"] = -0.23973214626312,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.8034914731979,
                    ["x"] = 0.23973210155964,
                    ["z"] = 0.23973214626312,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 4,
            ["life"] = 0.079999998211861,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["NonArmoredUnits"] = true,
                ["CustomAimPoint"] = true,
                ["Prone"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Infantry"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 4,
            ["_origin"] = "",
            ["typeName"] = "Soldier M249",
            ["displayName"] = "Soldier M249",
        }, -- end of ["desc"]
    } -- end of INF Soldier M249
    ,["INF Soldier M4 GRG"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 247,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["category"] = 0,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 5.45,
                        ["mass"] = 0.00343,
                    }, -- end of ["warhead"]
                    ["displayName"] = "5_45x39",
                    ["typeName"] = "weapons.shells.5_45x39",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.34973141551018,
                            ["x"] = -15.915153503418,
                            ["z"] = -0.35240435600281,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.34613394737244,
                            ["x"] = 0.0010121095692739,
                            ["z"] = 0.34346318244934,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "human daysight",
                    ["opticType"] = 0,
                }, -- end of [1]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 90,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.87000000476837,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0,
                    ["x"] = -0.5,
                    ["z"] = -0.39999994635582,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.7999999523163,
                    ["x"] = 0.5,
                    ["z"] = 0.39999994635582,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 4,
            ["life"] = 0.079999998211861,
            ["attributes"] = 
            {
                ["Infantry"] = true,
                ["NonArmoredUnits"] = true,
                ["CustomAimPoint"] = true,
                ["New infantry"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Ground Units Non Airdefence"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 4,
            ["Kmax"] = 0.050000000745058,
            ["typeName"] = "Soldier M4 GRG",
            ["displayName"] = "Georgian soldier with M4",
        }, -- end of ["desc"]
    } -- end of INF Soldier M4 GRG
    ,["INF Soldier M4"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 247,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 5.56,
                        ["mass"] = 0.00356,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "5.56mm",
                    ["typeName"] = "weapons.shells.5_56x45",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 90,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.87000000476837,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.0008683783817105,
                    ["x"] = -0.23973210155964,
                    ["z"] = -0.23973214626312,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.8034914731979,
                    ["x"] = 0.23973210155964,
                    ["z"] = 0.23973214626312,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 4,
            ["life"] = 0.079999998211861,
            ["attributes"] = 
            {
                ["NonArmoredUnits"] = true,
                ["Infantry"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Ground Units Non Airdefence"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["CustomAimPoint"] = true,
                ["Ground Units"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 4,
            ["_origin"] = "",
            ["typeName"] = "Soldier M4",
            ["displayName"] = "Infantry M4",
        }, -- end of ["desc"]
    } -- end of INF Soldier M4
    ,["INF Soldier RPG"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 3,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["mass"] = 6,
                        ["explosiveMass"] = 0.45,
                        ["shapedExplosiveArmorThickness"] = 0.25,
                        ["shapedExplosiveMass"] = 2.8,
                        ["caliber"] = 73,
                        ["type"] = 2,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "73mm RPG",
                    ["typeName"] = "weapons.shells.2A28_73",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 90,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.87000000476837,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.16908523440361,
                    ["x"] = -0.77912974357605,
                    ["z"] = -0.77912980318069,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.3891742229462,
                    ["x"] = 0.77912974357605,
                    ["z"] = 0.77912974357605,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 4,
            ["life"] = 0.079999998211861,
            ["attributes"] = 
            {
                ["NonArmoredUnits"] = true,
                ["Infantry"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Ground Units Non Airdefence"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["CustomAimPoint"] = true,
                ["Ground Units"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 4,
            ["_origin"] = "",
            ["typeName"] = "Soldier RPG",
            ["displayName"] = "Soldier RPG",
        }, -- end of ["desc"]
    } -- end of INF Soldier RPG
    ,["MBT Challenger2"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 29,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 120,
                        ["mass"] = 4.6,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "120mm AP",
                    ["typeName"] = "weapons.shells.M256_120_AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.10894741863012,
                            ["x"] = -0.23145794868469,
                            ["z"] = -0.10864424705505,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.10724244266748,
                            ["x"] = 0.26817846298218,
                            ["z"] = 0.10754559934139,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 22,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 14.3,
                        ["type"] = 1,
                        ["caliber"] = 120,
                        ["mass"] = 14.3,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "120mm HE",
                    ["typeName"] = "weapons.shells.M256_120_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
            [3] = 
            {
                ["count"] = 2210,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.62,
                        ["mass"] = 0.00933,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "7.62mm",
                    ["typeName"] = "weapons.shells.7_62x51",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [3]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "Challenger2 sight day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TOGS2 night",
                    ["opticType"] = 2,
                }, -- end of [2]
                [3] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "VS580-10 day",
                    ["opticType"] = 0,
                }, -- end of [3]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 55150,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.61000001430511,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -6.6468834120315e-05,
                    ["x"] = -4.503351688385,
                    ["z"] = -1.4730145931244,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.8052926063538,
                    ["x"] = 3.6317765712738,
                    ["z"] = 1.4730144739151,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 20,
            ["life"] = 32,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armored vehicles"] = true,
                ["Modern Tanks"] = true,
                ["Ground vehicles"] = true,
                ["HeavyArmoredUnits"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["Armed vehicles"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Tanks"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 20,
            ["_origin"] = "",
            ["typeName"] = "Challenger2",
            ["displayName"] = "MBT Challenger II",
        }, -- end of ["desc"]
    } -- end of MBT Challenger2
    ,["MBT Leclerc"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 29,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 120,
                        ["mass"] = 4.6,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "120mm AP",
                    ["typeName"] = "weapons.shells.M256_120_AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.10894741863012,
                            ["x"] = -0.23145794868469,
                            ["z"] = -0.10864424705505,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.10724244266748,
                            ["x"] = 0.26817846298218,
                            ["z"] = 0.10754559934139,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 13,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 14.3,
                        ["type"] = 1,
                        ["caliber"] = 120,
                        ["mass"] = 14.3,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "120mm HE",
                    ["typeName"] = "weapons.shells.M256_120_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
            [3] = 
            {
                ["count"] = 504,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 12.7,
                        ["mass"] = 0.046,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "12.7mm",
                    ["typeName"] = "weapons.shells.M2_12_7_T",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [3]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "HL-70 day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "HL-70 night",
                    ["opticType"] = 1,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 55150,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.61000001430511,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -6.6552966018207e-05,
                    ["x"] = -3.6328065395355,
                    ["z"] = -1.6720614433289,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.4421927928925,
                    ["x"] = 3.4442372322083,
                    ["z"] = 1.6720614433289,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 20,
            ["life"] = 32,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armored vehicles"] = true,
                ["Modern Tanks"] = true,
                ["Ground vehicles"] = true,
                ["HeavyArmoredUnits"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["Armed vehicles"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Tanks"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 20,
            ["_origin"] = "",
            ["typeName"] = "Leclerc",
            ["displayName"] = "MBT Leclerc",
        }, -- end of ["desc"]
    } -- end of MBT Leclerc
    ,["MBT Leopard-2"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 26,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 120,
                        ["mass"] = 4.6,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "120mm AP",
                    ["typeName"] = "weapons.shells.M256_120_AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.10894741863012,
                            ["x"] = -0.23145794868469,
                            ["z"] = -0.10864424705505,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.10724244266748,
                            ["x"] = 0.26817846298218,
                            ["z"] = 0.10754559934139,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 18,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 14.3,
                        ["type"] = 1,
                        ["caliber"] = 120,
                        ["mass"] = 14.3,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "120mm HE",
                    ["typeName"] = "weapons.shells.M256_120_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
            [3] = 
            {
                ["count"] = 1004,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.62,
                        ["mass"] = 0.00933,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "7.62mm",
                    ["typeName"] = "weapons.shells.7_62x51",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [3]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "EMES 15 day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "EMES 15 night",
                    ["opticType"] = 2,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 55150,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.61000001430511,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.034268405288458,
                    ["x"] = -4.4972658157349,
                    ["z"] = -2.411857843399,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.9615399837494,
                    ["x"] = 4.1361041069031,
                    ["z"] = 2.411857843399,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 20,
            ["life"] = 32,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armored vehicles"] = true,
                ["Modern Tanks"] = true,
                ["Ground vehicles"] = true,
                ["HeavyArmoredUnits"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["Armed vehicles"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Tanks"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 20,
            ["_origin"] = "",
            ["typeName"] = "Leopard-2",
            ["displayName"] = "MBT Leopard-2",
        }, -- end of ["desc"]
    } -- end of MBT Leopard-2
    ,["MBT Leopard1A3"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 33,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 105,
                        ["mass"] = 2.73,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "105mm AP",
                    ["typeName"] = "weapons.shells.M68_105_AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.10894741863012,
                            ["x"] = -0.23145794868469,
                            ["z"] = -0.10864424705505,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.10724244266748,
                            ["x"] = 0.26817846298218,
                            ["z"] = 0.10754559934139,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 19,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 15.6,
                        ["type"] = 1,
                        ["caliber"] = 100,
                        ["mass"] = 15.6,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "105mm HE",
                    ["typeName"] = "weapons.shells.HESH_105",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
            [3] = 
            {
                ["count"] = 200,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.62,
                        ["mass"] = 0.00933,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "7.62mm",
                    ["typeName"] = "weapons.shells.7_62x51",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [3]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TRP-2A day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TRP-2A night",
                    ["opticType"] = 1,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 47300,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.27000001072884,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -6.8741566792596e-05,
                    ["x"] = -4.4337348937988,
                    ["z"] = -1.7583384513855,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.3983054161072,
                    ["x"] = 4.0127172470093,
                    ["z"] = 1.7577475309372,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 18.055599212646,
            ["life"] = 20,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armored vehicles"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["Old Tanks"] = true,
                ["Ground vehicles"] = true,
                ["HeavyArmoredUnits"] = true,
                ["Armed vehicles"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Tanks"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 18.055599212646,
            ["_origin"] = "",
            ["typeName"] = "Leopard1A3",
            ["displayName"] = "MBT Leopard 1A3",
        }, -- end of ["desc"]
    } -- end of MBT Leopard1A3
    ,["MBT M-1 Abrams"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 26,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 120,
                        ["mass"] = 4.6,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "120mm AP",
                    ["typeName"] = "weapons.shells.M256_120_AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.10894741863012,
                            ["x"] = -0.23145794868469,
                            ["z"] = -0.10864424705505,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.10724244266748,
                            ["x"] = 0.26817846298218,
                            ["z"] = 0.10754559934139,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 18,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 14.3,
                        ["type"] = 1,
                        ["caliber"] = 120,
                        ["mass"] = 14.3,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "120mm HE",
                    ["typeName"] = "weapons.shells.M256_120_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
            [3] = 
            {
                ["count"] = 2800,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.62,
                        ["mass"] = 0.00933,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "7.62mm",
                    ["typeName"] = "weapons.shells.7_62x51",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [3]
            [4] = 
            {
                ["count"] = 504,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 12.7,
                        ["mass"] = 0.046,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "12.7mm",
                    ["typeName"] = "weapons.shells.M2_12_7_T",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [4]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "CITV day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "CITV night",
                    ["opticType"] = 2,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 57154,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.61000001430511,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.008797544054687,
                    ["x"] = -4.28093957901,
                    ["z"] = -2.2602686882019,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.0843367576599,
                    ["x"] = 4.4233250617981,
                    ["z"] = 2.2602686882019,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 18.527799606323,
            ["life"] = 32,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armored vehicles"] = true,
                ["Modern Tanks"] = true,
                ["HeavyArmoredUnits"] = true,
                ["Ground vehicles"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["Armed vehicles"] = true,
                ["Tanks"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Datalink"] = true,
                ["Ground Units"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 18.527799606323,
            ["_origin"] = "",
            ["typeName"] = "M-1 Abrams",
            ["displayName"] = "MBT M1A2 Abrams",
        }, -- end of ["desc"]
    } -- end of MBT M-1 Abrams
    ,["MBT M-60"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 504,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 12.7,
                        ["mass"] = 0.046,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "12.7mm",
                    ["typeName"] = "weapons.shells.M2_12_7_T",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 33,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 105,
                        ["mass"] = 2.73,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "105mm AP",
                    ["typeName"] = "weapons.shells.M68_105_AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.10894741863012,
                            ["x"] = -0.23145794868469,
                            ["z"] = -0.10864424705505,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.10724244266748,
                            ["x"] = 0.26817846298218,
                            ["z"] = 0.10754559934139,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
            [3] = 
            {
                ["count"] = 24,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 14.7,
                        ["type"] = 1,
                        ["caliber"] = 105,
                        ["mass"] = 14.7,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "105mm HE",
                    ["typeName"] = "weapons.shells.M68_105_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [3]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "AN/VSG-2 day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "AN/VSG-2 night",
                    ["opticType"] = 2,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 52617,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.27000001072884,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.020640999078751,
                    ["x"] = -3.6538898944855,
                    ["z"] = -1.815269947052,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3,
                    ["x"] = 5.5964298248291,
                    ["z"] = 1.815269947052,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 13.333299636841,
            ["life"] = 20,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armored vehicles"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["Old Tanks"] = true,
                ["Ground vehicles"] = true,
                ["HeavyArmoredUnits"] = true,
                ["Armed vehicles"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Tanks"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 13.333299636841,
            ["_origin"] = "",
            ["typeName"] = "M-60",
            ["displayName"] = "MBT M60A3 Patton",
        }, -- end of ["desc"]
    } -- end of MBT M-60
    ,["MBT M1128 Stryker MGS"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 800,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.62,
                        ["mass"] = 0.00933,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "7.62mm",
                    ["typeName"] = "weapons.shells.7_62x51",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 12,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 105,
                        ["mass"] = 2.73,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "105mm AP",
                    ["typeName"] = "weapons.shells.M68_105_AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.10894741863012,
                            ["x"] = -0.23145794868469,
                            ["z"] = -0.10864424705505,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.10724244266748,
                            ["x"] = 0.26817846298218,
                            ["z"] = 0.10754559934139,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
            [3] = 
            {
                ["count"] = 6,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 15.6,
                        ["type"] = 1,
                        ["caliber"] = 100,
                        ["mass"] = 15.6,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "105mm HE",
                    ["typeName"] = "weapons.shells.HESH_105",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [3]
            [4] = 
            {
                ["count"] = 504,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 12.7,
                        ["mass"] = 0.046,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "12.7mm",
                    ["typeName"] = "weapons.shells.M2_12_7_T",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [4]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "MGS sight day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "MGS sight night",
                    ["opticType"] = 2,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 17237,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.46999999880791,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -7.6937605626881e-05,
                    ["x"] = -3.389023065567,
                    ["z"] = -1.5992095470428,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.4886846542358,
                    ["x"] = 3.5601401329041,
                    ["z"] = 1.5686666965485,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 20,
            ["life"] = 3,
            ["attributes"] = 
            {
                ["Vehicles"] = true,
                ["Armored vehicles"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["Ground vehicles"] = true,
                ["Armed ground units"] = true,
                ["Ground Units Non Airdefence"] = true,
                ["IFV"] = true,
                ["Armed vehicles"] = true,
                ["LightArmoredUnits"] = true,
                ["Tanks"] = true,
                ["Infantry carriers"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Modern Tanks"] = true,
                ["HeavyArmoredUnits"] = true,
                ["All"] = true,
                ["Datalink"] = true,
                ["Ground Units"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 20,
            ["_origin"] = "",
            ["typeName"] = "M1128 Stryker MGS",
            ["displayName"] = "SPG M1128 Stryker MGS",
        }, -- end of ["desc"]
    } -- end of MBT M1128 Stryker MGS
    ,["MBT Merkava_Mk4"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 30,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 120,
                        ["mass"] = 4.6,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "120mm AP",
                    ["typeName"] = "weapons.shells.M256_120_AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.10894741863012,
                            ["x"] = -0.23145794868469,
                            ["z"] = -0.10864424705505,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.10724244266748,
                            ["x"] = 0.26817846298218,
                            ["z"] = 0.10754559934139,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 20,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 14.3,
                        ["type"] = 1,
                        ["caliber"] = 120,
                        ["mass"] = 14.3,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "120mm HE",
                    ["typeName"] = "weapons.shells.M256_120_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
            [3] = 
            {
                ["count"] = 5024,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.62,
                        ["mass"] = 0.00933,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "7.62mm",
                    ["typeName"] = "weapons.shells.7_62x51",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [3]
            [4] = 
            {
                ["count"] = 5024,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.62,
                        ["mass"] = 0.0119,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "7.62mm",
                    ["typeName"] = "weapons.shells.7_62x54",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [4]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TRP-2A day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TRP-2A night",
                    ["opticType"] = 1,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 65000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.51999998092651,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.00056738656712696,
                    ["x"] = -3.8732216358185,
                    ["z"] = -1.9081492424011,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.8891975879669,
                    ["x"] = 4.0768404006958,
                    ["z"] = 1.9081493616104,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 18.055599212646,
            ["life"] = 20,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armored vehicles"] = true,
                ["Modern Tanks"] = true,
                ["HeavyArmoredUnits"] = true,
                ["Ground vehicles"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["Armed vehicles"] = true,
                ["Tanks"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Datalink"] = true,
                ["Ground Units"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 18.055599212646,
            ["_origin"] = "",
            ["typeName"] = "Merkava_Mk4",
            ["displayName"] = "MBT Merkava Mk. 4",
        }, -- end of ["desc"]
    } -- end of MBT Merkava_Mk4
    ,["MBT T-55"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 33,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 105,
                        ["mass"] = 2.73,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "105mm AP",
                    ["typeName"] = "weapons.shells.M68_105_AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.10894741863012,
                            ["x"] = -0.23145794868469,
                            ["z"] = -0.10864424705505,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.10724244266748,
                            ["x"] = 0.26817846298218,
                            ["z"] = 0.10754559934139,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 12,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 15.6,
                        ["type"] = 1,
                        ["caliber"] = 100,
                        ["mass"] = 15.6,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "100mm HE",
                    ["typeName"] = "weapons.shells.UOF_412_100HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
            [3] = 
            {
                ["count"] = 2760,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.62,
                        ["mass"] = 0.0119,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "7.62mm",
                    ["typeName"] = "weapons.shells.7_62x54",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [3]
            [4] = 
            {
                ["count"] = 305,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 12.7,
                        ["mass"] = 0.044,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "12.7mm",
                    ["typeName"] = "weapons.shells.Utes_12_7x108_T",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [4]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TPKU-2B",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TPN1",
                    ["opticType"] = 2,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 36000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.27000001072884,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.026076573878527,
                    ["x"] = -3.2319326400757,
                    ["z"] = -1.6298308372498,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.0588290691376,
                    ["x"] = 3.0577399730682,
                    ["z"] = 1.6298308372498,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 12,
            ["life"] = 18,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armored vehicles"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["Old Tanks"] = true,
                ["Ground vehicles"] = true,
                ["HeavyArmoredUnits"] = true,
                ["Armed vehicles"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Tanks"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 12,
            ["_origin"] = "",
            ["typeName"] = "T-55",
            ["displayName"] = "MBT T-55",
        }, -- end of ["desc"]
    } -- end of MBT T-55
    ,["MBT T-72B"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 23,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 125,
                        ["mass"] = 4.85,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "125mm AP",
                    ["typeName"] = "weapons.shells.2A46M_125_AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.10894741863012,
                            ["x"] = -0.23145794868469,
                            ["z"] = -0.10864424705505,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.10724244266748,
                            ["x"] = 0.26817846298218,
                            ["z"] = 0.10754559934139,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 18,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 23,
                        ["type"] = 1,
                        ["caliber"] = 125,
                        ["mass"] = 23,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "125mm HE",
                    ["typeName"] = "weapons.shells.2A46M_125_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
            [3] = 
            {
                ["count"] = 7,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.16354602575302,
                            ["x"] = -0.49039000272751,
                            ["z"] = -0.18512244522572,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.16354604065418,
                            ["x"] = 0.4917466044426,
                            ["z"] = 0.18512244522572,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 5000,
                    ["fuseDist"] = 0,
                    ["category"] = 1,
                    ["guidance"] = 7,
                    ["Nmax"] = 1.2,
                    ["rangeMin"] = 100,
                    ["altMax"] = 3000,
                    ["RCS"] = 0.032000001519918,
                    ["displayName"] = "9M119",
                    ["altMin"] = -1,
                    ["life"] = 2,
                    ["missileCategory"] = 6,
                    ["warhead"] = 
                    {
                        ["mass"] = 4.5,
                        ["explosiveMass"] = 2.7000000476837,
                        ["shapedExplosiveArmorThickness"] = 1,
                        ["shapedExplosiveMass"] = 8.1000003814697,
                        ["caliber"] = 0,
                        ["type"] = 2,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 5000,
                    ["typeName"] = "9M119",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [3]
            [4] = 
            {
                ["count"] = 2007,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.62,
                        ["mass"] = 0.0119,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "7.62mm",
                    ["typeName"] = "weapons.shells.7_62x54",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [4]
            [5] = 
            {
                ["count"] = 305,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 12.7,
                        ["mass"] = 0.044,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "12.7mm",
                    ["typeName"] = "weapons.shells.Utes_12_7x108_T",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [5]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TKN-3B day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TKN-3B night",
                    ["opticType"] = 2,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 40000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.61000001430511,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.018428016453981,
                    ["x"] = -3.638863325119,
                    ["z"] = -1.6298308372498,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.2465558052063,
                    ["x"] = 3.1571242809296,
                    ["z"] = 1.6298308372498,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 16.666700363159,
            ["life"] = 25,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armored vehicles"] = true,
                ["Modern Tanks"] = true,
                ["CustomAimPoint"] = true,
                ["Ground vehicles"] = true,
                ["HeavyArmoredUnits"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["Armed vehicles"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Tanks"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 16.666700363159,
            ["_origin"] = "",
            ["typeName"] = "T-72B",
            ["displayName"] = "MBT T-72B",
        }, -- end of ["desc"]
    } -- end of MBT T-72B
    ,["MBT T-80UD"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 23,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 125,
                        ["mass"] = 4.85,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "125mm AP",
                    ["typeName"] = "weapons.shells.2A46M_125_AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.10894741863012,
                            ["x"] = -0.23145794868469,
                            ["z"] = -0.10864424705505,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.10724244266748,
                            ["x"] = 0.26817846298218,
                            ["z"] = 0.10754559934139,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 18,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 23,
                        ["type"] = 1,
                        ["caliber"] = 125,
                        ["mass"] = 23,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "125mm HE",
                    ["typeName"] = "weapons.shells.2A46M_125_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
            [3] = 
            {
                ["count"] = 7,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.16354602575302,
                            ["x"] = -0.49039000272751,
                            ["z"] = -0.18512244522572,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.16354604065418,
                            ["x"] = 0.4917466044426,
                            ["z"] = 0.18512244522572,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 5000,
                    ["fuseDist"] = 0,
                    ["category"] = 1,
                    ["guidance"] = 7,
                    ["Nmax"] = 1.2,
                    ["rangeMin"] = 100,
                    ["altMax"] = 3000,
                    ["RCS"] = 0.032000001519918,
                    ["displayName"] = "9M119",
                    ["altMin"] = -1,
                    ["life"] = 2,
                    ["missileCategory"] = 6,
                    ["warhead"] = 
                    {
                        ["mass"] = 4.5,
                        ["explosiveMass"] = 2.7000000476837,
                        ["shapedExplosiveArmorThickness"] = 1,
                        ["shapedExplosiveMass"] = 8.1000003814697,
                        ["caliber"] = 0,
                        ["type"] = 2,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 5000,
                    ["typeName"] = "9M119",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [3]
            [4] = 
            {
                ["count"] = 1254,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.62,
                        ["mass"] = 0.0119,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "7.62mm",
                    ["typeName"] = "weapons.shells.7_62x54",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [4]
            [5] = 
            {
                ["count"] = 458,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 12.7,
                        ["mass"] = 0.044,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "12.7mm",
                    ["typeName"] = "weapons.shells.Utes_12_7x108_T",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [5]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TKN-3B day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TKN-3B night",
                    ["opticType"] = 2,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 46000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.61000001430511,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.018428016453981,
                    ["x"] = -3.4640600681305,
                    ["z"] = -1.6298308372498,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.2465558052063,
                    ["x"] = 3.3319275379181,
                    ["z"] = 1.6298308372498,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 19.444400787354,
            ["life"] = 28,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armored vehicles"] = true,
                ["Modern Tanks"] = true,
                ["Ground vehicles"] = true,
                ["HeavyArmoredUnits"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["Armed vehicles"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Tanks"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 19.444400787354,
            ["_origin"] = "",
            ["typeName"] = "T-80UD",
            ["displayName"] = "MBT T-80U",
        }, -- end of ["desc"]
    } -- end of MBT T-80UD
    ,["MBT T-90"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 23,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 125,
                        ["mass"] = 4.85,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "125mm AP",
                    ["typeName"] = "weapons.shells.2A46M_125_AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.10894741863012,
                            ["x"] = -0.23145794868469,
                            ["z"] = -0.10864424705505,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.10724244266748,
                            ["x"] = 0.26817846298218,
                            ["z"] = 0.10754559934139,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 18,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 23,
                        ["type"] = 1,
                        ["caliber"] = 125,
                        ["mass"] = 23,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "125mm HE",
                    ["typeName"] = "weapons.shells.2A46M_125_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
            [3] = 
            {
                ["count"] = 7,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.16354602575302,
                            ["x"] = -0.49039000272751,
                            ["z"] = -0.18512244522572,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.16354604065418,
                            ["x"] = 0.4917466044426,
                            ["z"] = 0.18512244522572,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 5000,
                    ["fuseDist"] = 0,
                    ["category"] = 1,
                    ["guidance"] = 7,
                    ["Nmax"] = 1.2,
                    ["rangeMin"] = 100,
                    ["altMax"] = 3000,
                    ["RCS"] = 0.032000001519918,
                    ["displayName"] = "9M119",
                    ["altMin"] = -1,
                    ["life"] = 2,
                    ["missileCategory"] = 6,
                    ["warhead"] = 
                    {
                        ["mass"] = 4.5,
                        ["explosiveMass"] = 2.7000000476837,
                        ["shapedExplosiveArmorThickness"] = 1,
                        ["shapedExplosiveMass"] = 8.1000003814697,
                        ["caliber"] = 0,
                        ["type"] = 2,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 5000,
                    ["typeName"] = "9M119",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [3]
            [4] = 
            {
                ["count"] = 2007,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.62,
                        ["mass"] = 0.0119,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "7.62mm",
                    ["typeName"] = "weapons.shells.7_62x54",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [4]
            [5] = 
            {
                ["count"] = 301,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 12.7,
                        ["mass"] = 0.044,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "12.7mm",
                    ["typeName"] = "weapons.shells.Utes_12_7x108_T",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [5]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TKN-4S day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TKN-4S night",
                    ["opticType"] = 2,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 40000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.61000001430511,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.018428016453981,
                    ["x"] = -3.6005761623383,
                    ["z"] = -1.7849147319794,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.2465558052063,
                    ["x"] = 3.6554951667786,
                    ["z"] = 1.7849147319794,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 16.666700363159,
            ["life"] = 30,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armored vehicles"] = true,
                ["Modern Tanks"] = true,
                ["CustomAimPoint"] = true,
                ["Ground vehicles"] = true,
                ["HeavyArmoredUnits"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["Armed vehicles"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Tanks"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 16.666700363159,
            ["_origin"] = "",
            ["typeName"] = "T-90",
            ["displayName"] = "MBT T-90",
        }, -- end of ["desc"]
    } -- end of MBT T-90
    ,["MLRS Grad-URAL"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 40,
                ["desc"] = 
                {
                    ["distMax"] = 0,
                    ["RCS"] = 0,
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.21512581408024,
                            ["x"] = -1.4337531328201,
                            ["z"] = -0.21701017022133,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.21512581408024,
                            ["x"] = 1.4351097345352,
                            ["z"] = 0.21701017022133,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["life"] = 2,
                    ["category"] = 2,
                    ["displayName"] = "GRAD",
                    ["_origin"] = "",
                    ["typeName"] = "weapons.nurs.GRAD_9M22U",
                    ["distMin"] = 0,
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 6000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.46999999880791,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.024093169718981,
                    ["x"] = -2.6368780136108,
                    ["z"] = -1.3644953966141,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.0690410137177,
                    ["x"] = 4.6242880821228,
                    ["z"] = 1.3785880804062,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 20.833299636841,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Artillery"] = true,
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armed vehicles"] = true,
                ["LightArmoredUnits"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Indirect fire"] = true,
                ["Armed ground units"] = true,
                ["MLRS"] = true,
                ["Ground Units"] = true,
                ["All"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 20.833299636841,
            ["_origin"] = "",
            ["typeName"] = "Grad-URAL",
            ["displayName"] = "MLRS BM-21 Grad",
        }, -- end of ["desc"]
    } -- end of MLRS Grad-URAL
    ,["MLRS MLRS"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 12,
                ["desc"] = 
                {
                    ["distMax"] = 0,
                    ["RCS"] = 0,
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.15170109272003,
                            ["x"] = -1.8722184896469,
                            ["z"] = -0.15113028883934,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.15170110762119,
                            ["x"] = 1.8722184896469,
                            ["z"] = 0.15113028883934,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["life"] = 2,
                    ["category"] = 2,
                    ["displayName"] = "M26",
                    ["_origin"] = "",
                    ["typeName"] = "weapons.nurs.M26",
                    ["distMin"] = 0,
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 25191,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.27000001072884,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.024093169718981,
                    ["x"] = -3.4885001182556,
                    ["z"] = -1.3715417385101,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.0690410137177,
                    ["x"] = 3.4885001182556,
                    ["z"] = 1.3715417385101,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 17.777799606323,
            ["life"] = 2,
            ["attributes"] = 
            {
                ["Artillery"] = true,
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armed vehicles"] = true,
                ["LightArmoredUnits"] = true,
                ["Ground vehicles"] = true,
                ["Indirect fire"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Ground Units"] = true,
                ["Armed ground units"] = true,
                ["MLRS"] = true,
                ["Datalink"] = true,
                ["All"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 17.777799606323,
            ["_origin"] = "",
            ["typeName"] = "MLRS",
            ["displayName"] = "MLRS M270",
        }, -- end of ["desc"]
    } -- end of MLRS MLRS
    ,["MLRS Smerch"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 12,
                ["desc"] = 
                {
                    ["distMax"] = 0,
                    ["RCS"] = 0,
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.26067706942558,
                            ["x"] = -3.67169713974,
                            ["z"] = -0.26067706942558,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.26067706942558,
                            ["x"] = 3.67169713974,
                            ["z"] = 0.26067706942558,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["life"] = 2,
                    ["category"] = 2,
                    ["displayName"] = "SMERCH",
                    ["_origin"] = "",
                    ["typeName"] = "weapons.nurs.SMERCH_9M55K",
                    ["distMin"] = 0,
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 42150,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.27000001072884,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.4738253057003,
                    ["x"] = -6.3490138053894,
                    ["z"] = -2.1793839931488,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.73677277565,
                    ["x"] = 6.1595435142517,
                    ["z"] = 2.1793839931488,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 16.666700363159,
            ["life"] = 2,
            ["attributes"] = 
            {
                ["Artillery"] = true,
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armed vehicles"] = true,
                ["LightArmoredUnits"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Indirect fire"] = true,
                ["Armed ground units"] = true,
                ["MLRS"] = true,
                ["Ground Units"] = true,
                ["All"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 16.666700363159,
            ["_origin"] = "",
            ["typeName"] = "Smerch",
            ["displayName"] = "MLRS 9A52 Smerch",
        }, -- end of ["desc"]
    } -- end of MLRS Smerch
    ,["MLRS Uragan_BM-27"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 16,
                ["desc"] = 
                {
                    ["distMax"] = 0,
                    ["RCS"] = 0,
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.24881590902805,
                            ["x"] = -2.4066050052643,
                            ["z"] = -0.24881567060947,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.24881562590599,
                            ["x"] = 2.4066050052643,
                            ["z"] = 0.24881513416767,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["life"] = 2,
                    ["category"] = 2,
                    ["displayName"] = "URAGAN",
                    ["_origin"] = "",
                    ["typeName"] = "weapons.nurs.URAGAN_9M27F",
                    ["distMin"] = 0,
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 20000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.89999997615814,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.13463565707207,
                    ["x"] = -5.0521092414856,
                    ["z"] = -1.6435180902481,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.4737021923065,
                    ["x"] = 5.0521092414856,
                    ["z"] = 1.6435180902481,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 18,
            ["life"] = 3.5,
            ["attributes"] = 
            {
                ["Artillery"] = true,
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armed vehicles"] = true,
                ["LightArmoredUnits"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Indirect fire"] = true,
                ["Armed ground units"] = true,
                ["MLRS"] = true,
                ["Ground Units"] = true,
                ["All"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 18,
            ["_origin"] = "",
            ["typeName"] = "Uragan_BM-27",
            ["displayName"] = "MLRS 9K57 Uragan BM-27",
        }, -- end of ["desc"]
    } -- end of MLRS Uragan_BM-27
    ,["outpost"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 5000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.010119000449777,
                    ["x"] = -16.712648391724,
                    ["z"] = -10.042944908142,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 4.2052888870239,
                    ["x"] = 21.569673538208,
                    ["z"] = 28.246959686279,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 0,
            ["life"] = 50,
            ["attributes"] = 
            {
                ["Fortifications"] = true,
                ["Ground Units Non Airdefence"] = true,
                ["HeavyArmoredUnits"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["CustomAimPoint"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 0,
            ["Kmax"] = 0.050000000745058,
            ["typeName"] = "outpost",
            ["displayName"] = "Outpost",
        }, -- end of ["desc"]
    } -- end of outpost
    ,["outpost_road"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 5000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.010119000449777,
                    ["x"] = -16.712648391724,
                    ["z"] = -10.042944908142,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 4.2052888870239,
                    ["x"] = 21.569673538208,
                    ["z"] = 28.246959686279,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 0,
            ["life"] = 50,
            ["attributes"] = 
            {
                ["Fortifications"] = true,
                ["Ground Units Non Airdefence"] = true,
                ["HeavyArmoredUnits"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["CustomAimPoint"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 0,
            ["Kmax"] = 0.050000000745058,
            ["typeName"] = "outpost_road",
            ["displayName"] = "Road outpost",
        }, -- end of ["desc"]
    } -- end of outpost_road
    ,["Sandbox"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 5000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -1.0252089500427,
                    ["x"] = -12.696611404419,
                    ["z"] = -14.149108886719,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 5.0143957138062,
                    ["x"] = 11.670043945313,
                    ["z"] = 14.472208023071,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 0,
            ["life"] = 40,
            ["attributes"] = 
            {
                ["Fortifications"] = true,
                ["Ground Units Non Airdefence"] = true,
                ["HeavyArmoredUnits"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["CustomAimPoint"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 0,
            ["Kmax"] = 0.050000000745058,
            ["typeName"] = "Sandbox",
            ["displayName"] = "Bunker 1",
        }, -- end of ["desc"]
    } -- end of Sandbox
    ,["Truck ATMZ-5"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 6000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.46999999880791,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.0036893333308399,
                    ["x"] = -2.9875473976135,
                    ["z"] = -1.2474800348282,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.6602070331573,
                    ["x"] = 4.4322471618652,
                    ["z"] = 1.2169370651245,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 20.833299636841,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["NonArmoredUnits"] = true,
                ["Trucks"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Unarmed vehicles"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 20.833299636841,
            ["_origin"] = "",
            ["typeName"] = "ATMZ-5",
            ["displayName"] = "Fuel Truck ATMZ-5",
        }, -- end of ["desc"]
    } -- end of Truck ATMZ-5
    ,["Truck ATZ-10"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 6000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.46999999880791,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.0095558380708098,
                    ["x"] = -3.0211641788483,
                    ["z"] = -1.1943761110306,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.639223575592,
                    ["x"] = 4.4658641815186,
                    ["z"] = 1.1638330221176,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 20.833299636841,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["NonArmoredUnits"] = true,
                ["Trucks"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Unarmed vehicles"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 20.833299636841,
            ["_origin"] = "",
            ["typeName"] = "ATZ-10",
            ["displayName"] = "Fuel Truck ATZ-10",
        }, -- end of ["desc"]
    } -- end of Truck ATZ-10
    ,["Truck GAZ-3307"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 15000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.27000001072884,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0,
                    ["x"] = -3.1798570156097,
                    ["z"] = -1.2649019956589,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.6092050075531,
                    ["x"] = 3.1364719867706,
                    ["z"] = 1.2649329900742,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 20.833299636841,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["NonArmoredUnits"] = true,
                ["Trucks"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Unarmed vehicles"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 20.833299636841,
            ["_origin"] = "",
            ["typeName"] = "GAZ-3307",
            ["displayName"] = "Transport GAZ-3307",
        }, -- end of ["desc"]
    } -- end of Truck GAZ-3307
    ,["Truck GAZ-3308"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 15000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.27000001072884,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0,
                    ["x"] = -3.1798570156097,
                    ["z"] = -1.3284070491791,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.7068700790405,
                    ["x"] = 3.2708489894867,
                    ["z"] = 1.3284080028534,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 20.833299636841,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["NonArmoredUnits"] = true,
                ["Trucks"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Unarmed vehicles"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 20.833299636841,
            ["_origin"] = "",
            ["typeName"] = "GAZ-3308",
            ["displayName"] = "Transport GAZ-3308",
        }, -- end of ["desc"]
    } -- end of Truck GAZ-3308
    ,["Truck GAZ-66"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 15000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.46999999880791,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.044204663485289,
                    ["x"] = -2.9020547866821,
                    ["z"] = -1.2140810489655,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.5669927597046,
                    ["x"] = 3.080029964447,
                    ["z"] = 1.2147631645203,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 20.833299636841,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["NonArmoredUnits"] = true,
                ["Trucks"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Unarmed vehicles"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 20.833299636841,
            ["_origin"] = "",
            ["typeName"] = "GAZ-66",
            ["displayName"] = "Transport GAZ-66",
        }, -- end of ["desc"]
    } -- end of Truck GAZ-66
    ,["Truck HEMTT TFFT"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 15000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.27000001072884,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.19444970786572,
                    ["x"] = -5.3602795600891,
                    ["z"] = -1.3748569488525,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.4381239414215,
                    ["x"] = 5.4360179901123,
                    ["z"] = 1.3471287488937,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 20.833299636841,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["NonArmoredUnits"] = true,
                ["Trucks"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Unarmed vehicles"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 20.833299636841,
            ["_origin"] = "",
            ["typeName"] = "HEMTT TFFT",
            ["displayName"] = "HEMTT TFFT",
        }, -- end of ["desc"]
    } -- end of Truck HEMTT TFFT
    ,["Truck IKARUS Bus"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 15000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.27000001072884,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.0009130000253208,
                    ["x"] = -10.108499526978,
                    ["z"] = -1.6368399858475,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.5980501174927,
                    ["x"] = 10.468299865723,
                    ["z"] = 1.6368399858475,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 20.833299636841,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["NonArmoredUnits"] = true,
                ["Trucks"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Unarmed vehicles"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 20.833299636841,
            ["_origin"] = "",
            ["typeName"] = "IKARUS Bus",
            ["displayName"] = "Transport IKARUS-280",
        }, -- end of ["desc"]
    } -- end of Truck IKARUS Bus
    ,["Truck KAMAZ Truck"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 15000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.46999999880791,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.046259570866823,
                    ["x"] = -4.1681032180786,
                    ["z"] = -1.0912691354752,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.1810486316681,
                    ["x"] = 3.7048668861389,
                    ["z"] = 1.4680845737457,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 20.833299636841,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["NonArmoredUnits"] = true,
                ["Trucks"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Unarmed vehicles"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 20.833299636841,
            ["_origin"] = "",
            ["typeName"] = "KAMAZ Truck",
            ["displayName"] = "Transport KAMAZ-43101",
        }, -- end of ["desc"]
    } -- end of Truck KAMAZ Truck
    ,["Truck LAZ Bus"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 15000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.27000001072884,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.0034709998872131,
                    ["x"] = -4.830470085144,
                    ["z"] = -1.310289978981,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.8308401107788,
                    ["x"] = 4.3463702201843,
                    ["z"] = 1.310289978981,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 27.777799606323,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["NonArmoredUnits"] = true,
                ["Trucks"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Unarmed vehicles"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 27.777799606323,
            ["_origin"] = "",
            ["typeName"] = "LAZ Bus",
            ["displayName"] = "Transport LAZ-695",
        }, -- end of ["desc"]
    } -- end of Truck LAZ Bus
    ,["Truck M 818"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 8000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.46999999880791,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.27476543188095,
                    ["x"] = -3.3769176006317,
                    ["z"] = -1.5097773075104,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.3767776489258,
                    ["x"] = 4.8403105735779,
                    ["z"] = 1.5034143924713,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 20.833299636841,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["NonArmoredUnits"] = true,
                ["Trucks"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Unarmed vehicles"] = true,
                ["All"] = true,
                ["Datalink"] = true,
                ["Ground Units"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 20.833299636841,
            ["_origin"] = "",
            ["typeName"] = "M 818",
            ["displayName"] = "Transport M818",
        }, -- end of ["desc"]
    } -- end of Truck M 818
    ,["Truck M978 HEMTT Tanker"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 15000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.27000001072884,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.019266935065389,
                    ["x"] = -4.914764881134,
                    ["z"] = -1.2174897193909,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.6005222797394,
                    ["x"] = 5.088846206665,
                    ["z"] = 1.1985090970993,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 20.833299636841,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["NonArmoredUnits"] = true,
                ["Trucks"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Unarmed vehicles"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 20.833299636841,
            ["_origin"] = "",
            ["typeName"] = "M978 HEMTT Tanker",
            ["displayName"] = "Tanker M978 HEMTT",
        }, -- end of ["desc"]
    } -- end of Truck M978 HEMTT Tanker
    ,["Truck MAZ-6303"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 15000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.27000001072884,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0,
                    ["x"] = -5.4949688911438,
                    ["z"] = -1.2231299877167,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 4.1142048835754,
                    ["x"] = 4.7140398025513,
                    ["z"] = 1.2231299877167,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 20.833299636841,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["NonArmoredUnits"] = true,
                ["Trucks"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Unarmed vehicles"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 20.833299636841,
            ["_origin"] = "",
            ["typeName"] = "MAZ-6303",
            ["displayName"] = "Transport MAZ-6303",
        }, -- end of ["desc"]
    } -- end of Truck MAZ-6303
    ,["Truck Predator GCS"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 5000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -3.4762112477438e-07,
                    ["x"] = -6.3433794975281,
                    ["z"] = -2.2652599811554,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 7.2518410682678,
                    ["x"] = 6.5000004768372,
                    ["z"] = 1.4526451826096,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 0,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["NonArmoredUnits"] = true,
                ["CustomAimPoint"] = true,
                ["Trucks"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Unarmed vehicles"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 0,
            ["_origin"] = "",
            ["typeName"] = "Predator GCS",
            ["displayName"] = "CP Predator GCS",
        }, -- end of ["desc"]
    } -- end of Truck Predator GCS
    ,["Truck Predator TrojanSpirit"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 5000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -2.3303377361117e-07,
                    ["x"] = -3.0884103775024,
                    ["z"] = -3.0163283348083,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 6.3081727027893,
                    ["x"] = 6.6264524459839,
                    ["z"] = 3.0163285732269,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 0,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["NonArmoredUnits"] = true,
                ["Trucks"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Unarmed vehicles"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 0,
            ["_origin"] = "",
            ["typeName"] = "Predator TrojanSpirit",
            ["displayName"] = "CP Predator TrojanSpirit",
        }, -- end of ["desc"]
    } -- end of Truck Predator TrojanSpirit
    ,["Truck SKP-11"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 15000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.46999999880791,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -2.3449172203982e-07,
                    ["x"] = -3.6864693164825,
                    ["z"] = -1.1439030170441,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 5.705099105835,
                    ["x"] = 3.4459917545319,
                    ["z"] = 1.1615616083145,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 20.833299636841,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["NonArmoredUnits"] = true,
                ["Trucks"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Unarmed vehicles"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 20.833299636841,
            ["_origin"] = "",
            ["typeName"] = "SKP-11",
            ["displayName"] = "CP SKP-11 ATC Mobile Command Post",
        }, -- end of ["desc"]
    } -- end of Truck SKP-11
    ,["Truck Trolley bus"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 10100,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.27000001072884,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 6.0000002122251e-06,
                    ["x"] = -5.8897800445557,
                    ["z"] = -1.5738799571991,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.2112400531769,
                    ["x"] = 5.8532099723816,
                    ["z"] = 1.5738799571991,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 19.444400787354,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["NonArmoredUnits"] = true,
                ["Trucks"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Unarmed vehicles"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 19.444400787354,
            ["_origin"] = "",
            ["typeName"] = "Trolley bus",
            ["displayName"] = "Transport ZIU-9",
        }, -- end of ["desc"]
    } -- end of Truck Trolley bus
    ,["Truck Ural ATsP-6"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 6000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.46999999880791,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 5.6750138810457e-07,
                    ["x"] = -3.34934258461,
                    ["z"] = -1.1829950809479,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.9325089454651,
                    ["x"] = 4.4821839332581,
                    ["z"] = 1.1829949617386,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 20.833299636841,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["NonArmoredUnits"] = true,
                ["Trucks"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Unarmed vehicles"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 20.833299636841,
            ["_origin"] = "",
            ["typeName"] = "Ural ATsP-6",
            ["displayName"] = "Transport fire-engine Ural ATsP-6",
        }, -- end of ["desc"]
    } -- end of Truck Ural ATsP-6
    ,["Truck Ural-375 PBU"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 6000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.46999999880791,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.0095036281272769,
                    ["x"] = -3.1729648113251,
                    ["z"] = -1.2421890497208,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.2308359146118,
                    ["x"] = 4.6176643371582,
                    ["z"] = 1.2116460800171,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 20.833299636841,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["NonArmoredUnits"] = true,
                ["Trucks"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Unarmed vehicles"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 20.833299636841,
            ["_origin"] = "",
            ["typeName"] = "Ural-375 PBU",
            ["displayName"] = "CP Ural-375 PBU",
        }, -- end of ["desc"]
    } -- end of Truck Ural-375 PBU
    ,["Truck Ural-375"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 6000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.46999999880791,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.026280149817467,
                    ["x"] = -3.0651521682739,
                    ["z"] = -1.2369343042374,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.6033706665039,
                    ["x"] = 4.5098519325256,
                    ["z"] = 1.2063913345337,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 20.833299636841,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["NonArmoredUnits"] = true,
                ["Trucks"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Unarmed vehicles"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 20.833299636841,
            ["_origin"] = "",
            ["typeName"] = "Ural-375",
            ["displayName"] = "Transport Ural-375",
        }, -- end of ["desc"]
    } -- end of Truck Ural-375
    ,["Truck Ural-4320 APA-5D"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 6000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.46999999880791,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -7.6874552178197e-05,
                    ["x"] = -2.752231836319,
                    ["z"] = -1.1096696853638,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.8902733325958,
                    ["x"] = 4.1969313621521,
                    ["z"] = 1.0791265964508,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 20.833299636841,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["NonArmoredUnits"] = true,
                ["Trucks"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Unarmed vehicles"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 20.833299636841,
            ["_origin"] = "",
            ["typeName"] = "Ural-4320 APA-5D",
            ["displayName"] = "GPU APA-5D on Ural-4320",
        }, -- end of ["desc"]
    } -- end of Truck Ural-4320 APA-5D
    ,["Truck Ural-4320-31"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 6000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.46999999880791,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.001592634129338,
                    ["x"] = -3.1407535076141,
                    ["z"] = -1.1693326234818,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.9972116947174,
                    ["x"] = 4.8781886100769,
                    ["z"] = 1.1387896537781,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 20.833299636841,
            ["life"] = 2,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["NonArmoredUnits"] = true,
                ["Trucks"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Unarmed vehicles"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 20.833299636841,
            ["_origin"] = "",
            ["typeName"] = "Ural-4320-31",
            ["displayName"] = "Transport Ural-4320-31 Armored",
        }, -- end of ["desc"]
    } -- end of Truck Ural-4320-31
    ,["Truck Ural-4320T"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 6000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.46999999880791,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.0059899967163801,
                    ["x"] = -3.1288137435913,
                    ["z"] = -1.2282825708389,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.9642119407654,
                    ["x"] = 4.573513507843,
                    ["z"] = 1.1977396011353,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 20.833299636841,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["NonArmoredUnits"] = true,
                ["Trucks"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Unarmed vehicles"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 20.833299636841,
            ["_origin"] = "",
            ["typeName"] = "Ural-4320T",
            ["displayName"] = "Transport Ural-4320T",
        }, -- end of ["desc"]
    } -- end of Truck Ural-4320T
    ,["Truck ZiL-131 APA-80"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 15000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.46999999880791,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.00041893325396813,
                    ["x"] = -3.3103933334351,
                    ["z"] = -1.1540613174438,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.4435229301453,
                    ["x"] = 3.2942571640015,
                    ["z"] = 1.1540610790253,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 20.833299636841,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["NonArmoredUnits"] = true,
                ["Trucks"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Unarmed vehicles"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 20.833299636841,
            ["_origin"] = "",
            ["typeName"] = "ZiL-131 APA-80",
            ["displayName"] = "GPU APA-80 on ZiL-131",
        }, -- end of ["desc"]
    } -- end of Truck ZiL-131 APA-80
    ,["Truck ZIL-131 KUNG"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 15000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.46999999880791,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.00041898927884176,
                    ["x"] = -3.4814398288727,
                    ["z"] = -1.1693326234818,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.1215541362762,
                    ["x"] = 3.7557229995728,
                    ["z"] = 1.1387896537781,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 20.833299636841,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["NonArmoredUnits"] = true,
                ["Trucks"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Unarmed vehicles"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 20.833299636841,
            ["_origin"] = "",
            ["typeName"] = "ZIL-131 KUNG",
            ["displayName"] = "Transport ZIL-131 KUNG",
        }, -- end of ["desc"]
    } -- end of Truck ZIL-131 KUNG
    ,["Truck ZIL-4331"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 15000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.27000001072884,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.0064730001613498,
                    ["x"] = -3.5349380970001,
                    ["z"] = -1.3194400072098,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.7009749412537,
                    ["x"] = 3.5349369049072,
                    ["z"] = 1.3194700479507,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 20.833299636841,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["NonArmoredUnits"] = true,
                ["Trucks"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Unarmed vehicles"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 20.833299636841,
            ["_origin"] = "",
            ["typeName"] = "ZIL-4331",
            ["displayName"] = "Transport ZIL-4331",
        }, -- end of ["desc"]
    } -- end of Truck ZIL-4331
    ,["UAZ-469"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 2290,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.27000001072884,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.17903964221478,
                    ["x"] = -2.2788860797882,
                    ["z"] = -1.1330074071884,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.0869753360748,
                    ["x"] = 2.1668753623962,
                    ["z"] = 1.1330075263977,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 27.777799606323,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["human_vehicle"] = true,
                ["NonArmoredUnits"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Unarmed vehicles"] = true,
                ["Cars"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Vehicles"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 27.777799606323,
            ["_origin"] = "",
            ["typeName"] = "UAZ-469",
            ["displayName"] = "Transport UAZ-469",
        }, -- end of ["desc"]
    } -- end of UAZ-469
    ,["VAZ Car"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 945,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.27000001072884,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0,
                    ["x"] = -2.0305299758911,
                    ["z"] = -0.81557297706604,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.3808399438858,
                    ["x"] = 2.0029599666595,
                    ["z"] = 0.81557297706604,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 19.444400787354,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["NonArmoredUnits"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Unarmed vehicles"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Cars"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 19.444400787354,
            ["_origin"] = "",
            ["typeName"] = "VAZ Car",
            ["displayName"] = "Transport VAZ-2109",
        }, -- end of ["desc"]
    } -- end of VAZ Car
    ,["AH-1W"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 750,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 20,
                        ["mass"] = 0.1,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "20mm HE",
                    ["typeName"] = "weapons.shells.M197_20",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "NTS",
                    ["opticType"] = 2,
                }, -- end of [1]
            }, -- end of [0]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 4814,
            ["range"] = 595,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -2.0006053447723,
                    ["x"] = -8.8560256958008,
                    ["z"] = -1.722715139389,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.7939214706421,
                    ["x"] = 5.0608201026917,
                    ["z"] = 1.7320975065231,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 4270,
            ["Kmax"] = 0.20000000298023,
            ["_origin"] = "",
            ["NyMin"] = 0.5,
            ["fuelMassMax"] = 1250,
            ["speedMax"] = 352,
            ["NyMax"] = 2.5,
            ["massMax"] = 6690,
            ["RCS"] = 7,
            ["displayName"] = "ah-1w  super cobra",
            ["life"] = 14,
            ["HmaxStat"] = 915,
            ["VyMax"] = 4.0700001716614,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Helicopters"] = true,
                ["Attack helicopters"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "AH-1W",
            ["category"] = 1,
        }, -- end of ["desc"]
    } -- end of AH-1W
    ,["AH-64A"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 1200,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["mass"] = 0.242,
                        ["explosiveMass"] = 0.242,
                        ["shapedExplosiveArmorThickness"] = 0.05,
                        ["shapedExplosiveMass"] = 0.28,
                        ["caliber"] = 30,
                        ["type"] = 2,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "30mm HE",
                    ["typeName"] = "weapons.shells.M230_30",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TADS DTV",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TADS DVO",
                    ["opticType"] = 1,
                }, -- end of [2]
                [3] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TADS FLIR",
                    ["opticType"] = 2,
                }, -- end of [3]
            }, -- end of [0]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 5345,
            ["range"] = 480,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -2.4950752258301,
                    ["x"] = -10.076751708984,
                    ["z"] = -2.6461281776428,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.4736449718475,
                    ["x"] = 4.9308271408081,
                    ["z"] = 2.6461281776428,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 6400,
            ["Kmax"] = 0.20000000298023,
            ["_origin"] = "",
            ["NyMin"] = 0.5,
            ["fuelMassMax"] = 1157,
            ["speedMax"] = 365,
            ["NyMax"] = 3.5,
            ["massMax"] = 9225,
            ["RCS"] = 5,
            ["displayName"] = "ah-64a apache",
            ["life"] = 14,
            ["HmaxStat"] = 3505,
            ["VyMax"] = 12.699999809265,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Helicopters"] = true,
                ["Attack helicopters"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "AH-64A",
            ["category"] = 1,
        }, -- end of ["desc"]
    } -- end of AH-64A
    ,["AH-64D"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 1200,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["mass"] = 0.242,
                        ["explosiveMass"] = 0.242,
                        ["shapedExplosiveArmorThickness"] = 0.05,
                        ["shapedExplosiveMass"] = 0.28,
                        ["caliber"] = 30,
                        ["type"] = 2,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "30mm HE",
                    ["typeName"] = "weapons.shells.M230_30",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["detectionDistanceHRM"] = 3000,
                    ["type"] = 1,
                    ["typeName"] = "AN/APG-78",
                    ["detectionDistanceRBM"] = 2000,
                }, -- end of [1]
            }, -- end of [1]
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TADS DTV",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TADS DVO",
                    ["opticType"] = 1,
                }, -- end of [2]
                [3] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TADS FLIR",
                    ["opticType"] = 2,
                }, -- end of [3]
            }, -- end of [0]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 5345,
            ["range"] = 480,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -2.4950752258301,
                    ["x"] = -10.076751708984,
                    ["z"] = -2.6461281776428,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.4736449718475,
                    ["x"] = 4.9308271408081,
                    ["z"] = 2.6461281776428,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 6400,
            ["Kmax"] = 0.20000000298023,
            ["_origin"] = "",
            ["NyMin"] = 0.5,
            ["fuelMassMax"] = 1157,
            ["speedMax"] = 365,
            ["NyMax"] = 3.5,
            ["massMax"] = 9225,
            ["RCS"] = 5,
            ["displayName"] = "ah-64d apache longbow",
            ["life"] = 14,
            ["HmaxStat"] = 3505,
            ["VyMax"] = 12.699999809265,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Helicopters"] = true,
                ["Attack helicopters"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "AH-64D",
            ["category"] = 1,
        }, -- end of ["desc"]
    } -- end of AH-64D
    ,["CH-47D"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 15329,
            ["range"] = 615,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -1.6067917346954,
                    ["x"] = -7.2731990814209,
                    ["z"] = -1.8749624490738,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.1302597522736,
                    ["x"] = 7.8430337905884,
                    ["z"] = 1.8897566795349,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 3100,
            ["Kmax"] = 0.72000002861023,
            ["_origin"] = "",
            ["NyMin"] = 0.5,
            ["fuelMassMax"] = 3600,
            ["speedMax"] = 285,
            ["NyMax"] = 1.2000000476837,
            ["massMax"] = 22680,
            ["RCS"] = 30,
            ["displayName"] = "ch-47d chinook",
            ["life"] = 20,
            ["HmaxStat"] = 1675,
            ["VyMax"] = 14.60000038147,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Helicopters"] = true,
                ["Transport helicopters"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "CH-47D",
            ["category"] = 1,
        }, -- end of ["desc"]
    } -- end of CH-47D
    ,["CH-53E"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 15407,
            ["range"] = 536,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -2.1692600250244,
                    ["x"] = -16.390600204468,
                    ["z"] = -11.112099647522,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 5.5992398262024,
                    ["x"] = 10.829999923706,
                    ["z"] = 11.130499839783,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 5640,
            ["Kmax"] = 1,
            ["_origin"] = "",
            ["NyMin"] = 0.5,
            ["fuelMassMax"] = 6940,
            ["speedMax"] = 315,
            ["NyMax"] = 1.7000000476837,
            ["massMax"] = 31630,
            ["RCS"] = 25,
            ["displayName"] = "ch-53e super stallion",
            ["life"] = 20,
            ["HmaxStat"] = 2895,
            ["VyMax"] = 12.699999809265,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Helicopters"] = true,
                ["Transport helicopters"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "CH-53E",
            ["category"] = 1,
        }, -- end of ["desc"]
    } -- end of CH-53E
    ,["Ka-27"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 5920,
            ["range"] = 800,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -6.4094314575195,
                    ["x"] = -6.7733187675476,
                    ["z"] = -6.2379336357117,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 6.0664358139038,
                    ["x"] = 5.7025475502014,
                    ["z"] = 6.2379336357117,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 4300,
            ["Kmax"] = 0.5,
            ["_origin"] = "",
            ["NyMin"] = 0.5,
            ["fuelMassMax"] = 2616,
            ["speedMax"] = 270,
            ["NyMax"] = 3.5,
            ["massMax"] = 13000,
            ["RCS"] = 15,
            ["displayName"] = "ka-27",
            ["life"] = 14,
            ["HmaxStat"] = 2500,
            ["VyMax"] = 12.5,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Helicopters"] = true,
                ["Transport helicopters"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "Ka-27",
            ["category"] = 1,
        }, -- end of ["desc"]
    } -- end of Ka-27
    ,["Ka-50"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 240,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.39,
                        ["type"] = 1,
                        ["caliber"] = 30,
                        ["mass"] = 0.39,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "30mm HE",
                    ["typeName"] = "weapons.shells.2A42_30_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "Shkval",
                    ["opticType"] = 0,
                }, -- end of [1]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 8030,
            ["range"] = 450,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -1.1678450107574,
                    ["x"] = -8.1102180480957,
                    ["z"] = -6.7696857452393,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.6971831321716,
                    ["x"] = 8.1102180480957,
                    ["z"] = 6.7696857452393,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 6400,
            ["Kmax"] = 0.30000001192093,
            ["_origin"] = "",
            ["NyMin"] = 0.5,
            ["fuelMassMax"] = 1450,
            ["speedMax"] = 350,
            ["NyMax"] = 3.5,
            ["massMax"] = 11900,
            ["RCS"] = 5,
            ["displayName"] = "ka-50",
            ["life"] = 15,
            ["HmaxStat"] = 4000,
            ["VyMax"] = 14.60000038147,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Helicopters"] = true,
                ["Attack helicopters"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "Ka-50",
            ["category"] = 1,
        }, -- end of ["desc"]
    } -- end of Ka-50
    ,["Mi-24V"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 1400,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 12.7,
                        ["mass"] = 0.048,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "12.7mm",
                    ["typeName"] = "weapons.shells.YakB_12_7_T",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "Raduga-Sh",
                    ["opticType"] = 0,
                }, -- end of [1]
            }, -- end of [0]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 8870,
            ["range"] = 500,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -1.7506456375122,
                    ["x"] = -11.846590995789,
                    ["z"] = -3.8579411506653,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.5065546035767,
                    ["x"] = 6.6738376617432,
                    ["z"] = 3.8579409122467,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 4500,
            ["Kmax"] = 0.5,
            ["_origin"] = "",
            ["NyMin"] = 0.5,
            ["fuelMassMax"] = 1704,
            ["speedMax"] = 330,
            ["NyMax"] = 2.5,
            ["massMax"] = 11500,
            ["RCS"] = 12,
            ["displayName"] = "mi_24w",
            ["life"] = 16,
            ["HmaxStat"] = 2200,
            ["VyMax"] = 12.5,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Helicopters"] = true,
                ["Attack helicopters"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "Mi-24V",
            ["category"] = 1,
        }, -- end of ["desc"]
    } -- end of Mi-24V
    ,["Mi-26"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 28890,
            ["range"] = 670,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -5.110716342926,
                    ["x"] = -21.889423370361,
                    ["z"] = -3.0270907878876,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.6389420032501,
                    ["x"] = 11.89768409729,
                    ["z"] = 3.0270903110504,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 4600,
            ["Kmax"] = 1,
            ["_origin"] = "",
            ["NyMin"] = 0.5,
            ["fuelMassMax"] = 9600,
            ["speedMax"] = 295,
            ["NyMax"] = 1.2000000476837,
            ["massMax"] = 56000,
            ["RCS"] = 30,
            ["displayName"] = "mi-26",
            ["life"] = 30,
            ["HmaxStat"] = 1000,
            ["VyMax"] = 14.60000038147,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Helicopters"] = true,
                ["Transport helicopters"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "Mi-26",
            ["category"] = 1,
        }, -- end of ["desc"]
    } -- end of Mi-26
    ,["Mi-28N"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 240,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.39,
                        ["type"] = 1,
                        ["caliber"] = 30,
                        ["mass"] = 0.39,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "30mm HE",
                    ["typeName"] = "weapons.shells.2A42_30_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "Mi-28N TV",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "Mi-28N FLIR",
                    ["opticType"] = 2,
                }, -- end of [2]
            }, -- end of [0]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 8920,
            ["range"] = 407,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -1.6842690706253,
                    ["x"] = -12.700698852539,
                    ["z"] = -2.6129968166351,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.0297300815582,
                    ["x"] = 6.8217301368713,
                    ["z"] = 2.612996339798,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 4115,
            ["Kmax"] = 0.30000001192093,
            ["_origin"] = "",
            ["NyMin"] = 0.5,
            ["fuelMassMax"] = 1500,
            ["speedMax"] = 365,
            ["NyMax"] = 2.7000000476837,
            ["massMax"] = 11700,
            ["RCS"] = 5,
            ["displayName"] = "Mi-28N",
            ["life"] = 15,
            ["HmaxStat"] = 2990,
            ["VyMax"] = 7.9000000953674,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Helicopters"] = true,
                ["Attack helicopters"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "Mi-28N",
            ["category"] = 1,
        }, -- end of ["desc"]
    } -- end of Mi-28N
    ,["Mi-8MT"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 8866.2001953125,
            ["range"] = 580,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -3.048718214035,
                    ["x"] = -14.517512321472,
                    ["z"] = -11.079641342163,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 4.4567427635193,
                    ["x"] = 10.739423751831,
                    ["z"] = 11.079620361328,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 6000,
            ["Kmax"] = 0.5,
            ["_origin"] = "",
            ["NyMin"] = 0.5,
            ["fuelMassMax"] = 1929,
            ["speedMax"] = 250,
            ["NyMax"] = 1.5,
            ["massMax"] = 13000,
            ["RCS"] = 12,
            ["displayName"] = "mi-8mt",
            ["life"] = 18,
            ["HmaxStat"] = 1850,
            ["VyMax"] = 14.60000038147,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Helicopters"] = true,
                ["Attack helicopters"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "Mi-8MT",
            ["category"] = 1,
        }, -- end of ["desc"]
    } -- end of Mi-8MT
    ,["OH-58D"] = 
    {
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TVS",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TIS",
                    ["opticType"] = 2,
                }, -- end of [2]
            }, -- end of [0]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 1560,
            ["range"] = 556,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -1.4821931123734,
                    ["x"] = -7.369044303894,
                    ["z"] = -3.449321269989,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.0595469474792,
                    ["x"] = 4.7951951026917,
                    ["z"] = 3.449321269989,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 8000,
            ["Kmax"] = 0.20000000298023,
            ["_origin"] = "",
            ["NyMin"] = 0.5,
            ["fuelMassMax"] = 454,
            ["speedMax"] = 222,
            ["NyMax"] = 3.5,
            ["massMax"] = 2495,
            ["RCS"] = 5,
            ["displayName"] = "OH-58D",
            ["life"] = 12,
            ["HmaxStat"] = 6000,
            ["VyMax"] = 8.1999998092651,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Helicopters"] = true,
                ["Attack helicopters"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "OH-58D",
            ["category"] = 1,
        }, -- end of ["desc"]
    } -- end of OH-58D
    ,["SA342L"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 240,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.11,
                        ["type"] = 1,
                        ["caliber"] = 20,
                        ["mass"] = 0.11,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "20mm HE",
                    ["typeName"] = "weapons.shells.M61_20_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 1582.5,
            ["range"] = 735,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -1.0010312795639,
                    ["x"] = -6.9234213829041,
                    ["z"] = -5.5524735450745,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.3312821388245,
                    ["x"] = 5.3845977783203,
                    ["z"] = 5.4515872001648,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 6000,
            ["Kmax"] = 0.20000000298023,
            ["_origin"] = "SA342 AI by Polychop-Simulations",
            ["NyMin"] = 0.5,
            ["fuelMassMax"] = 416.32998657227,
            ["speedMax"] = 240,
            ["NyMax"] = 3.5,
            ["massMax"] = 2100,
            ["RCS"] = 3,
            ["displayName"] = "SA342",
            ["life"] = 18,
            ["HmaxStat"] = 3040,
            ["VyMax"] = 14.60000038147,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Helicopters"] = true,
                ["Attack helicopters"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "SA342L",
            ["category"] = 1,
        }, -- end of ["desc"]
    } -- end of SA342L
    ,["SA342M"] = 
    {
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TADS FLIR",
                    ["opticType"] = 2,
                }, -- end of [1]
            }, -- end of [0]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 1680,
            ["range"] = 735,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -1.0010312795639,
                    ["x"] = -6.9234213829041,
                    ["z"] = -5.5524735450745,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.3312821388245,
                    ["x"] = 5.3845977783203,
                    ["z"] = 5.4515872001648,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 6000,
            ["Kmax"] = 0.20000000298023,
            ["_origin"] = "SA342 AI by Polychop-Simulations",
            ["NyMin"] = 0.5,
            ["fuelMassMax"] = 416.32998657227,
            ["speedMax"] = 240,
            ["NyMax"] = 3.5,
            ["massMax"] = 2100,
            ["RCS"] = 3,
            ["displayName"] = "SA342",
            ["life"] = 18,
            ["HmaxStat"] = 3040,
            ["VyMax"] = 14.60000038147,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Helicopters"] = true,
                ["Attack helicopters"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "SA342M",
            ["category"] = 1,
        }, -- end of ["desc"]
    } -- end of SA342M
    ,["SA342Mistral"] = 
    {
        ["sensors"] = 
        {
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 1559,
            ["range"] = 735,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -1.0010312795639,
                    ["x"] = -6.9234213829041,
                    ["z"] = -5.5524735450745,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.3312821388245,
                    ["x"] = 5.3845977783203,
                    ["z"] = 5.4515872001648,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 6000,
            ["Kmax"] = 0.20000000298023,
            ["_origin"] = "SA342 AI by Polychop-Simulations",
            ["NyMin"] = 0.5,
            ["fuelMassMax"] = 416.32998657227,
            ["speedMax"] = 240,
            ["NyMax"] = 3.5,
            ["massMax"] = 2100,
            ["RCS"] = 3,
            ["displayName"] = "SA342",
            ["life"] = 18,
            ["HmaxStat"] = 3040,
            ["VyMax"] = 14.60000038147,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Helicopters"] = true,
                ["Attack helicopters"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "SA342Mistral",
            ["category"] = 1,
        }, -- end of ["desc"]
    } -- end of SA342Mistral
    ,["SH-60B"] = 
    {
        ["sensors"] = 
        {
            [1] = 
            {
                [1] = 
                {
                    ["type"] = 1,
                    ["typeName"] = "AN/APS-142",
                    ["detectionDistanceRBM"] = 2000,
                }, -- end of [1]
            }, -- end of [1]
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "NTS",
                    ["opticType"] = 2,
                }, -- end of [1]
            }, -- end of [0]
            [3] = 
            {
                [1] = 
                {
                    ["typeName"] = "Abstract RWR",
                    ["type"] = 3,
                }, -- end of [1]
            }, -- end of [3]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 7619,
            ["range"] = 480,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -1.4875400066376,
                    ["x"] = -11.155599594116,
                    ["z"] = -7.4173197746277,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.5807299613953,
                    ["x"] = 7.4461998939514,
                    ["z"] = 7.4173197746277,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 4510,
            ["Kmax"] = 0.34999999403954,
            ["_origin"] = "",
            ["NyMin"] = 0.5,
            ["fuelMassMax"] = 1100,
            ["speedMax"] = 276,
            ["NyMax"] = 1.7000000476837,
            ["massMax"] = 9980,
            ["RCS"] = 10,
            ["displayName"] = "sh-60b sea hawk",
            ["life"] = 14,
            ["HmaxStat"] = 4510,
            ["VyMax"] = 10.159999847412,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Helicopters"] = true,
                ["Attack helicopters"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "SH-60B",
            ["category"] = 1,
        }, -- end of ["desc"]
    } -- end of SH-60B
    ,["UH-1H"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 2883,
            ["range"] = 510,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -1.6275595426559,
                    ["x"] = -8.8584184646606,
                    ["z"] = -1.5853127241135,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.5878132581711,
                    ["x"] = 3.9530236721039,
                    ["z"] = 1.5577105283737,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 3840,
            ["Kmax"] = 0.20000000298023,
            ["_origin"] = "",
            ["NyMin"] = 0.5,
            ["fuelMassMax"] = 631,
            ["speedMax"] = 240,
            ["NyMax"] = 1.7000000476837,
            ["massMax"] = 4310,
            ["RCS"] = 10,
            ["displayName"] = "UH-1H",
            ["life"] = 12,
            ["HmaxStat"] = 1850,
            ["VyMax"] = 6.0999999046326,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Helicopters"] = true,
                ["Attack helicopters"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "UH-1H",
            ["category"] = 1,
        }, -- end of ["desc"]
    } -- end of UH-1H
    ,["UH-60A"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 7799,
            ["range"] = 600,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -2.2706401348114,
                    ["x"] = -11.879234313965,
                    ["z"] = -8.0333528518677,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.5524961948395,
                    ["x"] = 8.1612939834595,
                    ["z"] = 8.0333528518677,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 5790,
            ["Kmax"] = 0.21999999880791,
            ["_origin"] = "",
            ["NyMin"] = 0.5,
            ["fuelMassMax"] = 1100,
            ["speedMax"] = 268,
            ["NyMax"] = 1.7000000476837,
            ["massMax"] = 9980,
            ["RCS"] = 10,
            ["displayName"] = "uh-60a night hawk",
            ["life"] = 14,
            ["HmaxStat"] = 3170,
            ["VyMax"] = 3.4000000953674,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Helicopters"] = true,
                ["Transport helicopters"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "UH-60A",
            ["category"] = 1,
        }, -- end of ["desc"]
    } -- end of UH-60A
    ,["052B"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 480,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 15.6,
                        ["type"] = 1,
                        ["caliber"] = 100,
                        ["mass"] = 15.6,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "100mm HE",
                    ["typeName"] = "weapons.shells.AK100_100",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 16,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.43460044264793,
                            ["x"] = -3.7876484394073,
                            ["z"] = -0.43460151553154,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.43460020422935,
                            ["x"] = 2.57000041008,
                            ["z"] = 0.43460181355476,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 250000,
                    ["fuseDist"] = 0,
                    ["category"] = 1,
                    ["guidance"] = 1,
                    ["Nmax"] = 6,
                    ["rangeMin"] = 2000,
                    ["altMax"] = 10000,
                    ["RCS"] = 0.12099999934435,
                    ["displayName"] = "YJ-83",
                    ["altMin"] = -1,
                    ["life"] = 2,
                    ["missileCategory"] = 5,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 100,
                        ["type"] = 1,
                        ["caliber"] = 343,
                        ["mass"] = 100,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 250000,
                    ["typeName"] = "YJ-83",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [2]
            [3] = 
            {
                ["count"] = 48,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.52544873952866,
                            ["x"] = -2.1140217781067,
                            ["z"] = -0.31168666481972,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.097924433648586,
                            ["x"] = 3.3651101589203,
                            ["z"] = 0.31168666481972,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 30000,
                    ["fuseDist"] = 13,
                    ["category"] = 1,
                    ["guidance"] = 4,
                    ["Nmax"] = 19,
                    ["rangeMin"] = 500,
                    ["altMax"] = 15000,
                    ["RCS"] = 0.09179999679327,
                    ["displayName"] = "9M317",
                    ["altMin"] = 5,
                    ["life"] = 2,
                    ["missileCategory"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 59,
                        ["type"] = 1,
                        ["caliber"] = 400,
                        ["mass"] = 59,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 30000,
                    ["typeName"] = "9M317",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [3]
            [4] = 
            {
                ["count"] = 2000,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 30,
                        ["mass"] = 0.39,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "30mm AP",
                    ["typeName"] = "weapons.shells.AK630_30_AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [4]
            [5] = 
            {
                ["count"] = 2000,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.39,
                        ["type"] = 1,
                        ["caliber"] = 30,
                        ["mass"] = 0.39,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "30mm HE",
                    ["typeName"] = "weapons.shells.AK630_30_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [5]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 5850000,
            ["RCS"] = 3923.9953613281,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -7.260241985321,
                    ["x"] = -63.557834625244,
                    ["z"] = -8.5776329040527,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 27.453767776489,
                    ["x"] = 91.167175292969,
                    ["z"] = 8.5776109695435,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 15.433300018311,
            ["life"] = 0,
            ["attributes"] = 
            {
                ["Ships"] = true,
                ["Heavy armed ships"] = true,
                ["Armed ships"] = true,
                ["Armed Air Defence"] = true,
                ["RADAR_BAND1_FOR_ARM"] = true,
                ["HelicopterCarrier"] = true,
                ["Armed Ship"] = true,
                ["HeavyArmoredUnits"] = true,
                ["All"] = true,
                ["DetectionByAWACS"] = true,
                ["Destroyers"] = true,
            }, -- end of ["attributes"]
            ["category"] = 3,
            ["Kmax"] = 0.050000000745058,
            ["_origin"] = "China Asset Pack by Deka Ironwork Simulations and Eagle Dynamics",
            ["typeName"] = "052B",
            ["displayName"] = "DDG-168 Guangzhou",
        }, -- end of ["desc"]
    } -- end of 052B
    ,["054A"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 480,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 6.3,
                        ["type"] = 1,
                        ["caliber"] = 76,
                        ["mass"] = 6.3,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "76mm HE",
                    ["typeName"] = "weapons.shells.MK75_76",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 32,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.29451015591621,
                            ["x"] = -2.5006303787231,
                            ["z"] = -0.29451051354408,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.29451015591621,
                            ["x"] = 2.5,
                            ["z"] = 0.29450979828835,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 40000,
                    ["fuseDist"] = 15,
                    ["category"] = 1,
                    ["guidance"] = 4,
                    ["Nmax"] = 22,
                    ["rangeMin"] = 700,
                    ["altMax"] = 35000,
                    ["RCS"] = 0.09179999679327,
                    ["displayName"] = "HQ-16",
                    ["altMin"] = 5,
                    ["life"] = 2,
                    ["missileCategory"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 59,
                        ["type"] = 1,
                        ["caliber"] = 160,
                        ["mass"] = 59,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 45000,
                    ["typeName"] = "HQ-16",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [2]
            [3] = 
            {
                ["count"] = 2000,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 30,
                        ["mass"] = 0.39,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "30mm AP",
                    ["typeName"] = "weapons.shells.AK630_30_AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [3]
            [4] = 
            {
                ["count"] = 2000,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.39,
                        ["type"] = 1,
                        ["caliber"] = 30,
                        ["mass"] = 0.39,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "30mm HE",
                    ["typeName"] = "weapons.shells.AK630_30_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [4]
            [5] = 
            {
                ["count"] = 8,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.43460044264793,
                            ["x"] = -3.7876484394073,
                            ["z"] = -0.43460151553154,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.43460020422935,
                            ["x"] = 2.57000041008,
                            ["z"] = 0.43460181355476,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 250000,
                    ["fuseDist"] = 0,
                    ["category"] = 1,
                    ["guidance"] = 1,
                    ["Nmax"] = 6,
                    ["rangeMin"] = 2000,
                    ["altMax"] = 10000,
                    ["RCS"] = 0.12099999934435,
                    ["displayName"] = "YJ-83",
                    ["altMin"] = -1,
                    ["life"] = 2,
                    ["missileCategory"] = 5,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 100,
                        ["type"] = 1,
                        ["caliber"] = 343,
                        ["mass"] = 100,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 250000,
                    ["typeName"] = "YJ-83",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [5]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 4200000,
            ["RCS"] = 3069.9133300781,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -5.5619053840637,
                    ["x"] = -62.756683349609,
                    ["z"] = -8.7077188491821,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 28.441719055176,
                    ["x"] = 73.04704284668,
                    ["z"] = 8.707670211792,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 15.433300018311,
            ["life"] = 0,
            ["attributes"] = 
            {
                ["Ships"] = true,
                ["Frigates"] = true,
                ["Heavy armed ships"] = true,
                ["Armed Air Defence"] = true,
                ["RADAR_BAND1_FOR_ARM"] = true,
                ["HelicopterCarrier"] = true,
                ["Armed Ship"] = true,
                ["HeavyArmoredUnits"] = true,
                ["All"] = true,
                ["DetectionByAWACS"] = true,
                ["Armed ships"] = true,
            }, -- end of ["attributes"]
            ["category"] = 3,
            ["Kmax"] = 0.050000000745058,
            ["_origin"] = "China Asset Pack by Deka Ironwork Simulations and Eagle Dynamics",
            ["typeName"] = "054A",
            ["displayName"] = "FFG-538 Yantai",
        }, -- end of ["desc"]
    } -- end of 054A
    ,["ALBATROS"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 22,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.23437385261059,
                            ["x"] = -1.5615640878677,
                            ["z"] = -0.23642687499523,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.23437386751175,
                            ["x"] = 1.5629206895828,
                            ["z"] = 0.23642687499523,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 8500,
                    ["fuseDist"] = 5,
                    ["category"] = 1,
                    ["guidance"] = 4,
                    ["Nmax"] = 14,
                    ["rangeMin"] = 1500,
                    ["altMax"] = 5000,
                    ["RCS"] = 0.040399998426437,
                    ["displayName"] = "9M33",
                    ["altMin"] = 25,
                    ["life"] = 2,
                    ["missileCategory"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 15,
                        ["type"] = 1,
                        ["caliber"] = 206,
                        ["mass"] = 15,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 10300,
                    ["typeName"] = "9M33",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 1000,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 30,
                        ["mass"] = 0.39,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "30mm AP",
                    ["typeName"] = "weapons.shells.AK630_30_AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
            [3] = 
            {
                ["count"] = 1000,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.39,
                        ["type"] = 1,
                        ["caliber"] = 30,
                        ["mass"] = 0.39,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "30mm HE",
                    ["typeName"] = "weapons.shells.AK630_30_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [3]
            [4] = 
            {
                ["count"] = 180,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 5.9,
                        ["type"] = 1,
                        ["caliber"] = 76,
                        ["mass"] = 5.9,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "76mm HE",
                    ["typeName"] = "weapons.shells.AK176_76",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [4]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 1120000,
            ["RCS"] = 890.11083984375,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -3.9158759117126,
                    ["x"] = -35.957759857178,
                    ["z"] = -5.5020389556885,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 22.089179992676,
                    ["x"] = 34.675533294678,
                    ["z"] = 4.7569856643677,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 15.433300018311,
            ["life"] = 0,
            ["attributes"] = 
            {
                ["Ships"] = true,
                ["Frigates"] = true,
                ["Heavy armed ships"] = true,
                ["HeavyArmoredUnits"] = true,
                ["Armed Ship"] = true,
                ["RADAR_BAND2_FOR_ARM"] = true,
                ["All"] = true,
                ["Armed Air Defence"] = true,
                ["Armed ships"] = true,
            }, -- end of ["attributes"]
            ["category"] = 3,
            ["Kmax"] = 0.050000000745058,
            ["_origin"] = "",
            ["typeName"] = "ALBATROS",
            ["displayName"] = "FFL 1124.4 Grisha",
        }, -- end of ["desc"]
    } -- end of ALBATROS
    ,["Dry-cargo ship-1"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 7250000,
            ["RCS"] = 1288.9447021484,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.018141508102417,
                    ["x"] = -42.430446624756,
                    ["z"] = -11.016973495483,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 24.622611999512,
                    ["x"] = 42.796020507813,
                    ["z"] = 11.057329177856,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 7.2022199630737,
            ["life"] = 0,
            ["attributes"] = 
            {
                ["HeavyArmoredUnits"] = true,
                ["All"] = true,
                ["Unarmed ships"] = true,
                ["Ships"] = true,
            }, -- end of ["attributes"]
            ["category"] = 3,
            ["Kmax"] = 0.050000000745058,
            ["_origin"] = "",
            ["typeName"] = "Dry-cargo ship-1",
            ["displayName"] = "Bulk cargo ship Yakushev",
        }, -- end of ["desc"]
    } -- end of Dry-cargo ship-1
    ,["Dry-cargo ship-2"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 7250000,
            ["RCS"] = 1297.1500244141,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.01814141869545,
                    ["x"] = -42.430446624756,
                    ["z"] = -11.478351593018,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 24.883937835693,
                    ["x"] = 42.796020507813,
                    ["z"] = 11.489908218384,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 7.2022199630737,
            ["life"] = 0,
            ["attributes"] = 
            {
                ["HeavyArmoredUnits"] = true,
                ["All"] = true,
                ["Unarmed ships"] = true,
                ["Ships"] = true,
            }, -- end of ["attributes"]
            ["category"] = 3,
            ["Kmax"] = 0.050000000745058,
            ["_origin"] = "",
            ["typeName"] = "Dry-cargo ship-2",
            ["displayName"] = "Dry cargo ship Ivanov",
        }, -- end of ["desc"]
    } -- end of Dry-cargo ship-2
    ,["ELNYA"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 7250000,
            ["RCS"] = 2100.5317382813,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -5.0524668693542,
                    ["x"] = -48.506904602051,
                    ["z"] = -7.9834771156311,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 27.848659515381,
                    ["x"] = 62.320343017578,
                    ["z"] = 7.9082589149475,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 7.2022199630737,
            ["life"] = 0,
            ["attributes"] = 
            {
                ["HeavyArmoredUnits"] = true,
                ["All"] = true,
                ["Unarmed ships"] = true,
                ["Ships"] = true,
            }, -- end of ["attributes"]
            ["category"] = 3,
            ["Kmax"] = 0.050000000745058,
            ["_origin"] = "",
            ["typeName"] = "ELNYA",
            ["displayName"] = "Tanker Elnya 160",
        }, -- end of ["desc"]
    } -- end of ELNYA
    ,["KILO"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 3076000,
            ["RCS"] = 868.27331542969,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -7.8703060150146,
                    ["x"] = -36.08332824707,
                    ["z"] = -6.4511313438416,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 8.0076704025269,
                    ["x"] = 36.099922180176,
                    ["z"] = 6.4511313438416,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 8.7455596923828,
            ["life"] = 0,
            ["attributes"] = 
            {
                ["HeavyArmoredUnits"] = true,
                ["All"] = true,
                ["Unarmed ships"] = true,
                ["Ships"] = true,
            }, -- end of ["attributes"]
            ["category"] = 3,
            ["Kmax"] = 0.050000000745058,
            ["_origin"] = "",
            ["typeName"] = "KILO",
            ["displayName"] = "SSK 877",
        }, -- end of ["desc"]
    } -- end of KILO
    ,["KUZNECOW"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 10008,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 30,
                        ["mass"] = 0.39,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "30mm AP",
                    ["typeName"] = "weapons.shells.AK630_30_AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 10008,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.39,
                        ["type"] = 1,
                        ["caliber"] = 30,
                        ["mass"] = 0.39,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "30mm HE",
                    ["typeName"] = "weapons.shells.AK630_30_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
            [3] = 
            {
                ["count"] = 512,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.17448772490025,
                            ["x"] = -1.6664316654205,
                            ["z"] = -0.17395660281181,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.17448772490025,
                            ["x"] = 0.97372031211853,
                            ["z"] = 0.17395660281181,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 8000,
                    ["fuseDist"] = 5,
                    ["category"] = 1,
                    ["guidance"] = 8,
                    ["Nmax"] = 18,
                    ["rangeMin"] = 2000,
                    ["altMax"] = 3500,
                    ["RCS"] = 0.010200000368059,
                    ["displayName"] = "9M311",
                    ["altMin"] = 14.5,
                    ["life"] = 2,
                    ["missileCategory"] = 6,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 9,
                        ["type"] = 1,
                        ["caliber"] = 100,
                        ["mass"] = 9,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 8000,
                    ["typeName"] = "9M311",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [3]
            [4] = 
            {
                ["count"] = 192,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.26701140403748,
                            ["x"] = -1.678077340126,
                            ["z"] = -0.26600670814514,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.26701140403748,
                            ["x"] = 1.8263295888901,
                            ["z"] = 0.26600670814514,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 12000,
                    ["fuseDist"] = 7,
                    ["category"] = 1,
                    ["guidance"] = 4,
                    ["Nmax"] = 30,
                    ["rangeMin"] = 1500,
                    ["altMax"] = 6000,
                    ["RCS"] = 0.03070000000298,
                    ["displayName"] = "9M330",
                    ["altMin"] = 10,
                    ["life"] = 2,
                    ["missileCategory"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 14.5,
                        ["type"] = 1,
                        ["caliber"] = 220,
                        ["mass"] = 14.5,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 12000,
                    ["typeName"] = "9M330",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [4]
            [5] = 
            {
                ["count"] = 12,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -1.1280221939087,
                            ["x"] = -4.185567855835,
                            ["z"] = -1.2964717149734,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 1.1280221939087,
                            ["x"] = 5.1150178909302,
                            ["z"] = 1.2964717149734,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 550000,
                    ["fuseDist"] = 0,
                    ["category"] = 1,
                    ["guidance"] = 1,
                    ["Nmax"] = 12,
                    ["rangeMin"] = 13000,
                    ["altMax"] = 12000,
                    ["RCS"] = 0.79000002145767,
                    ["displayName"] = "P-700",
                    ["altMin"] = -1,
                    ["life"] = 2,
                    ["missileCategory"] = 5,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 400,
                        ["type"] = 1,
                        ["caliber"] = 850,
                        ["mass"] = 400,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 550000,
                    ["typeName"] = "P-700",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [5]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 70500000,
            ["RCS"] = 16337.2421875,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.00033700000494719,
                    ["x"] = -120.81300354004,
                    ["z"] = -54.040500640869,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 53.249000549316,
                    ["x"] = 186.14999389648,
                    ["z"] = 40.046398162842,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 16.462200164795,
            ["life"] = 0,
            ["attributes"] = 
            {
                ["ski_jump"] = true,
                ["Aircraft Carriers"] = true,
                ["AircraftCarrier With Tramplin"] = true,
                ["AircraftCarrier"] = true,
                ["Arresting Gear"] = true,
                ["Heavy armed ships"] = true,
                ["Armed ships"] = true,
                ["RADAR_BAND1_FOR_ARM"] = true,
                ["Armed Air Defence"] = true,
                ["Armed Ship"] = true,
                ["HeavyArmoredUnits"] = true,
                ["All"] = true,
                ["DetectionByAWACS"] = true,
                ["Ships"] = true,
            }, -- end of ["attributes"]
            ["category"] = 3,
            ["Kmax"] = 0.050000000745058,
            ["_origin"] = "",
            ["typeName"] = "KUZNECOW",
            ["displayName"] = "CV 1143.5 Admiral Kuznetsov",
        }, -- end of ["desc"]
    } -- end of KUZNECOW
    ,["LHA_Tarawa"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 72916000,
            ["RCS"] = 11065.150390625,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -7.9687528610229,
                    ["x"] = -131.3826751709,
                    ["z"] = -27.713310241699,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 59.132385253906,
                    ["x"] = 120.88056945801,
                    ["z"] = 32.252178192139,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 15.433300018311,
            ["life"] = 0,
            ["attributes"] = 
            {
                ["ski_jump"] = true,
                ["Aircraft Carriers"] = true,
                ["AircraftCarrier"] = true,
                ["Ships"] = true,
                ["Heavy armed ships"] = true,
                ["RADAR_BAND1_FOR_ARM"] = true,
                ["Armed Air Defence"] = true,
                ["Armed Ship"] = true,
                ["HeavyArmoredUnits"] = true,
                ["All"] = true,
                ["Armed ships"] = true,
                ["cord"] = true,
            }, -- end of ["attributes"]
            ["category"] = 3,
            ["Kmax"] = 0.050000000745058,
            ["_origin"] = "AV-8B N/A AI by RAZBAM Sims",
            ["typeName"] = "LHA_Tarawa",
            ["displayName"] = "LHA-1 Tarawa",
        }, -- end of ["desc"]
    } -- end of LHA_Tarawa
    ,["MOLNIYA"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 2000,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 30,
                        ["mass"] = 0.39,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "30mm AP",
                    ["typeName"] = "weapons.shells.AK630_30_AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 2000,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.39,
                        ["type"] = 1,
                        ["caliber"] = 30,
                        ["mass"] = 0.39,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "30mm HE",
                    ["typeName"] = "weapons.shells.AK630_30_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
            [3] = 
            {
                ["count"] = 180,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 5.9,
                        ["type"] = 1,
                        ["caliber"] = 76,
                        ["mass"] = 5.9,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "76mm HE",
                    ["typeName"] = "weapons.shells.AK176_76",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [3]
            [4] = 
            {
                ["count"] = 4,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.80063873529434,
                            ["x"] = -6.442798614502,
                            ["z"] = -0.42530685663223,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.04604883864522,
                            ["x"] = 3.1292939186096,
                            ["z"] = 0.42636647820473,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 100000,
                    ["fuseDist"] = 0,
                    ["category"] = 1,
                    ["guidance"] = 1,
                    ["Nmax"] = 16,
                    ["rangeMin"] = 5000,
                    ["altMax"] = 12000,
                    ["RCS"] = 0.40999999642372,
                    ["displayName"] = "KH-41",
                    ["altMin"] = -1,
                    ["life"] = 2,
                    ["missileCategory"] = 5,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 128,
                        ["type"] = 1,
                        ["caliber"] = 760,
                        ["mass"] = 128,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 250000,
                    ["typeName"] = "KH-41",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [4]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 455000,
            ["RCS"] = 619.56072998047,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -4.0898218154907,
                    ["x"] = -28.954301834106,
                    ["z"] = -5.9428386688232,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 20.763082504272,
                    ["x"] = 28.119424819946,
                    ["z"] = 5.9535574913025,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 18.520000457764,
            ["life"] = 0,
            ["attributes"] = 
            {
                ["Ships"] = true,
                ["Heavy armed ships"] = true,
                ["Armed Air Defence"] = true,
                ["Armed ships"] = true,
                ["Armed Ship"] = true,
                ["HeavyArmoredUnits"] = true,
                ["All"] = true,
                ["Corvettes"] = true,
                ["DetectionByAWACS"] = true,
            }, -- end of ["attributes"]
            ["category"] = 3,
            ["Kmax"] = 0.050000000745058,
            ["_origin"] = "",
            ["typeName"] = "MOLNIYA",
            ["displayName"] = "FSG 1241.1MP Molniya",
        }, -- end of ["desc"]
    } -- end of MOLNIYA
    ,["MOSCOW"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 6000,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 30,
                        ["mass"] = 0.39,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "30mm AP",
                    ["typeName"] = "weapons.shells.AK630_30_AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 6000,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.39,
                        ["type"] = 1,
                        ["caliber"] = 30,
                        ["mass"] = 0.39,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "30mm HE",
                    ["typeName"] = "weapons.shells.AK630_30_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
            [3] = 
            {
                ["count"] = 180,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 33.4,
                        ["type"] = 1,
                        ["caliber"] = 130,
                        ["mass"] = 33.4,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "130mm HE",
                    ["typeName"] = "weapons.shells.A222_130",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [3]
            [4] = 
            {
                ["count"] = 44,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.23437385261059,
                            ["x"] = -1.5615640878677,
                            ["z"] = -0.23642687499523,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.23437386751175,
                            ["x"] = 1.5629206895828,
                            ["z"] = 0.23642687499523,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 8500,
                    ["fuseDist"] = 5,
                    ["category"] = 1,
                    ["guidance"] = 4,
                    ["Nmax"] = 14,
                    ["rangeMin"] = 1500,
                    ["altMax"] = 5000,
                    ["RCS"] = 0.040399998426437,
                    ["displayName"] = "9M33",
                    ["altMin"] = 25,
                    ["life"] = 2,
                    ["missileCategory"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 15,
                        ["type"] = 1,
                        ["caliber"] = 206,
                        ["mass"] = 15,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 10300,
                    ["typeName"] = "9M33",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [4]
            [5] = 
            {
                ["count"] = 16,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.94036716222763,
                            ["x"] = -5.8219418525696,
                            ["z"] = -1.6088041067123,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.94036716222763,
                            ["x"] = 5.8219418525696,
                            ["z"] = 1.6088041067123,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 500000,
                    ["fuseDist"] = 0,
                    ["category"] = 1,
                    ["guidance"] = 1,
                    ["Nmax"] = 12,
                    ["rangeMin"] = 13000,
                    ["altMax"] = 12000,
                    ["RCS"] = 0.75,
                    ["displayName"] = "P-500",
                    ["altMin"] = -1,
                    ["life"] = 2,
                    ["missileCategory"] = 5,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 400,
                        ["type"] = 1,
                        ["caliber"] = 950,
                        ["mass"] = 400,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 500000,
                    ["typeName"] = "P-500",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [5]
            [6] = 
            {
                ["count"] = 64,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.80982387065887,
                            ["x"] = -3.6131811141968,
                            ["z"] = -0.81062549352646,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.81190091371536,
                            ["x"] = 3.6516976356506,
                            ["z"] = 0.81109911203384,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 40000,
                    ["fuseDist"] = 20,
                    ["category"] = 1,
                    ["guidance"] = 4,
                    ["Nmax"] = 25,
                    ["rangeMin"] = 5000,
                    ["altMax"] = 30000,
                    ["RCS"] = 0.17800000309944,
                    ["displayName"] = "5V55R",
                    ["altMin"] = 25,
                    ["life"] = 2,
                    ["missileCategory"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 133,
                        ["type"] = 1,
                        ["caliber"] = 508,
                        ["mass"] = 133,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 75000,
                    ["typeName"] = "5V55R",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [6]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 11280000,
            ["RCS"] = 5746.6298828125,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -7.8283529281616,
                    ["x"] = -89.538696289063,
                    ["z"] = -10.336764335632,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 38.09460067749,
                    ["x"] = 96.791595458984,
                    ["z"] = 10.337091445923,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 16.719400405884,
            ["life"] = 0,
            ["attributes"] = 
            {
                ["Ships"] = true,
                ["Heavy armed ships"] = true,
                ["Armed Air Defence"] = true,
                ["Cruisers"] = true,
                ["RADAR_BAND1_FOR_ARM"] = true,
                ["HelicopterCarrier"] = true,
                ["Armed Ship"] = true,
                ["HeavyArmoredUnits"] = true,
                ["All"] = true,
                ["DetectionByAWACS"] = true,
                ["Armed ships"] = true,
            }, -- end of ["attributes"]
            ["category"] = 3,
            ["Kmax"] = 0.050000000745058,
            ["_origin"] = "",
            ["typeName"] = "MOSCOW",
            ["displayName"] = "CG 1164 Moskva",
        }, -- end of ["desc"]
    } -- end of MOSCOW
    ,["NEUSTRASH"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 175,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 15.6,
                        ["type"] = 1,
                        ["caliber"] = 100,
                        ["mass"] = 15.6,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "100mm HE",
                    ["typeName"] = "weapons.shells.AK100_100",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 128,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.17448772490025,
                            ["x"] = -1.6664316654205,
                            ["z"] = -0.17395660281181,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.17448772490025,
                            ["x"] = 0.97372031211853,
                            ["z"] = 0.17395660281181,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 8000,
                    ["fuseDist"] = 5,
                    ["category"] = 1,
                    ["guidance"] = 8,
                    ["Nmax"] = 18,
                    ["rangeMin"] = 2000,
                    ["altMax"] = 3500,
                    ["RCS"] = 0.010200000368059,
                    ["displayName"] = "9M311",
                    ["altMin"] = 14.5,
                    ["life"] = 2,
                    ["missileCategory"] = 6,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 9,
                        ["type"] = 1,
                        ["caliber"] = 100,
                        ["mass"] = 9,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 8000,
                    ["typeName"] = "9M311",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [2]
            [3] = 
            {
                ["count"] = 1002,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 30,
                        ["mass"] = 0.39,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "30mm AP",
                    ["typeName"] = "weapons.shells.AK630_30_AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [3]
            [4] = 
            {
                ["count"] = 1002,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.39,
                        ["type"] = 1,
                        ["caliber"] = 30,
                        ["mass"] = 0.39,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "30mm HE",
                    ["typeName"] = "weapons.shells.AK630_30_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [4]
            [5] = 
            {
                ["count"] = 32,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.26701140403748,
                            ["x"] = -1.678077340126,
                            ["z"] = -0.26600670814514,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.26701140403748,
                            ["x"] = 1.8263295888901,
                            ["z"] = 0.26600670814514,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 12000,
                    ["fuseDist"] = 7,
                    ["category"] = 1,
                    ["guidance"] = 4,
                    ["Nmax"] = 30,
                    ["rangeMin"] = 1500,
                    ["altMax"] = 6000,
                    ["RCS"] = 0.03070000000298,
                    ["displayName"] = "9M330",
                    ["altMin"] = 10,
                    ["life"] = 2,
                    ["missileCategory"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 14.5,
                        ["type"] = 1,
                        ["caliber"] = 220,
                        ["mass"] = 14.5,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 12000,
                    ["typeName"] = "9M330",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [5]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 4250000,
            ["RCS"] = 2900.5166015625,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -7.3342900276184,
                    ["x"] = -65.850799560547,
                    ["z"] = -8.1793003082275,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 29.853000640869,
                    ["x"] = 65.141403198242,
                    ["z"] = 8.011549949646,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 16.462200164795,
            ["life"] = 0,
            ["attributes"] = 
            {
                ["Ships"] = true,
                ["Frigates"] = true,
                ["Heavy armed ships"] = true,
                ["RADAR_BAND1_FOR_ARM"] = true,
                ["HelicopterCarrier"] = true,
                ["Armed Ship"] = true,
                ["HeavyArmoredUnits"] = true,
                ["All"] = true,
                ["Armed Air Defence"] = true,
                ["Armed ships"] = true,
            }, -- end of ["attributes"]
            ["category"] = 3,
            ["Kmax"] = 0.050000000745058,
            ["_origin"] = "",
            ["typeName"] = "NEUSTRASH",
            ["displayName"] = "FFG 11540 Neustrashimy",
        }, -- end of ["desc"]
    } -- end of NEUSTRASH
    ,["PERRY"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 2016,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 12.7,
                        ["mass"] = 0.046,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "12.7mm",
                    ["typeName"] = "weapons.shells.M2_12_7_T",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 460,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.185,
                        ["type"] = 1,
                        ["caliber"] = 25,
                        ["mass"] = 0.185,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "25mm HE",
                    ["typeName"] = "weapons.shells.M242_25_HE_M792",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
            [3] = 
            {
                ["count"] = 142,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 25,
                        ["mass"] = 0.155,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "25mm AP",
                    ["typeName"] = "weapons.shells.M242_25_AP_M791",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [3]
            [4] = 
            {
                ["count"] = 775,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 20,
                        ["mass"] = 0.11,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "20mm AP",
                    ["typeName"] = "weapons.shells.M61_20_AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [4]
            [5] = 
            {
                ["count"] = 775,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.11,
                        ["type"] = 1,
                        ["caliber"] = 20,
                        ["mass"] = 0.11,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "20mm HE",
                    ["typeName"] = "weapons.shells.M61_20_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [5]
            [6] = 
            {
                ["count"] = 24,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.38143759965897,
                            ["x"] = -1.5204827785492,
                            ["z"] = -0.39878168702126,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.39923620223999,
                            ["x"] = 2.9796471595764,
                            ["z"] = 0.39878171682358,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 40000,
                    ["fuseDist"] = 15,
                    ["category"] = 1,
                    ["guidance"] = 4,
                    ["Nmax"] = 25,
                    ["rangeMin"] = 4000,
                    ["altMax"] = 24400,
                    ["RCS"] = 0.1765999943018,
                    ["displayName"] = "RIM-66",
                    ["altMin"] = 10,
                    ["life"] = 2,
                    ["missileCategory"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 98,
                        ["type"] = 1,
                        ["caliber"] = 340,
                        ["mass"] = 98,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 100000,
                    ["typeName"] = "RIM-66",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [6]
            [7] = 
            {
                ["count"] = 16,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.4600305557251,
                            ["x"] = -1.6704962253571,
                            ["z"] = -0.28847911953926,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.13610155880451,
                            ["x"] = 2.2758972644806,
                            ["z"] = 0.28847914934158,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 95000,
                    ["fuseDist"] = 0,
                    ["category"] = 1,
                    ["guidance"] = 1,
                    ["Nmax"] = 18,
                    ["rangeMin"] = 3000,
                    ["altMax"] = 10000,
                    ["RCS"] = 0.10580000281334,
                    ["displayName"] = "RGM-84D",
                    ["altMin"] = -1,
                    ["life"] = 2,
                    ["missileCategory"] = 4,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 90,
                        ["type"] = 1,
                        ["caliber"] = 343,
                        ["mass"] = 90,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 241401,
                    ["typeName"] = "RGM-84D",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [7]
            [8] = 
            {
                ["count"] = 180,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 6.3,
                        ["type"] = 1,
                        ["caliber"] = 76,
                        ["mass"] = 6.3,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "76mm HE",
                    ["typeName"] = "weapons.shells.MK75_76",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [8]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 4100000,
            ["RCS"] = 3263.7509765625,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -7.1095242500305,
                    ["x"] = -69.173568725586,
                    ["z"] = -9.5316305160522,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 34.83536529541,
                    ["x"] = 68.78971862793,
                    ["z"] = 9.5889129638672,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 14.918899536133,
            ["life"] = 0,
            ["attributes"] = 
            {
                ["Ships"] = true,
                ["Frigates"] = true,
                ["Heavy armed ships"] = true,
                ["Armed Air Defence"] = true,
                ["RADAR_BAND1_FOR_ARM"] = true,
                ["HelicopterCarrier"] = true,
                ["Armed Ship"] = true,
                ["HeavyArmoredUnits"] = true,
                ["All"] = true,
                ["DetectionByAWACS"] = true,
                ["Armed ships"] = true,
            }, -- end of ["attributes"]
            ["category"] = 3,
            ["Kmax"] = 0.050000000745058,
            ["_origin"] = "",
            ["typeName"] = "PERRY",
            ["displayName"] = "FFG-7CL Oliver Hazzard Perry",
        }, -- end of ["desc"]
    } -- end of PERRY
    ,["PIOTR"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 384,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.17448772490025,
                            ["x"] = -1.6664316654205,
                            ["z"] = -0.17395660281181,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.17448772490025,
                            ["x"] = 0.97372031211853,
                            ["z"] = 0.17395660281181,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 8000,
                    ["fuseDist"] = 5,
                    ["category"] = 1,
                    ["guidance"] = 8,
                    ["Nmax"] = 18,
                    ["rangeMin"] = 2000,
                    ["altMax"] = 3500,
                    ["RCS"] = 0.010200000368059,
                    ["displayName"] = "9M311",
                    ["altMin"] = 14.5,
                    ["life"] = 2,
                    ["missileCategory"] = 6,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 9,
                        ["type"] = 1,
                        ["caliber"] = 100,
                        ["mass"] = 9,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 8000,
                    ["typeName"] = "9M311",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 3006,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 30,
                        ["mass"] = 0.39,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "30mm AP",
                    ["typeName"] = "weapons.shells.AK630_30_AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
            [3] = 
            {
                ["count"] = 3006,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.39,
                        ["type"] = 1,
                        ["caliber"] = 30,
                        ["mass"] = 0.39,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "30mm HE",
                    ["typeName"] = "weapons.shells.AK630_30_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [3]
            [4] = 
            {
                ["count"] = 180,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 33.4,
                        ["type"] = 1,
                        ["caliber"] = 130,
                        ["mass"] = 33.4,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "130mm HE",
                    ["typeName"] = "weapons.shells.A222_130",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [4]
            [5] = 
            {
                ["count"] = 64,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.26701140403748,
                            ["x"] = -1.678077340126,
                            ["z"] = -0.26600670814514,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.26701140403748,
                            ["x"] = 1.8263295888901,
                            ["z"] = 0.26600670814514,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 12000,
                    ["fuseDist"] = 7,
                    ["category"] = 1,
                    ["guidance"] = 4,
                    ["Nmax"] = 30,
                    ["rangeMin"] = 1500,
                    ["altMax"] = 6000,
                    ["RCS"] = 0.03070000000298,
                    ["displayName"] = "9M330",
                    ["altMin"] = 10,
                    ["life"] = 2,
                    ["missileCategory"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 14.5,
                        ["type"] = 1,
                        ["caliber"] = 220,
                        ["mass"] = 14.5,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 12000,
                    ["typeName"] = "9M330",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [5]
            [6] = 
            {
                ["count"] = 30,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.80766952037811,
                            ["x"] = -3.5817511081696,
                            ["z"] = -0.81393027305603,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.81405502557755,
                            ["x"] = 4.0190277099609,
                            ["z"] = 0.80779439210892,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 55000,
                    ["fuseDist"] = 25,
                    ["category"] = 1,
                    ["guidance"] = 4,
                    ["Nmax"] = 25,
                    ["rangeMin"] = 6000,
                    ["altMax"] = 30000,
                    ["RCS"] = 0.17800000309944,
                    ["displayName"] = "48N6E2 S-300F (SA-N-6 Grumble)",
                    ["altMin"] = 10,
                    ["life"] = 2,
                    ["missileCategory"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 143,
                        ["type"] = 1,
                        ["caliber"] = 519,
                        ["mass"] = 143,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 150000,
                    ["typeName"] = "48N6E2",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [6]
            [7] = 
            {
                ["count"] = 48,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.80982387065887,
                            ["x"] = -3.6131811141968,
                            ["z"] = -0.81062549352646,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.81190091371536,
                            ["x"] = 3.6516976356506,
                            ["z"] = 0.81109911203384,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 40000,
                    ["fuseDist"] = 20,
                    ["category"] = 1,
                    ["guidance"] = 4,
                    ["Nmax"] = 25,
                    ["rangeMin"] = 5000,
                    ["altMax"] = 30000,
                    ["RCS"] = 0.17800000309944,
                    ["displayName"] = "5V55R",
                    ["altMin"] = 25,
                    ["life"] = 2,
                    ["missileCategory"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 133,
                        ["type"] = 1,
                        ["caliber"] = 508,
                        ["mass"] = 133,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 75000,
                    ["typeName"] = "5V55R",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [7]
            [8] = 
            {
                ["count"] = 20,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -1.1280221939087,
                            ["x"] = -4.185567855835,
                            ["z"] = -1.2964717149734,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 1.1280221939087,
                            ["x"] = 5.1150178909302,
                            ["z"] = 1.2964717149734,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 550000,
                    ["fuseDist"] = 0,
                    ["category"] = 1,
                    ["guidance"] = 1,
                    ["Nmax"] = 12,
                    ["rangeMin"] = 13000,
                    ["altMax"] = 12000,
                    ["RCS"] = 0.79000002145767,
                    ["displayName"] = "P-700",
                    ["altMin"] = -1,
                    ["life"] = 2,
                    ["missileCategory"] = 5,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 400,
                        ["type"] = 1,
                        ["caliber"] = 850,
                        ["mass"] = 400,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 550000,
                    ["typeName"] = "P-700",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [8]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 20000000,
            ["RCS"] = 10972.969726563,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -10.314324378967,
                    ["x"] = -128.40188598633,
                    ["z"] = -16.865631103516,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 50.468719482422,
                    ["x"] = 129.09606933594,
                    ["z"] = 16.865631103516,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 16.005599975586,
            ["life"] = 0,
            ["attributes"] = 
            {
                ["Ships"] = true,
                ["Heavy armed ships"] = true,
                ["Armed Air Defence"] = true,
                ["Cruisers"] = true,
                ["RADAR_BAND1_FOR_ARM"] = true,
                ["HelicopterCarrier"] = true,
                ["Armed Ship"] = true,
                ["HeavyArmoredUnits"] = true,
                ["All"] = true,
                ["DetectionByAWACS"] = true,
                ["Armed ships"] = true,
            }, -- end of ["attributes"]
            ["category"] = 3,
            ["Kmax"] = 0.050000000745058,
            ["_origin"] = "",
            ["typeName"] = "PIOTR",
            ["displayName"] = "CGN 1144.2 Pyotr Velikiy",
        }, -- end of ["desc"]
    } -- end of PIOTR
    ,["REZKY"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 44,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.23437385261059,
                            ["x"] = -1.5615640878677,
                            ["z"] = -0.23642687499523,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.23437386751175,
                            ["x"] = 1.5629206895828,
                            ["z"] = 0.23642687499523,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 8500,
                    ["fuseDist"] = 5,
                    ["category"] = 1,
                    ["guidance"] = 4,
                    ["Nmax"] = 14,
                    ["rangeMin"] = 1500,
                    ["altMax"] = 5000,
                    ["RCS"] = 0.040399998426437,
                    ["displayName"] = "9M33",
                    ["altMin"] = 25,
                    ["life"] = 2,
                    ["missileCategory"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 15,
                        ["type"] = 1,
                        ["caliber"] = 206,
                        ["mass"] = 15,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 10300,
                    ["typeName"] = "9M33",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 350,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 15.6,
                        ["type"] = 1,
                        ["caliber"] = 100,
                        ["mass"] = 15.6,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "100mm HE",
                    ["typeName"] = "weapons.shells.AK100_100",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 3650000,
            ["RCS"] = 2800.1481933594,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -6.0876016616821,
                    ["x"] = -64.36344909668,
                    ["z"] = -22.446548461914,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 24.950044631958,
                    ["x"] = 58.848930358887,
                    ["z"] = 22.371801376343,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 16.462200164795,
            ["life"] = 0,
            ["attributes"] = 
            {
                ["Ships"] = true,
                ["Frigates"] = true,
                ["Heavy armed ships"] = true,
                ["HeavyArmoredUnits"] = true,
                ["Armed Ship"] = true,
                ["RADAR_BAND2_FOR_ARM"] = true,
                ["All"] = true,
                ["Armed Air Defence"] = true,
                ["Armed ships"] = true,
            }, -- end of ["attributes"]
            ["category"] = 3,
            ["Kmax"] = 0.050000000745058,
            ["_origin"] = "",
            ["typeName"] = "REZKY",
            ["displayName"] = "FF 1135M Rezky",
        }, -- end of ["desc"]
    } -- end of REZKY
    ,["SOM"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 3800000,
            ["RCS"] = 1372.951171875,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -2.8718099594116,
                    ["x"] = -56.841701507568,
                    ["z"] = -5.8239998817444,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 19.131399154663,
                    ["x"] = 34.158298492432,
                    ["z"] = 5.8239998817444,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 8.2311096191406,
            ["life"] = 0,
            ["attributes"] = 
            {
                ["HeavyArmoredUnits"] = true,
                ["All"] = true,
                ["Unarmed ships"] = true,
                ["Ships"] = true,
            }, -- end of ["attributes"]
            ["category"] = 3,
            ["Kmax"] = 0.050000000745058,
            ["_origin"] = "",
            ["typeName"] = "SOM",
            ["displayName"] = "SSK 641B",
        }, -- end of ["desc"]
    } -- end of SOM
    ,["speedboat"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 509,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 12.7,
                        ["mass"] = 0.044,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "12.7mm",
                    ["typeName"] = "weapons.shells.Utes_12_7x108_T",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 10000,
            ["RCS"] = 16.362232208252,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.015059934929013,
                    ["x"] = -4.1216630935669,
                    ["z"] = -1.3865644931793,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.5381506681442,
                    ["x"] = 5.6796636581421,
                    ["z"] = 1.3865644931793,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 40,
            ["life"] = 0,
            ["attributes"] = 
            {
                ["Armed ships"] = true,
                ["Light armed ships"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Armed Ship"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["low_reflection_vessel"] = true,
                ["Ships"] = true,
            }, -- end of ["attributes"]
            ["category"] = 3,
            ["Kmax"] = 0.050000000745058,
            ["_origin"] = "",
            ["typeName"] = "speedboat",
            ["displayName"] = "Armed speedboat",
        }, -- end of ["desc"]
    } -- end of speedboat
    ,["TICONDEROG"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 1512,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 12.7,
                        ["mass"] = 0.046,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "12.7mm",
                    ["typeName"] = "weapons.shells.M2_12_7_T",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 460,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.185,
                        ["type"] = 1,
                        ["caliber"] = 25,
                        ["mass"] = 0.185,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "25mm HE",
                    ["typeName"] = "weapons.shells.M242_25_HE_M792",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
            [3] = 
            {
                ["count"] = 142,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 25,
                        ["mass"] = 0.155,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "25mm AP",
                    ["typeName"] = "weapons.shells.M242_25_AP_M791",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [3]
            [4] = 
            {
                ["count"] = 1550,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 20,
                        ["mass"] = 0.11,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "20mm AP",
                    ["typeName"] = "weapons.shells.M61_20_AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [4]
            [5] = 
            {
                ["count"] = 1550,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.11,
                        ["type"] = 1,
                        ["caliber"] = 20,
                        ["mass"] = 0.11,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "20mm HE",
                    ["typeName"] = "weapons.shells.M61_20_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [5]
            [6] = 
            {
                ["count"] = 360,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 31.3,
                        ["type"] = 1,
                        ["caliber"] = 127,
                        ["mass"] = 31.3,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "127mm HE",
                    ["typeName"] = "weapons.shells.MK45_127",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [6]
            [7] = 
            {
                ["count"] = 8,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.4600305557251,
                            ["x"] = -1.6704962253571,
                            ["z"] = -0.28847911953926,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.13610155880451,
                            ["x"] = 2.2758972644806,
                            ["z"] = 0.28847914934158,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 95000,
                    ["fuseDist"] = 0,
                    ["category"] = 1,
                    ["guidance"] = 1,
                    ["Nmax"] = 18,
                    ["rangeMin"] = 3000,
                    ["altMax"] = 10000,
                    ["RCS"] = 0.10580000281334,
                    ["displayName"] = "RGM-84D",
                    ["altMin"] = -1,
                    ["life"] = 2,
                    ["missileCategory"] = 4,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 90,
                        ["type"] = 1,
                        ["caliber"] = 343,
                        ["mass"] = 90,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 241401,
                    ["typeName"] = "RGM-84D",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [7]
            [8] = 
            {
                ["count"] = 90,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.38143759965897,
                            ["x"] = -1.5204827785492,
                            ["z"] = -0.39878168702126,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.39923620223999,
                            ["x"] = 2.9796471595764,
                            ["z"] = 0.39878171682358,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 40000,
                    ["fuseDist"] = 15,
                    ["category"] = 1,
                    ["guidance"] = 4,
                    ["Nmax"] = 25,
                    ["rangeMin"] = 4000,
                    ["altMax"] = 24400,
                    ["RCS"] = 0.1765999943018,
                    ["displayName"] = "RIM-66",
                    ["altMin"] = 10,
                    ["life"] = 2,
                    ["missileCategory"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 98,
                        ["type"] = 1,
                        ["caliber"] = 340,
                        ["mass"] = 98,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 100000,
                    ["typeName"] = "RIM-66",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [8]
            [9] = 
            {
                ["count"] = 32,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -2.8014440536499,
                            ["x"] = -2.8723754882813,
                            ["z"] = -2.8484604358673,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 2.895476102829,
                            ["x"] = 2.8245449066162,
                            ["z"] = 2.8484604358673,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 460000,
                    ["fuseDist"] = 0,
                    ["category"] = 1,
                    ["guidance"] = 1,
                    ["Nmax"] = 17,
                    ["rangeMin"] = 3000,
                    ["altMax"] = 12000,
                    ["RCS"] = 0.39669999480247,
                    ["displayName"] = "BGM-109B",
                    ["altMin"] = -1,
                    ["life"] = 2,
                    ["missileCategory"] = 5,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 181.60000610352,
                        ["type"] = 1,
                        ["caliber"] = 830,
                        ["mass"] = 181.60000610352,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 460000,
                    ["typeName"] = "BGM-109B",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [9]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 9590000,
            ["RCS"] = 5092.3764648438,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -11.269598007202,
                    ["x"] = -86.526756286621,
                    ["z"] = -9.5002107620239,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 43.153717041016,
                    ["x"] = 85.822082519531,
                    ["z"] = 9.1481647491455,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 15.433300018311,
            ["life"] = 0,
            ["attributes"] = 
            {
                ["Ships"] = true,
                ["Heavy armed ships"] = true,
                ["Armed Air Defence"] = true,
                ["Cruisers"] = true,
                ["RADAR_BAND1_FOR_ARM"] = true,
                ["HelicopterCarrier"] = true,
                ["Armed Ship"] = true,
                ["HeavyArmoredUnits"] = true,
                ["All"] = true,
                ["DetectionByAWACS"] = true,
                ["Armed ships"] = true,
            }, -- end of ["attributes"]
            ["category"] = 3,
            ["Kmax"] = 0.050000000745058,
            ["_origin"] = "",
            ["typeName"] = "TICONDEROG",
            ["displayName"] = "CG-60 Normandy",
        }, -- end of ["desc"]
    } -- end of TICONDEROG
    ,["VINSON"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 3100,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 20,
                        ["mass"] = 0.11,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "20mm AP",
                    ["typeName"] = "weapons.shells.M61_20_AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 3100,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.11,
                        ["type"] = 1,
                        ["caliber"] = 20,
                        ["mass"] = 0.11,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "20mm HE",
                    ["typeName"] = "weapons.shells.M61_20_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
            [3] = 
            {
                ["count"] = 24,
                ["desc"] = 
                {
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.48286807537079,
                            ["x"] = -1.8145071268082,
                            ["z"] = -0.36815577745438,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.25422555208206,
                            ["x"] = 1.8196473121643,
                            ["z"] = 0.36893802881241,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                    ["rangeMaxAltMin"] = 27000,
                    ["fuseDist"] = 10,
                    ["category"] = 1,
                    ["guidance"] = 4,
                    ["Nmax"] = 32,
                    ["rangeMin"] = 1500,
                    ["altMax"] = 24400,
                    ["RCS"] = 0.03660000115633,
                    ["displayName"] = "RIM-7",
                    ["altMin"] = 1,
                    ["life"] = 2,
                    ["missileCategory"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 39,
                        ["type"] = 1,
                        ["caliber"] = 203,
                        ["mass"] = 39,
                    }, -- end of ["warhead"]
                    ["rangeMaxAltMax"] = 27500,
                    ["typeName"] = "RIM-7",
                    ["_origin"] = "",
                }, -- end of ["desc"]
            }, -- end of [3]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 72916000,
            ["RCS"] = 20043.171875,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.25361099839211,
                    ["x"] = -166.89999389648,
                    ["z"] = -53.165699005127,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 58.896900177002,
                    ["x"] = 172.14599609375,
                    ["z"] = 54.01900100708,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 15.433300018311,
            ["life"] = 0,
            ["attributes"] = 
            {
                ["Aircraft Carriers"] = true,
                ["Heavy armed ships"] = true,
                ["AircraftCarrier"] = true,
                ["Arresting Gear"] = true,
                ["HeavyArmoredUnits"] = true,
                ["Armed Air Defence"] = true,
                ["Armed ships"] = true,
                ["RADAR_BAND1_FOR_ARM"] = true,
                ["Ships"] = true,
                ["Armed Ship"] = true,
                ["RADAR_BAND2_FOR_ARM"] = true,
                ["All"] = true,
                ["catapult"] = true,
                ["AircraftCarrier With Catapult"] = true,
            }, -- end of ["attributes"]
            ["category"] = 3,
            ["Kmax"] = 0.050000000745058,
            ["_origin"] = "",
            ["typeName"] = "VINSON",
            ["displayName"] = "CVN-70 Carl Vinson",
        }, -- end of ["desc"]
    } -- end of VINSON
    ,["ZWEZDNY"] = 
    {
        ["desc"] = 
        {
            ["massEmpty"] = 85000,
            ["RCS"] = 286.41366577148,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.018141999840736,
                    ["x"] = -20.096900939941,
                    ["z"] = -3.2213299274445,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 13.484499931335,
                    ["x"] = 20.315299987793,
                    ["z"] = 3.2845299243927,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 7.3051099777222,
            ["life"] = 0,
            ["attributes"] = 
            {
                ["Ships"] = true,
                ["HeavyArmoredUnits"] = true,
                ["All"] = true,
                ["low_reflection_vessel"] = true,
                ["Unarmed ships"] = true,
            }, -- end of ["attributes"]
            ["category"] = 3,
            ["Kmax"] = 0.050000000745058,
            ["_origin"] = "",
            ["typeName"] = "ZWEZDNY",
            ["displayName"] = "Civil boat Zvezdny",
        }, -- end of ["desc"]
    } -- end of ZWEZDNY
    ,[".Ammunition depot"] = 
    {
        ["shapeName"] = "SkladC",
        ["desc"] = 
        {
            ["life"] = 0,
            ["attributes"] = 
            {
                ["Buildings"] = true,
            }, -- end of ["attributes"]
            ["category"] = 4,
            ["typeName"] = ".Ammunition depot",
            ["displayName"] = "",
        }, -- end of ["desc"]
    } -- end of .Ammunition depot
    ,[".Command Center"] = 
    {
        ["shapeName"] = "ComCenter",
        ["desc"] = 
        {
            ["life"] = 0,
            ["attributes"] = 
            {
                ["Buildings"] = true,
            }, -- end of ["attributes"]
            ["category"] = 4,
            ["typeName"] = ".Command Center",
            ["displayName"] = "",
        }, -- end of ["desc"]
    } -- end of .Command Center
    ,["Airshow_Cone"] = 
    {
        ["shapeName"] = "Comp_cone",
        ["desc"] = 
        {
            ["life"] = 10,
            ["category"] = 4,
            ["displayName"] = "Airshow cone",
            ["typeName"] = "Airshow_Cone",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -4.4889378547668,
                    ["x"] = -29.436836242676,
                    ["z"] = -4.4597277641296,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 25.719730377197,
                    ["x"] = 0.070363618433475,
                    ["z"] = 4.4597306251526,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Airshow_Cone
    ,["Airshow_Crowd"] = 
    {
        ["shapeName"] = "Crowd1",
        ["desc"] = 
        {
            ["life"] = 10,
            ["category"] = 4,
            ["displayName"] = "Airshow Crowd",
            ["typeName"] = "Airshow_Crowd",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.055664420127869,
                    ["x"] = -2.4277369976044,
                    ["z"] = -8.3869457244873,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.3960115909576,
                    ["x"] = 2.7900409698486,
                    ["z"] = 7.7308320999146,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Airshow_Crowd
    ,["Barracks 2"] = 
    {
        ["shapeName"] = "kazarma2",
        ["desc"] = 
        {
            ["life"] = 800,
            ["category"] = 4,
            ["displayName"] = "Barracks 2",
            ["typeName"] = "Barracks 2",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -10.000000953674,
                    ["x"] = -3.9999990463257,
                    ["z"] = -15.859649658203,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 4.9999995231628,
                    ["x"] = 3.9999990463257,
                    ["z"] = 21.044986724854,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Barracks 2
    ,["Black_Tyre"] = 
    {
        ["shapeName"] = "H-tyre_B",
        ["desc"] = 
        {
            ["life"] = 3,
            ["category"] = 4,
            ["displayName"] = "Mark Tyre Black",
            ["typeName"] = "Black_Tyre",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.33318361639977,
                    ["x"] = -1.3334575891495,
                    ["z"] = -1.3367536067963,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.3364826440811,
                    ["x"] = 1.3400497436523,
                    ["z"] = 1.3367537260056,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Black_Tyre
    ,["Black_Tyre_RF"] = 
    {
        ["shapeName"] = "H-tyre_B_RF",
        ["desc"] = 
        {
            ["life"] = 3,
            ["category"] = 4,
            ["displayName"] = "Mark Tyre with Red Flag",
            ["typeName"] = "Black_Tyre_RF",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.33318361639977,
                    ["x"] = -1.3334575891495,
                    ["z"] = -1.3367536067963,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.3364826440811,
                    ["x"] = 1.3400497436523,
                    ["z"] = 1.3367537260056,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Black_Tyre_RF
    ,["Black_Tyre_WF"] = 
    {
        ["shapeName"] = "H-tyre_B_WF",
        ["desc"] = 
        {
            ["life"] = 3,
            ["category"] = 4,
            ["displayName"] = "Mark Tyre with White Flag",
            ["typeName"] = "Black_Tyre_WF",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.33318361639977,
                    ["x"] = -1.3334575891495,
                    ["z"] = -1.3367536067963,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.3364826440811,
                    ["x"] = 1.3400497436523,
                    ["z"] = 1.3367537260056,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Black_Tyre_WF
    ,["Boiler-house A"] = 
    {
        ["shapeName"] = "kotelnaya_a",
        ["desc"] = 
        {
            ["life"] = 150,
            ["category"] = 4,
            ["displayName"] = "Boiler-house A",
            ["typeName"] = "Boiler-house A",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -9.9992437362671,
                    ["x"] = -5.0000009536743,
                    ["z"] = -7.7568855285645,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 20.011859893799,
                    ["x"] = 5.0000033378601,
                    ["z"] = 7.756929397583,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Boiler-house A
    ,["Cafe"] = 
    {
        ["shapeName"] = "stolovaya",
        ["desc"] = 
        {
            ["life"] = 500,
            ["category"] = 4,
            ["displayName"] = "Cafe",
            ["typeName"] = "Cafe",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -10.013776779175,
                    ["x"] = -8.7922458648682,
                    ["z"] = -13.080434799194,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 6.2256813049316,
                    ["x"] = 6.8179402351379,
                    ["z"] = 12.884199142456,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Cafe
    ,["Cargo1"] = 
    {
        ["shapeName"] = "ab-212_cargo",
        ["desc"] = 
        {
            ["Command Center"] = 
            {
                ["life"] = 0,
                ["attributes"] = 
                {
                    ["Buildings"] = true,
                }, -- end of ["attributes"]
                ["category"] = 4,
                ["typeName"] = ".Command Center",
                ["displayName"] = "",
            }, -- end of ["Command Center"]
        }, -- end of ["desc"]
    } -- end of Cargo1
    ,["Chemical tank A"] = 
    {
        ["shapeName"] = "him_bak_a",
        ["desc"] = 
        {
            ["life"] = 5,
            ["category"] = 4,
            ["displayName"] = "Chemical tank A",
            ["typeName"] = "Chemical tank A",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -9.9999990463257,
                    ["x"] = -9.0000019073486,
                    ["z"] = -8.529824256897,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 9,
                    ["x"] = 9.7773494720459,
                    ["z"] = 9.7773494720459,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Chemical tank A
    ,["Coach a passenger"] = 
    {
        ["shapeName"] = "wagon-pass",
        ["desc"] = 
        {
            ["life"] = 5,
            ["category"] = 4,
            ["displayName"] = "Coach for passengers",
            ["typeName"] = "Coach a passenger",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.13060833513737,
                    ["x"] = -12.537870407104,
                    ["z"] = -1.7621709108353,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 4.4687190055847,
                    ["x"] = 12.537870407104,
                    ["z"] = 1.7621711492538,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Coach a passenger
    ,["Coach a platform"] = 
    {
        ["shapeName"] = "wagon-platforma",
        ["desc"] = 
        {
            ["life"] = 11,
            ["category"] = 4,
            ["displayName"] = "Coach flatbed",
            ["typeName"] = "Coach a platform",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.020859593525529,
                    ["x"] = -7.5777816772461,
                    ["z"] = -1.5701466798782,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.7958601713181,
                    ["x"] = 7.5777816772461,
                    ["z"] = 1.5701467990875,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Coach a platform
    ,["Coach a tank blue"] = 
    {
        ["shapeName"] = "wagon-cisterna_blue",
        ["desc"] = 
        {
            ["life"] = 12,
            ["category"] = 4,
            ["displayName"] = "Coach a tank blue",
            ["typeName"] = "Coach a tank blue",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.024370837956667,
                    ["x"] = -6.0481796264648,
                    ["z"] = -1.5487598180771,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 4.5690197944641,
                    ["x"] = 6.0481796264648,
                    ["z"] = 1.5487598180771,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Coach a tank blue
    ,["Coach a tank yellow"] = 
    {
        ["shapeName"] = "wagon-cisterna_yellow",
        ["desc"] = 
        {
            ["life"] = 12,
            ["category"] = 4,
            ["displayName"] = "Coach a tank yellow",
            ["typeName"] = "Coach a tank yellow",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.024370599538088,
                    ["x"] = -6.0481791496277,
                    ["z"] = -1.5487591028214,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 4.5690202713013,
                    ["x"] = 6.0481791496277,
                    ["z"] = 1.5487591028214,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Coach a tank yellow
    ,["Coach cargo open"] = 
    {
        ["shapeName"] = "wagon-gruz-otkr",
        ["desc"] = 
        {
            ["life"] = 12,
            ["category"] = 4,
            ["displayName"] = "Coach for open cargo",
            ["typeName"] = "Coach cargo open",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.041265916079283,
                    ["x"] = -7.2296118736267,
                    ["z"] = -1.6223279237747,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.5277166366577,
                    ["x"] = 7.2296118736267,
                    ["z"] = 1.6223279237747,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Coach cargo open
    ,["Coach cargo"] = 
    {
        ["shapeName"] = "wagon-gruz",
        ["desc"] = 
        {
            ["life"] = 12,
            ["category"] = 4,
            ["displayName"] = "Coach for cargo",
            ["typeName"] = "Coach cargo",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.020998723804951,
                    ["x"] = -7.8715014457703,
                    ["z"] = -1.7592797279358,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 4.526104927063,
                    ["x"] = 7.8715014457703,
                    ["z"] = 1.7592799663544,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Coach cargo
    ,["Comms tower M"] = 
    {
        ["shapeName"] = "tele_bash_m",
        ["desc"] = 
        {
            ["life"] = 200,
            ["category"] = 4,
            ["displayName"] = "Comms tower M",
            ["typeName"] = "Comms tower M",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -19.126365661621,
                    ["x"] = -97.861953735352,
                    ["z"] = -98.15682220459,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 107.22705078125,
                    ["x"] = 98.284698486328,
                    ["z"] = 97.98983001709,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Comms tower M
    ,["Container brown"] = 
    {
        ["shapeName"] = "konteiner_brown",
        ["desc"] = 
        {
            ["life"] = 20,
            ["category"] = 4,
            ["displayName"] = "Container brown",
            ["typeName"] = "Container brown",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0,
                    ["x"] = -1.25,
                    ["z"] = -4,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.4000999927521,
                    ["x"] = 1.25,
                    ["z"] = 4,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Container brown
    ,["Container red 1"] = 
    {
        ["shapeName"] = "konteiner_red1",
        ["desc"] = 
        {
            ["life"] = 20,
            ["category"] = 4,
            ["displayName"] = "Container red 1",
            ["typeName"] = "Container red 1",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -2.7916269302368,
                    ["x"] = -1.25,
                    ["z"] = -6,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 7.1857166290283,
                    ["x"] = 1.25,
                    ["z"] = 6,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Container red 1
    ,["Container red 2"] = 
    {
        ["shapeName"] = "konteiner_red2",
        ["desc"] = 
        {
            ["life"] = 20,
            ["category"] = 4,
            ["displayName"] = "Container red 2",
            ["typeName"] = "Container red 2",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -3.0430917739868,
                    ["x"] = -1.25,
                    ["z"] = -6,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 7.1857166290283,
                    ["x"] = 1.25,
                    ["z"] = 6,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Container red 2
    ,["Container red 3"] = 
    {
        ["shapeName"] = "konteiner_red3",
        ["desc"] = 
        {
            ["life"] = 20,
            ["category"] = 4,
            ["displayName"] = "Container red 3",
            ["typeName"] = "Container red 3",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -3.7493600845337,
                    ["x"] = -1.25,
                    ["z"] = -6,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 7.1857166290283,
                    ["x"] = 1.25,
                    ["z"] = 6,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Container red 3
    ,["Container white"] = 
    {
        ["shapeName"] = "konteiner_white",
        ["desc"] = 
        {
            ["life"] = 20,
            ["category"] = 4,
            ["displayName"] = "Container white",
            ["typeName"] = "Container white",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0,
                    ["x"] = -1.25,
                    ["z"] = -4,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.4000999927521,
                    ["x"] = 1.25,
                    ["z"] = 4,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Container white
    ,["Electric locomotive"] = 
    {
        ["shapeName"] = "elektrowoz",
        ["desc"] = 
        {
            ["life"] = 2,
            ["category"] = 4,
            ["displayName"] = "Electric locomotive",
            ["typeName"] = "Electric locomotive",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.11635348945856,
                    ["x"] = -16.488157272339,
                    ["z"] = -7.3598556518555,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 6.7495198249817,
                    ["x"] = 16.488157272339,
                    ["z"] = 7.3598561286926,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Electric locomotive
    ,["Electric power box"] = 
    {
        ["shapeName"] = "tr_budka",
        ["desc"] = 
        {
            ["life"] = 150,
            ["category"] = 4,
            ["displayName"] = "Electric power box",
            ["typeName"] = "Electric power box",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -9.9994821548462,
                    ["x"] = -3.3369698524475,
                    ["z"] = -6.5684070587158,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 4.1106142997742,
                    ["x"] = 3.3346440792084,
                    ["z"] = 6.5863542556763,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Electric power box
    ,["Farm A"] = 
    {
        ["shapeName"] = "ferma_a",
        ["desc"] = 
        {
            ["life"] = 400,
            ["category"] = 4,
            ["displayName"] = "Farm A",
            ["typeName"] = "Farm A",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -10.000000953674,
                    ["x"] = -12.224277496338,
                    ["z"] = -28.238540649414,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 7.2794666290283,
                    ["x"] = 12.190749168396,
                    ["z"] = 28.242078781128,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Farm A
    ,["Farm B"] = 
    {
        ["shapeName"] = "ferma_b",
        ["desc"] = 
        {
            ["life"] = 400,
            ["category"] = 4,
            ["displayName"] = "Farm B",
            ["typeName"] = "Farm B",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -10,
                    ["x"] = -23.731700897217,
                    ["z"] = -68.869003295898,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 13.767900466919,
                    ["x"] = 29.864700317383,
                    ["z"] = 59.887001037598,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Farm B
    ,["FARP Ammo Dump Coating"] = 
    {
        ["shapeName"] = "SetkaKP",
        ["desc"] = 
        {
            ["life"] = 5,
            ["category"] = 4,
            ["displayName"] = "FARP Ammo Storage",
            ["typeName"] = "FARP Ammo Dump Coating",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -1.2770655155182,
                    ["x"] = -4.4111270904541,
                    ["z"] = -3.9951355457306,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.2779030799866,
                    ["x"] = 4.4111270904541,
                    ["z"] = 3.9951355457306,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of FARP Ammo Dump Coating
    ,["FARP CP Blindage"] = 
    {
        ["shapeName"] = "kp_ug",
        ["desc"] = 
        {
            ["life"] = 400,
            ["category"] = 4,
            ["displayName"] = "FARP Command Post",
            ["typeName"] = "FARP CP Blindage",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.79434818029404,
                    ["x"] = -5.9048447608948,
                    ["z"] = -5.4222016334534,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 0.79518574476242,
                    ["x"] = 5.9048447608948,
                    ["z"] = 5.4222011566162,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of FARP CP Blindage
    ,["FARP Fuel Depot"] = 
    {
        ["shapeName"] = "GSM Rus",
        ["desc"] = 
        {
            ["life"] = 10,
            ["category"] = 4,
            ["displayName"] = "FARP Fuel Depot",
            ["typeName"] = "FARP Fuel Depot",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -1.1710774572293e-07,
                    ["x"] = -3.6516125202179,
                    ["z"] = -2.2565636634827,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.0203242301941,
                    ["x"] = 1.8100634813309,
                    ["z"] = 2.7730786800385,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of FARP Fuel Depot
    ,["FARP Tent"] = 
    {
        ["shapeName"] = "PalatkaB",
        ["desc"] = 
        {
            ["life"] = 2,
            ["category"] = 4,
            ["displayName"] = "FARP Tent",
            ["typeName"] = "FARP Tent",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -2.6179192066193,
                    ["x"] = -8.6903734207153,
                    ["z"] = -4.9678359031677,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.6187567710876,
                    ["x"] = 8.6903734207153,
                    ["z"] = 4.9678359031677,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of FARP Tent
    ,["Fuel tank"] = 
    {
        ["shapeName"] = "toplivo-bak",
        ["desc"] = 
        {
            ["life"] = 5,
            ["category"] = 4,
            ["displayName"] = "Fuel tank",
            ["typeName"] = "Fuel tank",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.2003927230835,
                    ["x"] = -8.1461772918701,
                    ["z"] = -12.41012096405,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.2764008045197,
                    ["x"] = 7.659209728241,
                    ["z"] = 12.396969795227,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Fuel tank
    ,["Garage A"] = 
    {
        ["shapeName"] = "garage_a",
        ["desc"] = 
        {
            ["life"] = 400,
            ["category"] = 4,
            ["displayName"] = "Garage A",
            ["typeName"] = "Garage A",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -10.000001907349,
                    ["x"] = -16.166759490967,
                    ["z"] = -17.064352035522,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 6.0000004768372,
                    ["x"] = 13.833242416382,
                    ["z"] = 15.015647888184,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Garage A
    ,["Garage B"] = 
    {
        ["shapeName"] = "garage_b",
        ["desc"] = 
        {
            ["life"] = 200,
            ["category"] = 4,
            ["displayName"] = "Garage B",
            ["typeName"] = "Garage B",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -10.000001907349,
                    ["x"] = -9.3009719848633,
                    ["z"] = -20.820350646973,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 9,
                    ["x"] = 9.4311628341675,
                    ["z"] = 18.771644592285,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Garage B
    ,["Garage small A"] = 
    {
        ["shapeName"] = "garagh-small-a",
        ["desc"] = 
        {
            ["life"] = 20,
            ["category"] = 4,
            ["displayName"] = "Garage small A",
            ["typeName"] = "Garage small A",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -10.985265731812,
                    ["x"] = -3.3174479007721,
                    ["z"] = -4.783989906311,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.1040859222412,
                    ["x"] = 3.2564771175385,
                    ["z"] = 4.7549200057983,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Garage small A
    ,["Garage small B"] = 
    {
        ["shapeName"] = "garagh-small-b",
        ["desc"] = 
        {
            ["life"] = 100,
            ["category"] = 4,
            ["displayName"] = "Garage small B",
            ["typeName"] = "Garage small B",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -10.01145362854,
                    ["x"] = -3.0219860076904,
                    ["z"] = -5.9867377281189,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.9720051288605,
                    ["x"] = 3.0578551292419,
                    ["z"] = 5.9867644309998,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Garage small B
    ,["GeneratorF"] = 
    {
        ["shapeName"] = "GeneratorF",
        ["desc"] = 
        {
            ["life"] = 10,
            ["category"] = 4,
            ["displayName"] = "GeneratorF",
            ["typeName"] = "GeneratorF",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.012581313960254,
                    ["x"] = -1.9972604513168,
                    ["z"] = -2.0441746711731,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.0077426433563,
                    ["x"] = 1.7868947982788,
                    ["z"] = 2.2173309326172,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of GeneratorF
    ,["Hangar A"] = 
    {
        ["shapeName"] = "angar_a",
        ["desc"] = 
        {
            ["life"] = 50,
            ["category"] = 4,
            ["displayName"] = "Hangar A",
            ["typeName"] = "Hangar A",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -10,
                    ["x"] = -8.634388923645,
                    ["z"] = -15.000225067139,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 5.4119663238525,
                    ["x"] = 8.634557723999,
                    ["z"] = 15.209574699402,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Hangar A
    ,["Hangar B"] = 
    {
        ["shapeName"] = "angar_b",
        ["desc"] = 
        {
            ["life"] = 40,
            ["category"] = 4,
            ["displayName"] = "Hangar B",
            ["typeName"] = "Hangar B",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -10.040891647339,
                    ["x"] = -13.999999046326,
                    ["z"] = -15.000001907349,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 8.2374954223633,
                    ["x"] = 14.000000953674,
                    ["z"] = 16.070858001709,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Hangar B
    ,["Landmine"] = 
    {
        ["shapeName"] = "landmine",
        ["desc"] = 
        {
            ["category"] = 4,
            ["life"] = 1,
            ["typeName"] = "Landmine",
            ["displayName"] = "Landmine",
        }, -- end of ["desc"]
    } -- end of Landmine
    ,["Locomotive"] = 
    {
        ["shapeName"] = "teplowoz",
        ["desc"] = 
        {
            ["life"] = 2,
            ["category"] = 4,
            ["displayName"] = "Locomotive",
            ["typeName"] = "Locomotive",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.12237325310707,
                    ["x"] = -8.6822023391724,
                    ["z"] = -3.4238758087158,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 4.7602782249451,
                    ["x"] = 8.6822023391724,
                    ["z"] = 3.4238758087158,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Locomotive
    ,["Military staff"] = 
    {
        ["shapeName"] = "aviashtab",
        ["desc"] = 
        {
            ["life"] = 1200,
            ["category"] = 4,
            ["displayName"] = "Military staff",
            ["typeName"] = "Military staff",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -10,
                    ["x"] = -5.5582571029663,
                    ["z"] = -7.8749995231628,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 8.1594524383545,
                    ["x"] = 5.965756893158,
                    ["z"] = 7.8749995231628,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Military staff
    ,["Oil derrick"] = 
    {
        ["shapeName"] = "neftevyshka",
        ["desc"] = 
        {
            ["life"] = 300,
            ["category"] = 4,
            ["displayName"] = "Oil derrick",
            ["typeName"] = "Oil derrick",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -2,
                    ["x"] = -5.3687601089478,
                    ["z"] = -6.7015399932861,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 59.908298492432,
                    ["x"] = 5.433660030365,
                    ["z"] = 5.5199499130249,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Oil derrick
    ,["Oil platform"] = 
    {
        ["shapeName"] = "plavbaza",
        ["desc"] = 
        {
            ["life"] = 500,
            ["category"] = 4,
            ["displayName"] = "Oil platform",
            ["typeName"] = "Oil platform",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0,
                    ["x"] = -50.298099517822,
                    ["z"] = -50.001998901367,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 109,
                    ["x"] = 49.714401245117,
                    ["z"] = 50.001300811768,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Oil platform
    ,["Pump station"] = 
    {
        ["shapeName"] = "nasos",
        ["desc"] = 
        {
            ["life"] = 150,
            ["category"] = 4,
            ["displayName"] = "Pump station",
            ["typeName"] = "Pump station",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -2.0173931121826,
                    ["x"] = -8.3559494018555,
                    ["z"] = -3,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 9.2291927337646,
                    ["x"] = 7.2536211013794,
                    ["z"] = 3,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Pump station
    ,["Railway crossing A"] = 
    {
        ["shapeName"] = "pereezd_big",
        ["desc"] = 
        {
            ["life"] = 150,
            ["category"] = 4,
            ["displayName"] = "Railway crossing A",
            ["typeName"] = "Railway crossing A",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0,
                    ["x"] = 10.999899864197,
                    ["z"] = 14.50030040741,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 4,
                    ["x"] = 14.999899864197,
                    ["z"] = 21.500299453735,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Railway crossing A
    ,["Railway crossing B"] = 
    {
        ["shapeName"] = "pereezd_small",
        ["desc"] = 
        {
            ["life"] = 150,
            ["category"] = 4,
            ["displayName"] = "Railway crossing B",
            ["typeName"] = "Railway crossing B",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.0050449999980628,
                    ["x"] = 5.9971899986267,
                    ["z"] = 14.495200157166,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 4,
                    ["x"] = 9.9971904754639,
                    ["z"] = 21.495199203491,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Railway crossing B
    ,["Railway station"] = 
    {
        ["shapeName"] = "r_vok_sd",
        ["desc"] = 
        {
            ["life"] = 1600,
            ["category"] = 4,
            ["displayName"] = "Railway station",
            ["typeName"] = "Railway station",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0,
                    ["x"] = -14.38720035553,
                    ["z"] = -7.5000200271606,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 8,
                    ["x"] = 14.38720035553,
                    ["z"] = 7.5717902183533,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Railway station
    ,["Red_Flag"] = 
    {
        ["shapeName"] = "H-flag_R",
        ["desc"] = 
        {
            ["life"] = 3,
            ["category"] = 4,
            ["displayName"] = "Mark Flag Red",
            ["typeName"] = "Red_Flag",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.33318361639977,
                    ["x"] = -1.3334575891495,
                    ["z"] = -1.3367536067963,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.3364826440811,
                    ["x"] = 1.3400497436523,
                    ["z"] = 1.3367537260056,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Red_Flag
    ,["Repair workshop"] = 
    {
        ["shapeName"] = "tech",
        ["desc"] = 
        {
            ["life"] = 500,
            ["category"] = 4,
            ["displayName"] = "Repair workshop",
            ["typeName"] = "Repair workshop",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -16.532070159912,
                    ["x"] = -30.137250900269,
                    ["z"] = -25.451103210449,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 23,
                    ["x"] = 31.375905990601,
                    ["z"] = 25.361488342285,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Repair workshop
    ,["Restaurant 1"] = 
    {
        ["shapeName"] = "restoran1",
        ["desc"] = 
        {
            ["life"] = 640,
            ["category"] = 4,
            ["displayName"] = "Restaurant 1",
            ["typeName"] = "Restaurant 1",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -10.021782875061,
                    ["x"] = -12.5104637146,
                    ["z"] = -18.000001907349,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 17.747449874878,
                    ["x"] = 5.4183788299561,
                    ["z"] = 18,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Restaurant 1
    ,["Shelter B"] = 
    {
        ["shapeName"] = "ukrytie_b",
        ["desc"] = 
        {
            ["life"] = 1200,
            ["category"] = 4,
            ["displayName"] = "Shelter B",
            ["typeName"] = "Shelter B",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0,
                    ["x"] = -3.2999999523163,
                    ["z"] = -5,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.2000999450684,
                    ["x"] = 3.2999999523163,
                    ["z"] = 5,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Shelter B
    ,["Shelter"] = 
    {
        ["shapeName"] = "ukrytie",
        ["desc"] = 
        {
            ["life"] = 8000,
            ["category"] = 4,
            ["displayName"] = "Shelter",
            ["typeName"] = "Shelter",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -1.4913109540939,
                    ["x"] = -19.841737747192,
                    ["z"] = -22.500005722046,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 10.995676040649,
                    ["x"] = 17.712341308594,
                    ["z"] = 22.499994277954,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Shelter
    ,["Shop"] = 
    {
        ["shapeName"] = "magazin",
        ["desc"] = 
        {
            ["life"] = 400,
            ["category"] = 4,
            ["displayName"] = "Shop",
            ["typeName"] = "Shop",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -10,
                    ["x"] = -5.9677095413208,
                    ["z"] = -8.3835163116455,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 4.9736866950989,
                    ["x"] = 4.3028678894043,
                    ["z"] = 8.3835144042969,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Shop
    ,["Small house 1A area"] = 
    {
        ["shapeName"] = "domik1a-all",
        ["desc"] = 
        {
            ["life"] = 50,
            ["category"] = 4,
            ["displayName"] = "Small house 1A area",
            ["typeName"] = "Small house 1A area",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0,
                    ["x"] = -3.9000000953674,
                    ["z"] = -8.5,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 6.5,
                    ["x"] = 2.1516900062561,
                    ["z"] = 34,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Small house 1A area
    ,["Small house 1A"] = 
    {
        ["shapeName"] = "domik1a",
        ["desc"] = 
        {
            ["life"] = 50,
            ["category"] = 4,
            ["displayName"] = "Small house 1A",
            ["typeName"] = "Small house 1A",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -10,
                    ["x"] = -3.2367596626282,
                    ["z"] = -8.4333515167236,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 6.5,
                    ["x"] = 2.6865181922913,
                    ["z"] = 8.7003679275513,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Small house 1A
    ,["Small house 1B area"] = 
    {
        ["shapeName"] = "domik1b-all",
        ["desc"] = 
        {
            ["life"] = 50,
            ["category"] = 4,
            ["displayName"] = "Small house 1B area",
            ["typeName"] = "Small house 1B area",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0,
                    ["x"] = -6.514319896698,
                    ["z"] = -36.400001525879,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 6,
                    ["x"] = 5.5387902259827,
                    ["z"] = 10.113800048828,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Small house 1B area
    ,["Small house 1B"] = 
    {
        ["shapeName"] = "domik1b",
        ["desc"] = 
        {
            ["life"] = 50,
            ["category"] = 4,
            ["displayName"] = "Small house 1B",
            ["typeName"] = "Small house 1B",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -10.019180297852,
                    ["x"] = -6.4424648284912,
                    ["z"] = -10.51357460022,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 5.9872117042542,
                    ["x"] = 6.5097460746765,
                    ["z"] = 10.640035629272,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Small house 1B
    ,["Small house 1C area"] = 
    {
        ["shapeName"] = "dom2c-all",
        ["desc"] = 
        {
            ["life"] = 150,
            ["category"] = 4,
            ["displayName"] = "Small house 1C area",
            ["typeName"] = "Small house 1C area",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.030875999480486,
                    ["x"] = -29.89999961853,
                    ["z"] = -8.4146699905396,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 6.0384101867676,
                    ["x"] = 36.5,
                    ["z"] = 8,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Small house 1C area
    ,["Small house 2C"] = 
    {
        ["shapeName"] = "dom2c",
        ["desc"] = 
        {
            ["life"] = 150,
            ["category"] = 4,
            ["displayName"] = "Small house 2C",
            ["typeName"] = "Small house 2C",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -10.030875205994,
                    ["x"] = -10.40916633606,
                    ["z"] = -8.4237089157104,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 8.4617729187012,
                    ["x"] = 13.192393302917,
                    ["z"] = 9.033543586731,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Small house 2C
    ,["Small werehouse 1"] = 
    {
        ["shapeName"] = "s1",
        ["desc"] = 
        {
            ["life"] = 80,
            ["category"] = 4,
            ["displayName"] = "Small warehouse 1",
            ["typeName"] = "Small werehouse 1",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -10.014217376709,
                    ["x"] = -2.5000007152557,
                    ["z"] = -5.0041613578796,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 4.9857797622681,
                    ["x"] = 2.959844827652,
                    ["z"] = 5.0028777122498,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Small werehouse 1
    ,["Small werehouse 2"] = 
    {
        ["shapeName"] = "s2",
        ["desc"] = 
        {
            ["life"] = 80,
            ["category"] = 4,
            ["displayName"] = "Small warehouse 2",
            ["typeName"] = "Small werehouse 2",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -10,
                    ["x"] = -2.5,
                    ["z"] = -5.9800000190735,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 4.4981617927551,
                    ["x"] = 2.5000002384186,
                    ["z"] = 6.0200004577637,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Small werehouse 2
    ,["Small werehouse 3"] = 
    {
        ["shapeName"] = "s3",
        ["desc"] = 
        {
            ["life"] = 80,
            ["category"] = 4,
            ["displayName"] = "Small warehouse 3",
            ["typeName"] = "Small werehouse 3",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -10.000171661377,
                    ["x"] = -4.1259179115295,
                    ["z"] = -11.52593421936,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 8.4973526000977,
                    ["x"] = 4.1259231567383,
                    ["z"] = 11.52593421936,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Small werehouse 3
    ,["Small werehouse 4"] = 
    {
        ["shapeName"] = "s4",
        ["desc"] = 
        {
            ["life"] = 80,
            ["category"] = 4,
            ["displayName"] = "Small warehouse 4",
            ["typeName"] = "Small werehouse 4",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -10.002100944519,
                    ["x"] = -3.6759359836578,
                    ["z"] = -5.0018424987793,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 4.9978971481323,
                    ["x"] = 3.6029818058014,
                    ["z"] = 5.001838684082,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Small werehouse 4
    ,["Subsidiary structure 1"] = 
    {
        ["shapeName"] = "hozdomik1",
        ["desc"] = 
        {
            ["life"] = 100,
            ["category"] = 4,
            ["displayName"] = "Subsidiary structure 1",
            ["typeName"] = "Subsidiary structure 1",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -3.7982311248779,
                    ["x"] = -4.0000019073486,
                    ["z"] = -20.050914764404,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.9921662807465,
                    ["x"] = 4,
                    ["z"] = 20.050914764404,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Subsidiary structure 1
    ,["Subsidiary structure 2"] = 
    {
        ["shapeName"] = "hozdomik2",
        ["desc"] = 
        {
            ["life"] = 80,
            ["category"] = 4,
            ["displayName"] = "Subsidiary structure 2",
            ["typeName"] = "Subsidiary structure 2",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -4.3065829277039,
                    ["x"] = -3.9655342102051,
                    ["z"] = -10.29615020752,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.9880414009094,
                    ["x"] = 4.0344657897949,
                    ["z"] = 10.305679321289,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Subsidiary structure 2
    ,["Subsidiary structure 3"] = 
    {
        ["shapeName"] = "hozdomik3",
        ["desc"] = 
        {
            ["life"] = 20,
            ["category"] = 4,
            ["displayName"] = "Subsidiary structure 3",
            ["typeName"] = "Subsidiary structure 3",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -2.4258639812469,
                    ["x"] = -4,
                    ["z"] = -2,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.9999990463257,
                    ["x"] = 4,
                    ["z"] = 2,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Subsidiary structure 3
    ,["Subsidiary structure A"] = 
    {
        ["shapeName"] = "saray-a",
        ["desc"] = 
        {
            ["life"] = 10,
            ["category"] = 4,
            ["displayName"] = "Subsidiary structure A",
            ["typeName"] = "Subsidiary structure A",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.0067679998464882,
                    ["x"] = -3.3394200801849,
                    ["z"] = -3.2950599193573,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.7646100521088,
                    ["x"] = 3.410010099411,
                    ["z"] = 3.3144800662994,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Subsidiary structure A
    ,["Subsidiary structure B"] = 
    {
        ["shapeName"] = "saray-b",
        ["desc"] = 
        {
            ["life"] = 10,
            ["category"] = 4,
            ["displayName"] = "Subsidiary structure B",
            ["typeName"] = "Subsidiary structure B",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.0058699999935925,
                    ["x"] = -3.2637500762939,
                    ["z"] = -3.8572800159454,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.6646800041199,
                    ["x"] = 4.4419097900391,
                    ["z"] = 3.8490300178528,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Subsidiary structure B
    ,["Subsidiary structure C"] = 
    {
        ["shapeName"] = "saray-c",
        ["desc"] = 
        {
            ["life"] = 15,
            ["category"] = 4,
            ["displayName"] = "Subsidiary structure C",
            ["typeName"] = "Subsidiary structure C",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.026792999356985,
                    ["x"] = -2.2232999801636,
                    ["z"] = -3.0920898914337,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.7607200145721,
                    ["x"] = 2.6507298946381,
                    ["z"] = 3.092080116272,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Subsidiary structure C
    ,["Subsidiary structure D"] = 
    {
        ["shapeName"] = "saray-d",
        ["desc"] = 
        {
            ["life"] = 75,
            ["category"] = 4,
            ["displayName"] = "Subsidiary structure D",
            ["typeName"] = "Subsidiary structure D",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.011068000458181,
                    ["x"] = -3.7093598842621,
                    ["z"] = -5.6615500450134,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.6901400089264,
                    ["x"] = 3.7460699081421,
                    ["z"] = 5.5856599807739,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Subsidiary structure D
    ,["Subsidiary structure E"] = 
    {
        ["shapeName"] = "saray-e",
        ["desc"] = 
        {
            ["life"] = 75,
            ["category"] = 4,
            ["displayName"] = "Subsidiary structure E",
            ["typeName"] = "Subsidiary structure E",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.016169000416994,
                    ["x"] = -2.4386899471283,
                    ["z"] = -2.6906599998474,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.9773600101471,
                    ["x"] = 2.481920003891,
                    ["z"] = 2.6926200389862,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Subsidiary structure E
    ,["Subsidiary structure F"] = 
    {
        ["shapeName"] = "saray-f",
        ["desc"] = 
        {
            ["life"] = 20,
            ["category"] = 4,
            ["displayName"] = "Subsidiary structure F",
            ["typeName"] = "Subsidiary structure F",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.008305000141263,
                    ["x"] = -2.6315500736237,
                    ["z"] = -3.9120700359344,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.1849999427795,
                    ["x"] = 2.6315500736237,
                    ["z"] = 3.9120700359344,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Subsidiary structure F
    ,["Subsidiary structure G"] = 
    {
        ["shapeName"] = "saray-g",
        ["desc"] = 
        {
            ["life"] = 70,
            ["category"] = 4,
            ["displayName"] = "Subsidiary structure G",
            ["typeName"] = "Subsidiary structure G",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.028243999928236,
                    ["x"] = -3.0422699451447,
                    ["z"] = -4.3721399307251,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.5462601184845,
                    ["x"] = 2.9601800441742,
                    ["z"] = 4.4011597633362,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Subsidiary structure G
    ,["Supermarket A"] = 
    {
        ["shapeName"] = "uniwersam_a",
        ["desc"] = 
        {
            ["life"] = 800,
            ["category"] = 4,
            ["displayName"] = "Supermarket A",
            ["typeName"] = "Supermarket A",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -10.000000953674,
                    ["x"] = -20.998996734619,
                    ["z"] = -20.750003814697,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 11.986422538757,
                    ["x"] = 30.805583953857,
                    ["z"] = 20.750003814697,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Supermarket A
    ,["Tank 2"] = 
    {
        ["shapeName"] = "airbase_tbilisi_tank_01",
        ["desc"] = 
        {
            ["life"] = 100,
            ["category"] = 4,
            ["displayName"] = "Tank 2",
            ["typeName"] = "Tank 2",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -5.1112232208252,
                    ["x"] = -5.9215316772461,
                    ["z"] = -6.0128803253174,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 8.0216503143311,
                    ["x"] = 5.9215312004089,
                    ["z"] = 6.1229090690613,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Tank 2
    ,["Tank 3"] = 
    {
        ["shapeName"] = "airbase_tbilisi_tank_02",
        ["desc"] = 
        {
            ["life"] = 100,
            ["category"] = 4,
            ["displayName"] = "Tank 3",
            ["typeName"] = "Tank 3",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -6.0691690444946,
                    ["x"] = -4.3354420661926,
                    ["z"] = -4.2073092460632,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 11,
                    ["x"] = 4.2970781326294,
                    ["z"] = 4.2486939430237,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Tank 3
    ,["Tank"] = 
    {
        ["shapeName"] = "bak",
        ["desc"] = 
        {
            ["life"] = 5,
            ["category"] = 4,
            ["displayName"] = "Tank",
            ["typeName"] = "Tank",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -10,
                    ["x"] = -9.0104169845581,
                    ["z"] = -9.738862991333,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 8.9986934661865,
                    ["x"] = 9.0104160308838,
                    ["z"] = 9.5228958129883,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Tank
    ,["Tech combine"] = 
    {
        ["shapeName"] = "kombinat",
        ["desc"] = 
        {
            ["life"] = 1000,
            ["category"] = 4,
            ["displayName"] = "Tech combine",
            ["typeName"] = "Tech combine",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.017906000837684,
                    ["x"] = -29.504199981689,
                    ["z"] = -44.259998321533,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 48.545700073242,
                    ["x"] = 29.364099502563,
                    ["z"] = 35.920799255371,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Tech combine
    ,["Tech hangar A"] = 
    {
        ["shapeName"] = "ceh_ang_a",
        ["desc"] = 
        {
            ["life"] = 500,
            ["category"] = 4,
            ["displayName"] = "Tech hangar A",
            ["typeName"] = "Tech hangar A",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -10.000009536743,
                    ["x"] = -9.0090093612671,
                    ["z"] = -17.57723236084,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 9.7492799758911,
                    ["x"] = 9.0090131759644,
                    ["z"] = 17.42276763916,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Tech hangar A
    ,["TV tower"] = 
    {
        ["shapeName"] = "tele_bash",
        ["desc"] = 
        {
            ["life"] = 150,
            ["category"] = 4,
            ["displayName"] = "TV tower",
            ["typeName"] = "TV tower",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0,
                    ["x"] = -25.530099868774,
                    ["z"] = -25.65299987793,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 235.38400268555,
                    ["x"] = 42.289600372314,
                    ["z"] = 26.34700012207,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of TV tower
    ,["Warehouse"] = 
    {
        ["shapeName"] = "sklad",
        ["desc"] = 
        {
            ["life"] = 400,
            ["category"] = 4,
            ["displayName"] = "Warehouse",
            ["typeName"] = "Warehouse",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -9.9992370605469,
                    ["x"] = -20.652732849121,
                    ["z"] = -21.608371734619,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 6.8897285461426,
                    ["x"] = 20.652732849121,
                    ["z"] = 21.608377456665,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Warehouse
    ,["Water tower A"] = 
    {
        ["shapeName"] = "wodokachka_a",
        ["desc"] = 
        {
            ["life"] = 150,
            ["category"] = 4,
            ["displayName"] = "Water tower A",
            ["typeName"] = "Water tower A",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.0091239996254444,
                    ["x"] = -3.1194100379944,
                    ["z"] = -3.7714200019836,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 20.767799377441,
                    ["x"] = 3.1159799098969,
                    ["z"] = 3.4285700321198,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Water tower A
    ,["WC"] = 
    {
        ["shapeName"] = "WC",
        ["desc"] = 
        {
            ["life"] = 1,
            ["category"] = 4,
            ["displayName"] = "WC",
            ["typeName"] = "WC",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0,
                    ["x"] = -6.0228400230408,
                    ["z"] = -7.4429597854614,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3,
                    ["x"] = 3.8690099716187,
                    ["z"] = 7.4416399002075,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of WC
    ,["White_Flag"] = 
    {
        ["shapeName"] = "H-Flag_W",
        ["desc"] = 
        {
            ["life"] = 3,
            ["category"] = 4,
            ["displayName"] = "Mark Flag White",
            ["typeName"] = "White_Flag",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.33318361639977,
                    ["x"] = -1.3334575891495,
                    ["z"] = -1.3367536067963,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.3364826440811,
                    ["x"] = 1.3400497436523,
                    ["z"] = 1.3367537260056,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of White_Flag
    ,["White_Tyre"] = 
    {
        ["shapeName"] = "H-tyre_W",
        ["desc"] = 
        {
            ["life"] = 3,
            ["category"] = 4,
            ["displayName"] = "Mark Tyre White",
            ["typeName"] = "White_Tyre",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.33318361639977,
                    ["x"] = -1.3334575891495,
                    ["z"] = -1.3367536067963,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.3364826440811,
                    ["x"] = 1.3400497436523,
                    ["z"] = 1.3367537260056,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of White_Tyre
    ,["Windsock"] = 
    {
        ["shapeName"] = "H-Windsock_RW",
        ["desc"] = 
        {
            ["life"] = 3,
            ["category"] = 4,
            ["displayName"] = "Windsock",
            ["typeName"] = "Windsock",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.0728390365839,
                    ["x"] = -1.3334575891495,
                    ["z"] = -1.3367536067963,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 7.3861293792725,
                    ["x"] = 1.3400497436523,
                    ["z"] = 1.3367537260056,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Windsock
    ,["Workshop A"] = 
    {
        ["shapeName"] = "tec_a",
        ["desc"] = 
        {
            ["life"] = 1600,
            ["category"] = 4,
            ["displayName"] = "Workshop A",
            ["typeName"] = "Workshop A",
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -21.96044921875,
                    ["x"] = -40.000003814697,
                    ["z"] = -20.000015258789,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 64.882057189941,
                    ["x"] = 40.000003814697,
                    ["z"] = 44.013240814209,
                }, -- end of ["max"]
            }, -- end of ["box"]
        }, -- end of ["desc"]
    } -- end of Workshop A
    ,["bofors40"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 200,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.45,
                        ["type"] = 1,
                        ["caliber"] = 40,
                        ["mass"] = 0.9,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "Bofors 40mm HE",
                    ["typeName"] = "weapons.shells.Bofors_40mm_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 5000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.26376348733902,
                    ["x"] = -3.4777450561523,
                    ["z"] = -2.4852426052094,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 4.0815396308899,
                    ["x"] = 2.9570908546448,
                    ["z"] = 2.4838047027588,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 0,
            ["life"] = 0.5,
            ["attributes"] = 
            {
                ["Rocket Attack Valid AirDefence"] = true,
                ["AA_flak"] = true,
                ["Ground vehicles"] = true,
                ["Air Defence"] = true,
                ["AAA"] = true,
                ["Vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Armed Air Defence"] = true,
                ["All"] = true,
                ["Static AAA"] = true,
                ["Ground Units"] = true,
                ["NonArmoredUnits"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 0,
            ["_origin"] = "WWII Armour and Technics",
            ["typeName"] = "bofors40",
            ["displayName"] = "AAA Bofors 40mm",
        }, -- end of ["desc"]
    } -- end of bofors40
    ,["flak18"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 200,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 2,
                        ["type"] = 1,
                        ["caliber"] = 88,
                        ["mass"] = 9,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "Spr.Gr.39",
                    ["typeName"] = "weapons.shells.Flak18_Sprgr_39",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 5000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.0028416379354894,
                    ["x"] = -5.1185345649719,
                    ["z"] = -2.6214983463287,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.5956037044525,
                    ["x"] = 4.0492987632751,
                    ["z"] = 2.6214981079102,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 0,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Rocket Attack Valid AirDefence"] = true,
                ["AA_flak"] = true,
                ["Ground vehicles"] = true,
                ["Air Defence"] = true,
                ["AAA"] = true,
                ["Vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Armed Air Defence"] = true,
                ["All"] = true,
                ["Static AAA"] = true,
                ["Ground Units"] = true,
                ["NonArmoredUnits"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 0,
            ["_origin"] = "WWII Armour and Technics",
            ["typeName"] = "flak18",
            ["displayName"] = "AAA Flak 18",
        }, -- end of ["desc"]
    } -- end of flak18
    ,["flak30"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 179,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 23,
                        ["mass"] = 0.189,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "23mm AP",
                    ["typeName"] = "weapons.shells.2A7_23_AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 479,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.189,
                        ["type"] = 1,
                        ["caliber"] = 23,
                        ["mass"] = 0.189,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "23mm HE",
                    ["typeName"] = "weapons.shells.2A7_23_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 5000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.00087706476915628,
                    ["x"] = -2.1073532104492,
                    ["z"] = -1.0893112421036,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.885801076889,
                    ["x"] = 2.3026945590973,
                    ["z"] = 1.0893112421036,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 0,
            ["life"] = 0.5,
            ["attributes"] = 
            {
                ["Rocket Attack Valid AirDefence"] = true,
                ["AA_flak"] = true,
                ["Ground vehicles"] = true,
                ["Air Defence"] = true,
                ["AAA"] = true,
                ["Vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Armed Air Defence"] = true,
                ["All"] = true,
                ["Static AAA"] = true,
                ["Ground Units"] = true,
                ["NonArmoredUnits"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 0,
            ["_origin"] = "WWII Armour and Technics",
            ["typeName"] = "flak30",
            ["displayName"] = "AAA Flak 30",
        }, -- end of ["desc"]
    } -- end of flak30
    ,["flak36"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 200,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 2,
                        ["type"] = 1,
                        ["caliber"] = 88,
                        ["mass"] = 9,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "Spr.Gr.39",
                    ["typeName"] = "weapons.shells.Flak18_Sprgr_39",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 5000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.0030668603722006,
                    ["x"] = -4.4670467376709,
                    ["z"] = -2.3339061737061,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.6852121353149,
                    ["x"] = 4.4775881767273,
                    ["z"] = 2.3411900997162,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 0,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Rocket Attack Valid AirDefence"] = true,
                ["AA_flak"] = true,
                ["Ground vehicles"] = true,
                ["Air Defence"] = true,
                ["AAA"] = true,
                ["Vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Armed Air Defence"] = true,
                ["All"] = true,
                ["Static AAA"] = true,
                ["Ground Units"] = true,
                ["NonArmoredUnits"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 0,
            ["_origin"] = "WWII Armour and Technics",
            ["typeName"] = "flak36",
            ["displayName"] = "AAA Flak 36",
        }, -- end of ["desc"]
    } -- end of flak36
    ,["flak37"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 200,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 2,
                        ["type"] = 1,
                        ["caliber"] = 88,
                        ["mass"] = 9,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "Spr.Gr.39",
                    ["typeName"] = "weapons.shells.Flak18_Sprgr_39",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 5000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.0030668603722006,
                    ["x"] = -4.466760635376,
                    ["z"] = -2.335693359375,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.6852121353149,
                    ["x"] = 4.4778747558594,
                    ["z"] = 2.3394029140472,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 0,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Rocket Attack Valid AirDefence"] = true,
                ["AA_flak"] = true,
                ["Ground vehicles"] = true,
                ["Air Defence"] = true,
                ["AAA"] = true,
                ["Vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Armed Air Defence"] = true,
                ["All"] = true,
                ["Static AAA"] = true,
                ["Ground Units"] = true,
                ["NonArmoredUnits"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 0,
            ["_origin"] = "WWII Armour and Technics",
            ["typeName"] = "flak37",
            ["displayName"] = "AAA Flak 37",
        }, -- end of ["desc"]
    } -- end of flak37
    ,["flak38"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 719,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 23,
                        ["mass"] = 0.189,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "23mm AP",
                    ["typeName"] = "weapons.shells.2A7_23_AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 1917,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.189,
                        ["type"] = 1,
                        ["caliber"] = 23,
                        ["mass"] = 0.189,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "23mm HE",
                    ["typeName"] = "weapons.shells.2A7_23_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 5000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.0070641855709255,
                    ["x"] = -1.5382939577103,
                    ["z"] = -1.2756342887878,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.3066658973694,
                    ["x"] = 3.1565787792206,
                    ["z"] = 1.2756342887878,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 0,
            ["life"] = 0.5,
            ["attributes"] = 
            {
                ["Rocket Attack Valid AirDefence"] = true,
                ["AA_flak"] = true,
                ["Ground vehicles"] = true,
                ["Air Defence"] = true,
                ["AAA"] = true,
                ["Vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Armed Air Defence"] = true,
                ["All"] = true,
                ["Static AAA"] = true,
                ["Ground Units"] = true,
                ["NonArmoredUnits"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 0,
            ["_origin"] = "WWII Armour and Technics",
            ["typeName"] = "flak38",
            ["displayName"] = "AAA Flak-Vierling 38",
        }, -- end of ["desc"]
    } -- end of flak38
    ,["KDO_Mod40"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 200,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 2,
                        ["type"] = 1,
                        ["caliber"] = 88,
                        ["mass"] = 9,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "Spr.Gr.39",
                    ["typeName"] = "weapons.shells.Flak18_Sprgr_39",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 5000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.010010672733188,
                    ["x"] = -0.94560050964355,
                    ["z"] = -0.94559806585312,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.901290178299,
                    ["x"] = 0.94567912817001,
                    ["z"] = 0.94559806585312,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 0,
            ["life"] = 0.5,
            ["attributes"] = 
            {
                ["Rocket Attack Valid AirDefence"] = true,
                ["NonArmoredUnits"] = true,
                ["Air Defence"] = true,
                ["AAA"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Vehicles"] = true,
                ["All"] = true,
                ["Armed Air Defence"] = true,
                ["Ground Units"] = true,
                ["Static AAA"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 0,
            ["_origin"] = "WWII Armour and Technics",
            ["typeName"] = "KDO_Mod40",
            ["displayName"] = "AAA Kdo.G.40",
        }, -- end of ["desc"]
    } -- end of KDO_Mod40
    ,["B-17G"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 5970,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 12.7,
                        ["mass"] = 0.046,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "12.7mm",
                    ["typeName"] = "weapons.shells.M2_50_aero_AP",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.16146284341812,
                            ["x"] = -44.163108825684,
                            ["z"] = -0.64507895708084,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.15063416957855,
                            ["x"] = 0.025108814239502,
                            ["z"] = 0.64480221271515,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["speedMax0"] = 208,
            ["massEmpty"] = 16391,
            ["range"] = 1015,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -5.3273134231567,
                    ["x"] = -16.480529785156,
                    ["z"] = -16.263824462891,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 5.3273134231567,
                    ["x"] = 9.1388244628906,
                    ["z"] = 16.263824462891,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["Hmax"] = 10000,
            ["Kmax"] = 0.10000000149012,
            ["_origin"] = "WWII Armour and Technics",
            ["speedMax10K"] = 230,
            ["NyMin"] = -4,
            ["fuelMassMax"] = 7600,
            ["speedMax"] = 230,
            ["NyMax"] = 3,
            ["massMax"] = 29710,
            ["RCS"] = 100,
            ["displayName"] = "B-17G",
            ["life"] = 18,
            ["VyMax"] = 22,
            ["Kab"] = 0,
            ["attributes"] = 
            {
                ["Air"] = true,
                ["Battle airplanes"] = true,
                ["Bombers"] = true,
                ["Planes"] = true,
                ["NonArmoredUnits"] = true,
                ["All"] = true,
                ["Strategic bombers"] = true,
                ["NonAndLightArmoredUnits"] = true,
            }, -- end of ["attributes"]
            ["typeName"] = "B-17G",
            ["category"] = 0,
        }, -- end of ["desc"]
    } -- end of B-17G
    ,["ARTY M12_GMC"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 50,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 3.89,
                        ["type"] = 1,
                        ["caliber"] = 155,
                        ["mass"] = 42.96,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "M101 155mm HE",
                    ["typeName"] = "weapons.shells.M101",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TRP-2A day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TRP-2A night",
                    ["opticType"] = 1,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 26700,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.52359879016876,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.025029940530658,
                    ["x"] = -4.131932258606,
                    ["z"] = -1.376544713974,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.9002497196198,
                    ["x"] = 2.9309649467468,
                    ["z"] = 1.3763544559479,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 11.109999656677,
            ["life"] = 15,
            ["attributes"] = 
            {
                ["Artillery"] = true,
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armed vehicles"] = true,
                ["LightArmoredUnits"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Indirect fire"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 11.109999656677,
            ["_origin"] = "WWII Armour and Technics",
            ["typeName"] = "M12_GMC",
            ["displayName"] = "M12 GMC",
        }, -- end of ["desc"]
    } -- end of ARTY M12_GMC
    ,["ARTY SK_C_28_naval_gun"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 200,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 3.89,
                        ["type"] = 1,
                        ["caliber"] = 149.1,
                        ["mass"] = 45.3,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "15cm HE",
                    ["typeName"] = "weapons.shells.RM_15cm_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TRP-2A day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TRP-2A night",
                    ["opticType"] = 1,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 5000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -4.4619650840759,
                    ["x"] = -9.0075454711914,
                    ["z"] = -7.4934639930725,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 6.1779932975769,
                    ["x"] = 9.0075454711914,
                    ["z"] = 7.4934639930725,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 0,
            ["life"] = 70,
            ["attributes"] = 
            {
                ["Artillery"] = true,
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armed vehicles"] = true,
                ["LightArmoredUnits"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Indirect fire"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 0,
            ["_origin"] = "WWII Armour and Technics",
            ["typeName"] = "SK_C_28_naval_gun",
            ["displayName"] = "SK C/28 15cm naval gun",
        }, -- end of ["desc"]
    } -- end of ARTY SK_C_28_naval_gun
    ,["ARTY SturmPzIV"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 38,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 7.8,
                        ["type"] = 1,
                        ["caliber"] = 150,
                        ["mass"] = 37.8,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "I.Gr. 33",
                    ["typeName"] = "weapons.shells.I_Gr_33",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 764,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.92,
                        ["mass"] = 0.0122,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "7.92x57 S.m.K.L'Spur",
                    ["typeName"] = "weapons.shells.7_92x57_Smkl",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
            [3] = 
            {
                ["count"] = 2264,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["_origin"] = "",
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.92,
                        ["mass"] = 0.0128,
                    }, -- end of ["warhead"]
                    ["category"] = 0,
                    ["typeName"] = "weapons.shells.7_92x57sS",
                    ["displayName"] = "7.92x57 s.S",
                }, -- end of ["desc"]
            }, -- end of [3]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TRP-2A day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TRP-2A night",
                    ["opticType"] = 1,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 30050,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.51999998092651,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.011371491476893,
                    ["x"] = -2.9491460323334,
                    ["z"] = -1.7098982334137,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.6444358825684,
                    ["x"] = 3.0899302959442,
                    ["z"] = 1.723499417305,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 10.560000419617,
            ["life"] = 15,
            ["attributes"] = 
            {
                ["Artillery"] = true,
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armed vehicles"] = true,
                ["LightArmoredUnits"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Indirect fire"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 10.560000419617,
            ["_origin"] = "WWII Armour and Technics",
            ["typeName"] = "SturmPzIV",
            ["displayName"] = "Sturmpanzer IV Brummbär",
        }, -- end of ["desc"]
    } -- end of ARTY SturmPzIV
    ,["IFV M30_CC"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 504,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 12.7,
                        ["mass"] = 0.046,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "12.7mm",
                    ["typeName"] = "weapons.shells.M2_12_7_T",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TRP-2A day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TRP-2A night",
                    ["opticType"] = 1,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 24700,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.52359879016876,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.0016576558118686,
                    ["x"] = -4.0040860176086,
                    ["z"] = -1.3389648199081,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.0248696804047,
                    ["x"] = 2.8518598079681,
                    ["z"] = 1.3387978076935,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 11.109999656677,
            ["life"] = 15,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armored vehicles"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["LightArmoredUnits"] = true,
                ["Ground vehicles"] = true,
                ["Armed vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Infantry carriers"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["APC"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 11.109999656677,
            ["_origin"] = "WWII Armour and Technics",
            ["typeName"] = "M30_CC",
            ["displayName"] = "M30 Cargo Carrier",
        }, -- end of ["desc"]
    } -- end of IFV M30_CC
    ,["INF soldier_mauser98"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 71,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["_origin"] = "",
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.92,
                        ["mass"] = 0.0128,
                    }, -- end of ["warhead"]
                    ["category"] = 0,
                    ["typeName"] = "weapons.shells.7_92x57sS",
                    ["displayName"] = "7.92x57 s.S",
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 90,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.87000000476837,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0,
                    ["x"] = -0.40000000596046,
                    ["z"] = -0.39999994635582,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.7999999523163,
                    ["x"] = 0.60000002384186,
                    ["z"] = 0.39999994635582,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 4,
            ["life"] = 0.079999998211861,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["NonArmoredUnits"] = true,
                ["CustomAimPoint"] = true,
                ["Skeleton_type_A"] = true,
                ["New infantry"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Infantry"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 4,
            ["_origin"] = "WWII Armour and Technics",
            ["typeName"] = "soldier_mauser98",
            ["displayName"] = "Infantry Mauser 98",
        }, -- end of ["desc"]
    } -- end of INF soldier_mauser98
    ,["INF soldier_wwii_us"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 62,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["_origin"] = "",
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.92,
                        ["mass"] = 0.0128,
                    }, -- end of ["warhead"]
                    ["category"] = 0,
                    ["typeName"] = "weapons.shells.7_92x57sS",
                    ["displayName"] = "7.92x57 s.S",
                }, -- end of ["desc"]
            }, -- end of [1]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 90,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.87000000476837,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0,
                    ["x"] = -0.40000000596046,
                    ["z"] = -0.39999994635582,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.7999999523163,
                    ["x"] = 0.60000002384186,
                    ["z"] = 0.39999994635582,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 4,
            ["life"] = 0.079999998211861,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["NonArmoredUnits"] = true,
                ["CustomAimPoint"] = true,
                ["Skeleton_type_A"] = true,
                ["New infantry"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Infantry"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 4,
            ["_origin"] = "WWII Armour and Technics",
            ["typeName"] = "soldier_wwii_us",
            ["displayName"] = "Infantry M1 Garand",
        }, -- end of ["desc"]
    } -- end of INF soldier_wwii_us
    ,["MBT Cromwell_IV"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 39,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 75,
                        ["mass"] = 6.8,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "M72",
                    ["typeName"] = "weapons.shells.M72",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 27,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 1.3,
                        ["type"] = 1,
                        ["caliber"] = 75,
                        ["mass"] = 5.75,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "M46",
                    ["typeName"] = "weapons.shells.M46",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
            [3] = 
            {
                ["count"] = 1254,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.92,
                        ["mass"] = 0.0122,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "7.92x57 S.m.K.L'Spur",
                    ["typeName"] = "weapons.shells.7_92x57_Smkl",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [3]
            [4] = 
            {
                ["count"] = 3718,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["_origin"] = "",
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.92,
                        ["mass"] = 0.0128,
                    }, -- end of ["warhead"]
                    ["category"] = 0,
                    ["typeName"] = "weapons.shells.7_92x57sS",
                    ["displayName"] = "7.92x57 s.S",
                }, -- end of ["desc"]
            }, -- end of [4]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TRP-2A day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TRP-2A night",
                    ["opticType"] = 1,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 27970,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.41999998688698,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.018056297674775,
                    ["x"] = -3.2313177585602,
                    ["z"] = -1.574178814888,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.4656958580017,
                    ["x"] = 3.2161493301392,
                    ["z"] = 1.5771820545197,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 14.439999580383,
            ["life"] = 12,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armored vehicles"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["Old Tanks"] = true,
                ["Ground vehicles"] = true,
                ["HeavyArmoredUnits"] = true,
                ["Armed vehicles"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Tanks"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 14.439999580383,
            ["_origin"] = "WWII Armour and Technics",
            ["typeName"] = "Cromwell_IV",
            ["displayName"] = "CT Cromwell IV",
        }, -- end of ["desc"]
    } -- end of MBT Cromwell_IV
    ,["MBT Jagdpanther_G1"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 33,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.059,
                        ["type"] = 1,
                        ["caliber"] = 88,
                        ["mass"] = 10.4,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "Pz.Gr. 39/43",
                    ["typeName"] = "weapons.shells.Pzgr_39/43",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 26,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 2,
                        ["type"] = 1,
                        ["caliber"] = 88,
                        ["mass"] = 9.4,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "Spr.Gr.43 L/71",
                    ["typeName"] = "weapons.shells.Sprgr_43_L71",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
            [3] = 
            {
                ["count"] = 815,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.92,
                        ["mass"] = 0.0122,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "7.92x57 S.m.K.L'Spur",
                    ["typeName"] = "weapons.shells.7_92x57_Smkl",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [3]
            [4] = 
            {
                ["count"] = 2415,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["_origin"] = "",
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.92,
                        ["mass"] = 0.0128,
                    }, -- end of ["warhead"]
                    ["category"] = 0,
                    ["typeName"] = "weapons.shells.7_92x57sS",
                    ["displayName"] = "7.92x57 s.S",
                }, -- end of ["desc"]
            }, -- end of [4]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TRP-2A day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TRP-2A night",
                    ["opticType"] = 1,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 44800,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.51999998092651,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.0081707276403904,
                    ["x"] = -3.7565829753876,
                    ["z"] = -1.6898740530014,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.7002015113831,
                    ["x"] = 2.966961145401,
                    ["z"] = 1.7183264493942,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 12.699999809265,
            ["life"] = 15,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armored vehicles"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["Old Tanks"] = true,
                ["Ground vehicles"] = true,
                ["HeavyArmoredUnits"] = true,
                ["Armed vehicles"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Tanks"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 12.699999809265,
            ["_origin"] = "WWII Armour and Technics",
            ["typeName"] = "Jagdpanther_G1",
            ["displayName"] = "Jagdpanther G1",
        }, -- end of ["desc"]
    } -- end of MBT Jagdpanther_G1
    ,["MBT JagdPz_IV"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 41,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.059,
                        ["type"] = 1,
                        ["caliber"] = 75,
                        ["mass"] = 6.8,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "Pz.Gr. 39",
                    ["typeName"] = "weapons.shells.Pzgr_39/40",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 40,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 1.3,
                        ["type"] = 1,
                        ["caliber"] = 75,
                        ["mass"] = 5.75,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "Spr.Gr.34",
                    ["typeName"] = "weapons.shells.Sprgr_34_L48",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
            [3] = 
            {
                ["count"] = 815,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.92,
                        ["mass"] = 0.0122,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "7.92x57 S.m.K.L'Spur",
                    ["typeName"] = "weapons.shells.7_92x57_Smkl",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [3]
            [4] = 
            {
                ["count"] = 2415,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["_origin"] = "",
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.92,
                        ["mass"] = 0.0128,
                    }, -- end of ["warhead"]
                    ["category"] = 0,
                    ["typeName"] = "weapons.shells.7_92x57sS",
                    ["displayName"] = "7.92x57 s.S",
                }, -- end of ["desc"]
            }, -- end of [4]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TRP-2A day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TRP-2A night",
                    ["opticType"] = 1,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 25000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.51999998092651,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.029878763481975,
                    ["x"] = -2.9653761386871,
                    ["z"] = -1.6617685556412,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.1099450588226,
                    ["x"] = 4.3831515312195,
                    ["z"] = 1.6627678871155,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 10.560000419617,
            ["life"] = 15,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armored vehicles"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["Old Tanks"] = true,
                ["Ground vehicles"] = true,
                ["HeavyArmoredUnits"] = true,
                ["Armed vehicles"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Tanks"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 10.560000419617,
            ["_origin"] = "WWII Armour and Technics",
            ["typeName"] = "JagdPz_IV",
            ["displayName"] = "Jagdpanzer IV",
        }, -- end of ["desc"]
    } -- end of MBT JagdPz_IV
    ,["MBT M4A4_Sherman_FF"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 44,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 76.2,
                        ["mass"] = 3.6,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "SVDS",
                    ["typeName"] = "weapons.shells.SVDS",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 38,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 2.2,
                        ["type"] = 1,
                        ["caliber"] = 76.2,
                        ["mass"] = 6.98,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "QF17 HE",
                    ["typeName"] = "weapons.shells.QF17_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
            [3] = 
            {
                ["count"] = 819,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.62,
                        ["mass"] = 0.0096,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = ".303 British",
                    ["typeName"] = "weapons.shells.Br303_tr",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [3]
            [4] = 
            {
                ["count"] = 2443,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.62,
                        ["mass"] = 0.0096,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = ".303 British",
                    ["typeName"] = "weapons.shells.Br303",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [4]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TRP-2A day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TRP-2A night",
                    ["opticType"] = 1,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 33000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.52359879016876,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.021063579246402,
                    ["x"] = -3.3188021183014,
                    ["z"] = -1.3275067806244,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.7993648052216,
                    ["x"] = 2.8327913284302,
                    ["z"] = 1.3273221254349,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 11.109999656677,
            ["life"] = 15,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armored vehicles"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["Old Tanks"] = true,
                ["Ground vehicles"] = true,
                ["HeavyArmoredUnits"] = true,
                ["Armed vehicles"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Tanks"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 11.109999656677,
            ["_origin"] = "WWII Armour and Technics",
            ["typeName"] = "M4A4_Sherman_FF",
            ["displayName"] = "MT M4A4 Sherman Firefly",
        }, -- end of ["desc"]
    } -- end of MBT M4A4_Sherman_FF
    ,["MBT M4_Sherman"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 52,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 75,
                        ["mass"] = 6.8,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "M72",
                    ["typeName"] = "weapons.shells.M72",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 49,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 1.3,
                        ["type"] = 1,
                        ["caliber"] = 75,
                        ["mass"] = 5.75,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "M46",
                    ["typeName"] = "weapons.shells.M46",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
            [3] = 
            {
                ["count"] = 1575,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.62,
                        ["mass"] = 0.0096,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = ".303 British",
                    ["typeName"] = "weapons.shells.Br303_tr",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [3]
            [4] = 
            {
                ["count"] = 4698,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.62,
                        ["mass"] = 0.0096,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = ".303 British",
                    ["typeName"] = "weapons.shells.Br303",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [4]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TRP-2A day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TRP-2A night",
                    ["opticType"] = 1,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 33000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.52359879016876,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.020073127001524,
                    ["x"] = -2.9410190582275,
                    ["z"] = -1.3374048471451,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.8096141815186,
                    ["x"] = 2.8192851543427,
                    ["z"] = 1.3372206687927,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 11.109999656677,
            ["life"] = 15,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armored vehicles"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["Old Tanks"] = true,
                ["Ground vehicles"] = true,
                ["HeavyArmoredUnits"] = true,
                ["Armed vehicles"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Tanks"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 11.109999656677,
            ["_origin"] = "WWII Armour and Technics",
            ["typeName"] = "M4_Sherman",
            ["displayName"] = "MT M4 Sherman",
        }, -- end of ["desc"]
    } -- end of MBT M4_Sherman
    ,["MBT Pz_IV_H"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 43,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.059,
                        ["type"] = 1,
                        ["caliber"] = 75,
                        ["mass"] = 6.8,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "Pz.Gr. 39",
                    ["typeName"] = "weapons.shells.Pzgr_39/40",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 41,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 1.3,
                        ["type"] = 1,
                        ["caliber"] = 75,
                        ["mass"] = 5.75,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "Spr.Gr.34",
                    ["typeName"] = "weapons.shells.Sprgr_34_L48",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
            [3] = 
            {
                ["count"] = 1375,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.92,
                        ["mass"] = 0.0122,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "7.92x57 S.m.K.L'Spur",
                    ["typeName"] = "weapons.shells.7_92x57_Smkl",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [3]
            [4] = 
            {
                ["count"] = 4075,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["_origin"] = "",
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.92,
                        ["mass"] = 0.0128,
                    }, -- end of ["warhead"]
                    ["category"] = 0,
                    ["typeName"] = "weapons.shells.7_92x57sS",
                    ["displayName"] = "7.92x57 s.S",
                }, -- end of ["desc"]
            }, -- end of [4]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TRP-2A day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TRP-2A night",
                    ["opticType"] = 1,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 25000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.51999998092651,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.021464355289936,
                    ["x"] = -2.9302580356598,
                    ["z"] = -1.7116628885269,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.7180104255676,
                    ["x"] = 3.0550942420959,
                    ["z"] = 1.7212628126144,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 10.560000419617,
            ["life"] = 15,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armored vehicles"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["Old Tanks"] = true,
                ["Ground vehicles"] = true,
                ["HeavyArmoredUnits"] = true,
                ["Armed vehicles"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Tanks"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 10.560000419617,
            ["_origin"] = "WWII Armour and Technics",
            ["typeName"] = "Pz_IV_H",
            ["displayName"] = "MT Pz.Kpfw.IV Ausf.H",
        }, -- end of ["desc"]
    } -- end of MBT Pz_IV_H
    ,["MBT Pz_V_Panther_G"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 43,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.059,
                        ["type"] = 1,
                        ["caliber"] = 75,
                        ["mass"] = 6.8,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "Pz.Gr. 39/42",
                    ["typeName"] = "weapons.shells.Pzgr_39/42",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 41,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 1.3,
                        ["type"] = 1,
                        ["caliber"] = 75,
                        ["mass"] = 5.75,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "Spr.Gr.34 L/70",
                    ["typeName"] = "weapons.shells.Sprgr_34_L70",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
            [3] = 
            {
                ["count"] = 1222,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.92,
                        ["mass"] = 0.0122,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "7.92x57 S.m.K.L'Spur",
                    ["typeName"] = "weapons.shells.7_92x57_Smkl",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [3]
            [4] = 
            {
                ["count"] = 3622,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["_origin"] = "",
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.92,
                        ["mass"] = 0.0128,
                    }, -- end of ["warhead"]
                    ["category"] = 0,
                    ["typeName"] = "weapons.shells.7_92x57sS",
                    ["displayName"] = "7.92x57 s.S",
                }, -- end of ["desc"]
            }, -- end of [4]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TRP-2A day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TRP-2A night",
                    ["opticType"] = 1,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 44800,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.51999998092651,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.025719093158841,
                    ["x"] = -3.7562267780304,
                    ["z"] = -1.6614277362823,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.0688719749451,
                    ["x"] = 2.9957127571106,
                    ["z"] = 1.6843656301498,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 12.699999809265,
            ["life"] = 15,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armored vehicles"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["Old Tanks"] = true,
                ["Ground vehicles"] = true,
                ["HeavyArmoredUnits"] = true,
                ["Armed vehicles"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Tanks"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 12.699999809265,
            ["_origin"] = "WWII Armour and Technics",
            ["typeName"] = "Pz_V_Panther_G",
            ["displayName"] = "MT Pz.Kpfw.V Panther Ausf.G",
        }, -- end of ["desc"]
    } -- end of MBT Pz_V_Panther_G
    ,["MBT Tiger_I"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 47,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.059,
                        ["type"] = 1,
                        ["caliber"] = 88,
                        ["mass"] = 10.16,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "Pz.Gr. 39",
                    ["typeName"] = "weapons.shells.Pzgr_39",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 47,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 2,
                        ["type"] = 1,
                        ["caliber"] = 88,
                        ["mass"] = 7.65,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "Spr.Gr.39",
                    ["typeName"] = "weapons.shells.Sprgr_39",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
            [3] = 
            {
                ["count"] = 1324,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.92,
                        ["mass"] = 0.0122,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "7.92x57 S.m.K.L'Spur",
                    ["typeName"] = "weapons.shells.7_92x57_Smkl",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [3]
            [4] = 
            {
                ["count"] = 3924,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["_origin"] = "",
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.92,
                        ["mass"] = 0.0128,
                    }, -- end of ["warhead"]
                    ["category"] = 0,
                    ["typeName"] = "weapons.shells.7_92x57sS",
                    ["displayName"] = "7.92x57 s.S",
                }, -- end of ["desc"]
            }, -- end of [4]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TRP-2A day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TRP-2A night",
                    ["opticType"] = 1,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 56900,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.27000001072884,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.057966936379671,
                    ["x"] = -3.2955622673035,
                    ["z"] = -1.9063580036163,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.9213151931763,
                    ["x"] = 3.2664988040924,
                    ["z"] = 1.9054220914841,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 12.220000267029,
            ["life"] = 20,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armored vehicles"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["Old Tanks"] = true,
                ["Ground vehicles"] = true,
                ["HeavyArmoredUnits"] = true,
                ["Armed vehicles"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Tanks"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 12.220000267029,
            ["_origin"] = "WWII Armour and Technics",
            ["typeName"] = "Tiger_I",
            ["displayName"] = "HT Pz.Kpfw.VI Tiger I",
        }, -- end of ["desc"]
    } -- end of MBT Tiger_I
    ,["MBT Tiger_II_H"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 38,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.059,
                        ["type"] = 1,
                        ["caliber"] = 88,
                        ["mass"] = 10.4,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "Pz.Gr. 39/43",
                    ["typeName"] = "weapons.shells.Pzgr_39/43",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 36,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 2,
                        ["type"] = 1,
                        ["caliber"] = 88,
                        ["mass"] = 9.4,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "Spr.Gr.43 L/71",
                    ["typeName"] = "weapons.shells.Sprgr_43_L71",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
            [3] = 
            {
                ["count"] = 1324,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.92,
                        ["mass"] = 0.0122,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "7.92x57 S.m.K.L'Spur",
                    ["typeName"] = "weapons.shells.7_92x57_Smkl",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [3]
            [4] = 
            {
                ["count"] = 3924,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["_origin"] = "",
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 7.92,
                        ["mass"] = 0.0128,
                    }, -- end of ["warhead"]
                    ["category"] = 0,
                    ["typeName"] = "weapons.shells.7_92x57sS",
                    ["displayName"] = "7.92x57 s.S",
                }, -- end of ["desc"]
            }, -- end of [4]
        }, -- end of ["weapons"]
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TRP-2A day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TRP-2A night",
                    ["opticType"] = 1,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 68000,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.61086523532867,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.0027605672366917,
                    ["x"] = -3.7182457447052,
                    ["z"] = -1.8930326700211,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.193822145462,
                    ["x"] = 3.5982623100281,
                    ["z"] = 1.9122297763824,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 10.550000190735,
            ["life"] = 20,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["Armored vehicles"] = true,
                ["AntiAir Armed Vehicles"] = true,
                ["Old Tanks"] = true,
                ["Ground vehicles"] = true,
                ["HeavyArmoredUnits"] = true,
                ["Armed vehicles"] = true,
                ["Armed ground units"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Tanks"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 10.550000190735,
            ["_origin"] = "WWII Armour and Technics",
            ["typeName"] = "Tiger_II_H",
            ["displayName"] = "HT Pz.Kpfw.VI Ausf. B 'Tiger II'",
        }, -- end of ["desc"]
    } -- end of MBT Tiger_II_H
    ,["Truck Bedford_MWD"] = 
    {
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TRP-2A day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TRP-2A night",
                    ["opticType"] = 1,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 2100,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.46999999880791,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.024176426231861,
                    ["x"] = -2.2464213371277,
                    ["z"] = -1.2003791332245,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.3432791233063,
                    ["x"] = 2.2464213371277,
                    ["z"] = 1.2003791332245,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 22.200000762939,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["NonArmoredUnits"] = true,
                ["Trucks"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Unarmed vehicles"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 22.200000762939,
            ["_origin"] = "WWII Armour and Technics",
            ["typeName"] = "Bedford_MWD",
            ["displayName"] = "Bedford MWD",
        }, -- end of ["desc"]
    } -- end of Truck Bedford_MWD
    ,["Truck Blitz_36-6700A"] = 
    {
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TRP-2A day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TRP-2A night",
                    ["opticType"] = 1,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 3350,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.46999999880791,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 0.0031837308779359,
                    ["x"] = -2.5564661026001,
                    ["z"] = -1.0810232162476,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.6611151695251,
                    ["x"] = 3.1183123588562,
                    ["z"] = 1.0810233354568,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 25,
            ["life"] = 2,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["NonArmoredUnits"] = true,
                ["Trucks"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Unarmed vehicles"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 25,
            ["_origin"] = "WWII Armour and Technics",
            ["typeName"] = "Blitz_36-6700A",
            ["displayName"] = "Blitz 3.6-6700A",
        }, -- end of ["desc"]
    } -- end of Truck Blitz_36-6700A
    ,["Truck CCKW_353"] = 
    {
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TRP-2A day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TRP-2A night",
                    ["opticType"] = 1,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 5100,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.46999999880791,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.13796950876713,
                    ["x"] = -3.3019168376923,
                    ["z"] = -1.1806678771973,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.7003486156464,
                    ["x"] = 3.3019168376923,
                    ["z"] = 1.1806678771973,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 20,
            ["life"] = 2,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["NonArmoredUnits"] = true,
                ["Trucks"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Unarmed vehicles"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 20,
            ["_origin"] = "WWII Armour and Technics",
            ["typeName"] = "CCKW_353",
            ["displayName"] = "CCKW 353",
        }, -- end of ["desc"]
    } -- end of Truck CCKW_353
    ,["Truck DRG_Class_86"] = 
    {
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TRP-2A day",
                    ["opticType"] = 0,
                }, -- end of [1]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 2100,
            ["riverCrossing"] = true,
            ["maxSlopeAngle"] = 0.46999999880791,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.11651834845543,
                    ["x"] = -8.1151027679443,
                    ["z"] = -2.0008568763733,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 4.3640313148499,
                    ["x"] = 6.5126433372498,
                    ["z"] = 2.0008647441864,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 22.200000762939,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["NonArmoredUnits"] = true,
                ["Trucks"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Unarmed vehicles"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 22.200000762939,
            ["Kmax"] = 0.050000000745058,
            ["typeName"] = "DRG_Class_86",
            ["displayName"] = "DRG Class 86",
        }, -- end of ["desc"]
    } -- end of Truck DRG_Class_86
    ,["Truck DR_50Ton_Flat_Wagon"] = 
    {
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TRP-2A day",
                    ["opticType"] = 0,
                }, -- end of [1]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 2100,
            ["riverCrossing"] = true,
            ["maxSlopeAngle"] = 0.46999999880791,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.25821807980537,
                    ["x"] = -5.9949264526367,
                    ["z"] = -1.8183442354202,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 2.619490146637,
                    ["x"] = 6.0117974281311,
                    ["z"] = 1.8303371667862,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 22.200000762939,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["NonArmoredUnits"] = true,
                ["Trucks"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Unarmed vehicles"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 22.200000762939,
            ["Kmax"] = 0.050000000745058,
            ["typeName"] = "DR_50Ton_Flat_Wagon",
            ["displayName"] = "DR 50Ton Flat Wagon",
        }, -- end of ["desc"]
    } -- end of Truck DR_50Ton_Flat_Wagon
    ,["Truck German_covered_wagon_G10"] = 
    {
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TRP-2A day",
                    ["opticType"] = 0,
                }, -- end of [1]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 2100,
            ["riverCrossing"] = true,
            ["maxSlopeAngle"] = 0.46999999880791,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.22222355008125,
                    ["x"] = -5.6721816062927,
                    ["z"] = -2.3261256217957,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 3.9648134708405,
                    ["x"] = 5.5509085655212,
                    ["z"] = 2.3261258602142,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 22.200000762939,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["NonArmoredUnits"] = true,
                ["Trucks"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Unarmed vehicles"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 22.200000762939,
            ["Kmax"] = 0.050000000745058,
            ["typeName"] = "German_covered_wagon_G10",
            ["displayName"] = "German covered wagon G10",
        }, -- end of ["desc"]
    } -- end of Truck German_covered_wagon_G10
    ,["Truck German_tank_wagon"] = 
    {
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TRP-2A day",
                    ["opticType"] = 0,
                }, -- end of [1]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 2100,
            ["riverCrossing"] = true,
            ["maxSlopeAngle"] = 0.46999999880791,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = 2.1053176169517e-05,
                    ["x"] = -4.1893763542175,
                    ["z"] = -1.6631883382797,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 4.5303816795349,
                    ["x"] = 5.1027836799622,
                    ["z"] = 1.58882188797,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 22.200000762939,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["NonArmoredUnits"] = true,
                ["Trucks"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Unarmed vehicles"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 22.200000762939,
            ["Kmax"] = 0.050000000745058,
            ["typeName"] = "German_tank_wagon",
            ["displayName"] = "German tank wagon",
        }, -- end of ["desc"]
    } -- end of Truck German_tank_wagon
    ,["Truck Kubelwagen_82"] = 
    {
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TRP-2A day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TRP-2A night",
                    ["opticType"] = 1,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 1160,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.46999999880791,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.00011876819189638,
                    ["x"] = -2.1566038131714,
                    ["z"] = -0.93133521080017,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.9836159944534,
                    ["x"] = 1.8173981904984,
                    ["z"] = 0.93133527040482,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 22.219999313354,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["NonArmoredUnits"] = true,
                ["Trucks"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Unarmed vehicles"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 22.219999313354,
            ["_origin"] = "WWII Armour and Technics",
            ["typeName"] = "Kubelwagen_82",
            ["displayName"] = "Kübelwagen 82",
        }, -- end of ["desc"]
    } -- end of Truck Kubelwagen_82
    ,["Truck Willys_MB"] = 
    {
        ["sensors"] = 
        {
            [0] = 
            {
                [1] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TRP-2A day",
                    ["opticType"] = 0,
                }, -- end of [1]
                [2] = 
                {
                    ["type"] = 0,
                    ["typeName"] = "TRP-2A night",
                    ["opticType"] = 1,
                }, -- end of [2]
            }, -- end of [0]
        }, -- end of ["sensors"]
        ["desc"] = 
        {
            ["massEmpty"] = 1220,
            ["riverCrossing"] = false,
            ["maxSlopeAngle"] = 0.46999999880791,
            ["Kmax"] = 0.050000000745058,
            ["RCS"] = 5,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -0.042376920580864,
                    ["x"] = -1.7557406425476,
                    ["z"] = -0.9172311425209,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 1.8537777662277,
                    ["x"] = 1.8421454429626,
                    ["z"] = 0.9172311425209,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 29.170000076294,
            ["life"] = 1,
            ["attributes"] = 
            {
                ["Ground Units Non Airdefence"] = true,
                ["Vehicles"] = true,
                ["NonArmoredUnits"] = true,
                ["Trucks"] = true,
                ["Ground vehicles"] = true,
                ["NonAndLightArmoredUnits"] = true,
                ["All"] = true,
                ["Ground Units"] = true,
                ["Unarmed vehicles"] = true,
            }, -- end of ["attributes"]
            ["category"] = 2,
            ["speedMaxOffRoad"] = 29.170000076294,
            ["_origin"] = "WWII Armour and Technics",
            ["typeName"] = "Willys_MB",
            ["displayName"] = "Willys MB",
        }, -- end of ["desc"]
    } -- end of Truck Willys_MB
    ,["LST_Mk2"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 1400,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.45,
                        ["type"] = 1,
                        ["caliber"] = 40,
                        ["mass"] = 0.9,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "Bofors 40mm HE",
                    ["typeName"] = "weapons.shells.Bofors_40mm_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 480,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.06,
                        ["type"] = 1,
                        ["caliber"] = 20,
                        ["mass"] = 0.13,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "Oerlikon 20mm HE",
                    ["typeName"] = "weapons.shells.Oerlikon_20mm_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 1625000,
            ["RCS"] = 1774.7834472656,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -4.4665756225586,
                    ["x"] = -52.317859649658,
                    ["z"] = -8.9478445053101,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 23.595796585083,
                    ["x"] = 49.653392791748,
                    ["z"] = 8.9478454589844,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 6,
            ["life"] = 0,
            ["attributes"] = 
            {
                ["Ships"] = true,
                ["Armed Air Defence"] = true,
                ["Armed ships"] = true,
                ["Armed Ship"] = true,
                ["HeavyArmoredUnits"] = true,
                ["Heavy armed ships"] = true,
                ["All"] = true,
                ["Landing Ships"] = true,
            }, -- end of ["attributes"]
            ["category"] = 3,
            ["Kmax"] = 0.050000000745058,
            ["_origin"] = "WWII Armour and Technics",
            ["typeName"] = "LST_Mk2",
            ["displayName"] = "LST Mk.II",
        }, -- end of ["desc"]
    } -- end of LST_Mk2
    ,["USS_Samuel_Chase"] = 
    {
        ["weapons"] = 
        {
            [1] = 
            {
                ["count"] = 9744,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.06,
                        ["type"] = 1,
                        ["caliber"] = 20,
                        ["mass"] = 0.13,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "Oerlikon 20mm HE",
                    ["typeName"] = "weapons.shells.Oerlikon_20mm_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [1]
            [2] = 
            {
                ["count"] = 3024,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0,
                        ["type"] = 0,
                        ["caliber"] = 12.7,
                        ["mass"] = 0.046,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "12.7mm",
                    ["typeName"] = "weapons.shells.M2_12_7_T",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.12504199147224,
                            ["x"] = -6.61008644104,
                            ["z"] = -0.12113920599222,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.12504191696644,
                            ["x"] = 2.2344591617584,
                            ["z"] = 0.12113922089338,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [2]
            [3] = 
            {
                ["count"] = 400,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 0.45,
                        ["type"] = 1,
                        ["caliber"] = 40,
                        ["mass"] = 0.9,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "Bofors 40mm HE",
                    ["typeName"] = "weapons.shells.Bofors_40mm_HE",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [3]
            [4] = 
            {
                ["count"] = 800,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 1,
                        ["type"] = 1,
                        ["caliber"] = 76,
                        ["mass"] = 5.9,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "Mk 20 HE",
                    ["typeName"] = "weapons.shells.Mk_20_HE_shell",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [4]
            [5] = 
            {
                ["count"] = 200,
                ["desc"] = 
                {
                    ["life"] = 2,
                    ["warhead"] = 
                    {
                        ["explosiveMass"] = 2.2,
                        ["type"] = 1,
                        ["caliber"] = 127,
                        ["mass"] = 25,
                    }, -- end of ["warhead"]
                    ["_origin"] = "",
                    ["category"] = 0,
                    ["displayName"] = "Mk 12 HE",
                    ["typeName"] = "weapons.shells.Mk_12_HE_shell",
                    ["box"] = 
                    {
                        ["min"] = 
                        {
                            ["y"] = -0.060612548142672,
                            ["x"] = -0.27024647593498,
                            ["z"] = -0.060612548142672,
                        }, -- end of ["min"]
                        ["max"] = 
                        {
                            ["y"] = 0.060612548142672,
                            ["x"] = 0.24980916082859,
                            ["z"] = 0.060612548142672,
                        }, -- end of ["max"]
                    }, -- end of ["box"]
                }, -- end of ["desc"]
            }, -- end of [5]
        }, -- end of ["weapons"]
        ["desc"] = 
        {
            ["massEmpty"] = 1625000,
            ["RCS"] = 3989.9689941406,
            ["box"] = 
            {
                ["min"] = 
                {
                    ["y"] = -7.9259552955627,
                    ["x"] = -75.658218383789,
                    ["z"] = -11.672055244446,
                }, -- end of ["min"]
                ["max"] = 
                {
                    ["y"] = 43.23454284668,
                    ["x"] = 75.007698059082,
                    ["z"] = 11.76474571228,
                }, -- end of ["max"]
            }, -- end of ["box"]
            ["speedMax"] = 9.1999998092651,
            ["life"] = 0,
            ["attributes"] = 
            {
                ["Ships"] = true,
                ["Armed Air Defence"] = true,
                ["Armed ships"] = true,
                ["Armed Ship"] = true,
                ["HeavyArmoredUnits"] = true,
                ["Heavy armed ships"] = true,
                ["All"] = true,
                ["Landing Ships"] = true,
            }, -- end of ["attributes"]
            ["category"] = 3,
            ["Kmax"] = 0.050000000745058,
            ["_origin"] = "WWII Armour and Technics",
            ["typeName"] = "USS_Samuel_Chase",
            ["displayName"] = "LS Samuel Chase",
        }, -- end of ["desc"]
    } -- end of USS_Samuel_Chase
}

-- appending custom cargoes
function dcsUnits.addCargoUnit( name, displayName, shape, shapeDstr, life, canExplode, rate, mass, attribute, minMass, maxMass, topdown_view)
    local res = {}
    res.desc = {}
    
    res.desc.typeName = name
    res.desc.displayName = displayName
    res.desc.attributes = {}
    res.desc.attributes.Cargos = true
    res.desc.minMass = minMass
    res.desc.maxMass = maxMass
    res.desc.category = 'Cargo'

    dcsUnits.logDebug("Adding custom cargo "..displayName)
    dcsUnits.DcsUnitsDatabase[name] = res
end

dcsUnits.logInfo(string.format("Loading version %s", dcsUnits.Version))

-- dcsUnits.addCargoUnit( "jeep_cargo", "jeep_cargo", "jeep_cargo", "jeep_cargo",10,false, 100, 1200,  {"Cargos"}, 100, 4000 );
-- dcsUnits.addCargoUnit( "bambi_bucket", "bambi_bucket", "bambi_bucket","bambi_bucket",5,false, 1000, 1500,  {"Cargos"}, 1000, 2000 );
-- dcsUnits.addCargoUnit( "zu23_cargo", "zu23_cargo", "zu23_cargo","zu23_cargo",15,false, 100, 1500,  {"Cargos"}, 1000, 2000 ); --zu23_cargo
-- dcsUnits.addCargoUnit( "blu82_cargo", "blu82_cargo", "blu82_cargo","blu82_cargo",10,true,100, 2400,{"Cargos"},800,5000); --blu82_cargo
-- dcsUnits.addCargoUnit( "generator_cargo", "generator_cargo", "generator_cargo","generator_cargo",10,false, 100, 1500,  {"Cargos"}, 1000, 2000 ); --generator_cargo
-- dcsUnits.addCargoUnit( "Tschechenigel_cargo", "Tschechenigel_cargo", "reiter_cargo","reiter_cargo",20,false, 100, 1000,  {"Cargos"}, 100, 10000 ); --reiter_cargo
-- dcsUnits.addCargoUnit( "sandbag", "sandbag", "sandbag","sandbag", 100, 1000,  {"Cargos"},10,false, 100, 10000 ); --sandbag
-- dcsUnits.addCargoUnit( "booth_container", "booth_container", "booth_container","booth_container",10,false, 100, 3200,  {"Cargos"}, 2200, 10000 );--booth_container
-- dcsUnits.addCargoUnit( "antenne", "antenne", "antenne","antenne",10,false, 100, 3200,  {"Cargos"}, 2200, 10000 );--antenne
-- dcsUnits.addCargoUnit( "mast", "mast", "mast","mast",10,false, 100, 3200,  {"Cargos"}, 2200, 10000 );--mast
-- dcsUnits.addCargoUnit( "uh1_weapons", "uh1_weapons", "uh1_weapons","uh1_weapons",10,false, 100, 1000,  {"Cargos"}, 100, 10000 );--uh1_weapons
-- dcsUnits.addCargoUnit( "panzergranaten", "panzergranaten", "panzergranaten","panzergranaten",10,false, 100, 1500,  {"Cargos"}, 1000, 2000 );--panzergranaten
-- dcsUnits.addCargoUnit( "pz2000_shell", "pz2000_shell", "pz2000_shell","pz2000_shell",10,false, 100, 1500,  {"Cargos"}, 1000, 2000 );--pz2000_shell
-- dcsUnits.addCargoUnit( "sandbag_box", "sandbag_box", "sandbag_box","sandbag_box",10,false, 100, 1500,  {"Cargos"}, 1000, 2000 );--sandbag_box
-- dcsUnits.addCargoUnit( "fir_tree", "fir_tree", "fir_tree","fir_tree",100, 1000,  {"Cargos"},10,false, 100, 10000 );--fir_tree
-- dcsUnits.addCargoUnit( "hmvee_cargo", "hmvee_cargo", "hmvee_cargo","hmvee_cargo",10,false, 100, 3200,  {"Cargos"}, 2200, 10000 );--hmvee_cargo
-- dcsUnits.addCargoUnit( "eurotainer", "eurotainer", "eurotainer","eurotainer",10,false,100, 2400,{"Cargos"},800,5000);--eurotainer
-- dcsUnits.addCargoUnit( "MK6", "MK6", "MK6","MK6",10,true,100, 2400,{"Cargos"},800,5000);--MK6
-- dcsUnits.addCargoUnit( "concrete_pipe_duo", "concrete_pipe_duo", "concrete_pipe_duo","concrete_pipe_duo",10,false,100, 823,  {"Cargos"}, 823, 823 );--concrete_pipe_duo
-- dcsUnits.addCargoUnit( "concrete_pipe", "concrete_pipe", "concrete_pipe","concrete_pipe",10,false,100, 823,  {"Cargos"}, 823, 823 );--concrete_pipe
-- dcsUnits.addCargoUnit( "gaz66_cargo", "gaz66_cargo", "gaz66_cargo","gaz66_cargo",15,false, 100, 3200,  {"Cargos"}, 2200, 10000 );--gaz66_cargo
-- dcsUnits.addCargoUnit( "uaz_cargo", "uaz_cargo", "uaz_cargo","uaz_cargo",15,false, 100, 3200,  {"Cargos"}, 2200, 10000 );--uaz_cargo
-- dcsUnits.addCargoUnit( "stretcher_body", "stretcher_body", "stretcher_body","stretcher_body",5,false,100, 1000,  {"Cargos"}, 100, 10000 );--stretcher_body
-- dcsUnits.addCargoUnit( "stretcher_empty", "stretcher_empty", "stretcher_empty","stretcher_empty",10,false,100, 1000,  {"Cargos"}, 100, 10000 );--stretcher_empty
-- dcsUnits.addCargoUnit( "san_container", "san_container", "san_container","san_container",15,false, 100, 3200,  {"Cargos"}, 2200, 10000 );--san_container
-- dcsUnits.addCargoUnit( "biwak_cargo", "biwak_cargo", "biwak_cargo","biwak_cargo", 15,false,100, 3200,  {"Cargos"}, 2200, 10000 );--biwak_cargo
-- dcsUnits.addCargoUnit( "wolf_cargo", "wolf_cargo", "wolf_cargo","wolf_cargo",15,false, 100, 3200,  {"Cargos"}, 2200, 10000 );--wolf_cargo
-- dcsUnits.addCargoUnit( "biwak_timber", "biwak_timber", "biwak_timber","biwak_timber",15,false, 100, 480,  {"Cargos"}, 100, 480);--biwak_timber
-- dcsUnits.addCargoUnit( "biwak_metal", "biwak_metal", "biwak_metal","biwak_metal",15,false, 100, 480,  {"Cargos"}, 100, 480);--biwak_metal


